Microsoft Office-Objekte

AnswerWizard
AnswerWizardFiles
Assistant
Balloon
BalloonCheckboxes
BalloonCheckbox
BalloonLabels
BalloonLabel
COMAddIns
COMAddIn
CommandBarButton
CommandBarControl
CommandBarComboBox
CommandBarControl
CommandBarPopup
CommandBarControl
DocumentProperties
DocumentProperty
FileDialog
FileDialogFilters
FileDialogFilter
FileDialogSelectedItems
FileSearch
FileTypes
FoundFiles
PropertyTests
PropertyTest
SearchFolders
ScopeFolder
ScopeFolders
SearchScopes
SearchScope
ScopeFolder
ScopeFolders
HTMLProject
HTMLProjectItems
HTMLProjectItem
LanguageSettings
MsoEnvelope
CommandBars
NewFile
OfficeDataSourceObject
ODSOColumns
ODSOColumn
ODSOFilters
ODSOFilter
Scripts
Script
SignatureSet
Signature
WebPageFonts
WebPageFont

Legende

Objekt und Auflistung
Nur Objekt


Neue Funktionen für Microsoft Office-Entwickler

Umfangreiche Änderungen wurden am Visual Basic-Objektmodell von Microsoft Office vorgenommen, um neue und verbesserte Features in gemeinsam genutzten Komponenten zu unterstützen. Darüber hinaus wurden zahlreiche Objekte, Eigenschaften, Methoden und Ereignisse hinzugefügt.

Im Office Developer Center von MSDN Online finden Sie die neuesten Informationen zur Microsoft Office-Programmierung, wie z. B. neue technische Artikel, Downloads, Beispiele, Produktneuigkeiten und vieles andere mehr.

Neue Sprachelemente

In den folgenden Hilfethemen finden Sie Listen mit Sprachelementen, die neu in Office sind:

Neue Objekte

Neue Eigenschaften (nach Objekt)

Neue Eigenschaften (alphabetische Liste)

Neue Methoden

Neue Ereignisse


Neue Objekte

Im Office Developer Center von MSDN Online finden Sie die neuesten Informationen zur Microsoft Office-Programmierung, wie z. B. neue technische Artikel, Downloads, Beispiele, Produktneuigkeiten und vieles andere mehr.

Die folgende Tabelle listet die Objekte auf, die zu Visual Basic in Microsoft Office hinzugefügt wurden.

Objekte
FileDialog
FileDialogFilter
FileDialogFilters
FileDialogSelectedItems
FileTypes
MsoEnvelope
NewFile
ODSOColumn
ODSOColumns
ODSOFilter
ODSOFilters
OfficeDataSourceObject
ScopeFolder
ScopeFolders
SearchFolders
SearchScope
SearchScopes
Signature
SignatureSet


Neue Ereignisse

Die folgende Tabelle listet die neuen Ereignisse in Microsoft Office auf.

Ereignisse
EnvelopeHide
EnvelopeShow


Neue Methoden

Die folgende Tabelle listet, nach Objektnamen geordnet, die Methoden auf, die zu den vorhandenen Objekten in Microsoft Office hinzugefügt wurden.

Objekte Methoden
Assistant
 DoAlert
FileSearch
 RefreshScopes
OfficeDataSourceObject
 ApplyFilter

SetSortOrder


Neue Eigenschaften (alphabetische Liste)

Die folgende Tabelle listet in alphabetischer Reihenfolge die Eigenschaften auf, die zu den vorhandenen Objekten in Microsoft Office hinzugefügt wurden.

Eigenschaften
AllowMultiSelect
AttachCertificate
ButtonName
Column
Columns
CommandBars
CompareTo
Comparison
Conjunction
ConnectString
DataSource
DialogType
DisableAskAQuestionDropdown
DisableCustomize
ExpireDate
Extensions
FileTypes
FilterIndex
Filters
InitialFileName
InitialView
Introduction
IsCertificateExpired
IsCertificateRevoked
Issuer
IsValid
Mask
Path
Picture
RowCount
ScopeFolder
ScopeFolders
SearchFolders
SearchScopes
SelectedItems
SignDate
Signer
Table


Neue Eigenschaften (nach Objekt)

Die folgende Tabelle listet nach Objektnamen geordnet die Eigenschaften auf, die zu den vorhandenen Objekten in Microsoft Office hinzugefügt wurden.

Objekte | Eigenschaften
CommandBarButton | Mask Picture
CommandBars | DisableAskAQuestionDropdown DisableCustomize
FileDialog | AllowMultiSelect ButtonName DialogType FilterIndex Filters InitialFileName InitialView SelectedItems
FileDialogFilter | Extensions
FileSearch | FileTypes SearchFolders SearchScopes
MsoEnvelope | CommandBars Introduction
ODSOFilter | Column CompareTo Comparison Conjunction
OfficeDataSourceObject | Columns ConnectString DataSource Filters RowCount Table
ScopeFolder | Path ScopeFolders
SearchScope | ScopeFolder
Signature | AttachCertificate ExpireDate IsCertificateExpired IsCertificateRevoked Issuer IsValid SignDate Signer


Übersicht über den Office-Assistenten

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Der Office-Assistent, seine Sprechblase und alle Elemente in der Sprechblase werden im Programmcode durch die Objekte, Eigenschaften und Methoden des Assistant-Objekts gesteuert.

Die folgende Abbildung zeigt den Office-Assistenten, die Sprechblase für den Office-Assistenten und alle programmierbaren Objekte innerhalb der Sprechblase.

Der Office-Assistent, ein Balloon-Objekt und die programmierbaren Elemente in der Sprechblase

Informationen dazu, wie Sie zur Entwurfszeit oder zur Laufzeit Änderungen am Office-Assistenten vornehmen können, finden Sie in den folgenden Themen:

Verwenden des Office-Assistenten

Erstellen und Ändern von Sprechblasen

Durchführen von Änderungen an Sprechblasen zur Laufzeit


Übersicht über Befehlsleisten

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

In Microsoft Office werden Symbolleisten, Menüleisten und Kontextmenüs vom Programm als gemeinsamer Objekttyp gesteuert: als Befehlsleisten. Alle folgenden Elemente werden in Visual Basic für Applikationen durch CommandBar-Objekte repräsentiert:

  • Menüleisten, Symbolleisten und Kontextmenüs
  • Menüs in Menüleisten und Symbolleisten
  • Untermenüs in Menüs, Untermenüs und Kontextmenüs

Sie können alle integrierten Menüleisten und Symbolleisten ändern sowie benutzerdefinierte Symbolleisten, Menüleisten und Kontextmenüs für Ihre Visual Basic-Anwendung erstellen. Die Funktionen der Anwendung werden als einzelne Schaltflächen auf Symbolleisten oder als Gruppen von Befehlen in Menüs dargestellt. Da sowohl Symbolleisten als auch Menüs Befehlsleisten sind, verwenden Sie für beide die gleiche Art von Steuerelementen. Die verankerte Symbolleiste in der folgenden Abbildung enthält z. B. drei Schaltflächen.

Eine verankerte Symbolleiste mit drei Schaltflächen

Das Menü in der folgenden Abbildung enthält die gleichen drei Funktionen wie die obige Darstellung, diesmal jedoch als Menübefehle.

Ein Menü mit drei Menübefehlen

In Microsoft Office können sowohl Menüleisten als auch Symbolleisten Menüs enthalten. Die unverankerte Symbolleiste in der folgenden Abbildung enthält drei Schaltflächen sowie ein Menü, in dem dieselben Funktionen als Menübefehle dargestellt sind.

Eine unverankerte Symbolleiste mit drei Schaltflächen und ein Menü mit drei Menübefehlen

In Visual Basic werden Schaltflächen und Menübefehle durch CommandBarButton-Objekte repräsentiert. Die Popup-Steuerelemente, die Menüs und Untermenüs anzeigen, werden durch CommandBarPopup-Objekte repräsentiert. In der folgenden Abbildung sind die Steuerelemente Menu und Submenu Popupsteuerelemente, die ein Menü bzw. ein Untermenü anzeigen. Sowohl das Menü als auch das Untermenü sind eindeutige CommandBar-Objekte mit eigenen Steuerelementen.

Popupsteuerelemente, die ein Menü und ein Untermenü anzeigen

In Microsoft Office können Sie weiterhin Textfelder, Dropdownlistenfelder und Kombinationsfelder zu jeder Befehlsleiste hinzufügen. Diese drei Arten von Steuerelementen werden in Visual Basic durch CommandBarComboBox-Objekte repräsentiert.

Anmerkung Obwohl sie sich in der Darstellung und im Verhalten ähnlich sind, sind Befehlsleistensteuerelemente und ActiveX-Steuerelemente nicht dasselbe. ActiveX-Steuerelemente können nicht zu Befehlsleisten und Befehlsleisten-Steuerelemente können nicht zu Dokumenten oder Formularen hinzugefügt werden.

Auch die integrierten Befehlsleisten-Steuerelemente in Containeranwendungen werden in Visual Basic durch CommandBarButton-, CommandBarPopup- und CommandBarComboBox-Objekte repräsentiert, obwohl ihr Erscheinungsbild und Verhalten komplexer sein können als das der Steuerelemente, die Sie selbst hinzufügen können. Sie können zwar die Position und das Erscheinungsbild von integrierten Steuerelementen ändern, nicht aber ihr vorgegebenes Verhalten. Allerdings haben Sie die Möglichkeit, einem beliebigen integrierten Steuerelement ein benutzerdefiniertes Makro zuzuweisen und so sein vorgegebenes Verhalten vollständig zu ändern.


Verwendung von Befehlsleisten

In der Regel empfiehlt es sich, die Funktionen für benutzerdefinierte Anpassungen der Containeranwendung zu verwenden, um Symbolleisten, Menüleisten und Kontextmenüs zu erstellen oder zu ändern, die Sie mit der Visual Basic-Anwendung zur Verfügung stellen möchten. Änderungen an Symbolleisten, Menüleisten und Kontextmenüs, die mit den Funktionen der Containeranwendung durchgeführt wurden, werden als Änderungen zur Entwurfszeit bezeichnet. Weitere Informationen zur Durchführung von Änderungen zur Entwurfszeit in der Containeranwendung finden Sie in der Onlinehilfe der entsprechenden Anwendung.

Sie können Symbolleisten, Menüleisten und Kontextmenüs (und deren Komponenten) hinzufügen und ändern, indem Sie den CommandBars-Teil des Objektmodells von Microsoft Office im Visual Basic-Code verwenden. Sie können einen Code erstellen, der ein Mal ausgeführt wird, um Symbolleisten und Menüleisten zu erstellen. Dabei simuliert der Code die Durchführung von Änderungen zur Entwurfszeit. In manchen Containeranwendungen kann es jedoch erforderlich sein, eine Kombination von Visual Basic-Code und Funktionen der Anwendungsschnittstelle zu verwenden, um die Visual Basic-Anwendung zu gestalten. Im Folgenden werden einige Bereiche beschrieben, bei denen die gemeinsame Verwendung von Visual Basic-Code und der Schnittstellenfunktionen der Containeranwendung erforderlich ist:

  • Wenn die Containeranwendung keine Schnittstelle zum Hinzufügen und Ändern von Textfeldern, Dropdown-Listenfeldern oder Kombinationsfeldern in Symbolleisten besitzt, müssen Sie mithilfe von Visual Basic-Code eines dieser Steuerelemente hinzuzufügen und gestalten.
  • Wenn die Containeranwendung über Schnittstellenfunktionen zur Erstellung von Symbolleisten, nicht aber zur Erstellung einer neuen Menüleiste verfügt, müssen Sie neue Menüleisten mit Visual Basic erstellen. Nachdem Sie eine Menüleiste in Visual Basic erstellt haben, können Sie mit den Schnittstellenfunktionen der Containeranwendung die Menüs dieser Menüleiste gestalten.
  • Wenn benutzerdefinierte Kontextmenüs in der Containeranwendung nicht angezeigt werden können, während die Schnittstelle für benutzerdefinierte Anpassungen angezeigt wird, müssen Sie die Kontextmenüs unter Verwendung von Visual Basic-Code ändern.

Sie können auch Code erstellen, der in der Visual-Basic-Anwendung Änderungen an Symbolleisten und Menüleisten vornimmt, während die Anwendung ausgeführt wird (z. B. zur bedingten Deaktivierung eines Befehls in einer Befehlsleiste oder zum Hinzufügen von Schaltflächen zu einer Symbolleiste als Reaktion auf bestimmte Benutzeraktionen). Änderungen, die im Rahmen der Visual Basic-Anwendung ausgeführt werden, werden als Änderungen zur Laufzeit bezeichnet.

In den folgenden Hilfethemen finden Sie Informationen über die Durchführung von Entwurfszeit- und Laufzeitänderungen an Symbol- und Menüleisten mithilfe von Visual Basic-Code.

Hinzufügen und Ändern von Symbolleisten

Hinzufügen und Verwalten von Menüleisten und Menübefehlen

Hinzufügen und Anzeigen von Kontextmenüs

Anmerkung Der Aufgabenbereich ist mit einem CommandBar-Objekt vergleichbar. Sie können wie folgt darauf verweisen:

Dim cbTaskPane As CommandBar
Set cbTaskPane = Application.CommandBars("Task Pane")
MsgBox "The current task pane's title is """ & cbTaskPane.Controls(1).Caption & """"
Die Funktionsweise vieler Befehlsleistenmethoden und -eigenschaften unterscheidet sich jedoch bei der Anwendung auf den Aufgabenbereich von gewöhnlichen CommandBar-Objekten. So haben z. B. die Delete-Methode und die ShowPopup-Methode keine Wirkung. Auch eine Änderung des Wertes der Eigenschaften AdaptiveMenu, Context, Name, NameLocal oder Protection zeigt keine Wirkung.


Hinzufügen und Ändern von Symbolleisten

Alle Hostanwendungen verfügen über umfassende Möglichkeiten zum Hinzufügen und Gestalten von benutzerdefinierten Symbolleisten – Sie können integrierte Schaltflächen, Makros als Schaltflächen und sogar Popupsteuerelemente zu Symbolleisten hinzufügen. Mit Änderungen zur Entwurfszeit, die in der Regel über Visual Basic-Code durchgeführt werden, können Sie auch Kombinationsfeld-Steuerelemente hinzufügen oder ändern. Darüber hinaus ist die Arbeit mit Symbolleisten im Code fast ausschließlich auf die Durchführung von Änderungen zur Laufzeit beschränkt (Ändern des Schaltflächenstatus, der Schaltflächendarstellung, der Schaltflächenaktion usw.).

Ändern von Symbolleisten zur Laufzeit

Es gibt eine Reihe von Änderungen, die Sie zur Laufzeit an einer Symbolleiste durchführen können. Dazu gehört die Änderung des Zustands einer Befehlsleistenschaltfläche auf der Symbolleiste. Jedes Schaltflächensteuerelement verfügt über zwei aktive Zustände: gedrückt (True) und nicht gedrückt (False). Um den Zustand eines Schaltflächensteuerelements zu ändern, verwenden Sie die entsprechende Konstante für die State-Eigenschaft, wie in der Tabelle weiter unten in diesem Thema beschrieben.

Die Darstellung und die Aktion einer Schaltfläche können ebenfalls zur Laufzeit geändert werden. Verwenden Sie die Methoden CopyFace und PasteFace, um die Darstellung einer Schaltfläche (nicht ihre Aktion) zu ändern. Diese Methoden sind besonders dann nützlich, wenn Sie das Symbol einer bestimmten Schaltfläche in die Zwischenablage kopieren oder in eine andere Anwendung importieren möchten, um seine Merkmale zu verändern. Verwenden Sie die PasteFace-Methode, um ein Schaltflächensymbol aus der Zwischenablage in eine bestimmte Schaltfläche einzufügen.

Um als Aktion einer Schaltfläche eine von Ihnen erstellte Funktion ausführen zu lassen, weisen Sie der OnAction-Eigenschaft der Schaltfläche den benutzerdefinierten Prozedurnamen zu.

In der folgenden Tabelle werden die am häufigsten zum Ändern des Zustands, der Aktion oder der Darstellung von Steuerelementen verwendeten Eigenschaften und Methoden aufgeführt.

Eigenschaft oder Methode | Beschreibung
CopyFace, PasteFace | Kopiert ein Schaltflächensymbol oder fügt es ein. Verwenden Sie die CopyFace-Methode, um das Symbol der angegebenen Schaltfläche in die Zwischenablage zu kopieren. Verwenden Sie die PasteFace-Methode, um den Inhalt der Zwischenablage in die angegebene Schaltfläche einzufügen. Die PasteFace-Methode schlägt fehl, wenn die Zwischenablage leer ist. Wenn das Symbol in der Zwischenablage größer als die Schaltfläche ist, wird es nicht entsprechend verkleinert. In der Regel ist es einfacher, ein Schaltflächensymbol zur Entwurfszeit zu kopieren und einzufügen. Sie können jedoch auch zur Laufzeit Änderungen an einem Schaltflächensymbol vornehmen. Mit der FaceId-Eigenschaft können Schaltflächen auch integrierte Symbole zugewiesen werden.
Id | Gibt den Wert an, der die integrierte Funktionalität der Schaltfläche repräsentiert. Eine Schaltfläche, die hervorgehobenen Text in die Zwischenablage kopiert, hat z. B. den Id-Wert 19.
State | Gibt die Darstellung oder den Zustand der Schaltfläche an. Dies kann eine der folgenden MsoButtonState-Konstanten sein: msoButtonDown, msoButtonMixed oder msoButtonUp.
Style | Gibt an, ob das Symbol oder die Beschriftung auf der Schaltfläche angezeigt wird. Dies kann eine der folgenden MsoButtonStyle-Konstanten sein: msoButtonAutomatic, msoButtonIcon, msoButtonCaption, msoButtonIconAndCaption, msoButtonIconAndCaptionBelow, msoButtonIconAndWrapCaption, msoButtonIconAndWrapCaptionBelow oder msoButtonWrapCaption.
OnAction | Gibt an, welche Prozedur ausgeführt wird, wenn der Benutzer auf eine Schaltfläche klickt, ein Menü öffnet oder den Inhalt eines Kombinationsfeld-Steuerelements ändert.
Visible | Gibt an, ob das Steuerelement angezeigt oder ausgeblendet wird.
Enabled | Aktiviert oder deaktiviert eine Befehlsleiste. Der Name einer deaktivierten Befehlsleiste wird in der Liste der verfügbaren Befehlsleisten nicht angezeigt.

Im folgenden Beispiel wird eine neue Befehlsleiste mit einer einzelnen Schaltfläche erstellt. Durch Verwendung der OnAction-Eigenschaft des CommandBarButton-Objekts können Sie mithilfe der CopyFace-Methode das Symbol der integrierten Open-Schaltfläche in die Zwischenablage kopieren. Anschließend können Sie das Symbol mithilfe der PasteFace-Methode in die vorhandene Schaltfläche einfügen. Dadurch wird das Erscheinungsbild der Befehlsleistenschaltfläche zur Laufzeit geändert.

Sub testAddModifyToolbars1()
Set myBar = CommandBars _
    .Add(Name:="ChangingButton", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set oldControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Copy").Id)
oldControl.OnAction = "changeFaces"
End Sub

Sub changeFaces()
Set newControl = CommandBars.FindControl _
    (Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Paste").Id)
newControl.CopyFace
Set oldControl = _
CommandBars("ChangingButton").Controls(1)
oldControl.PasteFace
End Sub

Hinzufügen und Ändern von Kombinationsfeld-Steuerelementen

Textfelder, Dropdownlistenfelder und Kombinationsfelder sind neue, leistungsstarke Steuerelemente, die Sie zu Symbolleisten in einer Visual Basic-Anwendung hinzufügen können. Bei den meisten Containeranwendungen ist es jedoch erforderlich, dass Sie diese Steuerelemente unter Verwendung von Visual Basic-Code gestalten. Für die Gestaltung eines Kombinationsfeld-Steuerelements verwenden Sie die in der folgenden Tabelle aufgeführten Eigenschaften und Methoden.

Eigenschaft oder Methode | Beschreibung
Add | Fügt ein Kombinationsfeld-Steuerelement zu einer Befehlsleiste hinzu, indem für das Type-Argument eine der folgenden msoControlType-Konstanten angegeben wird: msoControlEdit, msoControlDropdown oder msoControlComboBox.
AddItem | Fügt ein Element zur Dropdownliste eines Dropdownlistenfeldes oder Kombinationsfeldes hinzu. Sie können die Indexnummer des neuen Elements in der vorhandenen Liste angeben. Ist diese Nummer jedoch höher als die Anzahl der Elemente in der Liste, dann schlägt die AddItem-Methode fehl.
Caption | Gibt die Beschriftung für das Kombinationsfeld-Steuerelement an. Diese Beschriftung wird neben dem Steuerelement angezeigt, wenn Sie die Style-Eigenschaft auf msoComboLabel setzen.
Style | Gibt an, ob die Beschriftung für das angegebene Steuerelement neben dem Steuerelement angezeigt wird. Dies kann eine der folgenden MsoComboStyle-Konstanten sein: msoComboLabel (die Beschriftung wird angezeigt) oder msoComboNormal (die Beschriftung wird nicht angezeigt).
OnAction | Gibt an, welche Prozedur ausgeführt wird, wenn der Benutzer den Inhalt des Kombinationsfeld-Steuerelements ändert.

Im folgenden Beispiel wird ein Kombinationsfeld zu einer benutzerdefinierten Symbolleiste hinzugefügt. Dem Kombinationsfeld wird das Makro ScrollToQuarter zugewiesen.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set newCombo = myBar.Controls _
    .Add(Type:=msoControlComboBox)
With newCombo
    .AddItem "Q1"
    .AddItem "Q2"
    .AddItem "Q3"
    .AddItem "Q4"
    .Style = msoComboNormal
    .OnAction = "ScrollToQuarter"
End With

Während der Ausführung der Anwendung wird die der OnAction-Eigenschaft des Kombinationsfeld-Steuerelements zugewiesene Prozedur immer dann aufgerufen, wenn der Benutzer das Steuerelement ändert. Sie können in der Prozedur die ActionControl-Eigenschaft des CommandBars-Objekts verwenden, um festzustellen, welches Steuerelement geändert wurde, und um den geänderten Wert zurückzugeben. Die ListIndex-Eigenschaft gibt das Element zurück, das im Kombinationsfeld eingegeben oder ausgewählt wurde.


Hinzufügen und Verwalten von Menüleisten und Menübefehlen

In manchen Containeranwendungen ist es nicht möglich, neue Menüleisten zu erstellen. Das heißt, Sie müssen neue Menüleisten mit Visual Basic erstellen. Nachdem Sie in Visual Basic eine Menüleiste erstellt haben, können Sie diese über die Anwendungsschnittstelle der Containeranwendung oder auch mithilfe von Visual Basic anpassen.

Hinzufügen von Menüleisten zur Laufzeit

Wenn Sie eine Menüleiste zur Laufzeit zu einer Anwendung hinzufügen, verwenden Sie die Add-Methode für die CommandBars-Auflistung, und geben Sie für das MenuBar-Argument True an. Im folgenden Beispiel wird eine nicht verschiebbare Menüleiste hinzugefügt. Diese Menüleiste wird rechts im Anwendungsfenster verankert.

Set menubar = CommandBars.Add _
    (Name:="mBar", Position:=msoBarRight, MenuBar:=True)
With menubar
    .Protection = msoBarNoMove
    .Visible = True
End With

Durchführen von Laufzeitänderungen an Menüleisten

Sie können Änderungen an der Menüleiste und den Steuerelementen dieser Menüleiste zur Laufzeit durchführen. Änderungen, die Sie an der Menüleiste durchführen, wirken sich auf deren Darstellung oder Position aus. Welche Änderungen Sie an den Steuerelementen durchführen können, hängt vom Typ des Steuerelements ab. In der folgenden Tabelle werden die am häufigsten zum Ändern von Menüleisten zur Laufzeit verwendeten Eigenschaften und Methoden aufgeführt.

Eigenschaft oder Methode | Beschreibung
Add | Fügt eine Menüleiste hinzu, indem die Add-Methode der CommandBars-Auflistung verwendet und für das MenuBar-Argument True angegeben wird.
Enabled | Wenn diese Eigenschaft auf True gesetzt ist, kann der Benutzer die angegebene Menüleiste mithilfe von Visual Basic-Code anzeigen. Wenn diese Eigenschaft auf False gesetzt ist, kann der Benutzer die Menüleiste nicht anzeigen, sie wird aber weiterhin in der Liste der verfügbaren Befehlsleisten aufgeführt.
Protection | Ermöglicht es Ihnen, für die Menüleiste einen Zugriffsschutz für bestimmte Benutzeraktionen festzulegen. Es kann eine der folgenden MsoBarProtection-Konstanten oder eine Kombination aus diesen Konstanten verwendet werden: msoBarNoChangeDock, msoBarNoChangeVisible, msoBarNoCustomize, msoBarNoHorizontalDock, msoBarNoMove, msoBarNoProtection, msoBarNoResize und msoBarNoVerticalDock.
Position | Gibt die Position der neuen Menüleiste relativ zum Anwendungsfenster an. Dies kann eine der folgenden MsoBarPosition-Konstanten sein: msoBarLeft, msoBarTop, msoBarRight, msoBarBottom, msoBarFloating, msoBarPopup (zum Erstellen von Kontextmenüs) oder msoBarMenuBar (nur Macintosh).
Visible | Gibt an, ob das Steuerelement angezeigt oder ausgeblendet wird. Wenn das Steuerelement ausgeblendet ist, wird der Name der Menüleiste weiterhin in der Liste der verfügbaren Befehlsleisten angezeigt.

Im folgenden Beispiel wird die aktive Menüleiste ausgeblendet und durch eine temporäre Menüleiste ersetzt, die rechts im Anwendungsfenster verankert ist. Für diese Menüleiste besteht außerdem ein Zugriffsschutz.

Set oldMbar = CommandBars.ActiveMenuBar
Set newMbar = CommandBars.Add _
(Name:="newMenubar", Position:=msoBarRight, _
MenuBar:=True, temporary:=True)
With newMbar
    .Visible = True
    .Protection = msoBarNoMove
End With

Verbinden von Menüleisten zur Laufzeit

Wenn eine als Add-In vorgesehene Anwendung benutzerdefinierte Menüleisten enthält, sollte die Darstellung der Steuerelemente in der Containeranwendung festgelegt werden. Sie können mithilfe der OLEMenuGroup-Eigenschaft des CommandBarPopup-Objekts angeben, auf welche Weise das Verbinden der Menüleisten erfolgen soll.

Durchführen von Laufzeitänderungen an Menüelementen

Welche Änderungen Sie an einem Menüelement durchführen können, hängt vom Steuerelementtyp ab. Schaltflächen sind in der Regel aktiviert oder ausgeblendet; Textfelder, Dropdownlistenfelder und Kombinationsfelder sind vielseitiger einsetzbar. Sie können einer Liste Elemente hinzufügen bzw. Elemente daraus entfernen, und Sie können anhand des ausgewählten Wertes die durchgeführte Aktion bestimmen. Als Aktion eines Steuerelements lassen sich sowohl integrierte als auch benutzerdefinierte Funktionen festlegen.

In der folgenden Tabelle werden die am häufigsten zum Ändern des Zustands, der Aktion oder des Inhalts von Steuerelementen verwendeten Eigenschaften und Methoden aufgeführt.

Eigenschaft oder Methode | Zweck
Add | Fügt ein Menüelement zur Befehlsleiste hinzu. Dies kann eine der folgenden msoControlType-Konstanten für das Type-Argument eines integrierten Steuerelements sein: msoControlButton, msoControlEdit, msoControlDropdown oder msoControlComboBox.
AddItem | Fügt ein Element zur Dropdownliste eines Dropdownlistenfeldes oder Kombinationsfeldes hinzu. Sie können die Indexnummer des neuen Elements in der vorhandenen Liste angeben. Ist diese Nummer jedoch höher als die Anzahl der Elemente in der Liste, dann schlägt die AddItem-Methode fehl.
Style | Gibt an, ob (und wenn ja, wie) das Symbol und/oder die Beschriftung einer Schaltfläche angezeigt wird. Dies kann eine der folgenden MsoButtonStyle-Konstanten sein: msoButtonAutomatic, msoButtonIcon, msoButtonCaption, msoButtonIconAndCaption, msoButtonIconAndCaptionBelow, msoButtonIconAndWrapCaption, msoButtonIconAndWrapCaptionBelow oder msoButtonWrapCaption.
OnAction | Gibt an, welche Prozedur ausgeführt wird, wenn der Benutzer den Wert des angegebenen Steuerelements ändert.
Visible | Gibt an, ob das Steuerelement dem Benutzer angezeigt oder ausgeblendet wird.

Im folgenden Beispiel wird am Ende der aktiven Menüleiste das temporäre Popupsteuerelement Custom hinzugefügt. Anschließend wird das Schaltflächensteuerelement Import zur Popupbefehlsleiste Custom hinzugefügt.

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, _
    Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.Controls _
    .Add(Type:=msoControlButton, Id:=1)
ctrl1.Caption = "Import"
ctrl1.TooltipText = "Import"
ctrl1.Style = msoButtonCaption


Hinzufügen und Anzeigen von Kontextmenüs

Kontextmenüs sind bewegliche Befehlsleisten, die der Benutzer durch Drücken der rechten Maustaste anzeigen kann. Sie können dieselben Steuerelementtypen wie Befehlsleisten enthalten, und auch das Verhalten der Steuerelemente entspricht dem in Befehlsleisten. In den meisten Anwendungen lassen sich jedoch über die Schnittstelle der Anwendung keine Kontextmenüs erstellen oder ändern. Aus diesem Grund müssen Sie Kontextmenüs zur Laufzeit erstellen oder ändern.

Hinzufügen von Kontextmenüs zur Laufzeit

Der einzige Unterschied zwischen Kontextmenüs und anderen Befehlsleisten besteht darin, dass Sie beim Erstellen des Kontextmenüs mit der Add-Methode msoBarPopUp als Position-Argument angeben müssen. Im folgenden Beispiel wird ein neues Kontextmenü erstellt, und es werden zwei Steuerelemente (mit Beschriftungen) hinzugefügt. Anschließend wird das neue Menü mit der ShowPopup-Methode angezeigt.

Set copyAndPasteMenu = CommandBars.Add( _
    Name:="Custom", Position:=msoBarPopup, _
    Temporary:=True)
Set copy = copyAndPasteMenu.Controls.Add
With copy
    .FaceId = CommandBars("Standard").Controls("Copy").Id
    .Caption = "Copy the selection"
End With
Set paste = copyAndPasteMenu.Controls.Add
With paste
    .FaceId = CommandBars("Standard").Controls("Paste").Id
    .Caption = "Paste from the Clipboard"
End With
copyAndPasteMenu.ShowPopup 200, 200

Anzeigen von Kontextmenüs

Verwenden Sie die ShowPopup-Methode, um Kontextmenüs anzuzeigen, wie im vorherigen Beispiel gezeigt.

Wenn die Containeranwendung die Zuweisung von Ereignisprozeduren zu Benutzeraktionen unterstützt, können Sie das Kontextmenü als Reaktion auf das Klicken mit der rechten Maustaste anzeigen. Allerdings unterstützen nicht alle Anwendungen Ereignisprozeduren. Lesen Sie in der Dokumentation zu der Containeranwendung nach, ob die Anwendung Ereignisprozeduren unterstützt.

Durchführen von Laufzeitänderungen an Kontextmenüs

Änderungen an Kontextmenüs müssen zur Laufzeit vorgenommen werden. Die Änderungen sind im Allgemeinen auf die Darstellung und die Aktion der Steuerelemente im Menü begrenzt. Weitere Informationen zum Hinzufügen und Verwalten von Menübefehlen finden Sie unter Hinzufügen und Verwalten von Menüleisten und Menübefehlen.


OLE-Programm-IDs

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Mithilfe von OLE-Programm-IDs (auch ProgID genannt) lassen sich Automatisierungsobjekte erstellen. Die folgende Tabelle listet die OLE-Programm-IDs für ActiveX-Steuerelemente, Microsoft Office-Anwendungen und Microsoft Office-Webkomponenten auf.

ActiveX-Steuerelemente

Microsoft Access

Microsoft Excel

Microsoft Graph

Microsoft Office-Webkomponenten

Microsoft Outlook

Microsoft PowerPoint

Microsoft Word

ActiveX-Steuerelemente

Um die in der folgenden Tabelle aufgelisteten ActiveX-Steuerelemente zu erstellen, verwenden Sie die entsprechenden OLE-Programm-IDs.

Steuerelement | ID
CheckBox | Forms.CheckBox.1
ComboBox | Forms.ComboBox.1
CommandButton | Forms.CommandButton.1
Frame | Forms.Frame.1
Image | Forms.Image.1
Label | Forms.Label.1
ListBox | Forms.ListBox.1
MultiPage | Forms.MultiPage.1
OptionButton | Forms.OptionButton.1
ScrollBar | Forms.ScrollBar.1
SpinButton | Forms.SpinButton.1
TabStrip | Forms.TabStrip.1
TextBox | Forms.TextBox.1
ToggleButton | Forms.ToggleButton.1

Microsoft Access

Um die in der folgenden Tabelle aufgelisteten Microsoft Access-Objekte zu erstellen, verwenden Sie die entsprechende OLE-Programm-ID. Wenn Sie eine ID ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von Access erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Objekt | ID
Application | Access.Application
CurrentData | Access.CodeData, Access.CurrentData
CurrentProject | Access.CodeProject, Access.CurrentProject
DefaultWebOptions | Access.DefaultWebOptions

Microsoft Excel

Um die in der folgenden Tabelle aufgelisteten Microsoft Excel-Objekte zu erstellen, verwenden Sie die entsprechende OLE-Programm-ID. Wenn Sie eine ID ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von Excel erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Objekt | ID | Kommentar
Application | Excel.Application |
Workbook | Excel.AddIn |
Workbook | Excel.Chart | Gibt eine Arbeitsmappe mit zwei Arbeitsblättern zurück, eins für das Diagramm und eins für die Daten. Das Diagrammarbeitsblatt ist das aktive Arbeitsblatt.
Workbook | Excel.Sheet | Gibt eine Arbeitsmappe mit einem Arbeitsblatt zurück.

Microsoft Graph

Um die in der folgenden Tabelle aufgelisteten Microsoft Graph-Objekte zu erstellen, verwenden Sie die entsprechende OLE-Programm-ID. Wenn Sie eine ID ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von Graph erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Objekt | ID
Application | MSGraph.Application
Chart | MSGraph.Chart

Microsoft Office-Webkomponenten

Um die in der folgenden Tabelle aufgelisteten Objekte von Microsoft Office-Webkomponenten zu erstellen, verwenden Sie die entsprechende OLE-Programm-ID. Wenn Sie eine ID ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von Microsoft Office-Webkomponenten erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Objekt | ID
ChartSpace | OWC.Chart
DataSourceControl | OWC.DataSourceControl
ExpandControl | OWC.ExpandControl
PivotTable | OWC.PivotTable
RecordNavigationControl | OWC.RecordNavigationControl
Spreadsheet | OWC.Spreadsheet

Microsoft Outlook

Um das in der folgenden Tabelle aufgelistete Microsoft Outlook-Objekt zu erstellen, verwenden Sie die entsprechende OLE-Programm-ID. Wenn Sie eine ID ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von Outlook erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Objekt | ID
Application | Outlook.Application

Microsoft PowerPoint

Um das in der folgenden Tabelle aufgelistete Microsoft PowerPoint-Objekt zu erstellen, verwenden Sie die entsprechende OLE-Programm-ID. Wenn Sie eine ID ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von PowerPoint erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Objekt | ID
Application | PowerPoint.Application

Microsoft Word

Um die in der folgenden Tabelle aufgelisteten Microsoft Word-Objekte zu erstellen, verwenden Sie die entsprechende OLE-Programm-ID. Wenn Sie eine ID ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von Word erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Objekt | ID
Application | Word.Application
Document | Word.Document, Word.Template
Global | Word.Global


AnswerWizard-Objekt

AnswerWizard (AnswerWizardFiles)

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Stellt den Antwort-Assistenten in einer Microsoft Office-Anwendung dar. Pro Anwendung existiert nur ein Antwort-Assistent, und alle Änderungen an der AnswerWizard- oder AnswerWizardFiles-Auflistung wirken sich sofort auf die aktive Office-Anwendung aus.

Verwenden des AnswerWizard-Objekts

Mit der ClearFileList-Methode entfernen Sie alle Einträge aus der Liste der im aktuellen Antwort-Assistenten verfügbaren Dateien. Mit dieser Methode stellen Sie sicher, dass auf die in der Office-Hostanwendung verfügbaren Standarddateien nicht mehr über den Antwort-Assistenten zugegriffen werden kann (z. B. wenn Sie die Dateien des Antwort-Assistenten durch benutzerdefinierte AW-Dateien ersetzen). Im folgenden Beispiel wird die Dateiliste für den Standard-Antwort-Assistenten gelöscht, dann werden dem benutzerdefinierten Antwort-Assistenten zwei Dateien hinzugefügt.

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

Mit der ResetFileList-Methode setzen Sie die Dateiliste für den aktuellen Antwort-Assistenten auf die Standarddateiliste für die Office-Hostanwendung zurück. Sie können auch eine benutzerdefinierte Standarddateiliste in der Windows-Registrierung erstellen, indem Sie die Namen der benutzerdefinierten Dateien dem entsprechenden Registrierungsschlüssel hinzufügen. Die in diesem Registrierungsschlüssel angegebenen Dateien werden dann wiederhergestellt, wenn ResetFileList aufgerufen wird. In diesem Beispiel wird die Dateiliste für den aktuellen Antwort-Assistenten zurückgesetzt.

customAnswerWizard.ResetFileList

Mit der Files-Eigenschaft rufen Sie die Auflistung der Referenzen zu den Dateien des Antwort-Assistenten ab. Die Files-Eigenschaft gibt eine Zusammenstellung von Zeichenfolgen zurück, die auf AW-Dateien verweisen. Im folgenden Beispiel wird die AnswerWizardFiles-Auflistung zurückgegeben und ein Meldungsfeld mit der Anzahl der Dateien angezeigt.

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count


AnswerWizardFiles-Objekt (Auflistung)

AnswerWizard (AnswerWizardFiles)

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Eine Zusammenstellung von Referenzen zu Dateien des Hilfe-Assistenten. Die AnswerWizardFiles-Auflistung enthält alle Dateien des Hilfe-Assistenten (Dateinamenerweiterung .aw), die der aktiven Microsoft Office-Anwendung zur Verfügung stehen.

Verwenden der AnswerWizardFiles-Auflistung

Mit der Files-Eigenschaft rufen Sie die Auflistung der Referenzen zu den Dateien des Hilfe-Assistenten ab. Die Files-Eigenschaft gibt eine Zusammenstellung von Zeichenfolgen zurück, die auf AW-Dateien verweisen. Im folgenden Beispiel wird die AnswerWizardFiles-Auflistung zurückgegeben und ein Meldungsfeld mit der Anzahl der Dateien angezeigt.

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count

Mit der Add-Methode stellen Sie im aktuellen Hilfe-Assistenten weitere Dateien zur Verfügung. Im folgenden Beispiel wird der Liste der Dateien des Hilfe-Assistenten in der aktiven Office-Anwendung die Datei Custom_1.aw hinzugefügt.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")

Mit der Item-Eigenschaft rufen Sie den Namen einer referenzierten Datei des Hilfe-Assistenten ab. Im folgenden Beispiel wird ein Meldungsfeld mit dem Namen der Datei angezeigt, auf die durch Item(1) verwiesen wird.

MsgBox customAnswerWizard.Files.Item(1)


Assistant-Objekt

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Stellt den Microsoft Office-Assistenten dar.

Verwenden des Assistant-Objekts

Mit der Assistant-Eigenschaft geben Sie das Assistant-Objekt zurück. Für das Assistant-Objekt gibt es keine Auflistung. Es kann immer nur jeweils ein Assistant-Objekt aktiv sein. Mit der Visible-Eigenschaft zeigen Sie den Assistenten an, mit der On-Eigenschaft aktivieren Sie ihn.

Hinweise

Der Standardassistent ist Rocky. Wenn ein anderer Assistent vom Programm ausgewählt werden soll, verwenden Sie die FileName-Eigenschaft.

Im folgenden Beispiel wird der Assistent angezeigt und animiert.

With Assistant
    .Visible = True
    .Animation = msoAnimationGreeting
End With


Balloon-Objekt

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Stellt die Sprechblase dar, in der die Informationen des Office-Assistenten angezeigt werden. Eine Sprechblase kann Steuerelemente wie Kontrollkästchen und Beschriftungen enthalten.

Verwenden des Balloon-Objekts

Mit der NewBalloon-Eigenschaft geben Sie das Balloon-Objekt zurück. Für das Balloon-Objekt gibt es keine Auflistung. Es kann immer nur jeweils ein Balloon-Objekt angezeigt werden. Sie können jedoch mehrere Sprechblasen definieren und bei Bedarf eine von ihnen anzeigen. Weitere Informationen finden Sie unter "Definieren und Wiederverwenden von Sprechblasen" weiter unten in diesem Thema.

Mit der Show-Methode machen Sie die angegebene Sprechblase sichtbar. Mit der Callback-Eigenschaft führen Sie Prozeduren basierend auf der Auswahl in Sprechblasen ohne Modus (Sprechblasen, die sichtbar bleiben, während der Benutzer in der Anwendung arbeitet) aus. Verwenden Sie die Close-Methode, um Sprechblasen ohne Modus zu schließen.

Im folgenden Beispiel wird eine Sprechblase erstellt, die Tipps zum Speichern von eingegebenen Daten enthält.

With Assistant.NewBalloon
    .BalloonType = msoBalloonTypeBullets
    .Icon = msoIconTip
    .Button = msoButtonSetOk
    .Heading = "Tips for Saving Information."
    .Labels(1).Text = "Save your work often."
    .Labels(2).Text = "Install a surge protector."
    .Labels(3).Text = "Exit your application properly."
    .Show
End With

Definieren und Wiederverwenden von Sprechblasen

Sie können bereits erstellte Sprechblasenobjekte wieder verwenden, indem Sie das Objekt einer Variablen zuweisen und die Variable anzeigen, wenn Sie sie benötigen. In diesem Beispiel werden balloon1 und balloon2 getrennt definiert, sodass sie wieder verwendet werden können.

Set balloon1 = Assistant.NewBalloon
balloon1.Heading = "First balloon"
Set balloon2 = Assistant.NewBalloon
balloon2.Heading = "Second balloon"
balloon1.Show
balloon2.Show
balloon1.Heading = "First balloon, new heading"
balloon1.Show

Anstatt zwei separate Variablen zu verwenden, können Sie das Sprechblasenobjekt auch in ein Datenfeld platzieren.


BalloonCheckBox-Objekt

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Stellt ein Kontrollkästchen in der Sprechblase des Office-Assistenten dar. Das BalloonCheckBox-Objekt ist ein Bestandteil der BalloonCheckBoxes-Auflistung.

Verwenden des BalloonCheckBox-Objekts

Mit CheckBoxes(index) geben Sie ein einziges BalloonCheckBox-Objekt zurück (index ist dabei eine Ziffer von 1 bis 5). Eine Sprechblase kann bis zu fünf Kontrollkästchen enthalten. Jedes Kontrollkästchen wird angezeigt, wenn seiner Text-Eigenschaft ein Wert zugewiesen wird.

Im folgenden Beispiel wird eine Sprechblase mit Überschrift, Text und drei Auswahlmöglichkeiten für die Region erstellt. Der Benutzer klickt auf ein oder mehrere Kontrollkästchen und dann auf OK. In diesem Beispiel wird die angegebene Prozedur (bzw. die Prozeduren) aufgerufen.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Hinweise

Kontrollkästchen in Sprechblasen zeigen die Auswahl des Benutzers an, bis der Benutzer die Sprechblase schließt. Sie können Sprechblasenbeschriftungen verwenden, um in der Select-Methode eine Zahl zurückzugeben, die der Auswahl des Benutzers entspricht, sobald der Benutzer auf die Schaltfläche neben der Beschriftung klickt. Damit Werte, die auf der Auswahl des Benutzers basieren, an die Select-Methode übergeben werden, muss die Sprechblase vom Typ msoBalloonTypeButtons sein.


BalloonCheckBoxes-Objekt (Auflistung)

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Ein Auflistung von BalloonCheckBox-Objekten, die alle Kontrollkästchen in der Sprechblase des Office-Assistenten darstellen.

Verwenden der BalloonCheckBoxes-Auflistung

Mit der CheckBoxes-Eigenschaft geben Sie die BalloonCheckBoxes-Auflistung zurück.

Mit CheckBoxes(index) geben Sie ein einziges BalloonCheckBox-Objekt zurück (index ist dabei eine Ziffer von 1 bis 5). Eine Sprechblase kann bis zu fünf Kontrollkästchen (und fünf Beschriftungen) enthalten. Jedes Kontrollkästchen wird angezeigt, wenn seiner Text-Eigenschaft ein Wert zugewiesen wird. Wenn Sie mehr als fünf Kontrollkästchen angeben, tritt ein Laufzeitfehler auf.

Im folgenden Beispiel wird eine Sprechblase mit Überschrift, Text und drei Auswahlmöglichkeiten für die Region erstellt. Wenn der Benutzer auf ein oder mehrere Kontrollkästchen und dann auf OK klickt, wird die angegebene Prozedur (bzw. Prozeduren) aufgerufen.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Sie können keine Kontrollkästchen zur BalloonCheckBoxes-Auflistung hinzufügen oder aus dieser entfernen, nachdem die Sprechblase angezeigt worden ist.

Hinweise

Kontrollkästchen in Sprechblasen zeigen die Auswahl des Benutzers an, bis der Benutzer die Sprechblase schließt. Sie können Sprechblasenbeschriftungen verwenden, um in der Select-Methode eine Zahl zurückzugeben, die der Auswahl des Benutzers entspricht, sobald der Benutzer auf die Schaltfläche neben der Beschriftung klickt. Damit Werte basierend auf der Auswahl des Benutzers an die Select-Methode übergeben werden, muss die Sprechblase vom Typ msoBalloonTypeButtons sein.


BalloonLabel-Objekt

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Stellt eine Beschriftung in der Sprechblase des Office-Assistenten dar. Das BalloonLabel-Objekt ist ein Bestandteil der BalloonLabels-Auflistung.

Verwenden des BalloonLabel-Objekts

Mit Labels(index) geben Sie ein BalloonLabel-Objekt zurück (index ist dabei die Nummer des Steuerelements). Eine Sprechblase kann bis zu fünf Beschriftungen enthalten. Jede Beschriftung wird angezeigt, wenn ihrer Text-Eigenschaft ein Wert zugewiesen wird.

Im folgenden Beispiel wird eine Sprechblase erstellt, welche den Benutzer auffordert, auf die richtige Beschriftung für sein Alter zu klicken.

With Assistant.NewBalloon
    .Heading = "Check Your Age Group."
    .Labels(1).Text = "Under 30."
    .Labels(2).Text = "30 to 50."
    .Labels(3).Text = "Over 50."
    .Text = "Which of the following " _
        & .Labels.Count & " choices apply to you?"
    .Show
End With

Hinweise

Kontrollkästchen in Sprechblasen zeigen die Auswahl des Benutzers an, bis der Benutzer die Sprechblase schließt. Sie können Sprechblasenbeschriftungen verwenden, um in der Select-Methode eine Zahl zurückzugeben, die der Auswahl des Benutzers entspricht, sobald der Benutzer auf die Schaltfläche neben der Beschriftung klickt. Damit Werte basierend auf der Auswahl des Benutzers an die Select-Methode übergeben werden, muss die Sprechblasenart msoBalloonTypeButtons sein.


BalloonLabels-Objekt (Auflistung)

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Eine Auflistung von BalloonLabel-Objekten, die alle Beschriftungen in der Sprechblase des Office-Assistenten darstellt.

Verwenden der BalloonLabels-Auflistung

Verwenden Sie die Labels-Eigenschaft, um die BalloonLabels-Auflistung zurückzugeben.

Mit Labels(index) geben Sie ein BalloonLabel-Objekt zurück (index ist dabei die Nummer des Steuerelements). Sie können pro Sprechblase bis zu fünf Beschriftungen (und fünf Kontrollkästchen) angeben. Jede Beschriftung wird angezeigt, wenn ihrer Text-Eigenschaft ein Wert zugewiesen wird. Wenn Sie mehr als fünf Beschriftungen angeben, tritt ein Laufzeitfehler auf.

Im folgenden Beispiel wird eine Sprechblase mit drei Auswahlmöglichkeiten erstellt. Die returnValue-Variable ist auf den Rückgabewert der Show-Methode gesetzt und ist 1, 2 oder 3 (je nachdem, auf welche Beschriftung der Benutzer klickt). In diesem Beispiel wird der Wert der returnValue-Variablen zurückgegeben. Diesen Wert können Sie entweder an eine andere Prozedur übergeben oder in einer Select Case-Anweisung verwenden.

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    returnValue = .Show
End With

Hinweise

Kontrollkästchen in Sprechblasen zeigen die Auswahl des Benutzers an, bis der Benutzer die Sprechblase schließt. Sie können Sprechblasenbeschriftungen verwenden, um in der Select-Methode eine Zahl zurückzugeben, die der Auswahl des Benutzers entspricht, sobald der Benutzer auf die Schaltfläche neben der Beschriftung klickt. Damit Werte basierend auf der Auswahl des Benutzers an die Select-Methode übergeben werden, muss die Sprechblase vom Typ msoBalloonTypeButtons sein.


COMAddIn-Objekt

COMAddIns (COMAddIn)

Stellt ein COM-Add-In in der Microsoft Office-Hostanwendung dar. Das COMAddIn-Objekt ist ein Element der COMAddIns-Auflistung.

Verwenden des COMAddIn-Objekts

Verwenden Sie COMAddIns.Item(index), wobei index entweder eine Ordnungszahl ist, die das COM-Add-In an der entsprechenden Position in der COMAddIns-Auflistung angibt, oder ein String-Wert, der die ProgID des angegebenen COM-Add-Ins angibt. Im folgenden Beispiel wird der Beschreibungstext eines COM-Add-Ins in einem Meldungsfeld angezeigt.

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description

Verwenden Sie die ProgID-Eigenschaft des COMAddIn-Objekts, um den programmtechnischen Bezeichner für ein COM-Add-In zurückzugeben, und die Guid-Eigenschaft, um den global eindeutigen Bezeichner (GUID, Globally Unique Identifier) für das Add-In zurückzugeben. Im folgenden Beispiel werden ProgID und GUID für COM-Add-In in einem Meldungsfeld angezeigt.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid

Die Connect-Eigenschaft gibt Zustand der Verbindung zu dem angegebenen COM-Add-In zurück oder legt ihn fest. Im folgenden Beispiel wird ein Meldungsfeld angezeigt, das angibt, ob das COM-Add-In 1 registriert ist und gegenwärtig eine Verbindung zu ihm besteht.

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
MsgBox "The add-in is not connected."
End If


COMAddIns-Objekt (Auflistung)

COMAddIns (COMAddIn)

Eine Auflistung von COMAddIn-Objekten, die Informationen über ein in der Windows-Registrierung registriertes COM-Add-In enthalten.

Verwenden der COMAddIns-Auflistung

Mit der COMAddIns-Eigenschaft des Application-Objekts geben Sie die COMAddIns-Auflistung für eine Microsoft Office-Hostanwendung zurück. Diese Auflistung enthält alle COM-Add-Ins, die in einer bestimmten Office-Hostanwendung zur Verfügung stehen. Die Count-Eigenschaft der COMAddIns-Auflistung gibt die Anzahl der verfügbaren COM-Add-Ins zurück (siehe folgendes Beispiel).

MsgBox Application.COMAddIns.Count

Mit der Update-Methode der COMAddIns-Auflistung aktualisieren Sie die Liste der COM-Add-Ins mit der Windows-Registrierung (siehe folgendes Beispiel).

Application.COMAddIns.Update

Verwenden Sie COMAddIns.Item(index), wobei index entweder eine Ordnungszahl ist, die das COM-Add-In an der entsprechenden Position in der COMAddIns-Auflistung zurückgibt, oder ein String-Wert, der die ProgID des angegebenen COM-Add-Ins darstellt. Im folgenden Beispiel werden der Beschreibungstext und die ProgID ("msodraa9.ShapeSelect") eines COM-Add-Ins in einem Meldungsfeld angezeigt.

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description


CommandBar-Objekt

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Stellt eine Befehlsleiste in der Containeranwendung dar. Das CommandBar-Objekt ist ein Bestandteil der CommandBars-Auflistung.

Verwenden des CommandBar-Objekts

Mit CommandBars(index) geben Sie ein einzelnes CommandBar-Objekt zurück (index ist dabei der Name oder die Indexnummer einer Befehlsleiste). Im folgenden Beispiel wird die Auflistung der Befehlsleisten durchlaufen, um die Befehlsleiste Forms zu suchen. Sobald diese Befehlsleiste gefunden wird, wird sie in diesem Beispiel eingeblendet, wobei der Verankerungsstatus geschützt bleibt. In diesem Beispiel stellt die cb-Variable ein CommandBar-Objekt dar.

foundFlag = False
For Each cb In CommandBars
    If cb.Name = "Forms" Then
        cb.Protection = msoBarNoChangeDock
        cb.Visible = True
        foundFlag = True
    End If
Next cb
If Not foundFlag Then
    MsgBox "The collection does not contain a Forms command bar."
End If

Sie können einen Namen oder eine Indexnummer verwenden, um in der Liste der verfügbaren Menü- und Symbolleisten in der Containeranwendung eine Menüleiste oder eine Symbolleiste anzugeben. Wenn Sie jedoch ein Menü, ein Kontextmenü oder ein Untermenü angeben möchten (alle durch CommandBar-Objekte dargestellt), müssen Sie einen Namen verwenden. In diesem Beispiel wird am unteren Ende des Menüs Extras ein neuer Menübefehl hinzugefügt. Wenn der Benutzer auf diesen neuen Menübefehl klickt, wird die Prozedur qtrReport ausgeführt.

Set newItem = CommandBars("Tools").Controls.Add(Type:=msoControlButton)
With newItem
    .BeginGroup = True
    .Caption = "Make Report"
    .FaceID = 0
    .OnAction = "qtrReport"
End With

Wenn zwei oder mehr benutzerdefinierte Menüs oder Untermenüs den gleichen Namen tragen, gibt CommandBars(index) das erste zurück. Damit in jedem Fall das richtige Menü bzw. Untermenü zurückgegeben wird, suchen Sie das Popupsteuerelement, welches das Menü anzeigt, und wenden dann die CommandBar-Eigenschaft auf das Popupsteuerelement an, sodass die Befehlsleiste zurückgegeben wird, die dieses Menü darstellt.

In diesem Beispiel wird davon ausgegangen, dass das dritte Steuerelement auf der Symbolleiste Custom Tools ein Popupsteuerelement ist. Am unteren Ende des entsprechenden Menüs wird der Befehl Speichern hinzugefügt.

Set viewMenu = CommandBars("Custom Tools").Controls(3)
viewMenu.Controls.Add ID:=3    'ID of Save command is 3


CommandBarButton-Objekt

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Stellt ein Schaltflächensteuerelement auf einer Befehlsleiste dar.

Verwenden des CommandBarButton-Objekts

Mit Controls(index) geben Sie ein CommandBarButton-Objekt zurück (index ist dabei die Indexnummer des Steuerelements). (Die Type-Eigenschaft des Steuerelements muss msoControlButton sein.)

Im folgenden Beispiel wird davon ausgegangen, dass das zweite Steuerelement auf der Befehlsleiste mit dem Namen Custom eine Schaltfläche ist. Der Stil dieser Schaltfläche wird geändert.

Set c = CommandBars("Custom").Controls(2)
With c
If .Type = msoControlButton Then
    If .Style = msoButtonIcon Then
        .Style = msoButtonIconAndCaption
    Else
        .Style = msoButtonIcon
    End If
End If
End With

Sie können zum Zurückzugeben eines CommandBarButton-Objekts auch die FindControl-Methode verwenden.


CommandBarComboBox-Objekt

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Stellt ein Kombinationsfeldsteuerelement auf einer Befehlsleiste dar.

Verwenden des CommandBarComboBox-Objekts

Mit Controls(index) geben Sie ein CommandBarComboBox-Objekt zurück (index ist dabei die Indexnummer des Steuerelements). (Die Type-Eigenschaft des Steuerelements muss msoControlEdit, msoControlDropdown, msoControlComboBox, msoControlButtonDropdown, msoControlSplitDropdown, msoControlOCXDropdown, msoControlGraphicCombo oder msoControlGraphicDropdown sein.)

Im folgenden Beispiel werden dem zweiten Steuerelement auf der Befehlsleiste Custom zwei Elemente hinzugefügt, und anschließend wird die Größe des Steuerelements angepasst.

Set combo = CommandBars("Custom").Controls(2)
With combo
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListIndex = 0
End With

Sie können zum Zurückgeben eines CommandBarComboBox-Objekts auch die FindControl-Methode verwenden. Im folgenden Beispiel werden alle Befehlsleisten nach einem sichtbaren CommandBarComboBox-Objekt durchsucht, dessen Tag "sheet assignments" ist.

Set myControl = CommandBars.FindControl _
(Type:=msoControlComboBox, Tag:="sheet assignments", Visible:=True)


CommandBarControl-Objekt

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Stellt ein Befehlsleistensteuerelement dar. Das CommandBarControl-Objekt ist ein Bestandteil der CommandBarControls-Auflistung. Die Eigenschaften und Methoden des CommandBarControl-Objekts werden auch von den Objekten CommandBarButton, CommandBarComboBox und CommandBarPopup verwendet.

Anmerkung Wenn Sie Visual Basic-Code zum Arbeiten mit benutzerdefinierten Befehlsleistensteuerelementen schreiben, verwenden Sie die Objekte CommandBarButton, CommandBarComboBox und CommandBarPopup. Beim Schreiben von Code für solche integrierten Steuerelemente in der Containeranwendung, die nicht durch eines dieser drei Objekte dargestellt werden können, verwenden Sie das CommandBarControl-Objekt.

Verwenden des CommandBarControl-Objekts

Mit Controls(index) geben Sie ein CommandBarControl-Objekt zurück (index ist dabei die Indexnummer eines Steuerelements). (Die Type-Eigenschaft des Steuerelements muss msoControlLabel, msoControlExpandingGrid, msoControlSplitExpandingGrid, msoControlGrid oder msoControlGauge sein.)

Anmerkung Variablen, die als CommandBarControl deklariert sind, können CommandBarButton-, CommandBarComboBox- und CommandBarPopup-Werte zugewiesen werden.

Zum Zurückgeben eines CommandBarControl-Objekts können Sie auch die FindControl-Methode verwenden. Im folgenden Beispiel wird nach einem Steuerelement des Typs msoControlGauge gesucht. Falls es gefunden wird, wird die Indexnummer des Steuerelements angezeigt sowie der Name der Befehlsleiste, in der sich das Steuerelement befindet. In diesem Beispiel stellt die lbl-Variable ein CommandBarControl-Objekt dar.

Set lbl = CommandBars.FindControl(Type:= msoControlGauge)
If lbl Is Nothing Then
    MsgBox "A control of type msoControlGauge was not found."
Else
    MsgBox "Control " & lbl.Index & " on command bar " _
        & lbl.Parent.Name & " is type msoControlGauge"
End If


CommandBarControls-Objekt (Auflistung)

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Eine Auflistung von CommandBarControl-Objekten, welche die Befehlsleistensteuerelemente auf einer Befehlsleiste darstellen.

Verwenden der CommandBarControls-Auflistung

Mit der Controls-Eigenschaft geben Sie die CommandBarControls-Auflistung zurück. Im folgenden Beispiel wird der Titel jedes Steuerelements auf der Symbolleiste Standard auf den aktuellen Wert der Id-Eigenschaft für das jeweilige Steuerelement geändert.

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

Mit der Add-Methode fügen Sie der CommandBarControls-Auflistung ein neues Befehlsleistensteuerelement hinzu. In diesem Beispiel wird der Befehlsleiste Custom eine neue, leere Schaltfläche hinzugefügt.

Set myBlankBtn = CommandBars("Custom").Controls.Add

Verwenden Sie Controls(index), wobei index der Titel oder die Indexnummer eines Steuerelements ist, um ein CommandBarControl-, CommandBarButton-, CommandBarComboBox- oder CommandBarPopup-Objekt zurückzugeben. Im folgenden Beispiel wird das erste Steuerelement aus der Befehlsleiste Standard in die Befehlsleiste Custom kopiert.

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
myControl.Copy Bar:=myCustomBar, Before:=1


CommandBarPopup-Objekt

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Stellt ein Popupsteuerelement auf einer Befehlsleiste dar.

Verwenden des CommandBarPopup-Objekts

Verwenden Sie zum Zurückgeben eines CommandBarPopup-Objekts Controls(index) wobei index die Nummer des Steuerelements ist. (Die Type-Eigenschaft des Steuerelements muss msoControlPopup, msoControlGraphicPopup, msoControlButtonPopup, msoControlSplitButtonPopup oder msoControlSplitButtonMRUPopup sein.)

Sie können auch die FindControl-Methode verwenden, um ein CommandBarPopup-Objekt zurückzugeben. Im folgenden Beispiel werden alle Befehlsleisten nach einem CommandBarPopup-Objekt durchsucht, dessen Tag "Graphics" ist.

Set myControl = Application.CommandBars.FindControl _
(Type:=msoControlPopup, Tag:="Graphics")

Hinweise

Jedes Popupsteuerelement enthält ein CommandBar-Objekt. Um die Befehlsleiste eines Popupsteuerelements zurückzugeben, wenden Sie die CommandBar-Eigenschaft auf das CommandBarPopup-Objekt an.


CommandBars-Objekt (Auflistung)

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Eine Auflistung von CommandBar-Objekten, welche die Befehlsleisten in der Containeranwendung darstellen.

Verwenden der CommandBars-Auflistung

Mit der CommandBars-Eigenschaft geben Sie die CommandBars-Auflistung zurück. Im folgenden Beispiel werden im Direktfenster sowohl der Name als auch der lokale Name jeder Menüleiste oder Symbolleiste angezeigt. Außerdem wird ein Wert angezeigt, der angibt, ob die Menü- bzw. Symbolleiste sichtbar ist.

For Each cbar in CommandBars
    Debug.Print cbar.Name, cbar.NameLocal, cbar.Visible
Next

Mit der Add-Methode fügen Sie der Auflistung eine neue Befehlsleiste hinzu. Im folgenden Beispiel wird die benutzerdefinierte Symbolleiste Custom1 erstellt und als unverankerte Symbolleiste angezeigt.

Set cbar1 = CommandBars.Add(Name:="Custom1", Position:=msoBarFloating)
cbar1.Visible = True

Mit CommandBars(index) geben Sie ein einziges CommandBar-Objekt zurück (index ist dabei der Name oder die Indexnummer einer Befehlsleiste). Im folgenden Beispiel wird die Symbolleiste Custom1 am unteren Rand des Anwendungsfensters angedockt.

CommandBars("Custom1").Position = msoBarBottom

Anmerkung Sie können eine Menüleiste oder eine Symbolleiste in der Liste der verfügbaren Menü- und Symbolleisten der Containeranwendung anhand des Namens oder der Indexnummer bestimmen. Um jedoch ein Menü, ein Kontextmenü oder ein Untermenü anzugeben (alle dargestellt durch CommandBar-Objekte), müssen Sie den Namen verwenden.

Wenn zwei oder mehr benutzerdefinierte Menüs oder Untermenüs den gleichen Namen tragen, gibt CommandBars(index) das erste zurück. Damit in jedem Fall das richtige Menü bzw. Untermenü zurückgegeben wird, suchen Sie das Popupsteuerelement, welches das Menü anzeigt, und wenden dann die CommandBar-Eigenschaft auf das Popupsteuerelement an, sodass die Befehlsleiste zurückgegeben wird, die dieses Menü darstellt.


DocumentProperties-Objekt (Auflistung)

Eine Auflistung von DocumentProperty-Objekten. Jedes DocumentProperty-Objekt stellt eine integrierte oder benutzerdefinierte Eigenschaft eines Containerdokuments dar.

Verwenden der DocumentProperties-Auflistung

Verwenden Sie die Add-Methode, um eine neue, benutzerdefinierte Eigenschaft zu erstellen und der DocumentProperties-Auflistung hinzuzufügen. Sie können die Add-Methode nicht verwenden, um eine integrierte Dokumenteigenschaft zu erstellen.

Verwenden Sie BuiltinDocumentProperties(index), um ein einziges DocumentProperty-Objekt zurückzugeben, das eine bestimmte integrierte Dokumenteigenschaft darstellt, wobei index die Indexnummer der integrierten Dokumenteigenschaft ist. Verwenden Sie CustomDocumentProperties(index), um ein DocumentProperty-Objekt zurückzugeben, das eine bestimmte benutzerdefinierte Dokumenteigenschaft darstellt (index ist dabei die Nummer der benutzerdefinierten Dokumenteigenschaft).


DocumentProperty-Objekt

Stellt eine benutzerdefinierte oder integrierte Dokumenteigenschaft eines Containerdokuments dar. Das DocumentProperty-Objekt ist ein Bestandteil der DocumentProperties-Auflistung.

Verwenden des DocumentProperty-Objekts

Verwenden Sie BuiltinDocumentProperties(index), um ein einziges DocumentProperty-Objekt zurückzugeben, das eine bestimmte integrierte Dokumenteigenschaft darstellt (index ist dabei der Name oder die Indexnummer der integrierten Dokumenteigenschaft). Verwenden Sie CustomDocumentProperties(index), um ein DocumentProperty-Objekt zurückzugeben, das eine bestimmte benutzerdefinierte Dokumenteigenschaft darstellt (index ist dabei der Name oder die Indexnummer der benutzerdefinierten Dokumenteigenschaft).

Die folgende Liste enthält die Namen aller verfügbaren integrierten Dokumenteigenschaften:

Title

Subject

Author

Keywords

Comments

Template

Last Author

Revision Number

Application Name

Last Print Date

Creation Date

Last Save Time

Total Editing Time

Number of Pages

 Number of Words

Number of Characters

Security

Category

Format

Manager

Company

Number of Bytes

Number of Lines

Number of Paragraphs

Number of Slides

Number of Notes

Number of Hidden Slides

Number of Multimedia Clips

In Containeranwendungen ist nicht zwingend für jede integrierte Dokumenteigenschaft ein Wert festgelegt. Wenn in einer bestimmten Anwendung für eine der integrierten Dokumenteigenschaften kein Wert bestimmt ist, wird durch das Zurückgeben der Value-Eigenschaft für diese Dokumenteigenschaft ein Fehler ausgegeben.


FileDialog-Objekt

FileDialog
Mehrere Objekte

Ermöglicht den Zugriff auf Dateidialogfeldfunktionen, die denen der Standarddialogfelder Öffnen und Speichern in Microsoft Office-Anwendungen entsprechen. Mithilfe dieser Dialogfelder können die Benutzer Ihrer Anwendungen auf einfache Weise Dateien und Ordner zur Verwendung in der Anwendung auswählen.

Verwendung des FileDialog-Objekts

Verwenden Sie die FileDialog-Eigenschaft, um ein FileDialog-Objekt zurückzugeben. Die FileDialog-Eigenschaft ist Bestandteil des Application-Objekts jeder einzelnen Office-Anwendung. Die Eigenschaft besitzt nur das Argument DialogType, das den Typ des FileDialog-Objekts angibt, das die Eigenschaft zurückgibt. Es gibt vier Typen von FileDialog-Objekten:

  • Öffnen-Dialogfeld – ermöglicht dem Benutzer das Auswählen einer oder mehrerer Dateien, die dann mithilfe der Execute-Methode in der Hostanwendung geöffnet werden können.
  • Speichern unter-Dialogfeld – ermöglicht dem Benutzer das Auswählen einer Datei, in die die aktuelle Datei dann mithilfe der Execute-Methode gespeichert werden kann.
  • Dateiauswahl-Dialogfeld – Ermöglicht dem Benutzer das Auswählen einer oder mehrerer Dateien. Die vom Benutzer ausgewählten Dateipfade werden in der FileDialogSelectedItems-Auflistung erfasst.
  • Ordnerauswahl-Dialogfeld – Ermöglicht dem Benutzer das Auswählen eines Pfades. Der vom Benutzer ausgewählte Dateipfad wird in der FileDialogSelectedItems-Auflistung erfasst.

Jede Hostanwendung kann nur eine Instanz des FileDialog-Objekts instanziieren. Dadurch bleiben viele Eigenschaften des FileDialog-Objekts auch dann erhalten, wenn Sie mehrere FileDialog-Objekte erstellen. Prüfen Sie deshalb genau, ob alle Eigenschaften wie gewünscht festgelegt sind, bevor Sie das Dialogfeld aufrufen.

Um ein Dateidialogfeld mithilfe des FileDialog-Objekts anzuzeigen, müssen Sie die Show-Methode verwenden. Wenn ein Dialogfeld angezeigt wird, wird kein weiterer Code ausgeführt, bis der Benutzer das Dateidialogfeld geschlossen hat. Im folgenden Beispiel wird ein Dialogfeld zur Dateiauswahl erstellt und angezeigt; anschließend wird jede ausgewählte Datei in einem Meldungsfeld angezeigt.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "The path is: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


FileDialogFilter-Objekt

FileDialogFilters
FileDialogFilter

Repräsentiert einen Dateifilter in einem Dateidialogfeld, das mithilfe des FileDialog-Objekts angezeigt wird. Jeder Dateifilter legt fest, welche Dateien in dem Dateidialogfeld angezeigt werden.

Verwendung des FileDialogFilter-Objekts

Verwenden Sie die Item-Methode der FileDialogFilters-Auflistung, um ein FileDialogFilter-Objekt zurückzugeben. Verwenden Sie die Add-Methode, um ein FileDialogFilter-Objekt zur FileDialogFilters-Auflistung hinzuzufügen. Sie können die von einem FileDialogFilter-Objekt verwendeten Dateinamenerweiterungen mit der Extensions-Eigenschaft und die Beschreibung des Filters mit der Description-Eigenschaft zurückgeben; beide Eigenschaften sind jedoch schreibgeschützt. Wenn Sie die Erweiterung oder die Beschreibung festlegen möchten, müssen Sie die Add-Methode verwenden.

Im folgenden Beispiel werden die Standardfilter des Dialogfeldes Speichern unter durchlaufen, und die Beschreibung jedes Filters, der eine Microsoft Excel-Datei einschließt, wird angezeigt.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf
End Sub


FileDialogFilters-Auflistung

FileDialog
FileDialogFilters
FileDialogFilter

Eine Auflistung der FileDialogFilter-Objekte, die die Typen der Dateien repräsentiert, die in einem mithilfe des FileDialog-Objekts angezeigten Dateidialogfeldes ausgewählt werden können.

Verwendung der FileDialogFilters-Auflistung

Verwenden Sie die Filters-Eigenschaft des FileDialog-Objekts, um eine FileDialogFilters-Auflistung zurückzugeben. Im folgenden Beispiel wird die FileDialogFilters-Auflistung für das Dialogfeld Öffnen zurückzugeben.

Application.FileDialog(msoFileDialogOpen).Filters

Verwenden Sie die Add-Methode, um FileDialogFilter-Objekte zur FileDialogFilters-Auflistung hinzuzufügen. Im folgenden Beispiel wird die Auflistung mithilfe der Clear-Methode gelöscht, und anschließend werden Filter zur Auflistung hinzugefügt. Mit der Clear-Methode wird der Inhalt der Auflistung vollständig gelöscht; wenn Sie nach dem Löschen des Inhalts keine Filter zur Auflistung hinzufügen, wird automatisch der Filter Alle Dateien (*.*) hinzugefügt.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the contents of the Files of Type list.
        'Empty the list by clearing the FileDialogFilters collection.
        .Filters.Clear

        'Add a filter that includes all files.
        .Filters.Add "All files", "*.*"

        'Add a filter that includes GIF and JPEG images and make it the first item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 1

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each String in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Path name: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub

Denken Sie beim Ändern der FileDialogFilters-Auflistung daran, dass jede Anwendung nur ein FileDialog-Objekt instanziieren kann. Das bedeutet, dass die FileDialogFilters-Auflistung bei jedem Aufruf der FileDialog-Methode mit einem neuen Dialogfeldtyp auf die Standardfiltereinstellung zurückgesetzt wird.

Im folgenden Beispiel werden die Standardfilter des Dialogfeldes Speichern unter durchlaufen, und die Beschreibung jedes Filters, der eine Microsoft Excel-Datei einschließt, wird angezeigt.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf

End Sub

Anmerkung Wenn die Filters-Eigenschaft zusammen mit der Clear-, Add- oder Delete-Methode auf ein FileDiaog-Objekt vom Typ Speichern unter angewendet wird, tritt ein Laufzeitfehler auf. Der Programmcode Application.FileDialog(msoFileDialogSaveAs).Filters.Clear beispielsweise führt zu einem Laufzeitfehler.


FileDialogSelectedItems-Auflistung

FileDialog
FileDialogSelectedItems

Eine Auflistung von String-Werten, die den Pfaden der Dateien oder Ordner entsprechen, die der Benutzer in einem mithilfe des FileDialog-Objekts angezeigten Dateidialogfeld ausgewählt hat.

Verwendung der FileDialogSelectedItems-Auflistung

Verwenden Sie die SelectedItems-Eigenschaft mit dem FileDialog-Objekt, um eine FileDialogSelectedItems-Auflistung zurückzugeben. Im folgenden Beispiel wird zunächst ein Dialogfeld zur Dateiauswahl und anschließend jede ausgewählte Datei in einem Meldungsfeld angezeigt.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

         'Allow the selection of multiple file.
        .AllowMultiSelect = True

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


FileSearch-Objekt

FileSearch
Mehrere Objekte

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Repräsentiert die Funktionalität des Dialogfeldes Öffnen (Menü Datei).

Verwenden des FileSearch-Objekts

Verwenden Sie die FileSearch-Eigenschaft, um das FileSearch-Objekt zurückzugeben. Im folgenden Beispiel wird nach Dateien gesucht, und Anzahl und Namen der gefundenen Dateien werden angezeigt.

With Application.FileSearch
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

Verwenden Sie die NewSearch-Methode, um die Suchkriterien auf die Standardeinstellungen zurückzusetzen. Die Eigenschaftswerte werden nach jedem Suchlauf beibehalten. Mit der NewSearch-Methode können Sie Eigenschaften für die nächste Dateisuche selektiv festlegen, ohne die vorherigen Eigenschaftswerte manuell zurücksetzen zu müssen. Im folgenden Beispiel werden die Suchkriterien auf die Standardeinstellungen zurückgesetzt, bevor eine neue Suche beginnt.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


FileTypes-Auflistung

FileSearch
FileTypes

Eine Auflistung von Werten des Typs msoFileType, mit der festgelegt wird, welche Dateitypen von der Execute-Methode des FileSearch-Objekts zurückgegeben werden.

Verwendung der FileTypes-Auflistung

Verwenden Sie die FileTypes-Eigenschaft mit dem FileSearch-Objekt, um eine FileTypes-Auflistung zurückzugeben; Beispiel:

Set ft = Application.FileSearch.FileTypes

Anmerkung Die FileType-Eigenschaft des FileSearch-Objekts löscht den Inhalt der FileTypes-Auflistung und setzt das erste Element der Auflistung auf den mit der FileType-Eigenschaft angegebenen Dateityp.

Da es nur eine FileTypes-Auflistung für alle Suchvorgänge gibt, müssen Sie den Inhalt der FileTypes-Auflistung vor dem Ausführen einer Suche löschen, wenn Sie nicht nach Dateitypen aus vorangegangenen Suchvorgängen suchen möchten. Die einfachste Möglichkeit zum Löschen des Inhalts der Auflistung besteht darin, dass Sie die FileType-Eigenschaft auf den ersten für die Suche gewünschten Dateityp setzen. Mit der Remove-Methode lassen sich auch einzelne Dateitypen entfernen. Um den Dateityp jedes Elements der Auflistung zu ermitteln, geben Sie mit der Item-Methode den msoFileType-Wert zurück.

Im folgenden Beispiel wird auf Laufwerk C:\ nach allen HTML- und Microsoft Excel-Dateien gesucht.

Sub SearchForFiles()

    'Declare a variable to act as a generic counter
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Setting the FileType property clears the
        'FileTypes collection and sets the first
        'item in the collection to the file type
        'defined by the FileType property.
        .FileType = msoFileTypeWebPages

        'Add a second item to the FileTypes collection
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Display the number of FileTypes in the collection.
        MsgBox "You are about to search for " & .FileTypes.Count & _
            " file types."

        'Set up the search to look in all subfolders on the C:\ drive.
        .LookIn = "C:\"
        .SearchSubFolders = True

        'Execute the search and test to see if any files
        'were found.
        If .Execute <> 0 Then

            'Display the number of files found.
            MsgBox "Files found: " & .FoundFiles.Count

            'Loop through the list of found files and
            'display the path of each one in a message box.
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "Found files") = vbCancel Then

                    'Break out of the loop
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "No files found."
        End If
    End With
End Sub

Im folgenden Beispiel wird die FileTypes-Auflistung durchlaufen, und es werden alle Dateitypen entfernt, die keine Microsoft Word- oder Microsoft Excel-Dateien Dateien sind (im Allgemeinen ist es einfacher, den Inhalt der FileTypes-Auflistung zu löschen und von vorn zu beginnen).

Sub RemoveFileTypeFromCollection()

    'Define an integer to use as a counter
    'when iterating through the FileTypes collection.
    Dim intFileIndex As Integer

    'Use a With...End With block to reference the FileSearch object.
    With Application.FileSearch

        'Loop through all of the items in the FileTypes collection.
        intFileIndex = 1
        Do While intFileIndex <= .FileTypes.Count
            Select Case .FileTypes.Item(intFileIndex)
                Case msoFileTypeWordDocuments, msoFileTypeExcelWorkbooks
                Case Else

                    'If the file type isn't a Microsoft Word or
                    'Microsoft Excel file, remove it.
                    .FileTypes.Remove intFileIndex

                    'Decrement the counter so that no file types are missed.
                    intFileIndex = intFileIndex - 1
            End Select

            'Increment the counter to test the next file type.
            intFileIndex = intFileIndex + 1
        Loop

    End With
End Sub


FoundFiles-Objekt

FileSearch
PropertyTests (PropertyTest)
FoundFiles

Stellt die Liste der Dateien dar, die von einer Dateisuche zurückgegeben werden.

Verwenden des FoundFiles-Objekts

Mit der FoundFiles-Eigenschaft geben Sie das FoundFiles-Objekt zurück. In diesem Beispiel wird die Liste der gefundenen Dateien durchlaufen, und Pfad und Dateiname jeder Datei werden angezeigt. Mit FoundFiles(index) geben Sie den Pfad und den Dateinamen einer bestimmten bei dem Suchlauf gefundenen Datei zurück (index ist dabei die Indexnummer).

With Application.FileSearch
    For i = 1 To .FoundFiles.Count
        MsgBox .FoundFiles(i)
    Next I
End With

Mit der Execute-Methode beginnen Sie die Dateisuche und aktualisieren das FoundFiles-Objekt. Im folgenden Beispiel wird der Ordner My Documents nach allen Dateien durchsucht, deren Name mit Cmd beginnt, und Name und Verzeichnis jeder gefundenen Datei werden angezeigt. Dabei werden die zurückgegebenen Dateien in aufsteigender alphabetischer Reihenfolge nach dem Dateinamen sortiert.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*"
    If .Execute(SortBy:=msoSortbyFileName, _
    SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


HTMLProject-Objekt

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Stellt einen Projektzweig der obersten Ebene dar, wie dies etwa der Projektexplorer im Microsoft Skript-Editor ist.

Verwenden des HTMLProject-Objekts

Mit der Open-Methode des HTMLProject-Objekts öffnen Sie ein HTML-Projekt im Microsoft Skript-Editor. Das Projekt wird in der Quellansicht oder der Textansicht für das aktive Microsoft Word-Dokument, die aktive Excel-Arbeitsmappe oder die aktive PowerPoint-Präsentation geöffnet. Im folgenden Beispiel wird im aktiven Word-Dokument ein HTML-Projekt in der Quellansicht geöffnet.

ActiveDocument.HTMLProject.Open (msoHTMLProjectOpenSourceView)

Mit der HTMLProjectItems-Eigenschaft geben Sie die Auflistung der HTMLProjectItem-Objekte im HTML-Projekt zurück. Mit der RefreshDocument-Methode aktualisieren Sie das HTML-Dokument in der Hostanwendung. Mit der RefreshProject-Methode aktualisieren Sie das Projekt im Microsoft Skript-Editor. Mithilfe der State-Methode stellen Sie fest, ob das HTML-Projekt aktualisiert werden muss.


HTMLProjectItem-Objekt

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Stellt ein einzelnes Projektelement dar, das ein Projektelementzweig im Projektexplorer im Microsoft Skript-Editor ist. Das HTMLProjectItem-Objekt ist ein Element der HTMLProjectItems-Auflistung.

Verwenden des HTMLProjectItem-Objekts

Mit HTMLProjectItems(index) geben Sie ein einzelnes HTMLProjectItem-Objekt zurück (index ist dabei der Name oder die Indexzahl eines Projektelements). Verwenden Sie die Name-Eigenschaft, wenn der angezeigte Name des Projektelements zurückgegeben werden soll. Im folgenden Beispiel wird der Name des ersten Projektelements in der HTMLProjectItems-Auflistung für das aktive Dokument zurückgegeben.

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name

Mit der Open-Methode öffnen Sie ein Projektelement in der Quellansicht oder der Textansicht. Mit der IsOpen-Eigenschaft stellen Sie fest, ob das Projektelement gegenwärtig geöffnet ist. Im folgenden Beispiel wird das Projektelement "ItemOne" (im aktiven Dokument) in der Standardansicht geöffnet. Anschließend wird in einem Meldungsfeld angezeigt, ob das Element erfolgreich geöffnet wurde.

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Open
If ActiveDocument.HTMLProject. _
        HTMLProjectItems("ItemOne").IsOpen Then
MsgBox "Opened project item " & ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Name
End If

Mit der SaveCopyAs-Methode speichern Sie das Projektelement unter einem neuen Dateinamen. Im folgenden Beispiel wird eine Kopie von ItemOne als "NewItem" gespeichert.

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .Open (msoHTMLProjectOpenTextView)
ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .SaveCopyAs("C:\NewItem.txt")

Im folgenden Beispiel wird davon ausgegangen, dass die Textdatei C:\NewText.txt vorhanden ist, und mit der LoadFromFile-Eigenschaft wird der Text von ItemOne auf den Text in dieser Datei gesetzt. Dabei wird der neue Text mithilfe der Text-Eigenschaft in einem Meldungsfeld angezeigt.

MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text
ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").LoadFromFile("C:\NewText.txt")
MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text


HTMLProjectItems-Objekt (Auflistung)

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Eine Auflistung von HTMLProjectItem-Objekten, die die im HTMLProject-Objekt enthaltenen HTML-Projektelemente darstellt.

Verwenden der HTMLProjectItems-Auflistung

Mit der HTMLProjectItems-Eigenschaft des HTMLProject-Objekts geben Sie die HTMLProjectItems-Auflistung zurück. Soll die Anzahl der Projektelemente in dem HTML-Projekt für das angegebene Dokument zurückgegeben werden, verwenden Sie die Count-Eigenschaft der HTMLProjectItems-Auflistung. Mithilfe der Item-Methode der HTMLProjectItems-Auflistung geben Sie ein einzelnes Projektelement zurück. Im folgenden Beispiel wird der Name des ersten Projektelements in der HTMLProjectItems-Auflistung für das aktive Dokument zurückgegeben.

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name


LanguageSettings-Objekt

LanguageSettings

Gibt Informationen über die Spracheinstellungen in einer Microsoft Office-Anwendung zurück.

Verwenden des LanguageSettings-Objekts

Verwenden Sie Application.LanguageSettings.LanguageID(MsoAppLanguageID), wobei MsoAppLanguageID eine Konstante ist, die den LCID (Locale Identifier; Gebietsschemabezeichner) an die angegebene Anwendung zurückgibt.

MsoAppLanguageID kann eine der folgenden MsoAppLanguageID-Konstanten sein:
msoLanguageIDExeMode
msoLanguageIDHelp
msoLanguageIDInstall
msoLanguageIDUI
msoLanguageIDUIPrevious

Im folgenden Beispiel werden die LCIDs der Sprachen für die Installation, die Benutzeroberfläche und die Hilfe in einem Meldungsfeld angezeigt.

MsgBox "The following locale IDs are registered " & _
    "for this application: Install Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDInstall) & _
    " User Interface Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDUI) & _
    " Help Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDHelp)

Mit Application.LanguageSettings.LanguagePreferredForEditing stellen Sie fest, welche LCIDs als bevorzugte Bearbeitungssprachen für die Anwendung registriert sind (siehe folgendes Beispiel).

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "U.S. English is one of the chosen editing languagess."
End If


MsoEnvelope-Objekt

MsoEnvelope
CommandBars

Ermöglicht den Zugriff auf Funktionen, mit denen Sie Dokumente und E-Mails direkt aus Microsoft Office-Anwendungen heraus versenden können.

Verwendung des MsoEnvelope-Objekts

Verwenden Sie die MailEnvelope-Eigenschaft des Document-, Chart- oder WorksheetObjekts (je nachdem, welche Anwendung Sie verwenden), um ein MsoEnvelope-Objekt zurückzugeben.

Im folgenden Beispiel wird das aktive Microsoft Word-Dokument als E-Mail an die durch eine Unterroutine übergebene E-Mail-Adresse gesendet.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the MsoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail.
        .Introduction = "Please read this and send me your comments."

        'Return a Microsoft Outlook MailItem object that
        'you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties, these settings will persist.
            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


NewFile-Objekt

NewFile

Das NewFile-Objekt repräsentiert im Aufgabenbereich Neues Element aufgelistete Elemente, die in mehreren Microsoft Office-Anwendungen verfügbar sind. Die folgende Tabelle zeigt, mit welcher Eigenschaft Sie auf das NewFile-Objekt in der jeweiligen Anwendung zugreifen können.

Anwendung | Eigenschaft
Microsoft Access | NewFileTaskPane
Microsoft Excel | NewWorkbook
Microsoft FrontPage | NewPageOrWeb
Microsoft PowerPoint | NewPresentation
Microsoft Word | NewDocument

Anmerkung Die unten stehenden Beispiele beziehen sich auf Word, Sie können jedoch an Stelle der NewDocument-Eigenschaft eine der oben aufgelisteten Eigenschaften wählen und den Code dann in der entsprechenden Anwendung verwenden.

Verwendung des NewFile-Objekts

Verwenden Sie die Add-Methode, um ein neues Element zum Aufgabenbereich Neues Element hinzuzufügen. Im folgenden Beispiel wird ein Element zum Word-Aufgabenbereich Neues Dokument hinzugefügt.

Sub AddNewDocToTaskPane()
    Application.NewDocument.Add FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="New Document"
    CommandBars("Task Pane").Visible = True
End Sub

Verwenden Sie die Remove-Methode, um ein Element aus dem Aufgabenbereich Neues Element zu entfernen. Im folgenden Beispiel wird das im Beispiel darüber hinzugefügte Dokument wieder aus dem Word-Aufgabenbereich Neues Dokument entfernt.

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="New Document"
    CommandBars("Task Pane").Visible = True
End Sub


ODSOColumn-Objekt

ODSOColumns
ODSOColumn

Repräsentiert ein Feld in einer Datenquelle. Das ODSOColumn-Objekt ist ein Element der ODSOColumns-Auflistung. Die ODSOColumns-Auflistung enthält alle Datenfelder in einer Seriendruckdatenquelle (z. B.: Name, Adresse und Stadt).

Verwendung des ODSOColumn-Objekts

Verwenden Sie Columns(Index), wobei Index der Name oder die Indexnummer des Datenfeldes ist, um ein einzelnes ODSOColumn-Objekt zurückzugeben. Die Indexnummer repräsentiert die Position des Datenfeldes in der Seriendruckdatenquelle. In diesem Beispiel werden Name und Wert des ersten Feldes im ersten Datensatz der Datenquelle abgerufen, die mit der aktiven Publikation verknüpft ist.

Sub GetDataFromSource()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        MsgBox "Field Name: " & .Item(1).Name & vbLf & _
            "Value: " & .Item(1).Value
    End With
End Sub

Hinweise

Sie können keine Felder zur ODSOColumns-Auflistung hinzufügen. Alle Datenfelder in einer Datenquelle werden automatisch in die ODSOColumns-Auflistung aufgenommen.


ODSOColumns-Objekt

OfficeDataSourceObject
ODSOColumns
ODSOColumn

Eine Auflistung von ODSOColumn-Objekten, die die Datenfelder in einer Seriendruckdatenquelle repräsentieren.

Verwendung des ODSOColumns-Objekts

Verwenden Sie die Columns-Eigenschaft, um eine ODSOColumns-Auflistung zurückzugeben. Im folgenden Beispiel werden die Feldnamen der Datenquelle angezeigt, die mit der aktiven Publikation verknüpft ist.

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "Column Name: " & .Item(intCount).Name
        Next
    End With
End Sub

Verwenden Sie Columns(Index), wobei Index der Name oder die Indexnummer des Datenfeldes ist, um ein einzelnes ODSOColumn-Objekt zurückzugeben. Die Indexnummer repräsentiert die Position des Datenfeldes in der Seriendruckdatenquelle. In diesem Beispiel werden der Name des ersten Feldes und der Wert des ersten Datensatzes des FirstName-Feldes der Datenquelle abgerufen, die mit der aktiven Publikation verknüpft ist.

Sub GetDataFromSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        MsgBox "Field Name: " & .Columns(1).Name & _
            "Value: " & .Columns("FirstName").Value
    End With
End Sub


ODSOFilter-Objekt

ODSOFilters
ODSOFilter

Repräsentiert einen Filter, der auf eine verknüpfte Seriendruckdatenquelle angewendet werden soll. Das ODSOFilter-Objekt ist ein Element des ODSOFilters-Objekts.

Verwendung des ODSOFilter-Objekts

Jeder Filter ist eine Zeile in einer Abfragezeichenfolge. Verwenden Sie die Column-, Comparison-, CompareTo- und Conjunction-Eigenschaften, um das Abfragekriterium für die Datenquelle festzulegen oder zurückzugeben. Im folgenden Beispiel wird ein vorhandener Filter so geändert, dass alle Datensätze, deren Feld Region nicht den Wert WA enthält, aus dem Seriendruck entfernt werden.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub

Verwenden Sie die Add-Methode des ODSOFilters-Objekts, um ein neues Filterkriterium zur Abfrage hinzuzufügen. In diesem Beispiel wird eine neue Zeile zur Abfragezeichenfolge hinzugefügt, und anschließend wird der kombinierte Filter auf die Datenquelle angewendet.

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub


ODSOFilters-Objekt

OfficeDataSourceObject
ODSOFilters
ODSOFilter

Repräsentiert alle Filter, die auf die mit der Seriendruckpublikation verknüpfte Datenquelle angewendet werden sollen. Das ODSOFilters-Objekt besteht aus ODSOFilter-Objekten.

Verwendung des ODSOFilters-Objekts

Verwenden Sie die Add-Methode des ODSOFilters-Objekts, um ein neues Filterkriterium zur Abfrage hinzuzufügen. In diesem Beispiel wird eine neue Zeile zur Abfragezeichenfolge hinzugefügt, und anschließend wird der kombinierte Filter auf die Datenquelle angewendet.

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub

Verwenden Sie die Item-Methode, um auf ein einzelnes Filterkriterium zuzugreifen. In diesem Beispiel werden alle Filterkriterien durchlaufen; Kriterien mit einem Region-Wert werden so geändert, dass alle Datensätze mit einem anderen Wert als WA aus dem Seriendruck entfernt werden.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


OfficeDataSourceObject-Objekt

OfficeDataSourceObject
Mehrere Objekte

Repräsentiert die Seriendruckdatenquelle in einem Seriendruckvorgang.

Verwendung des OfficeDataSourceObject-Objekts

Um mit dem OfficeDataSourceObject-Objekt arbeiten zu können, müssen Sie zunächst eine Variable als OfficeDataSourceObject-Objekt festlegen. Anschließend können Sie mit den verschiedenen Eigenschaften und Methoden des Objekts arbeiten. Verwenden Sie die SetSortOrder-Methode, um anzugeben, wie die Datensätze in der Datenquelle sortiert werden. Im folgenden Beispiel werden die Quelldaten zunächst in absteigender Reihenfolge nach der Postleitzahl und dann in aufsteigender Reihenfolge nach dem Nach- und Vornamen sortiert.

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub

Verwenden Sie die Column-, Comparison-, CompareTo- und Conjunction-Eigenschaften, um das Abfragekriterium für die Datenquelle festzulegen oder zurückzugeben. Im folgenden Beispiel wird ein vorhandener Filter so geändert, dass alle Datensätze, deren Feld Region nicht den Wert WA enthält, aus dem Seriendruck entfernt werden.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


PropertyTest-Objekt

FileSearch
PropertyTests (PropertyTest)
FoundFiles

Stellt ein einzelnes Kriterium für die Dateisuche dar. Suchkriterien werden im Dialogfeld Suchen aufgelistet (Menü Datei, Befehl Öffnen, Menü Extras, Schaltfläche Suchen). Das PropertyTest-Objekt ist ein Bestandteil der PropertyTests-Auflistung.

Verwenden des PropertyTest-Objekts

Mit PropertyTests(index) geben Sie ein einziges PropertyTest-Objekt zurück (index ist dabei die Indexnummer). Das folgende Beispiel zeigt alle Suchkriterien für den ersten Eigenschaftstest in der PropertyTests-Auflistung an.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


PropertyTests-Objekt (Auflistung)

FileSearch
PropertyTests (PropertyTest)
FoundFiles

Eine Auflistung von PropertyTest-Objekten, die alle Suchkriterien einer Dateisuche darstellen. Suchkriterien werden im Dialogfeld Suchen aufgelistet (Menü Datei, Befehl Öffnen, Menü Extras, Schaltfläche Suchen).

Verwenden der PropertyTests-Auflistung

Mit der PropertyTests-Eigenschaft geben Sie die PropertyTests-Auflistung zurück. Im folgenden Beispiel wird die Anzahl der Suchkriterien für die erweiterte Suche angezeigt, die für einen Suchlauf verwendet werden.

Application.FileSearch.PropertyTests.Count

Mit der Add-Methode fügen Sie der PropertyTests-Auflistung ein neues PropertyTest-Objekt hinzu. Im folgenden Beispiel werden den Suchkriterien zwei Eigenschaftstests hinzugefügt. Das erste Kriterium gibt an, dass die gesuchten Dateien von einem beliebigen Dateityp sein können. Das zweite Kriterium gibt an, dass diese Dateien zwischen dem 01.01.1996 und dem 30.06.1996 geändert worden sein müssen. Im Beispiel werden die Anzahl der gefundenen Dateien sowie die Namen aller gefundenen Dateien in einem Meldungsfenster angezeigt.

Set fs = Application.FileSearch
fs.NewSearch
 With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeAllFiles, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/96", SecondValue:="6/1/96", _
        Connector:=msoConnectorAnd
 End With
    If fs.Execute() > 0 Then
        MsgBox "There were " & fs.FoundFiles.Count & _
            " file(s) found."
        For i = 1 To fs.FoundFiles.Count
            MsgBox fs.FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If

Mit PropertyTests(index) geben Sie ein einziges PropertyTest-Objekt zurück (index ist dabei die Indexnummer). Das folgende Beispiel zeigt alle Suchkriterien für den ersten Eigenschaftstest in der PropertyTests-Auflistung an.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


ScopeFolder-Objekt

Mehrere Objekte
ScopeFolder
ScopeFolders

Entspricht einem durchsuchbaren Ordner. ScopeFolder-Objekte werden zusammen mit der SearchFolders-Auflistung verwendet. Die SearchFolders-Auflistung gibt die Ordner an, die bei der Verwendung des FileSearch-Objekts durchsucht werden. Zum Durchsuchen bestimmter Ordner können Sie mit den Methoden und Eigenschaften des SearchScope-Objekts und der ScopeFolders-Auflistung ScopeFolder-Objekte abrufen und dann zur SearchFolders-Auflistung hinzufügen.

Verwendung des ScopeFolder-Objekts

Verwenden Sie die ScopeFolder-Eigenschaft des SearchScope-Objekts, um das ScopeFolder-Stammobjekt eines Suchbereichs zurückzugeben; Beispiel:

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder

Verwenden Sie die Item-Methode der ScopeFolders-Auflistung, um einen Unterordner eines ScopeFolder-Stammobjekts zurückzugeben; Beispiel:

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders.Item(1)

Verwenden Sie die Item-Methode der SearchFolders-Auflistung, um einen Ordner zurückzugeben, der beim nächsten Aufruf der Execute-Methode des FileSearch-Objekts durchsucht wird; Beispiel:

Set sf = Application.FileSearch.SearchFolders.Item(1)

In jedem ScopeFolder-Objekt gibt es eine ScopeFolders-Auflistung, die die Unterordner des übergeordneten ScopeFolder-Objekts enthält. Sie können die gesamte Ordnerstruktur eines Suchbereichs (z. B. alle lokalen Laufwerke) durchlaufen, indem Sie jedes Element dieser ScopeFolders-Auflistungen in einer Schleife aufrufen und alle untergeordneten ScopeFolder-Objekte zurückgeben. Ein ScopeFolder-Objekt ohne Unterordner enthält eine leere ScopeFolders-Auflistung.

Ein Beispiel für das Durchlaufen aller ScopeFolder-Objekte eine Suchbereichs in einer Schleife finden Sie im Hilfethema zur SearchFolders-Auflistung.

Es ist zwar möglich, die Add-Methode der SearchFolders-Auflistung zu verwenden, um ein ScopeFolder-Objekt zur SearchFolders-Auflistung hinzuzufügen, in der Regel ist es jedoch einfacher, die AddToSearchFolders-Methode des hinzuzufügenden ScopeFolder-Objekts zu verwenden, da nur eine SearchFolders-Auflistung für alle Suchvorgänge existiert.

Ein Beispiel für das Hinzufügen eines ScopeFolder-Objekts zur SearchFolders-Auflistung finden Sie im Hilfethema zur SearchFolders-Auflistung.

Im folgenden Beispiel wird der Stammpfad jedes Verzeichnisses des Arbeitsplatzes angezeigt. Zum Abrufen dieser Informationen wird das ScopeFolder-Objekt zunächst auf das Stammverzeichnis des Arbeitsplatzes gesetzt. Der Pfad dieses ScopeFolder-Objekts ist immer *. Wie bei allen ScopeFolder-Objekten enthält das Stammobjekt eine ScopeFolders-Auflistung. In diesem Beispiel wird die ScopeFolders-Auflistung in einer Schleife durchlaufen und der Pfad jedes enthaltenen ScopeFolder-Objekts angezeigt. Der Pfad dieser ScopeFolder-Objekte lautet A:\, C:\ usw.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "ScopeFolder object's path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next
    End With
End Sub


ScopeFolders-Auflistung

ScopeFolder
ScopeFolders
ScopeFolder

Eine Auflistung von ScopeFolder-Objekten. Nur ScopeFolder-Objekte enthalten ScopeFolders-Auflistungen. Jede ScopeFolders-Auflistung enthält die ScopeFolder-Objekte, die den Unterordnern des übergeordneten ScopeFolder-Objekts entsprechen.

Verwendung der ScopeFolders-Auflistung

Verwenden Sie die ScopeFolders-Eigenschaft des ScopeFolder-Objekts, um eine ScopeFolders-Auflistung zurückzugeben.

Dim sfs as ScopeFolders
Set sfs = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders

Sie können ScopeFolder-Objekte weder zu einer ScopeFolders-Auflistung hinzufügen noch daraus entfernen.


Script-Objekt

Scripts (Script)

Stellt einen HTML-Skriptblock in einem Microsoft Word-Dokument, einem Microsoft Excel-Arbeitsblatt oder einer Microsoft PowerPoint-Folie dar. Das Script-Objekt ist ein Element der Scripts-Auflistung.

Verwenden des Script-Objekts

Mit Scripts.Item(index) geben Sie ein einzelnes Script-Objekt zurück (index ist dabei der Name, die ID oder die Indexzahl eines Skriptes). Jedes Script-Objekt wird durch die Id-Eigenschaft bezeichnet. Diese stellt einen geeigneten Namen bereit, mit dem Sie auf das Skript zugreifen können. Im folgenden Beispiel wird der Scripts-Auflistung für das aktive Dokument ein einzelnes Skript hinzugefügt, und die ID des Skriptes bei Indexwert 1 wird angezeigt.

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox (""This is ScriptOne. "")")
MsgBox (ActiveDocument.Scripts(1).Id)

Sie können die im Skript verwendete Skriptsprache angeben, indem Sie die Language-Eigenschaft ändern. Im folgenden Beispiel wird die Skriptsprache von Skript 1 auf Active Server Pages (ASP) geändert.

ActiveDocument.Scripts.Item("ScriptOne") _
    .Language = msoScriptLanguageASP

Sie können die Position der Skriptanchorform innerhalb eines HTML-Dokuments überprüfen, indem Sie die Location-Eigenschaft verwenden. Im folgenden Beispiel wird festgestellt, ob Skript 1 sich im Textkörper des aktiven HTML-Dokuments befindet.

If ActiveDocument.Scripts("ScriptOne").Location = _
    msoScriptLocationInBody Then
    MsgBox ("Script is in the HTML document body.")
Else
    MsgBox ("Script is located in the header. ")
End If

Mithilfe der Extended-Eigenschaft können Sie Attribute, die dem <SCRIPT>-Tag hinzugefügt wurden, überprüfen oder einstellen (mit Ausnahme der Attribute LANGUAGE und ID). Im folgenden Beispiel wird geprüft, ob in Skript 1 im aktiven Dokument zusätzliche Attribute vorhanden sind.

If ActiveDocument.Scripts(1).Extended = "" Then
    MsgBox ("No additional attributes are present " & _
    "in Script " &
     ActiveDocument.Scripts(1).Id)

Sie können den zu einem bestimmten Skript gehörenden Skripttext überprüfen oder festlegen, indem Sie die ScriptText-Eigenschaft verwenden. Im folgenden Beispiel wird ein Meldungsfeld angezeigt, das den mit Skript 1 im aktiven Dokument verbundenen Skripttext enthält.

MsgBox (ActiveDocument.Scripts("ScriptOne").ScriptText)


Scripts-Objekt (Auflistung)

Scripts (Script)

Eine Auflistung von Script-Objekten, die die Gesamtheit der HTML-Skriptes im angegebenen Dokument darstellen.

Verwenden der Scripts-Auflistung

Die Scripts-Auflistung enthält alle Script-Objekte in einem bestimmten Dokument in der Quellfolge (der Reihenfolge, in der die Script-Objekte der Quelldatei hinzugefügt wurden). Die Position des Skriptes im Dokument (Kopfzeile oder Textkörper) hat keinen Einfluss auf die Quellfolge. Sie können die Script-Objekte verwenden, um auf ein Skript zuzugreifen oder ein Skript einem Microsoft Word-Dokument, einem Microsoft Excel-Arbeitsblatt oder einer Microsoft PowerPoint-Folie hinzuzufügen. Außerdem können Sie mithilfe der Scripts-Auflistung auf eine beliebige HTML-Seite oder ein beliebiges HTML-Skript zugreifen, das in einer Microsoft Office-Anwendung geöffnet ist.

Anmerkung In Microsoft Access wird diese freigegebene Office-Komponente nicht verwendet.

Hinzufügen eines Skriptes

Wenn Sie der Scripts-Auflistung ein Script-Objekt hinzufügen, wird dem Dokument automatisch ein Shape-Objekt vom Typ msoScriptAnchor hinzugefügt. In einem Excel-Arbeitsblatt oder einer PowerPoint-Folie wird das Shape-Objekt der Shapes-Auflistung hinzugefügt, in einem Word-Dokument der InlineShapes-Auflistung. Sie fügen einem Dokument ein Script-Objekt hinzu, indem Sie die Add-Methode verwenden. Im folgenden Beispiel wird dem aktiven Word-Dokument ein einfaches Skript hinzugefügt.

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox ""This is ScriptOne.""")

Um auf ein bestimmtes Element in der Scripts-Auflistung zuzugreifen, verwenden Sie die Item-Methode und geben entweder das ID-Attribut des <SCRIPT>-Tags an oder den Index, der die Position des Skriptes in der Auflistung kennzeichnet. Die ID muss innerhalb des Dokuments eindeutig sein. Bei doppelt vorkommenden ID-Attributen wird das erste Skript zurückgegeben, das diese ID aufweist. Im folgenden Beispiel wird ein Meldungsfeld angezeigt, in dem die Sprache des ersten Skriptes genannt wird, das die ID "ScriptOne" hat.

MsgBox (ActiveDocument.Scripts.Item("ScriptOne").Language)

Mit der Count-Eigenschaft ermitteln Sie die Anzahl der Script-Objekte im angegebenen Dokument. Im folgenden Beispiel wird die Anzahl der Skripts im aktiven Dokument angezeigt.

If ActiveDocument.Scripts.Count = 0 Then
    MsgBox ("There are no " & _
    "scripts in this document. ")
End If
If ActiveDocument.Scripts.Count = 1 Then
    MsgBox ("There is " & _
    ActiveDocument.Scripts.Count & _
    " script in this document. ")
End If
If ActiveDocument.Scripts.Count > 1 Then
    MsgBox ("There are " & _
    ActiveDocument.Scripts.Count & _
    " scripts in this document. ")
End If

Mithilfe der Delete-Methode können Sie ein Skript aus der Scripts-Auflistung entfernen (siehe folgendes Beispiel).

ActiveDocument.Scripts("ScriptOne").Delete


SearchFolders-Auflistung

FileSearch
SearchFolders
ScopeFolder

Eine Auflistung von ScopeFolder-Objekten, die festlegt, welche Ordner beim Aufrufen der Execute-Methode des FileSearch-Objekts durchsucht werden.

Verwendung der SearchFolders-Auflistung

Verwenden Sie die SearchFolders-Eigenschaft mit dem FileSearch-Objekt, um eine SearchFolders-Auflistung zurückzugeben; Beispiel:

Set sfs = Application.FileSearch.SearchFolders

Für jede Anwendung gibt es nur eine SearchFolders-Auflistung. Der Inhalt der Auflistung bleibt erhalten, nachdem der Code, der die Auflistung aufgerufen hat, ausgeführt wurde. Deshalb muss der Inhalt der Auflistung gelöscht werden, wenn Sie keine Ordner vorangegangener Suchvorgänge in ihre Suche aufnehmen möchten.

Es ist zwar möglich, die Add-Methode der SearchFolders-Auflistung zu verwenden, um ein ScopeFolder-Objekt zur SearchFolders-Auflistung hinzuzufügen, in der Regel ist es jedoch einfacher, die AddToSearchFolders-Methode des hinzuzufügenden ScopeFolder-Objekts zu verwenden, da nur eine SearchFolders-Auflistung für alle Suchvorgänge existiert.

Die SearchFolders-Auflistung kann als Ergänzung zur LookIn-Eigenschaft des FileSearch-Objekts angesehen werden. Beide geben die zu durchsuchenden Ordner an, und beide werden beim Ausführen der Suche verwendet. Wenn Sie jedoch nur die LookIn-Eigenschaft verwenden möchten, müssen Sie sicher stellen, dass die SearchFolders-Auflistung leer ist. Wenn Sie dagegen nur die SearchFolders-Auflistung verwenden möchten, setzen Sie die LookIn-Eigenschaft auf den Pfad des ersten Elements der SearchFolders-Auflistung, bevor Sie die Execute-Methode aufrufen.

Im folgenden Beispiel werden alle Ordner mit der Bezeichnung 1033 auf dem lokalen Rechner nach allen HTML- und Microsoft Excel-Dateien durchsucht. Im Beispiel werden die SearchFolders-, SearchScopes- und ScopeFolders-Auflistungen verwendet.

Das Beispiel besteht aus zwei Routinen. Die SearchEveryFolder-Routine ist die auszuführende Routine. Die OutputPaths-Routine liegt außerhalb der Hauptroutine, da sie sich selbst recursiv aufruft, um die gesamte Verzeichnisstruktur des lokalen Rechners zu durchlaufen.

Sub SearchEveryFolder()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Declare a variable to act as a generic counter.
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Specify the type of file for which to search.
        'Use the FileType property to specify the first type
        'and then add additional types to the FileTypes collection.
        .FileType = msoFileTypeWebPages
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Clear the SearchFolder collection by
        'looping through each ScopeFolder object
        'and removing it.
        For lngCount = 1 To .SearchFolders.Count
            .SearchFolders.Remove lngCount
        Next lngCount

        'Loop through the SearchScopes collection to find
        'the scope in which you want to search. In this
        'case the scope is the local machine.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder in
                    'the ScopeFolders collection of the
                    'SearchScope object.
                    For Each sf In ss.ScopeFolder.ScopeFolders

                        'Call a function that loops through all
                        'of the subfolders of the root ScopeFolder.
                        'This function adds any folders named "1033" to the
                        'SearchFolders collection.
                        Call OutputPaths(sf.ScopeFolders, "1033")

                    Next sf
                Case Else
            End Select
        Next ss

        'Test to see if any ScopeFolders collections were added to
        'the SearchFolders collection.
        If .SearchFolders.Count > 0 Then

            'Set the LookIn property to the path of
            'the first ScopeFolder object in the SearchFolders
            'collection. This is here so that any previous
            'setting of the LookIn property doesn't affect
            'the search.
            .LookIn = .SearchFolders.Item(1).Path

            'Execute the search and test to see if any files
            'were found.
            If .Execute <> 0 Then

                'Display the number of files found.
                MsgBox "Files found: " & .FoundFiles.Count

                'Loop through the list of found files and
                'display the path of each one in a message box.
                For lngCount = 1 To .FoundFiles.Count
                    If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                        "Found files") = vbCancel Then
                        'Break out of the loop
                        lngCount = .FoundFiles.Count

                    End If
                Next lngCount
            End If
        End If
    End With
End Sub

'This subroutine loops through all of the ScopeFolders collections
'in a given ScopeFolders collection. It adds any folder
'that has the same name as the value of strFolder
'to the SearchFolders collection.
Sub OutputPaths(ByVal sfs As ScopeFolders, _
    ByRef strFolder As String)

    'Declare a variable as a ScopeFolder object
    Dim sf As ScopeFolder

    'Loop through each ScopeFolder object in the
    'ScopeFolders collection.
    For Each sf In sfs

        'Test to see if the folder name of the ScopeFolder
        'matches the value of strFolder. Use LCase to ensure
        'that case does not affect the match.
        If LCase(sf.Name) = LCase(strFolder) Then

            'Add the ScopeFolder to the SearchFolders collection.
            sf.AddToSearchFolders

        End If

        'Include a DoEvents call because there is the potential for this
        'loop to last a long time. The DoEvents call allows this process to
        'continue handling events.
        DoEvents

        'Test to see if the ScopeFolders collection in the
        'current ScopeFolder is empty. If it isn't empty, then
        'that means that the current ScopeFolder object contains subfolders.
        If sf.ScopeFolders.Count > 0 Then

            'This subroutine recursively calls itself so that
            'it can add the subfolders of the current ScopeFolder object
            'to the SearchFolders collection.
            Call OutputPaths(sf.ScopeFolders, strFolder)

        End If
    Next sf
End Sub


SearchScope-Objekt

SearchScopes
SearchScope
ScopeFolder

Entspricht einem Typ einer Ordnerstruktur, die mit dem FileSearch-Objekt durchsucht werden kann. Die lokalen Laufwerke auf diesem Computer repräsentieren beispielsweise einen einzelnen Suchbereich. Netzwerk- und Microsoft Outlook-Ordner sind ebenfalls separate Suchbereiche, die zur Verfügung stehen können. Jedes SearchScope-Objekt enthält ein einzelnes ScopeFolder-Objekt, das dem Stammverzeichnis des Suchbereichs entspricht.

Verwendung des SearchScope-Objekts

Verwenden Sie die Item-Methode der SearchScopes-Auflistung, um ein SearchScope-Objekt zurückzugeben; Beispiel:

Dim ss As SearchScope
Set ss = Application.FileSearch.SearchScopes.Item(1)

Das SearchScope-Objekt dient dem Zugriff auf ScopeFolder-Objekte, die zur SearchFolders-Auflistung hinzugefügt werden können. Ein Beispiel, das dies verdeutlicht, finden Sie im Hilfethema zur SearchFolders-Auflistung.

Im Hilfethema zum ScopeFolder-Objekt finden Sie ein einfaches Beispiel für die Rückgabe eines ScopeFolder-Objekts durch ein SearchScope-Objekt.

Im folgenden Beispiel werden alle momentan verfügbaren SearchScope-Objekte angezeigt.

Sub DisplayAvailableScopes()

    'Declare a variable that references a
    'SearchScope object.
    Dim ss As SearchScope

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "My Computer is an available search scope."
                Case msoSearchInMyNetworkPlaces
                    MsgBox "My Network Places is an available search scope."
                Case msoSearchInOutlook
                    MsgBox "Outlook is an available search scope."
                Case msoSearchInCustom
                    MsgBox "A custom search scope is available."
                Case Else
                    MsgBox "Can't determine search scope."
            End Select
        Next ss
    End With
End Sub


SearchScopes-Auflistung

FileSearch
SearchScopes
SearchScope

Eine Auflistung von SearchScope-Objekten.

Verwendung der SearchScopes-Auflistung

Verwenden Sie die SearchScopes-Eigenschaft des FileSearch-Objekts, um eine SearchScopes-Auflistung zurückzugeben; Beispiel:

Dim sss As SearchScopes
Set sss = Application.FileSearch.SearchScopes

Sie können SearchScope-Objekte weder zu einer SearchScopes-Auflistung hinzufügen noch daraus entfernen.


Signature-Objekt

SignatureSet
Signature

Entspricht einer digitalen Signatur die mit einem Dokument verknüpft wird. Signature-Objekte sind in der SignatureSet-Auflistung des Document-Objekts enthalten.

Verwendung des Signature-Objekts

Sie können ein Signature-Objekt mithilfe der Add-Methode zu einer SignatureSet-Auflistung hinzufügen und ein vorhandenes Element mithilfe der Item-Methode zurückgeben. Um ein Signature-Objekt aus einer SignatureSet-Auflistung zu entfernen, verwenden Sie die Delete-Methode des Signature-Objekts.

Im folgenden Beispiel wird der Benutzer aufgefordert, eine digitale Signatur auszuwählen, mit der das aktive Dokument in Microsoft Word signiert wird. Um dieses Beispiel verwenden zu können, müssen Sie ein Dokument in Word öffnen und dieser Funktion den Namen eines Zertifikatsausstellers sowie den Namen eines Zertifikatsunterzeichners übergeben, die den Feldern Ausgestellt von und Ausgestellt für eines digitalen Zertifikats im Dialogfeld Digitale Zertifikate entsprechen. In diesem Beispiel wird überprüft, ob die vom Benutzer ausgewählte digitale Signatur bestimmten Kriterien (z. B. Gültigkeitsdauer) entspricht, bevor die neue Signatur auf die Festplatte geschrieben wird.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


SignatureSet-Auflistung

SignatureSet
Signature

Eine Auflistung von Signature-Objekten, die den mit einem Dokument verknüpften digitalen Signaturen entspricht.

Verwendung der SignatureSet-Auflistung

Verwenden Sie die Signatures-Eigenschaft des Document-Objekts, um eine SignatureSet-Auflistung zurückzugeben; Beispiel:

Set sigs = ActiveDocument.Signatures

Anmerkung Änderungen, die Sie an der SignatureSet-Auflistung eines Dokuments vornehmen, werden erst nach dem Aufruf der Commit-Methode gespeichert.

Sie können ein Signature-Objekt mithilfe der Add-Methode zu einer SignatureSet-Auflistung hinzufügen und ein vorhandenes Element mithilfe der Item-Methode zurückgeben. Um ein Signature-Objekt aus einer SignatureSet-Auflistung zu entfernen, verwenden Sie die Delete-Methode des Signature-Objekts.

Im folgenden Beispiel wird der Benutzer aufgefordert, eine digitale Signatur auszuwählen, mit der das aktive Dokument in Microsoft Word signiert wird. Um dieses Beispiel verwenden zu können, müssen Sie ein Dokument in Word öffnen und dieser Funktion den Namen eines Zertifikatsausstellers sowie den Namen eines Zertifikatsunterzeichners übergeben, die den Feldern Ausgestellt von und Ausgestellt für eines digitalen Zertifikats im Dialogfeld Digitale Zertifikate entsprechen. In diesem Beispiel wird überprüft, ob die vom Benutzer ausgewählte digitale Signatur bestimmten Kriterien (z. B. Gültigkeitsdauer) entspricht, bevor die neue Signatur auf die Festplatte geschrieben wird.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before committing the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


WebPageFont-Objekt

WebPageFonts (WebPageFont)

Stellt die Standardschriftart dar, die für einen bestimmten Zeichensatz beim Speichern von Dokumenten als Webseiten verwendet wird.

Verwenden des WebPageFont-Objekts

Mit dem WebPageFont-Objekt beschreiben Sie die Proportionalschrift, den Schriftgrad der Proportionalschrift, die Festbreitenschrift und den Schriftgrad der Festbreitenschrift für einen beliebigen verfügbaren Zeichensatz.

Folgende Zeichensätze werden unterstützt:
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

Im folgenden Beispiel werden die Proportionalschrift und ihr Schriftgrad für das WebPageFont-Objekt myFont festgelegt.

With myFont
    ProportionalFont = Verdana
    ProportionalFontSize = 14


WebPageFonts-Objekt (Auflistung)

WebPageFonts (WebPageFont)

Eine Auflistung von WebPageFont-Objekten, welche die Proportionalschrift und deren Schriftgrad sowie die Festbreitenschrift und deren Schriftgrad beschreiben, die beim Speichern von Dokumenten als Webseiten verwendet werden. Sie können für jeden verfügbaren Zeichensatz andere Eigenschaften der Webseitenschriften festlegen.

Verwenden der WebPageFonts-Auflistung

Die WebPageFonts-Auflistung enthält für jeden Zeichensatz ein WebPageFont-Objekt.

Folgende Zeichensätze werden unterstützt:
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

Im folgenden Beispiel wird myFont mithilfe der Item-Eigenschaft auf das WebPageFont-Objekt für den Zeichensatz English/Western European/Other Latin Script in der aktuellen Anwendung gesetzt.

Dim myFont As WebPageFont
Set myFont = _
  Application.DefaultWebOptions.Fonts.Item_
  (msoCharacterSetEnglishWesternEuropeanOtherLatinScript)


ActivateWizard-Methode

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Setzt eine Assistentensitzung mit dem Office-Assistenten fort oder hält sie an.

Anmerkung Verwenden Sie diese Methode nur mit der StartWizard-Methode.

Ausdruck.ActivateWizard(WizardID, Act, Animation)

Ausdruck Erforderlich. Ein Ausdruck, der ein Assistant-Objekt zurückgibt.

WizardID Erforderlicher Long-Wert. Die von der StartWizard-Methode zurückgegebene Zahl.

Act MsoWizardActType erforderlich. Legt die Art fest, wie sich die Assistentensitzung mit dem Office-Assistenten ändert.

MsoWizardActType kann eine der folgenden MsoWizardActType -Konstanten sein:
msoWizardActActive
msoWizardActInactive
msoWizardActResume
msoWizardActSuspend

Animation Optionaler Variant-Wert. Die Animation, die vom Office-Assistenten ausgeführt wird, wenn die Sitzung angehalten oder fortgesetzt wird.

Beispiel

In diesem Beispiel wird die mit der StartWizard-Methode begonnene Assistentensitzung angehalten. Die Variable lHelpForWiz wurde auf den von der StartWizard-Methode zurückgegebenen Wert gesetzt.

Assistant.ActivateWizard WizardID:=lHelpForWiz, _
   Act:=msoWizardActSuspend, Animation:=msoAnimationGoodbye


Add-Methode

Add-Methode für das NewFile-Objekt.

Fügt ein neues Element zum Aufgabenbereich Neues Element hinzu. Gibt einen Booleschen Wert zurück. True, wenn das Element erfolgreich hinzugefügt wurde.

Ausdruck.Add(FileName, Section, DisplayName, Action)

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

FileName Erforderlicher String-Wert. Der Name der Datei, die zur Liste der Dateien im Aufgabenbereich hinzugefügt werden soll.

Section Optionaler Variant-Wert. Der Abschnitt, zu dem die Datei hinzugefügt werden soll. Dies kann eine beliebige msoFileNewSection-Konstante sein.

DisplayName Optionaler Variant-Wert. Der Text, der im Aufgabenbereich angezeigt werden soll.

Action Optionaler Variant-Wert. Die Aktion, die ausgeführt werden soll, wenn ein Benutzer auf das Element klickt. Dies kann eine beliebige msoFileNewAction-Konstante sein.

Add-Methode für das CommandBars-Objekt.

Erstellt eine neue Befehlsleiste und fügt sie zur Auflistung der Befehlsleisten hinzu. Gibt ein CommandBar-Objekt zurück.

Ausdruck.Add(Name, Position, MenuBar, Temporary)

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBars-Objekt zurückgibt.

Name Optionaler Variant-Wert. Der Name der neuen Befehlsleiste. Wird dieses Argument weggelassen, wird der Befehlsleiste ein Standardname zugewiesen (z. B. Benutzerdefiniert 1).

Position Optionaler Variant-Wert. Die Position der neuen Befehlsleiste. Kann eine der in der folgenden Tabelle aufgelisteten MsoBarPosition-Konstanten sein:

Konstante | Beschreibung
msoBarLeft, msoBarTop, msoBarRight, msoBarBottom | Geben die linken, oberen, rechten und unteren Koordinaten der neuen Befehlsleiste an.
msoBarFloating | Gibt an, dass die neue Befehlsleiste nicht verankert ist.
msoBarPopup | Gibt an, dass die neue Befehlsleiste ein Kontextmenü ist.
msoBarMenuBar | Nur Macintosh

MenuBar Optionaler Variant-Wert. True, wenn die aktive Menüleiste durch die neue Befehlsleiste ersetzt werden soll. Der Standardwert ist False.

Temporary Optionaler Variant-Wert. True, um die neue Befehlsleiste als temporäre Befehlsleiste zu erstellen. Temporäre Befehlsleisten werden beim Schließen der Containeranwendung gelöscht. Der Standardwert ist False.

Add-Methode für das CommandBarControls-Objekt.

Erstellt ein neues CommandBarControl-Objekt und fügt es zur Auflistung der Steuerelemente auf der angegebenen Befehlsleiste hinzu.

Ausdruck.Add(Type, Id, Parameter, Before, Temporary)

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBarControls-Objekt zurückgibt.

Type Optionaler Variant-Wert. Der Typ des Steuerelements, das zur angegebenen Befehlsleiste hinzugefügt werden soll. Kann eine der folgenden MsoControlType-Konstanten sein: msoControlButton, msoControlEdit, msoControlDropdown, msoControlComboBox oder msoControlPopup.

Id Optionaler Variant-Wert. Ein Ganzzahlwert, der ein integriertes Steuerelement angibt. Ist der Wert für dieses Argument 1 oder wird dieses Argument weggelassen, wird ein leeres benutzerdefiniertes Steuerelement des angegebenen Typs zur Befehlsleiste hinzugefügt.

Parameter Optionaler Variant-Wert. Bei integrierten Steuerelementen wird dieses Argument von der Containeranwendung zur Ausführung des Befehls verwendet. Bei benutzerdefinierten Steuerelementen kann dieses Argument verwendet werden, um Daten an Visual Basic-Prozeduren zu senden oder um Informationen über das Steuerelement zu speichern (vergleichbar mit einem zweiten Wert für die Tag-Eigenschaft).

Before Optionaler Variant-Wert. Eine Zahl, die die Position für das neue Steuerelement auf der Befehlsleiste angibt. Das neue Steuerelement wird vor dem Steuerelement eingefügt, das sich an dieser Position befindet. Wird dieses Argument weggelassen, wird das Steuerelement am Ende der angegebenen Befehlsleiste hinzugefügt.

Temporary Optionaler Variant-Wert. True, um das neue Steuerelement als temporäres Steuerelement zu erstellen. Temporäre Steuerelemente werden beim Schließen der Containeranwendung automatisch gelöscht. Der Standardwert ist False.

Add-Methode für das DocumentProperties-Objekt.

Erstellt eine neue benutzerdefinierte Dokumenteigenschaft. Neue Dokumenteigenschaften können nur zur benutzerdefinierten DocumentProperties-Auflistung hinzugefügt werden.

Ausdruck.Add(Name, LinkToContent, Type, Value, LinkSource)

Ausdruck Erforderlich. Das benutzerdefinierte DocumentProperties-Objekt.

Name Erforderlicher String-Wert. Der Name der Eigenschaft.

LinkToContent Erforderlicher Boolescher Wert. Gibt an, ob die Eigenschaft mit dem Inhalt des Containerdokuments verknüpft ist. Wenn dieses Argument auf True gesetzt wird, wird das LinkSource-Argument benötigt; ist das Argument False, wird das Value-Argument benötigt.

Type Optionaler Variant-Wert. Der Datentyp der Eigenschaft. Kann eine der folgenden MsoDocProperties-Konstanten sein: msoPropertyTypeBoolean, msoPropertyTypeDate, msoPropertyTypeFloat, msoPropertyTypeNumber oder msoPropertyTypeString.

Value Optionaler Variant-Wert. Der Wert der Eigenschaft, wenn sie nicht mit dem Inhalt des Containerdokuments verknüpft ist. Der Wert wird so umgewandelt, dass er mit dem durch das Type-Argument angegebenen Datentyp übereinstimmt. Wenn er nicht umgewandelt werden kann, tritt ein Fehler auf. Wenn LinkToContent auf True gesetzt wurde, wird das Value-Argument ignoriert, und der neuen Dokumenteigenschaft wird ein Standardwert zugewiesen, bis die verknüpften Eigenschaftswerte von der Containeranwendung aktualisiert werden (in der Regel beim Speichern des Dokuments).

LinkSource Optionaler Variant-Wert. Ignoriert, wenn LinkToContent auf False gesetzt wurde. Die Quelle der verknüpften Eigenschaft. Die Containeranwendung bestimmt, welchen Typ der Quellverknüpfung Sie verwenden können.

Hinweise

Wenn Sie eine benutzerdefinierte Dokumenteigenschaft zur DocumentProperties-Auflistung hinzufügen, die mit einem bestimmten Wert in einem Microsoft Office-Dokument verknüpft ist, müssen Sie das Dokument speichern, um die Änderung an dem DocumentProperty-Objekt anzuzeigen.

Add-Methode für das FileDialogFilters-Objekt.

Fügt einen neuen Dateifilter zur Liste der Filter im Dropdownlistenfeld Dateityp des Dialogfeldes Dateien hinzu. Gibt ein FileDialogFilter-Objekt zurück, das den neu hinzugefügten Dateifilter repräsentiert.

Ausdruck.Add(Description, Extensions, Position)

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Description Erforderlicher String-Wert. Der Text, der die Beschreibung der Dateierweiterung repräsentiert, die Sie zu der Liste der Filter hinzufügen möchten.

Extensions Erforderlicher String-Wert. Der Text, der die Dateierweiterung repräsentiert, die Sie zu der Liste der Filter hinzufügen möchten. Es können mehrere Erweiterungen angegeben werden, die durch Semikola (;) voneinander zu trennen sind. Das Extensions-Argument kann beispielsweise der Zeichenfolge "*.txt; *.htm" zugewiesen werden. Beachten Sie, dass die Erweiterungen nicht in Klammern eingeschlossen werden. Office fügt die Klammern um die Zeichenfolge mit den Erweiterungen automatisch hinzu, wenn die Zeichenfolgen der Beschreibung und der Erweiterungen zu einem Dateifilterelement verbunden werden.

Position Optionaler Variant-Wert. Eine Zahl, die die Position für das neue Steuerelement in der Filterliste angibt. Der neue Filter wird vor dem Filter eingefügt, der sich an dieser Position befindet. Wenn Sie dieses Argument weglassen, wird der Filter am Ende der Liste hinzugefügt.

Hinweise

Jeder Filter einer Liste besteht aus zwei Teilen: der Dateierweiterung (z. B. .txt) und dem Beschreibungstext für die Dateierweiterung (z. B. Textdateien). Der vollständige Dateifilter wird im Dropdownlistenfeld Dateityp dann in der Form Textdateien (*.txt) angezeigt.

Beachten Sie, daß die Standardfilter nicht entfernt werden, wenn ein Filter zur Liste hinzugefügt wird.

Filter werden nur angezeigt, wenn die Option Windows aktiviert ist.

Wenn der Position-, Description- oder Extensions-Wert ungültig ist, wird ein entsprechender Laufzeitfehler angezeigt.

Dialogfelder zum Auswählen von Ordnern besitzen keine Dateifilter; aus diesem Grund können keine Filtermethoden auf diese Dialogfelder angewendet werden.

Add-Methode für das Scripts-Objekt.

Fügt ein Script-Objekt zur Scripts-Auflistung eines der folgenden Objekte hinzu: Document- oder Range-Objekt in Microsoft Word, Worksheet- oder Chart-Objekt in Microsoft Excel, Slide-, SlideRange-, Master-Objekt (für Folien oder Titel) in Microsoft PowerPoint. Gibt ein Script-Objekt zurück.

Ausdruck.Add(Anchor, Location, Language, Id, Extended, ScriptText)

Ausdruck Erforderlich. Die Scripts-Auflistung.

Anchor Optionales Range-Argument (nur für Microsoft Excel). Das Anchor-Argument akzeptiert ein Excel-Range-Objekt, das die Platzierung des Skriptanchors in einem Excel-Arbeitsblatt angibt. Sie können Skriptanchors nicht in Excel-Diagramme einfügen.

Location Optionaler MsoScriptLocation-Wert. Gibt die Position des Skriptanchors in einem Dokument an. Wenn Sie das Anchor-Argument angegeben haben, wird das Location-Argument nicht verwendet; die Position des Anchor-Arguments bestimmt die Position des Scriptanchors.

MsoScriptLocation kann eine der folgenden MsoScriptLocation-Konstanten sein:
msoScriptLocationInBody Standardwert
msoScriptLocationInHead

Language Optionaler MsoScriptLanguage-Wert. Gibt die Scriptsprache an.

MsoScriptLanguage kann eine der folgenden MsoScriptLanguage-Konstanten sein:
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic Standardwert

Id Optionaler String-Wert. Die ID des <SCRIPT>-Tags in HTML. Das Id-Argument gibt eine SGML-ID an, die zur Benennung von Elementen verwendet wird. Gültige IDs sind alle alphanumerischen Zeichenfolgen, die mit einem Buchstaben beginnen. Diese Zeichenfolgen können auch Unterstriche ( _ ) enthalten. Die ID muss innerhalb des HTML-Dokuments eindeutig sein. Dieser Parameter wird als ID-Attribut im <SCRIPT>-Tag exportiert.

Extended Optionaler String-Wert. Gibt Attribute an, die zum <SCRIPT>-Tag hinzugefügt werden sollen (LANGUAGE- und ID-Attribute werden über die Language- und Id-Parameter exportiert; sie dürfen nicht über den Extended-Parameter exportiert werden). Der Standardwert ist eine leere Zeichenfolge. Attribute werden durch Leerzeichen voneinander getrennt, wie in HTML. Die Microsoft Office-Hostanwendung bietet keine Möglichkeit zur Überprüfung der Syntax von übergebenen Attributen.

ScriptText Optionaler String-Wert. Gibt den Text an, der in einem Skriptblock enthalten ist. Der Standardwert ist eine leere Zeichenfolge. Die Microsoft Office-Hostanwendung überprüft die Syntax des Skripts nicht.

Hinweise

Eine mit einem Skriptblock verknüpfte Form wird in HTML nicht als Form exportiert oder gedruckt. Nur der Skriptblock wird exportiert.

Sie können die Add-Methode nicht verwenden, um einen Skriptanchor zu einem PowerPoint-Folienbereich mit mehreren Folien hinzuzufügen.

Add-Methode für das SignatureSet-Objekt.

Gibt ein Signature-Objekt zurück, das eine neue E-Mail-Signatur repräsentiert.

Ausdruck.Add

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Add-Methode für das ODSOFilters-Objekt.

Fügt einen neuen Filter zur ODSOFilters-Auflistung hinzu.

Ausdruck.Add(Column, Comparison, Conjunction, bstrCompareTo, DeferUpdate)

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Column Erforderlicher String-Wert. Der Name der Tabelle in der Datenquelle.

Comparison Erforderlicher MsoFilterComparison-Wert. Wie die Daten in der Tabelle gefiltert werden.

MsoFilterComparison kann eine der folgenden MsoFilterComparison-Konstanten sein:
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

Conjunction Erforderlicher MsoFilterConjunction-Wert. Legt fest, in welcher Beziehung dieser Filter zu anderen Filtern im ODSOFilters-Objekt steht.

MsoFilterConjunction kann eine der folgenden MsoFilterConjunction-Konstanten sein:
msoFilterConjunctionAnd
msoFilterConjunctionOr

bstrCompareTo Optionaler String-Wert. Wenn das Comparison-Argument nicht msoFilterComparisonIsBlank oder msoFilterComparisonIsNotBlank ist, werden die Daten in der Tabelle mit einer Zeichenfolge verglichen.

DeferUpdate Optionaler Boolescher Wert. Der Standardwert ist False.

Add-Methode für das AnswerWizardFiles-Objekt.

Erstellt einen neuen Verweis (einen String-Wert) auf eine Datei im Antwort-Assistenten und fügt sie zur AnswerWizardFiles-Auflistung hinzu.

Ausdruck.Add(FileName)

Ausdruck Erforderlich. Ein Ausdruck, der eine AnswerWizardFiles-Auflistung zurückgibt.

FileName Erforderlicher String-Wert. Der vollständige Pfad zu der angegebenen Datei des Antwort-Assistenten.

Add-Methode für das FileTypes-Objekt.

Fügt einen neuen Dateityp zu einer Dateisuche hinzu.

Ausdruck.Add(FileType)

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

FileType Erforderlicher MsoFileType-Wert. Gibt den Typ der zu suchenden Datei an.

MsoFileType kann eine der folgenden MsoFileType-Konstanten sein:
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

Add-Methode für das PropertyTests-Objekt.

Fügt ein PropertyTest-Objekt zur PropertyTests-Auflistung hinzu.

Ausdruck.Add(Name, Condition, Value, SecondValue, Connector)

Ausdruck Erforderlich. Ein Ausdruck, der ein PropertyTests-Objekt zurückgibt.

Name Erforderlicher String-Wert. Der Name des Eigenschaftenkriteriums. Der Name entspricht einem Wert im Feld Eigenschaft des Dialogfeldes Suchen, das Sie über das Menü Extras im Dialogfeld Öffnen der Anwendung aufrufen (Menü Datei).

Condition Erforderlicher MsoCondition-Wert. Die Bedingung für die Suchkriterien.

MsoCondition kann eine der folgenden MsoCondition-Konstanten sein:
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionEqualsCompleted
msoConditionEqualsDeferred
msoConditionEqualsHigh
msoConditionEqualsInProgress
msoConditionEqualsLow
msoConditionEqualsNormal
msoConditionEqualsNotStarted
msoConditionEqualsWaitingForSomeoneElse
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeDocumentImagingFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioFiles
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionNotEqualToCompleted
msoConditionNotEqualToDeferred
msoConditionNotEqualToHigh
msoConditionNotEqualToInProgress
msoConditionNotEqualToLow
msoConditionNotEqualToNormal
msoConditionNotEqualToNotStarted
msoConditionNotEqualToWaitingForSomeoneElse
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

Value Optionaler Variant-Wert. Der Wert des Suchkriteriums.

SecondValue Optionaler Variant-Wert. Der obere Wert für den Suchbereich. Sie können dieses Argument nur verwenden, wenn Condition den Wert msoConditionAnyTimeBetween oder msoConditionAnyNumberBetween hat.

Connector Optionaler MsoConnector-Wert. Gibt an, auf welche Weise zwei Suchkriterien miteinander verbunden werden.

MsoConnector kann eine der folgenden MsoConnector-Konstanten sein:
msoConnectorAnd Standardwert
msoConnectorOr

Add-Methode für das SearchFolders-Objekt.

Fügt einen Suchordner zu einer Dateisuche hinzu.

Ausdruck.Add(ScopeFolder)

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

ScopeFolder Erforderliches ScopeFolder-Objekt. Der Ordner, der zur Suche hinzugefügt werden soll.

Beispiel

Für das AnswerWizardFiles-Objekt.

In diesem Beispiel wird der Antwort-Assistent so eingerichtet, dass er eine benutzerdefinierte Dateiliste akzeptiert, und es werden zwei benutzerdefinierte Dateien für den Antwort-Assistenten hinzugefügt. Zunächst wird die Dateiliste gelöscht, danach werden zwei benutzerdefinierte Dateien für den Antwort-Assistenten hinzugefügt. Anschließend werden die Anzahl der Dateien und die Dateinamen überprüft, um sicherzustellen, dass die Dateien korrekt hinzugefügt wurden.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If

Für das CommandBarControls-Objekt.

In diesem Beispiel wird eine benutzerdefinierte Bearbeitungssymbolleiste erstellt, die Schaltflächen (Steuerelemente) zum Ausschneiden, Kopieren und Einfügen enthält.

Dim customBar As CommandBar
Dim newButton As CommandBarButton
Set customBar = CommandBars.Add("Custom")
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Cut").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Copy").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Paste").Id)
customBar.Visible = True

Für das DocumentProperties-Objekt.

In diesem Beispiel, das für die Ausführung in Microsoft Word vorgesehen ist, werden der DocumentProperties-Auflistung drei benutzerdefinierte Dokumenteigenschaften hinzugefügt.

With ActiveDocument.CustomDocumentProperties
    .Add Name:="CustomNumber", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeNumber, _
        Value:=1000
    .Add Name:="CustomString", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeString, _
        Value:="This is a custom property."
    .Add Name:="CustomDate", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeDate, _
        Value:=Date
End With

Für das PropertyTests-Objekt.

In diesem Beispiel werden zwei Eigenschaftentests zu den Suchkriterien hinzugefügt. Für den ersten Test gilt, dass die gesuchten Dateien Word-Dokumente sein müssen. Für den zweiten Test gilt, dass diese Dateien zwischen dem 1. Januar 1996 und dem 30. Juni 1996 geändert worden sein müssen. Bei diesem Beispiel wird außerdem ein Meldungsfenster mit der Gesamtzahl und den Namen der gefundenen Dateien angezeigt.

Set fs = Application.FileSearch
fs.NewSearch
With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeWordDocuments, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/98", SecondValue:="6/30/98", _
        Connector:=msoConnectorAnd
End With
If fs.Execute() > 0 Then
        For i = 1 To fs.FoundFiles.Count
            strFound = strFound & fs.FoundFiles(i) & vbCrLf
        Next i
        MsgBox "Search found the following " _
            & fs.FoundFiles.Count & _
            " file(s):" & vbCrLf & strFound
Else
    MsgBox "There were no files found."
End If
Für das Scripts-Objekt.

In diesem Beispiel wird zum angegebenen Bereich in Arbeitsblatt 1 der aktiven Arbeitsmappe ein neues Script-Objekt hinzugefügt.

Dim rngScriptAnchorRange As Range
Dim objNewScript As Script

Set rngScriptAnchorRange = ActiveWorkbook. _
    Worksheets(1).Range("B5")
Set objNewScript = ActiveWorkbook. _
    Worksheets(1).Scripts.Add(rngScriptAnchorRange, _
      msoScriptLocationInBody, _
      msoScriptLanguageVisualBasic, _
      "MyNewScript", , _
      "MsgBox (""Added Script object MyNewScript"")")


AddItem-Methode

Fügt dem angegebenen Kombinationsfeldsteuerelement der Befehlsleiste ein Listenelement hinzu. Das Kombinationsfeldsteuerelement muss ein benutzerdefiniertes Steuerelement (ActiveX) und entweder ein Dropdownlistenfeld oder ein Kombinationsfeld sein.

Anmerkung Diese Methode funktioniert nicht, wenn sie auf ein Bearbeitungsfeld oder ein integriertes Kombinationsfeldsteuerelement angewendet wird.

Ausdruck.AddItem(Text, Index)

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBarComboBox-Objekt zurückgibt.

Text Erforderlicher String-Wert. Der Text, der dem Steuerelement hinzugefügt wird.

Index Optionaler Variant-Wert. Die Position des Elements in der Liste. Wenn Sie dieses Argument auslassen, wird das Element am Ende der Liste hinzugefügt.

Beispiel

In diesem Beispiel wird einer Befehlsleiste ein Kombinationsfeldsteuerelement hinzugefügt. Anschließend werden der Kombinationsfeldliste zwei Elemente hinzugefügt. Außerdem werden die Anzahl der Zeileneinträge und die Breite des Kombinationsfeldes festgelegt.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


AddToSearchFolders-Methode

Fügt ein ScopeFolder-Objekt zur SearchFolders-Auflistung hinzu.

Ausdruck.AddToSearchFolders

Ausdruck Erforderlich. Ein Ausdruck, der ein ScopeFolder-Objekt zurückgibt.

Hinweise

Es ist zwar möglich, die Add-Methode der SearchFolders-Auflistung zu verwenden, um ein ScopeFolder-Objekt zur SearchFolders-Auflistung hinzuzufügen, in der Regel ist es jedoch einfacher, die AddToSearchFolders-Methode des hinzuzufügenden ScopeFolder-Objekts zu verwenden, da nur eine SearchFolders-Auflistung für alle Suchvorgänge existiert.

Beispiel

Im folgenden Beispiel wird das ScopeFolder-Objekt zur SearchFolders-Auflistung hinzugefügt. Ein längeres Beispiel für die Verwendung der AddToSearchFolders-Methode finden Sie im Hilfethema zur SearchFolders-Auflistung.

Application.FileSearch.SearchScopes(1).ScopeFolder.AddToSearchFolders


ApplyFilter-Methode

Wendet einen Filter auf eine Seriendruckdatenquelle an, um die Datensätze auszufiltern, die den angegebenen Kriterien entsprechen.

Ausdruck.ApplyFilter

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

In diesem Beispiel wird ein neuer Filter hinzugefügt, der alle Datensätze entfernt, in denen das Feld Region leer ist. Anschließend wird der Filter auf die aktive Publikation angewendet.

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


Clear-Methode

Entfernt alle Listenelemente aus dem angegebenen Kombinationsfeldsteuerelement (Dropdownlistenfeld oder Kombinationsfeld) der Befehlsleiste und löscht das Textfeld (Bearbeitungsfeld oder Kombinationsfeld).

Anmerkung Diese Methode funktioniert nicht, wenn sie auf ein integriertes Befehlsleistensteuerelement angewendet wird.

Ausdruck.Clear

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBarComboBox-Objekt zurückgibt.

Beispiel

In diesem Beispiel wird die Anzahl der Elemente im Kombinationsfeldsteuerelement auf der Befehlsleiste Custom geprüft. Enthält die Liste im Kombinationsfeld weniger als drei Elemente, wird der Inhalt der Liste gelöscht, der Liste ein neues, erstes Element hinzugefügt und anschließend das neue Element als Standard für das Kombinationsfeldsteuerelement angezeigt.

Set myBar = CommandBars("Custom Bar")
Set myControl = myBar.Controls _
    Type:=msoControlComboBox)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
If myControl.ListCount < 3 Then
    myControl.Clear
    myControl.AddItem Text:="New Item", Index:=1
End If


ClearFileList-Methode

Löscht die Liste der Dateien für den aktuellen Antwort-Assistenten, einschließlich der Standarddateiliste für die Microsoft Office-Hostanwendung.

Ausdruck.ClearFileList

Ausdruck Ein Ausdruck, der ein AnswerWizard-Objekt zurückgibt.

Hinweise

Verwenden Sie diese Methode, um alle Einträge aus der aktuellen Dateiliste für die angegebene Anwendung zu löschen. Sie können mit dieser Methode außerdem sicherstellen, dass den Benutzern keine Standarddateien des Antwort-Assistenten für die Hostanwendung zur Verfügung stehen. In diesem Fall können Sie mit der Add-Methode der AnswerWizardFiles-Auflistung eine benutzerdefinierte Dateiliste erstellen.

Wenn Sie die Standarddateien des Antwort-Assistenten für die Hostanwendung wiederherstellen möchten, verwenden Sie die ResetFileList-Methode.

Beispiel

In diesem Beispiel wird der Antwort-Assistent so eingerichtet, dass er eine benutzerdefinierte Dateiliste akzeptiert, und es werden zwei benutzerdefinierte Dateien für den Antwort-Assistenten hinzugefügt. Zunächst wird die Dateiliste gelöscht, danach werden zwei benutzerdefinierte Dateien für den Antwort-Assistenten hinzugefügt. Anschließend werden die Anzahl der Dateien und die Dateinamen überprüft, um sicherzustellen, dass die Dateien korrekt hinzugefügt wurden

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If


Close-Methode

Schließt die aktive Sprechblase ohne Modus. Verwenden Sie diese Methode nur in Callback-Prozeduren.

Ausdruck.Close

Ausdruck Erforderlich. Ein Ausdruck, der ein Balloon-Objekt zurückgibt.

Beispiel

In diesem Beispiel wird eine sprechblasenförmige Legende angezeigt, die Anweisungen für die Auswahl eines Druckers enthält. Wenn der Benutzer in der sprechblasenförmigen Legende auf die Schaltfläche OK klickt, wird die Callback-Prozedur ProcessPrinter ausgeführt und die Sprechblase geschlossen.

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


Commit-Methode

Schreibt alle Änderungen der angegebenen SignatureSet-Auflistung auf die Festplatte. Bis zur Ausführung der Commit-Methode werden die Änderungen der SignatureSet-Auflistung nicht gespeichert.

Ausdruck.Commit

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird der Benutzer aufgefordert, eine digitale Signatur auszuwählen, mit der das aktive Dokument in Microsoft Word signiert wird. Öffnen Sie für dieses Beispiel ein Dokument in Word, und rufen Sie diese Funktion auf. Die Funktion überprüft dann, ob die vom Benutzer ausgewählte digitale Signatur noch länger als 12 Monate gültig ist. Wenn dies nicht der Fall ist, wird das Zertifikat nicht angefügt.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Copy-Methode

Kopiert das angegebene Befehlsleistensteuerelement in eine vorhandene Befehlsleiste.

Ausdruck.Copy(Bar, Before)

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBarControl-, ein CommandBarButton-, ein CommandBarPopup- oder ein CommandBarComboBox-Objekt zurückgibt.

Bar Optionaler Variant-Wert. Ein CommandBar-Objekt, das die Zielbefehlsleiste darstellt. Wenn Sie dieses Argument auslassen, wird das Steuerelement in dieselbe Befehlsleiste kopiert, in der es sich bereits befindet.

Before Optionaler Variant-Wert. Eine Zahl, welche die Position für das neue Steuerelement auf der angegebenen Befehlsleiste angibt. Das neue Steuerelement wird vor dem Steuerelement eingefügt, das sich an dieser Position befindet. Wenn dieses Argument ausgelassen wird, wird das Element an das Ende der Befehlsleiste kopiert.

Beispiel

In diesem Beispiel wird das erste Steuerelement der Befehlsleiste Standard in die Befehlsleiste Custom kopiert und dort an die erste Position gesetzt.

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
With myControl
    .Copy Bar:=myCustomBar, Before:=1
    .SetFocus
End With


CopyFace-Methode

Kopiert das Symbol des angegebenen Schaltflächensteuerelements der Befehlsleiste in die Zwischenablage.

Ausdruck.CopyFace

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBarButton-Objekt zurückgibt.

Hinweise

Verwenden Sie die PasteFace-Methode, um den Inhalt der Zwischenablage in ein Schaltflächensymbol einzufügen.

Beispiel

In diesem Beispiel wird die integrierte Schaltfläche Öffnen gesucht. Die Schaltflächenoberfläche wird in die Zwischenablage kopiert und dann in die Schaltfläche Rechtschreibung und Grammatik eingefügt.

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, ID:=2)
myControl.PasteFace


Delete-Methode

Delete-Methode für das DocumentProperty-Objekt.

Entfernt eine benutzerdefinierte Dokumenteigenschaft.

Ausdruck.Delete

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Hinweise

Sie können keine integrierte Dokumenteigenschaft löschen.

Delete-Methode für das AnswerWizardFiles-Objekt.

Löscht das angegebene Objekt aus der Auflistung, in der es enthalten ist.

Ausdruck.Delete(FileName)

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

FileName Erforderlicher String-Wert. Der Name der zu löschenden Datei mit vollständigem Pfad, Dateinamen und Dateinamenerweiterung.

Delete-Methode für das FileDialogFilters-Objekt.

Entfernt ein Dateidialogfilter.

Ausdruck.Delete(filter)

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

filter Optionaler Variant-Wert. Der zu entfernende Filter.

Delete-Methode für das ODSOFilters-Objekt.

Löscht ein Filterobjekt aus der ODSOFilters-Auflistung.

Ausdruck.Delete(Index, DeferUpdate)

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Index Erforderlicher Long-Wert. Die Nummer des zu löschenden Filters.

DeferUpdate Optionaler Boolescher Wert.

Delete-Methode für die CommandBar-, Script-, Scripts- und Signature-Objekte.

Löscht das angegebene Objekt aus der Auflistung.

Ausdruck.Delete

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Hinweise

Bei der Scripts-Auflistung entfernt die Delete-Methode alle Skripts aus dem angegebenen Word-Dokument, dem Excel-Tabellenblatt oder der PowerPoint-Folie. Ein Skriptanchor wird durch eine Form in der Hostanwendung repräsentiert. Daher wird das Shape-Objekt, das mit jedem Skriptanchor des Typs msoScriptAnchor verknüpft ist, aus der Shapes-Auflistung in Excel und PowerPoint sowie aus den InlineShapes- und Shapes-Auflistungen in Word gelöscht.

Delete-Methode für die CommandBarButton-, CommandBarComboBox-, CommandBarControl- und CommandBarPopup-Objekte.

Löscht das angegebene Objekt aus der Auflistung, in der es enthalten ist.

Ausdruck.Delete(Temporary)

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Temporary Optionaler Variant-Wert. True, um das Steuerelement für die aktuelle Sitzung zu entfernen. Die Anwendung zeigt das Steuerelement in der nächsten Sitzung erneut an.

Beispiel

Für das CommandBar-Objekt.

In diesem Beispiel werden alle benutzerdefinierten Befehlsleisten gelöscht, die nicht sichtbar sind.

foundFlag = False
delBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And _
    (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        delBars = delBars + 1
    End If
Next bar
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox delBars & " custom bar(s) deleted."
End If

Für das DocumentProperty-Objekt.

In diesem Beispiel wird eine benutzerdefinierte Dokumenteigenschaft gelöscht. Damit dieses Beispiel korrekt ausgeführt wird, muss ein benutzerdefiniertes DocumentProperty-Objekt mit dem Namen CustomNumber existieren.

ActiveDocument.CustomDocumentProperties("CustomNumber").Delete


DoAlert-Methode

Zeigt eine Warnung an und gibt einen Long-Wert zurück, der angibt, welche Schaltfläche der Benutzer ausgewählt hat. Sie können festlegen, ob diese Warnung im Microsoft Office-Assistenten oder in einem normalen Meldungsfeld angezeigt wird.

Ausdruck.DoAlert(bstrAlertTitle, bstrAlertText, alb, alc, ald, alq, varfSysAlert)

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

bstrAlertTitle Erforderlicher String-Wert. Legt den Titel der Warnmeldung fest.

bstrAlertText Erforderlicher String-Wert. Legt den Text der Warnmeldung fest.

alb Erforderlicher MsoAlertButtonType-Wert. Legt fest, welche Schaltflächen mit der Warnmeldung angezeigt werden.

MsoAlertButtonType kann eine der folgenden MsoAlertButtonType-Konstanten sein:
msoAlertButtonAbortRetryIgnore
msoAlertButtonOK
msoAlertButtonOKCancel
msoAlertButtonRetryCancel
msoAlertButtonYesAllNoCancel Verwenden Sie diese Konstante nur, wenn das varfSysAlert-Argument auf False gesetzt wurde.
msoAlertButtonYesNo
msoAlertButtonYesNoCancel

alc Erforderlicher MsoAlertIconType-Wert. Legt fest, welche Symbole mit der Warnmeldung angezeigt werden.

MsoAlertIconType kann eine der folgenden MsoAlertIconType-Konstanten sein:
msoAlertIconCritical
msoAlertIconInfo
msoAlertIconNoIcon
msoAlertIconQuery
msoAlertIconWarning

ald Erforderlicher MsoAlertDefaultType-Wert. Legt fest, welche Schaltfläche die Standardschaltfläche der Warnmeldung ist. Wenn dieses Argument auf einen Wert gesetzt wird, der größer als die Anzahl der Schaltflächen ist, wird ein Fehler zurückgegeben.

MsoAlertDefaultType kann eine der folgenden MsoAlertDefaultType-Konstanten sein:
msoAlertDefaultFifth
msoAlertDefaultFirst
msoAlertDefaultFourth
msoAlertDefaultSecond
msoAlertDefaultThird

alq Erforderlicher MsoAlertCancelType-Wert. Wählen Sie dafür immer die Einstellung msoAlertCancelDefault. Jede andere Einstellung kann einen Fehler zurückgeben.

MsoAlertCancelType kann eine der folgenden MsoAlertCancelType-Konstanten sein:
msoAlertCancelDefault
msoAlertCancelFifth
msoAlertCancelFirst
msoAlertCancelFourth
msoAlertCancelSecond
msoAlertCancelThird

varfSysAlert Erforderlicher Boolescher Wert. True, wenn die Warnmeldung in einem Meldungsfeld angezeigt wird; False, wenn die Warnmeldung im Office-Assistenten angezeigt wird.

Hinweise

Die Rückgabewerte der DoAlert-Methode entsprechen den Werten des vbMsgBoxResult-Aufzählungstypen (z. B. vbYes, vbNo oder vbCancel). Darüber hinaus können auch die folgenden Werte zurückgegeben werden:

  • "Ja, alle" = 8
  • "Wiederholen" = 10
  • "Fortsetzen" = 11

Beispiel

Im folgenden Beispiel werden eine Warnmeldung im Office-Assistenen und ein Meldungsfeld angezeigt, das angibt, welche Schaltfläche der Benutzer ausgewählt hat. Wenn der Assistent deaktiviert ist, wird die Warnmeldung in einem normalen Meldungsfeld angezeigt.

Sub AssistantAlert()
    With Application.Assistant
        Select Case _
            .DoAlert( _
            "Test", _
            "Click a button.", _
            msoAlertButtonYesAllNoCancel, _
            msoAlertIconCritical, _
            msoAlertDefaultSecond, _
            msoAlertCancelFirst, _
            False)

            Case vbYes: MsgBox "The user clicked Yes."
            Case vbNo: MsgBox "The user clicked No."
            Case vbCancel: MsgBox "The user clicked Cancel."
            Case 8: MsgBox "The user clicked Yes To All" 'This is the return value for YesToAll
            Case Else
        End Select
    End With
End Sub


EndWizard-Methode

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Gibt die von der StartWizard-Methode zurückgegebene Variable frei.

Anmerkung Verwenden Sie diese Methode nur mit der StartWizard-Methode.

Ausdruck.EndWizard(WizardID, varfSuccess, Animation)

Ausdruck Erforderlich. Ein Ausdruck, der ein Assistant-Objekt zurückgibt.

WizardID Erforderlicher Long-Wert. Die von der StartWizard-Methode zurückgegebene Zahl.

varfSuccess Erforderlicher Boolescher Wert. Bei der Rückgabe dieser Methode ist dieses Argument True, wenn der Benutzer den Assistenten erfolgreich abschließt.

Animation Optionaler Variant-Wert. Der Animationstyp, den der Office-Assistent ausführt, wenn varfSuccess True ist. Der Standardwert ist msoAnimationCharacterSuccessMajor.

Beispiel

In diesem Beispiel wird der Office-Assistent für eine Assistentensitzung geschlossen, die vom Benutzer erfolgreich abgeschlossen wurde. Der Variablen lHelpForWiz wurde der von der StartWizard-Methode zurückgegebene Wert zugewiesen.

Assistant.EndWizard WizardId:=lHelpForWiz, _
    varfSuccess:=True, Animation:=msoAnimationGoodbye


Execute-Methode

Execute-Methode für das FileSearch-Objekt.

Beginnt die Suche nach den angegebenen Dateien. Gibt einen Long-Wert zurück (null (0), wenn keine Dateien gefunden werden, eine positive Zahl, wenn eine oder mehrere Dateien gefunden werden).

Ausdruck.Execute(SortBy, SortOrder, AlwaysAccurate)

Ausdruck Erforderlich. Ein Ausdruck, der ein FileSearch-Objekt zurückgibt.

SortBy Optionaler MsoSortBy-Wert. Die Methode zum Sortieren der zurückgegebenen Dateien.

MsoSortBy kann eine der folgenden MsoSortBy-Konstanten sein:
msoSortByFileName Standardwert
msoSortByFileType
msoSortByLastModified
msoSortByNone
msoSortBySize

SortOrder Optionaler MsoSortOrder-Wert. Die Reihenfolge, in der die Dateien zurückgegeben werden.

MsoSortOrder kann eine der folgenden MsoSortOrder-Konstanten sein:
msoSortOrderAscending Standardwert
msoSortOrderDescending

AlwaysAccurate Optionaler Boolescher Wert. True, wenn in die Dateisuche Dateien einbezogen werden sollen, die seit der letzten Aktualisierung des Dateiindexes hinzugefügt, geändert oder gelöscht wurden. Der Standardwert ist True.

Execute-Methode für die CommandBarButton-, CommandBarComboBox-, CommandBarControl-, CommandBarPopup- und FileDialog-Objekte.

Bei Befehlsleistenobjekten wird die Prozedur oder der integrierte Befehl ausgeführt, der dem angegebenen Befehlsleisten-Steuerelement zugewiesen ist. Verwenden Sie für benutzerdefinierte Steuerelemente die OnAction-Eigenschaft, um anzugeben, welche Prozedur ausgeführt werden soll.

Bei FileDialog-Objekten des Typs msoFileDialogOpen oder msoFileDialogSaveAs, wird unmittelbar nach dem Aufruf der Show-Methode eine Benutzeraktion ausgeführt.

Ausdruck.Execute

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Beispiel

Für das FileSearch-Objekt.

In diesem Beispiel werden alle Dateien im Ordner My Documents gesucht, die die Dateinamenerweiterung .doc besitzen. Außerdem werden Name und Speicherort jeder gefundenen Datei angezeigt. Dabei wird die Liste der zurückgegebenen Dateinamen alphabetisch in aufsteigender Reihenfolge sortiert.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "*.doc"
    If .Execute(SortBy:=msoSortbyFileName, _
            SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

Für die CommandBarButton-, CommandBarComboBox-, CommandBarControl- und CommandBarPopup-Objekte.

In diesem Beispiel für Microsoft Excel wird eine Befehlsleiste erstellt und zu dieser dann ein Steuerelement für eine integrierte Befehlsleistenschaltfläche hinzugefügt. Die Schaltfläche führt die Excel-Funktion AutoSumme aus. In diesem Beispiel wird die Execute-Methode verwendet, um die Summe für den markierten Zellenbereich zu berechnen, wenn die Befehlsleiste angezeigt wird.

Dim cbrCustBar As CommandBar
Dim ctlAutoSum As CommandBarButton
Set cbrCustBar = CommandBars.Add("Custom")
Set ctlAutoSum = cbrCustBar.Controls _
    .Add(msoControlButton, CommandBars("Standard") _
    .Controls("AutoSum").Id)
cbrCustBar.Visible = True
ctlAutoSum.Execute


FindControl-Methode

Gibt ein CommandBarControl-Objekt zurück, das den angegebenen Kriterien entspricht.

Ausdruck.FindControl(Type, Id, Tag, Visible, Recursive)

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBars-Objekt zurückgibt.

Type Optionaler MsoControlType-Wert. Die Art des Steuerelements.

MsoControlType kann eine der folgenden MsoControlType-Konstanten sein:
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane

Id Optionaler Variant-Wert. Der Bezeichner des Steuerelements.

Tag Optionaler Variant-Wert. Der Wert der Markierung des Steuerelements.

Visible Optionaler Variant-Wert. True, wenn nur sichtbare Befehlsleistensteuerelemente in die Suche einbezogen werden sollen. Der Standardwert ist False. Sichtbare Befehlsleisten sind sichtbare Symbolleisten und alle Menüs, die zum Zeitpunkt der Ausführung der FindControl-Methode geöffnet sind.

Recursive Optionaler Boolescher Wert. True, wenn die Befehlsleiste und alle zugehörigen Untersymbolleisten in die Suche einbezogen werden sollen. Dieses Argument gilt nur für das CommandBar-Objekt. Der Standardwert ist False.

Hinweise

Wenn die CommandBars-Auflistung zwei oder mehr Steuerelemente enthält, die den Suchkriterien entsprechen, gibt FindControl das erste Steuerelement zurück, das gefunden wurde. Wenn kein Steuerelement gefunden wurde, das den Kriterien entspricht, gibt die FindControl-Methode Nothing zurück.

Beispiel

In diesem Beispiel wird das erste Steuerelement auf der Befehlsleiste Custom gesucht. Ist das Steuerelement eine Schaltfläche, dann wird mithilfe der FindControl-Methode die Schaltfläche Kopieren (auf der Symbolleiste Standard) gesucht, und anschließend wird die Oberfläche der Schaltfläche Kopieren in das Steuerelement eingefügt.

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = 1 Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If


FindControls-Methode

Gibt die CommandBarsControls-Auflistung zurück, die den angegebenen Kriterien entspricht.

Ausdruck.FindControls(Type, Id, Tag, Visible)

Ausdruck Erforderlich. Ein Ausdruck, der eine CommandBarControls-Auflistung zurückgibt.

Type Optionaler MsoControlType-Wert. Die Art des Steuerelements.

MsoControlType kann eine der folgenden MsoControlType-Konstanten sein:
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane
Id Optionaler Variant-Wert. Der Bezeichner des Steuerelements.

Tag Optionaler Variant-Wert. Der Tagwert des Steuerelements.

Visible Optionaler Variant-Wert. True, wenn nur sichtbare Befehlsleistensteuerelemente in die Suche einbezogen werden sollen. Der Standardwert ist False.

Hinweise

Wenn keine Steuerelemente gefunden werden, die den Kriterien entsprechen, gibt die FindControls-Methode Nothing zurück.

Beispiel

In diesem Beispiel wird die FindControls-Methode zur Rückgabe aller Elemente der CommandBars-Auflistung verwendet, deren ID 18 ist. Außerdem wird (in einem Meldungsfenster) die Anzahl der Steuerelemente angezeigt, die die Suchkriterien erfüllen.

Dim myControls As CommandBarControls
Set myControls = CommandBars.FindControls(Type:=msoControlButton, ID:=18)
MsgBox "There are " & myControls.Count & _
    " controls that meet the search criteria."


Help-Methode

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Zeigt den Office-Assistenten und die integrierte Sprechblase des Assistenten an.

Ausdruck.Help

Ausdruck Erforderlich. Ein Ausdruck, der ein Assistant-Objekt zurückgibt.

Beispiel

In diesem Beispiel wird die integrierte Sprechblase des Assistenten angezeigt, wenn der Benutzer das Kontrollkästchen "I need more information" aktiviert.

Set b = Assistant.NewBalloon
With b
    .Heading = "User Information"
    .Text = "Select your skill level"
    .CheckBoxes(1).Text = "Beginner."
    .CheckBoxes(2).Text = "Advanced."
    .CheckBoxes(3).Text = "I need more information."
    .Show
End With
If b.CheckBoxes(3).Checked = True Then
    Assistant.Help
End If


Item-Methode

Item-Methode für das COMAddIns-Objekt.

Gibt ein Element der angegebenen COMAddIns-Auflistung zurück.

Ausdruck.Item(Index)

Ausdruck Erforderlich. Die angegebene COMAddIns-Auflistung.

Index Erforderlicher Variant-Wert. Eine Ordnungszahl, die das COM-Add-In an dieser Position der COMAddIns-Auflistung zurückgibt oder ein String-Wert, der die ProgID des angegebenen COM-Add-Ins repräsentiert.

Item-Methode für das FileDialogFilters-Objekt.

Gibt ein FileDialogFilter-Objekt zurück, das ein Element der angegebenen FileDialogFilters-Auflistung ist.

Ausdruck.Item(Index)

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Index Erforderlicher Long-Wert. Die Indexzahl des zurückzugebenden FileDialogFilter-Objekts.

Item-Methode für das HTMLProjectItems-Objekt.

Gibt das HTMLProjectItem-Objekt zurück, das ein bestimmtes Projekt im Microsoft Skript-Editor darstellt.

Ausdruck.Item(Index)

Ausdruck Erforderlich. Eine HTMLProjectItems-Auflistung.

Index Erforderlicher Variant-Wert. Der Name oder Index des zurückzugebenden HTML-Projektelements.

Item-Methode für das Scripts-Objekt.

Gibt ein Element der Scripts-Auflistung zurück. Akzeptiert die Indexnummer oder ID des Skripts, das von der Microsoft Office-Anwendung zurückgegeben werden soll. Die Item-Methode akzeptiert einen Variant-Wert, der eine Ordinalzahl (Indexwert) akzeptieren kann, mit der das an dieser Position der Scripts-Auflistung gespeicherte Skript zurückgegeben wird, oder einen String-Wert, der den Namen oder die ID des Skripts repräsentiert.

Ausdruck.Item(Index)

Ausdruck Erforderlich. Ein Ausdruck, der ein Scripts-Objekt zurückgibt.

Index Erforderlicher Variant-Wert. Die ID oder der Index des zurückzugebenden Skripts.

Hinweise

Die Scripts-Auflistung enthält alle Skripts eines bestimmten Dokuments in der Ursprungsreihenfolge (der Reihenfolge der Script-Objekte in der Quelldatei). Skripts werden unabhängig von ihrer Position im Dokument in der Ursprungsreihenfolge verwaltet, d. h. sie können sich in der Kopfzeile oder im Textkörper befinden.

Sie können die Item-Methode verwenden, um auf ein Skript in der Scripts-Auflistung zuzugreifen, indem Sie die ID des <SCRIPT>-Tags angeben. Das ID-Attribut des <SCRIPT>-Tags ist mit der Id-Eigenschaft des Script-Objekts identisch. Wenn Sie die Id-Eigenschaft eines Script-Objekts verwenden, um mithilfe der Item-Methode auf ein Skript zuzugreifen, und das Dokument doppelte oder mehrere IDs enthält, gibt Office das erste Skript zurück, das mit der ID übereinstimmt; weitere Skripts mit derselben ID werden ignoriert.

Neue, zur Auflistung hinzugefügte Scriptanchors werden am Ende der Scripts-Auflistung in der Reihenfolge hinzugefügt, in der sie zum Dokument hinzugefügt wurden. Die Scriptanchors verbleiben in dieser Reihenfolge, bis das Dokument im HTML-Format gespeichert, geschlossen und dann erneut in der Hostanwendung geöffnet wird. Bei der Ausführung dieser Schritte wird die Scripts-Auflistung in der Reihenfolge indiziert, in der die Scriptanchors im Dokument angeordnet sind; diese Reihenfolge kann sich von der Reihenfolge unterscheiden, in der sie zum Dokument hinzugefügt wurden. Verwenden Sie daher zur sicheren Identifizierung des Skripts nicht die Position des Skripts in der Auflistung, sondern die Id-Eigenschaft des Script-Objekts.

Item-Methode für das FileDialogSelectedItems-Objekt.

Gibt einen String-Wert zurück, der dem Pfad einer der Dateien entspricht, die der Benutzer in einem mit der Show-Methode des FileDialog-Objekts angezeigten Dateidialogfeld ausgewählt hat. Die FileDialogSelectedItems-Auflistung ist eine Auflistung von Zeichenfolgen.

Ausdruck.Item(Index)

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Index Erforderlicher Long-Wert. Die Indexzahl der zurückzugebenden Zeichenfolge.


LoadFromFile-Methode

Aktualisiert den Text im Microsoft Skript-Editor mit Text aus der angegebenen Datei (auf der Festplatte).

Ausdruck.LoadFromFile(Filename)

Ausdruck Ein HTMLProjectItem-Objekt.

Filename Erforderlicher String-Wert. Der vollständige Pfad der Textdatei, die den zu ladenden Text enthält.

Beispiel

In diesem Beispiel wird festgestellt, ob das angegebene HTML-Projektelement geöffnet ist. Falls ja, wird ein Skript aus der angegebenen Datei geladen.

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


Move-Methode

Teile dieses Hilfethemas gelten möglicherweise nicht für alle Sprachen.

Move-Methode für die CommandBarButton-, CommandBarComboBox-, CommandBarControl- und CommandBarPopup-Objekte.

Verschiebt das angegebene Befehlsleisten-Steuerelement auf eine vorhandene Befehlsleiste.

Ausdruck.Move(Bar, Before)

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Bar Optionaler Variant-Wert. Ein CommandBar-Objekt, das die Zielbefehlsleiste für das Steuerelement repräsentiert. Wird dieses Argument weggelassen, wird das Element an das Ende der Befehlsleiste verschoben, auf der es sich momentan befindet.

Before Optionaler Variant-Wert. Eine Zahl, die die Position für das Steuerelement angibt. Das Steuerelement wird vor dem Steuerelement eingefügt, das sich momentan an dieser Position befindet. Wird dieses Argument weggelassen, wird das Steuerelement am Ende derselben Befehlsleiste eingefügt.

Move-Methode für das Assistant-Objekt.

Verschiebt den Office-Assistenten an die angegebene Position.

Ausdruck.Move(xLeft, yTop)

Ausdruck Erforderlich. Ein Ausdruck, der ein Assistant-Objekt zurückgibt.

xLeft Erforderlicher Integer-Wert. Die linke Position des Fensters des Office-Assistenten in Punkt.

yTop Erforderlicher Integer-Wert. Die obere Position des Fensters des Office-Assistenten in Punkt.

Beispiel

Für die CommandBarButton-, CommandBarComboBox-, CommandBarControl- und CommandBarPopup-Objekte.

In diesem Beispiel wird das erste Kombinationsfeld-Steuerelement auf der Befehlsleiste Custom an die Position vor dem siebenten Steuerelement dieser Befehlsleiste verschoben. Außerdem wird die Markierung auf Auswahlfeld gesetzt und dem Steuerelement eine niedrige Priorität zugewiesen, sodass es aus der Befehlsleiste entfernt wird, wenn nicht alle Steuerelemente in eine Reihe passen.

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
             .Tag = "Selection box"
             .Priority = 5
         End With
         Exit For
    End If
Next

Für das Assistant-Objekt.

In diesem Beispiel wird der Office-Assistent an der angegebenen Position angezeigt, nachdem verschiedene Optionen eingestellt wurden.

With Assistant
    .Reduced = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


NewSearch-Methode

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Setzt die Einstellungen aller Suchkriterien auf die Standardeinstellungen zurück.

Ausdruck.NewSearch

Ausdruck Erforderlich. Ein Ausdruck, der ein FileSearch-Objekt zurückgibt.

Hinweise

Die Einstellungen der Suchkriterien werden für die Dauer einer Anwendungssitzung beibehalten. Verwenden Sie diese Methode jedes Mal, wenn Sie die Suchkriterien ändern. Der Wert der LookIn-Eigenschaft wird durch diese Methode nicht zurückgesetzt.

Beispiel

In diesem Beispiel wird die NewSearch-Methode verwendet, um vor dem Start einer neuen Suche die Suchkriterien auf die Standardeinstellungen zurückzusetzen.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "run"
    .TextOrProperty = "San*"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Open-Methode

Öffnet das angegebene HTML-Projekt oder -Projektelement im Microsoft Skript-Editor in einer der Ansichten, die durch die unten aufgelisteten optionalen MsoHTMLProjectOpen-Konstanten angegeben werden. Ist eine der Konstanten nicht angegeben, wird das Projektelement in der Standardansicht geöffnet.

Ausdruck.Open(OpenKind)

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

OpenKind Optionaler MsoHTMLProjectOpen-Wert. Die Ansicht, in der das angegebene Projekt bzw. Projektelement geöffnet wird.

MsoHTMLProjectOpen kann eine der folgenden MsoHTMLProjectOpen-Konstanten sein:
msoHTMLProjectOpenSourceView
msoHTMLProjectOpenTextView

Hinweise

Die Standardansicht hängt davon ab, ob bei Ausführung der Open-Methode der Microsoft Skript-Editor geöffnet ist. Ist der Skript-Editor nicht geöffnet, startet die Open-Methode den Skript-Editor in der Quellansicht. Ist der Skript-Editor bereits geöffnet, aktiviert die Open-Methode den Skript-Editor und zeigt das Skript in der aktuellen Ansicht an.

Beispiel

In diesem Beispiel wird das HTML-Projekt in der aktiven Arbeitsmappe in der Quellansicht geöffnet.

AppActiveWorkbook.HTMLProject.Open _
    (msoHTMLProjectOpenSourceView)

Im folgenden Beispiel wird das erste HTML-Projektelement in der aktiven Arbeitsmappe in der Textansicht geöffnet.

ActiveWorkbook.HTMLProject.HTMLProjectItems _
    Item(1).Open (msoHTMLProjectOpenTextView)


PasteFace-Methode

Fügt den Inhalt der Zwischenablage in das angegebene Schaltflächensteuerelement der Befehlsleiste ein.

Ausdruck.PasteFace

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBarButton-Objekt zurückgibt.

Beispiel

In diesem Beispiel wird die integrierte Schaltfläche Datei öffnen gesucht und die Oberfläche der Schaltfläche Rechtschreibung und Grammatik aus der Zwischenablage auf diese Schaltfläche kopiert.

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=2)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.PasteFace


RefreshDocument-Methode

Aktualisiert die Anzeige des angegebenen HTML-Projekts in der Microsoft Office-Hostanwendung.

Ausdruck.RefreshDocument(Refresh)

Ausdruck Ein Ausdruck, der ein HTMLProject-Objekt zurückgibt.

Refresh Erforderlicher Boolescher Wert. True, wenn alle Änderungen gespeichert werden sollen, False, wenn alle Änderungen ignoriert werden sollen.

Hinweise

Die Verwendung dieser Methode entspricht dem Klicken auf die Schaltfläche Aktualisieren auf der Symbolleiste Aktualisieren in der Office-Hostanwendung. Wenn Sie die Anzeige des Dokuments aktualisieren, indem Sie die RefreshDocument-Methode auf True setzen, werden alle Änderungen, die im Microsoft Skript-Editor an der HTML-Quelle vorgenommen wurden, in der Office-Hostanwendung gespeichert. Wenn Sie RefreshDocument auf False setzen, werden alle Änderungen an der HTML-Quelle ignoriert. Der Wert, den die State-Methode zurückgibt, hängt von der RefreshDocument-Methode ab. Wenn Sie RefreshDocument (True) aufrufen, gibt die State-Methode msoHTMLProjectStateDocumentProjectUnlocked zurück, wenn sie nach der Aktualisierungsaktion aufgerufen wird.

Beispiel

In diesem Beispiel wird die Anzeige des HTML-Projekts in der aktiven Arbeitsmappe in der Hostanwendung aktualisiert.

ActiveWorkbook.HTMLProject.RefreshDocument (True)


RefreshProject-Methode

Aktualisiert die Anzeige des angegebenen HTML-Projekts im Microsoft Skript-Editor.

Ausdruck.RefreshProject

Ausdruck Ein Ausdruck, der ein HTMLProject-Objekt zurückgibt.

Hinweise

Die Verwendung dieser Methode entspricht dem Klicken auf die Schaltfläche Aktualisieren auf der Symbolleiste Aktualisieren im Microsoft Skript-Editor. Wenn Sie die Anzeige des Dokuments aktualisieren, indem Sie die RefreshDocument-Methode auf True setzen, werden alle Änderungen, die in der Office-Hostanwendung an der HTML-Quelle vorgenommen wurden, im HTML-Projekt im Microsoft Skript-Editor gespeichert. Wenn Sie RefreshDocument auf False setzen, werden alle Änderungen an der HTML-Quelle ignoriert.

Beispiel

In diesem Beispiel wird die Anzeige des HTML-Projekts im Microsoft Skript-Editor aktualisiert.

ActiveWorkbook.HTMLProject.RefreshProject (True)


RefreshScopes-Methode

Aktualisiert die Liste der momentan verfügbaren ScopeFolder-Objekte.

Ausdruck.RefreshScopes

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel werden alle ScopeFolder-Objekte aufgelistet, die momentan auf dem Laufwert C:\ unter My Computer gespeichert sind.

Sub TestRefreshScopesMethod()
' Displays what happens before and after the RefreshScopes
' method is called when a new folder is added to the list
' of scope folders.

    ' List before the folder is created.
    Call ListFolderNames

    ' Create a new folder on the C:\ drive in My Computer.
    ' An error will occur if this folder already exists.
    MkDir Path:="C:\Delete_After_Using"

    ' List after the folder is created.
    Call ListFolderNames

    ' Refresh the list of folders.
    Application.FileSearch.RefreshScopes

    ' The newly-created folder now appears in the list.
    Call ListFolderNames

End Sub

Sub ListFolderNames()

    Dim strResults As String

    ' Loop through all the folder names on the C:\ drive
    ' in My Computer and report the results.
    ' .SearchScopes.Item(1) = "My Computer"
    ' .ScopeFolders.Item(2) = "C:\"
    With Application.FileSearch.SearchScopes.Item(1). _
        ScopeFolder.ScopeFolders.Item(2)

        For i = 1 To .ScopeFolders.Count
            strResults = strResults & .ScopeFolders. _
                Item(i).Name & vbCrLf
        Next i

        MsgBox "Folder Names on C:\...." & vbCrLf & strResults

    End With

End Sub


ReleaseFocus-Methode

Löst den Benutzeroberflächenfokus von allen Befehlsleisten.

Ausdruck.ReleaseFocus

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBars-Objekt zurückgibt.

Beispiel

In diesem Beispiel werden der Befehlsleiste Custom drei leere Schaltflächen hinzugefügt, und die mittlere Schaltfläche erhält den Fokus. Anschließend wird fünf Sekunden gewartet, bis alle Befehlsleisten den Fokus der Benutzeroberfläche verlieren.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Visible = True
End With
Set myControl = CommandBars("Custom").Controls(2)
With myControl
    .SetFocus
End With
PauseTime = 5   ' Set duration.
    Start = Timer   ' Set start time.
    Do While Timer < Start + PauseTime
        DoEvents    ' Yield to other processes.
    Loop
    Finish = Timer
CommandBars.ReleaseFocus


Remove-Methode

Remove-Methode für das NewFile-Objekt.

Entfernt ein Element aus dem Aufgabenbereich Neues Element. Gibt einen Booleschen Wert zurück.

Ausdruck.Remove(FileName, Section, DisplayName, Action)

Ausdruck Erforderlich. Ein Ausdruck, der ein NewFile-Objekt zurückgibt.

FileName Erforderlicher String-Wert. Der Name der Dateireferenz.

Section Optionaler Variant-Wert. Der Abschnitt des Aufgabenbereichs, in dem sich die Dateireferenz befindet. Dies kann eine beliebige msoFileNewSection-Konstante sein.

DisplayName Optionaler Variant-Wert. Der Anzeigetext der Dateireferenz.

Action Optionaler Variant-Wert. Die Aktion, die ausgeführt wird, wenn ein Benutzer auf das Element klickt. Dies kann eine beliebige msoFileNewAction-Konstante sein.

Remove-Methode für die FileTypes-, PropertyTests- und SearchFolders-Objekte.

Entfernt das angegebene Objekt aus der Auflistung.

Ausdruck.Remove(Index)

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Index Erforderlicher Long-Wert. Die Indexzahl des zu entfernenden Eigenschaftentests.

Beispiel

Für die FileTypes-, PropertyTests- und SearchFolders-Objekte.

In diesem Beispiel wird das erste Suchkriterium aus der Auflistung entfernt.

Application.FileSearch.PropertyTests.Remove(1)

Für das NewFile-Objekt.

In diesem Beispiel wird das angegebene Element aus dem Word-Aufgabenbereich Neues Dokument entfernt.

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\Newfile.doc", _
            Section:=msoNewfromTemplate, DisplayName:="NewFile"
    CommandBars("Task Pane").Visible = True
End Sub


RemoveItem-Methode

Entfernt ein Listenelement aus dem angegebenen Kombinationsfeldsteuerelement der Befehlsleiste.

Anmerkung Die Eigenschaft funktioniert nicht, wenn sie auf Steuerelemente angewendet wird, die keine Listensteuerelemente sind.

Ausdruck.RemoveItem(Index)

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBarComboBox-Objekt zurückgibt.

Index Erforderlicher Long-Wert. Das aus der Liste zu entfernende Element.

Beispiel

In diesem Beispiel wird festgestellt, ob sich im angegebenen Kombinationsfeld mehr als drei Elemente befinden. Sind mehr als drei Elemente enthalten, wird das zweite Element entfernt, die Formatvorlage so geändert, dass die Beschriftung des Kombinationsfeldes nicht angezeigt wird, und ein neuer Wert festgelegt. Außerdem wird die Tag-Eigenschaft des übergeordneten Objekts (des CommandBarControl-Objekts) so eingestellt, dass die Änderung der Liste angezeigt wird.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
Set myControl = myBar.Controls(1)
With myControl
    If .ListCount > 3 Then
        .RemoveItem 2
        .Style = msoComboNormal
        .Text = "New Default"
         Set ctrl = .Parent
    End If
End With


Reset-Methode

Setzt die angegebene, integrierte Befehlsleiste auf die Standardkonfiguration der Steuerelemente zurück, oder setzt das angegebene integrierte Befehlsleistensteuerelement auf die Standardfunktion und das Standardsymbol zurück.

Ausdruck.Reset

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBar-, ein CommandBarControl-, ein CommandBarButton-, ein CommandBarPopup- oder ein CommandBarComboBox-Objekt zurückgibt.

Hinweise

Durch das Zurücksetzen eines integrierten Steuerelements werden die ursprünglich für dieses Steuerelement vorgesehenen Aktionen wiederhergestellt und die einzelnen Eigenschaften des Steuerelements wieder auf den jeweiligen Originalstatus zurückgesetzt. Durch das Zurücksetzen einer integrierten Befehlsleiste werden benutzerdefinierte Steuerelemente (ActiveX) entfernt und die integrierten Steuerelemente wiederhergestellt.

Beispiel

In diesem Beispiel wird der Wert von user verwendet, um die Befehlsleisten entsprechend der Benutzerebene anzupassen. Wenn für user "Level 1" gilt, wird die Befehlsleiste Custom angezeigt. Gilt für user ein anderer Wert, wird die integrierte Visual Basic-Befehlsleiste auf ihren Standardstatus zurückgesetzt und die Befehlsleiste Custom deaktiviert.

Set myBar = CommandBars("Custom")
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If


ResetFileList-Methode

Setzt die Liste der Dateien für den aktuellen Antwort-Assistenten auf die Standarddateiliste für die Microsoft Office-Hostanwendung zurück.

Ausdruck.ResetFileList

Ausdruck Ein Ausdruck, der ein AnswerWizard-Objekt zurückgibt.

Hinweise

Verwenden Sie diese Methode, um alle Einträge in der aktuellen Dateiliste für den Antwort-Assistenten auf die Liste in der Windows-Registrierung für die Hostanwendung zurückzusetzen. Sie können eine benutzerdefinierte Standarddateiliste in der Registrierung einrichten, indem Sie die Namen der benutzerdefinierten Dateien dem entsprechenden Registrierungsschlüssel hinzufügen.

Beispiel

In diesem Beispiel wird die Dateiliste für den aktuellen Antwort-Assistenten zurückgesetzt und dann ein Meldungsfeld mit der Anzahl der Dateien sowie den Dateinamen angezeigt.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


ResetTips-Methode

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Setzt die Anwendungstipps zurück, die in der sprechblasenförmigen Legende des Office-Assistenten angezeigt werden.

Ausdruck.ResetTips

Ausdruck Erforderlich. Ein Ausdruck, der ein Assistant-Objekt zurückgibt.

Hinweise

Die ResetTips-Methode entspricht der Schaltfläche Meine Tipps zurücksetzen auf der Registerkarte Optionen im Dialogfeld Office-Assistent.

Beispiel

In diesem Beispiel werden die Anwendungstipps zurückgesetzt, bevor der Office-Assistent angezeigt wird. Es wird zur Bestätigung eine Sprechblase angezeigt, die den Benutzer über das Zurücksetzen seiner Anwendungstipps informiert.

With Application.Assistant
    .On = True
    .Visible = True
    .Animation = msoAnimationGreeting
    .ResetTips
End With


SaveCopyAs-Methode

Speichert das angegebene HTML-Projektelement unter einem neuen Dateinamen.

Ausdruck.SaveCopyAs(Filename)

Ausdruck Ein HTMLProjectItem-Objekt.

Filename Erforderlicher String-Wert. Der vollständige Pfad der Datei, in der Sie das HTML-Projektelement speichern möchten.

Beispiel

In diesem Beispiel wird eine Kopie des Textes des aktuellen HTML-Projektelements in der Datei NewScript.txt gespeichert.

ActiveWorkbook.HTMLProject.HTMLProjectItems. _
    Item(1).SaveCopyAs("C:\NewScript.txt")


SetAvoidRectangle-Methode

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Verhindert die Anzeige der sprechblasenförmigen Legende des Office-Assistenten in einem angegebenen Bereich des Bildschirms.

Ausdruck.SetAvoidRectangle(Left, Top, Right, Bottom)

Ausdruck Erforderlich. Ein Ausdruck, der ein Assistant-Objekt zurückgibt.

Left, Top, Right, Bottom Erforderlicher Long-Wert. Die Koordinaten (in Punkt relativ zum Bildschirm) des Bildschirmbereichs, innerhalb dessen die sprechblasenförmige Legende des Office-Assistenten nicht angezeigt werden soll.

Hinweise

Diese Eigenschaft soll verhindern, dass sich benutzerdefinierte Dialogfelder und Assistenten mit der Sprechblase des Office-Assistenten überschneiden.

Beispiel

In diesem Beispiel wird verhindert, dass die durch die Variable myBalloon dargestellte sprechblasenförmige Legende des Office-Assistenten in dem Bereich des Bildschirms angezeigt wird, der durch die angegebenen Koordinaten gekennzeichnet ist.

Set myBalloon = Assistant.NewBalloon
With myBalloon
    .SetAvoidRectangle 300, 250, 700, 500
    .Text = "Cannot display in coordinates " & _
        "300, 250, 700, 500."
    .Show
End With


SetFocus-Methode

Verschiebt den Tastaturfokus auf das angegebene Befehlsleistensteuerelement. Wenn das Steuerelement deaktiviert oder nicht sichtbar ist, schlägt diese Methode fehl.

Hinweise

Den Fokus bei dem Steuerelement erkennen Sie daran, dass das Steuerelement nach Verwendung dieser Methode dreidimensional hervorgehoben ist. Wenn Sie mit den Pfeiltasten in den Symbolleisten navigieren, wird das Steuerelement damit wie durch Drücken der entsprechenden Tasten aktiviert.

Ausdruck.SetFocus

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBarControl-, ein CommandBarButton-, ein CommandBarPopup- oder ein CommandBarComboBox-Objekt zurückgibt.

Beispiel

In diesem Beispiel wird eine Befehlsleiste mit dem Namen "Custom" erstellt, der dann ein ComboBox-Steuerelement und ein Button-Steuerelement hinzugefügt werden. Anschließend wird mit der SetFocus-Methode der Fokus auf das ComboBox-Steuerelement gesetzt.

Set focusBar = CommandBars.Add(Name:="Custom")
With CommandBars("Custom")
    .Visible = True
    .Position = msoBarTop
End With

Set testComboBox = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, ID:=1)
With testComboBox
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
Set testButton = CommandBars("Custom").Controls _
    .Add(Type:=msoControlButton)
testButton.FaceId = 17
' Set the focus to the combo box.
testComboBox.SetFocus


SetSortOrder-Methode

Legt die Sortierreihenfolge für Seriendruckdaten fest.

Ausdruck.SetSortOrder(SortField1, SortAscending1, SortField2, SortAscending2, SortField3, SortAscending3)

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

SortField1 Erforderlicher String-Wert. Das erste Feld, nach dem die Seriendruckdaten sortiert werden sollen.

SortAscending1 Optionaler Boolescher Wert. True (Standardwert), um aufsteigend nach SortField1 zu sortieren; False, um die Sortierung absteigend durchzuführen.

SortField2 Optionaler String-Wert. Das zweite Feld, nach dem die Seriendruckdaten sortiert werden sollen. Der Standardwert ist eine leere Zeichenfolge.

SortAscending2 Optionaler Boolescher Wert. True (Standardwert), um aufsteigend nach SortField2 zu sortieren; False, um die Sortierung absteigend durchzuführen.

SortField3 Optionaler String-Wert. Das dritte Feld, nach dem die Seriendruckdaten sortiert werden sollen. Der Standardwert ist eine leere Zeichenfolge.

SortAscending3 Optionaler Boolescher Wert. True (Standardwert), um aufsteigend nach SortField3 zu sortieren; False, um die Sortierung absteigend durchzuführen.

Beispiel

Im folgenden Beispiel werden die Quelldaten zunächst in absteigender Reihenfolge nach der Postleitzahl und dann in aufsteigender Reihenfolge nach dem Nach- und Vornamen sortiert.

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub


Show-Methode

Show-Methode für das Balloon-Objekt.

Zeigt das angegebene Sprechblasenobjekt an. Gibt eine MsoBalloonButtonType-Konstante zurück, die angibt, auf welche Schaltfläche oder Beschriftung der Benutzer klickt. Schreibgeschützt.

MsoBalloonButtonType kann eine der folgenden MsoBalloonButtonType-Konstanten sein:
msoBalloonButtonAbort
msoBalloonButtonBack
msoBalloonButtonCancel
msoBalloonButtonClose
msoBalloonButtonIgnore
msoBalloonButtonNext
msoBalloonButtonNo
msoBalloonButtonNull
msoBalloonButtonOK
msoBalloonButtonOptions
msoBalloonButtonRetry
msoBalloonButtonSearch
msoBalloonButtonSnooze
msoBalloonButtonTips
msoBalloonButtonYes
msoBalloonButtonYesToAll

Ausdruck.Show

Ausdruck Erforderlich. Ein Ausdruck, der ein Balloon-Objekt zurückgibt.

Show-Methode für das FileDialog-Objekt.

Zeigt ein Dateidialogfeld an und gibt dann einen Long-Wert zurück, der angibt, ob der Benutzer auf die Schaltfläche zum Ausführen der Aktion (-1) oder auf die Schaltlfläche zum Abbrechen (0) geklickt hat. Wenn Sie die Show-Methode aufrufen, wird kein weiterer Code ausgeführt, bis der Benutzer das Dateidialogfeld geschlossen hat. Bei den Dialogfeldern Speichern unter und Öffnen müssen Sie unmittelbar nach der Show-Methode die Execute-Methode verwenden, um die Aktion des Benutzers auszuführen.

Ausdruck.Show

Ausdruck Erforderlich. Ein Ausdruck, der ein FileDialog-Objekt zurückgibt.

Beispiel

Für das Balloon-Objekt.

In diesem Beispiel wird eine Sprechblase mit zwei Auswahlmöglichkeiten für die Beschriftung zum Einrichten der Druckausrichtung erstellt: Portrait und Landscape. Dabei wird mit der Show-Methode in einer Select Case-Anweisung ermittelt, welche Ausrichtung der Benutzer ausgewählt hat.

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Please choose a printer orientation"
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .Button = msoButtonSetNone
End With

Select Case balNew.Show
    Case 1
        ' Insert code to set printer to Portrait.
    Case 2
        ' Insert code to set printer to Landscape.
End Select

In diesem Beispiel wird eine Sprechblase mit den drei Befehlsschaltflächen Yes, No und Cancel erstellt. Mit der Show-Methode in einer Select Case-Anweisung wird der Rückgabewert der Schaltfläche ermittelt, auf die der Benutzer geklickt hat.

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Are you sure you want to set the " & _
    "printer orientation to Landscape?"
    .BalloonType = msoBalloonTypeButtons
    .Button = msoButtonSetYesNoCancel
End With

Select Case balNew.Show
    Case -2	' User selected Cancel button.
        returnValue = MsgBox("Operation canceled.", _
        vbOKOnly, "Printer Message")
    Case -3	' User selected Yes button.
        returnValue = MsgBox("Printer set to " & _
        "Landscape.", vbOKOnly, "Printer Message")
    Case -4	' User selected No button.
        returnValue = MsgBox("Printer orientation not " & _
        "reset.", vbOKOnly, "Printer Message")
End Select

Für das FileDialog-Objekt.

Im folgenden Beispiel wird mithilfe des FileDialog-Objekts ein Dialogfeld zur Dateiauswahl erstellt und jede ausgewählte Datei in einem Meldungsfeld angezeigt.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
    If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a string that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "The path is: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
    Else
        End If
    End With

    'Set the object variable to nothing.
    Set fd = Nothing

End Sub


ShowPopup-Methode

Zeigt die angegebene Befehlsleiste als Shortcutmenü an den angegebenen Koordinaten oder an den aktuellen Mauszeigerkoordinaten an.

Anmerkung Wenn die Position-Eigenschaft der Befehlsleiste nicht auf msoBarPopup eingestellt ist, funktioniert diese Methode nicht.

Ausdruck.ShowPopup(x, y)

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBar-Objekt zurückgibt.

x Optionaler Variant-Wert. Die x-Koordinate für die Platzierung des Shortcutmenüs. Wenn dieses Argument ausgelassen wird, wird die aktuelle x-Koordinate des Mauszeigers verwendet.

y Optionaler Variant-Wert. Die y-Koordinate für die Platzierung des Shortcutmenüs. Wenn dieses Argument ausgelassen wird, wird die aktuelle y-Koordinate des Mauszeigers verwendet.

Beispiel

In diesem Beispiel wird ein Kontextmenü mit zwei Steuerelementen erstellt. Das Kontextmenü wird mit der ShowPopup-Methode sichtbar gemacht.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls.Add Type:=msoControlComboBox
End With
myBar.ShowPopup


StartWizard-Methode

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Startet den Office-Assistenten und gibt einen Long-Wert zurück, der die Sitzung angibt. Verwenden Sie diese Methode nur zum Ausführen des Office-Assistenten in einem benutzerdefinierten Assistenten.

Anmerkung Die von der StartWizard-Methode zurückgegebene Nummer wird von der ActivateWizard- und der EndWizard-Methode verwendet.

Ausdruck.StartWizard(On, Callback, PrivateX, Animation, CustomTeaser, Top, Left, Bottom, Right)

Ausdruck Erforderlich. Ein Ausdruck, der ein Assistant-Objekt zurückgibt.

On Erforderlicher Boolescher Wert. True, wenn die Office-Sprechblase mit der Aufforderung zur Entscheidung angezeigt werden soll. In dieser Sprechblase wird der Benutzer gefragt, ob er Hilfe zum aktiven benutzerdefinierten Assistenten wünscht. Die Visible-Eigenschaft ist zum Anzeigen des Office-Assistenten nicht erforderlich, wenn Sie für dieses Argument True angeben.

Callback Erforderlicher String-Wert. Der Name der Callback-Prozedur, die von der Office-Entscheidungssprechblase und von der Verzweigungssprechblase ausgeführt wird. In der Verzweigungssprechblase kann der Benutzer zwischen benutzerdefinierter Hilfe, die Sie für den Assistenten bereitgestellt haben, und der Standardhilfe für Office wählen.

PrivateX Erforderlicher Long-Wert. Eine Zahl, welche die Sprechblase angibt, durch die die Callback-Prozedur aufgerufen wurde.

Animation Optionaler Variant-Wert. Die Animation, die vom Office-Assistenten ausgeführt wird, wenn diese Methode verwendet wird. Der Standardwert ist msoAnimationGetWizardy.

CustomTeaser Optionaler Variant-Wert. False, wenn die Office-Entscheidungssprechblase angezeigt werden soll.

Top, Left, Bottom, Right Optionaler Variant-Wert. Die Position der Ecken (in Punkt und relativ zum Bildschirm) des benutzerdefinierten Assistenten, die bei der Anzeige des Office-Assistenten vermieden werden.

Hinweise

Im Gegensatz zu den Callback-Prozeduren, die von Standardsprechblasen ohne Modus verwendet werden, akzeptieren die Callback-Prozeduren, die durch die während einer Office-Assistenten-Sitzung angezeigten Entscheidungs- und Verzweigungssprechblasen ohne Modus aufgerufen werden, nur zwei Argumente: eine MsoWizardMsgType-Konstante und den eindeutigen Wert, der durch das PrivateX-Argument der StartWizard-Methode angegeben wird.

Wenn der Benutzer in der Entscheidungs- oder Verzweigungssprechblase auf die linke Schaltfläche klickt, wird die msoWizardMsgShowHelp-Konstante an das erste Argument der Callback-Prozedur übergeben. Klickt der Benutzer auf die rechte Schaltfläche, wird die msoWizardLocalStateOff-Konstante übergeben. (Die anderen MsoWizardMsgType-Konstanten werden durch die ActivateWizard-Methode übergeben, wenn Sie für das Act-Argument msoWizardActResume oder msoWizardActSuspend angegeben haben.) Wenn msoWizardMsgShowHelp angegeben wurde, wird bei der Callback-Prozedur für das aktuelle Fenster des benutzerdefinierten Assistenten die richtige Sprechblase angezeigt. Wenn msoWizardLocalStateOff angegeben wurde, wird die sichtbare Sprechblase bei der Callback-Prozedur verborgen.

Beispiel

In diesem Beispiel wird der Office-Assistent als Teil eines Prozesses gestartet, um Informationen zu anzuzeigen, während ein benutzerdefinierter Assistent ausgeführt wird. Die Variable lHelpForWiz ist auf den von der StartWizard-Methode zurückgegebenen Wert (Long) festgelegt.

lHelpForWiz = Assistant.StartWizard(On:=True, _
    Callback:="myCallback", PrivateX:=23)


Update-Methode

Aktualisiert den Inhalt der COMAddIns-Auflistung mit der Liste der in der Windows-Registrierung gespeicherten Add-Ins.

Ausdruck.Update

Ausdruck Die COMAddIns-Auflistung.

Hinweise

Damit Sie ein bestimmtes COM-Add-In in einer Microsoft Office-Anwendung verwenden können, muss dieses Add-In in der Windows-Registrierung als COM-Komponente mit einer entsprechenden Komponentenkategorie-ID (Component Category ID) registriert sein.

Beispiel

Im folgenden Beispiel wird der Inhalt der COMAddIns-Auflistung mit der Liste der in der Windows-Registrierung gespeicherten Add-Ins aktualisiert.

Application.COMAddIns.Update


ActionControl-Eigenschaft

Gibt das CommandBarControl-Objekt zurück, dessen OnAction-Eigenschaft auf die laufende Prozedur eingestellt ist. Wurde die laufende Prozedur nicht durch ein Befehlsleistensteuerelement initiiert, gibt diese Eigenschaft Nothing zurück. Schreibgeschützt.

Beispiel

In diesem Beispiel wird eine Befehlsleiste mit dem Namen "Custom" erstellt. Dieser Befehlsleiste werden drei Schaltflächen hinzugefügt. Anschließend wird anhand der Eigenschaften ActionControl und Tag festgestellt, auf welche Befehlsleistenschaltfläche zuletzt geklickt wurde.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set buttonOne = myBar.Controls.Add(Type:=msoControlButton)
With buttonOne
    .FaceId = 133
    .Tag = "RightArrow"
    .OnAction = "whichButton"
End With
Set buttonTwo = myBar.Controls.Add(Type:=msoControlButton)
With buttonTwo
    .FaceId = 134
    .Tag = "UpArrow"
    .OnAction = "whichButton"
End With
Set buttonThree = myBar.Controls.Add(Type:=msoControlButton)
With buttonThree
    .FaceId = 135
    .Tag = "DownArrow"
    .OnAction = "whichButton"
End With
myBar.Visible = True

Die whichButton-Subroutine reagiert auf die OnAction-Methode und ermittelt, auf welche Befehlsleistenschaltfläche der Benutzer zuletzt geklickt hat.

Sub whichButton()
Select Case CommandBars.ActionControl.Tag
    Case "RightArrow"
        MsgBox ("Right Arrow button clicked.")
    Case "UpArrow"
        MsgBox ("Up Arrow button clicked.")
    Case "DownArrow"
        MsgBox ("Down Arrow button clicked.")
End Select
End Sub


ActiveMenuBar-Eigenschaft

Gibt ein CommandBar-Objekt zurück, das die aktive Menüleiste in der Containeranwendung darstellt. Schreibgeschützt.

Beispiel

In diesem Beispiel wird am Ende der aktiven Menüleiste das temporäre Popupsteuerelement "Custom" hinzugefügt. Anschließend wird der von diesem Steuerelement angezeigten Befehlsleiste das Schaltflächensteuerelement "Import" hinzugefügt.

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.CommandBar.Controls _
    .Add(Type:=msoControlButton, Id:=1)
With ctrl1
    .Caption = "Import"
    .TooltipText = "Import"
    .Style = msoButtonCaption
End With


AdaptiveMenu-Eigenschaft

True, wenn ein personalisiertes Menü aktiviert ist. Boolescher Wert mit Lese-/Schreibzugriff.

Beispiel

In diesem Beispiel wird die AdaptiveMenu-Eigenschaft für das Menü Datei in der Microsoft Office-Anwendung, in der Sie arbeiten, auf False gesetzt.

CommandBars("File").AdaptiveMenu = False


AdaptiveMenus-Eigenschaft

True, wenn adaptive Menüs aktiviert sind. Boolescher Wert mit Lese-/Schreibzugriff.

Beispiel

In diesem Beispiel werden drei Optionen für alle Befehlsleisten in Microsoft Office festgelegt, einschließlich der benutzerdefinierten Befehlsleisten und der darauf befindlichen Steuerelemente.

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


AllowMultiSelect-Eigenschaft

True, wenn der Benutzer die Möglichkeit hat, mehrere Dateien in einem Dateidialogfeld auszuwählen. Boolescher Wert mit Lese-/Schreibzugriff.

Ausdruck.AllowMultiSelect

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Hinweise

Diese Eigenschaft hat keine Auswirkung auf Dialogfelder zur Ordnerauswahl oder Dialogfelder des Typs Speichern unter, da der Benutzer in diesen Dateidialogfeldern nicht die Möglichkeit zum Auswählen mehrerer Dateien hat.

Beispiel

Im folgenden Beispiel wird mithilfe des FileDialog-Objekts ein Dialogfeld zur Dateiauswahl erstellt und jede ausgewählte Datei in einem Meldungsfeld angezeigt.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Allow the selection of multiple files.
        .AllowMultiSelect = True

        'Use the Show method to display the file picker dialog and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Animation-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Gibt die Animationsaktion des Office-Assistenten zurück oder legt sie fest. Wenn diese Eigenschaft auf das Assistant-Objekt angewendet wird und der Assistent die angegebene Animation unterstützt, wird der Assistent sofort animiert (falls er eingeblendet und aktiviert ist). Wenn diese Eigenschaft auf das Balloon-Objekt angewendet wird, wird der Assistent nur animiert, während die Sprechblase angezeigt wird. MsoAnimationType mit Lese-/Schreibzugriff.

MsoAnimationType kann eine der folgenden MsoAnimationType-Konstanten sein:
msoAnimationAppear
msoAnimationBeginSpeaking
msoAnimationCharacterSuccessMajor
msoAnimationCheckingSomething
msoAnimationDisappear
msoAnimationEmptyTrash
msoAnimationGestureDown
msoAnimationGestureLeft
msoAnimationGestureRight
msoAnimationGestureUp
msoAnimationGetArtsy
msoAnimationGetAttentionMajor
msoAnimationGetAttentionMinor
msoAnimationGetTechy
msoAnimationGetWizardy
msoAnimationGoodbye
msoAnimationGreeting
msoAnimationIdle
msoAnimationListensToComputer
msoAnimationLookDown
msoAnimationLookDownLeft
msoAnimationLookDownRight
msoAnimationLookLeft
msoAnimationLookRight
msoAnimationLookUp
msoAnimationLookUpLeft
msoAnimationLookUpRight
msoAnimationPrinting
msoAnimationRestPose
msoAnimationSaving
msoAnimationSearching
msoAnimationSendingMail
msoAnimationThinking
msoAnimationWorkingAtSomething
msoAnimationWritingNotingSomething

Hinweise

Karl Klammer ist der Standard-Assistent, und msoAnimationIdle ist der Standardanimationstyp für den Assistenten.

Je nach dem ausgewählten Assistenten kann das Festlegen der Animation-Eigenschaft zu einer sichtbaren Animation führen oder auch nicht. Alle MsoAnimationType-Konstanten sind jedoch für alle Assistenten gültig. Beachten Sie, dass unterschiedliche Konstanten zur gleichen Animation führen können.

Die folgenden MsoAnimationType-Konstanten stellen Animationen dar, welche die angegebene Aktion wiederholen, bis der Assistent geschlossen oder die Animation-Eigenschaft durch eine andere Animation zurückgesetzt wird:

msoAnimationCheckingSomething

msoAnimationGetTechy

msoAnimationListensToComputer

msoAnimationSearching

 msoAnimationThinking

msoAnimationWorkingAtSomething

msoAnimationWritingNotingSomething

Beispiel

In diesem Beispiel wird der Office-Assistent an einer bestimmten Position angezeigt, und vor dem Anzeigen des Assistenten werden verschiedene Optionen eingestellt.

With Assistant
    .On = True
    .Visible = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Application-Eigenschaft

Gibt ein Application-Objekt zurück, das die Containeranwendung für das angegebene Objekt repräsentiert. (Sie können diese Eigenschaft mit einem Automation-Objekt verwenden, um die Containeranwendung dieses Objekts zurückzugeben.)

Ausdruck.Application

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

In diesem Beispiel wird der Name der Anwendung zurückgegeben, in der die Befehlsleiste Standard erstellt wurde. Das Ergebnis wird in einem Meldungsfenster angezeigt.

Set Appobj = CommandBars("Standard").Application
MsgBox Appobj


AssistWithAlerts-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

True, wenn die Sprechblase des Office-Assistenten Anwendungsmeldungen ausgibt, sobald der Office-Assistent sichtbar ist. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Die AssistWithAlerts-Eigenschaft entspricht der Option Warnmeldungen anzeigen unter Office-Assistenten verwenden auf der Registerkarte Optionen im Dialogfeld Office-Assistent.

Ist diese Eigenschaft auf False gesetzt, zeigt die Anwendung ohne den Office-Assistenten Warnmeldungen in Dialogfeldern an.

Beispiel

In diesem Beispiel wird eingestellt, dass der Office-Assistent angezeigt wird, wenn Anwendungsmeldungen erzeugt werden.

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


AssistWithHelp-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

True, wenn der Office-Assistent angezeigt wird, sobald der Benutzer die F1-TASTE drückt, um Hilfe anzuzeigen. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Die AssistWithHelp-Eigenschaft entspricht der Option Auf F1-TASTE reagieren unter Office-Assistenten verwenden auf der Registerkarte Optionen im Dialogfeld Office-Assistent.

Ist diese Eigenschaft auf False gesetzt, wird anstelle des Office-Assistenten das Dialogfeld Hilfethemen angezeigt.

Beispiel

In diesem Beispiel wird der Office-Assistent angezeigt, wenn der Benutzer die F1-TASTE drückt, um Hilfe aufzurufen.

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


AssistWithWizards-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

True, wenn der Office-Assistent Hilfeinformationen über Assistenten anzeigt. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Die AssistWithWizards-Eigenschaft entspricht der Option Hilfe zu Assistenten unter Office-Assistenten verwenden auf der Registerkarte Optionen im Dialogfeld Office-Assistent.

Beispiel

In diesem Beispiel wird der Office-Assistent so eingestellt, dass er Hilfeinformationen über Assistenten bereitstellt.

Assistant.AssistWithWizards = True


AttachCertificate-Eigenschaft

True, wenn das digitale Zertifikat, das dem angegebenen Signature-Objekt entspricht, mit dem Dokument verknüpft ist. Boolescher Wert mit Lese-/Schreibzugriff.

Ausdruck.AttachCertificate

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird der Benutzer aufgefordert, eine digitale Signatur auszuwählen, mit der das aktive Dokument in Microsoft Word signiert wird. Öffnen Sie für dieses Beispiel ein Dokument in Word, und rufen Sie diese Funktion auf. Die Funktion überprüft dann, ob die vom Benutzer ausgewählte digitale Signatur noch länger als 12 Monate gültig ist. Wenn dies nicht der Fall ist, wird das Zertifikat nicht verknüpft.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    sig.AttachCertificate = True

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


BalloonError-Eigenschaft

Gibt einen Wert zurück, der den zuletzt aufgezeichneten Sprechblasenfehler angibt. Schreibgeschützter MsoBalloonErrorType-Wert.

MsoBalloonErrorType kann eine der folgenden MsoBalloonErrorType-Konstanten sein:
msoBalloonErrorBadCharacter Die Sprechblase enthält ein ASCII-Steuerzeichen, das nicht CR (Wagenrücklauf) oder LF (Zeilenvorschub) ist und dessen Code kleiner als 32 ist.
msoBalloonErrorBadPictureRef Die Sprechblase enthält eine Grafik, die nicht angezeigt werden konnte, da die Datei nicht existiert oder die Grafik keine gültige BMP- oder WMF-Datei ist.
msoBalloonErrorBadReference Die Sprechblase enthält einen nicht erkannten oder nicht unterstützten Verweis.
msoBalloonErrorButtonlessModal Die Sprechblase, die angezeigt werden sollte, ist modal, enthält aber keine Schaltflächen. Die Sprechblase wird nicht angezeigt, da sie nicht geschlossen werden kann.
msoBalloonErrorButtonModeless Die Sprechblase, die angezeigt werden sollte, ist nichtmodal, enthält Schaltflächen, und ihrer Callback-Eigenschaft ist keine Prozedur zugewiesen. Die Sprechblase wird nicht angezeigt, da für nichtmodale Sprechblasen eine Callback-Prozedur erforderlich ist.
msoBalloonErrorCharNotTopmostForModal Die modale Sprechblase wurde von einer Anwendung angefordert, die nicht die aktive Anwendung ist. Microsoft Office stellt nur Sprechblasen für die aktive (im Vordergrund befindliche) Anwendung dar.
msoBalloonErrorCOMFailure Die Sprechblase konnte aufgrund eines COM-Fehlers nicht angezeigt werden.
msoBalloonErrorNone Es ist kein Fehler aufgetreten.
msoBalloonErrorOther Die Sprechblase wird nicht angezeigt, weil ein anderer Fehler aufgetreten ist (z. B. weil eine andere modale Sprechblase bereits aktiv ist).
msoBalloonErrorOutOfMemory Die Sprechblase wird nicht angezeigt, weil nicht genügend Speicher verfügbar ist.
msoBalloonErrorTooBig Die Sprechblase ist zu groß, um auf dem Bildschirm angezeigt zu werden.
msoBalloonErrorTooManyControls Die Sprechblase enthält mehr als 20 Steuerelemente (Kontrollkästchen oder Beschriftungen).

Beispiel

In diesem Beispiel wird eine Sprechblase erstellt, die einen Fehler erzeugt. Der Fehler wird verursacht, weil die Sprechblase keine Möglichkeit enthält, sie zu schließen: Als Schaltflächentyp wurde msoButtonSetNone festgelegt, und der Standardmodus der Sprechblase ist msoModeModal. Dies ergibt eine modale Sprechblase ohne Schaltfläche. Es ist nicht möglich, modale Sprechblasen ohne Schaltfläche zu schließen.

With Application.Assistant
With .NewBalloon
    .Heading = "This will never show."
    .Text = "Imagine a balloon here."
    .Button = msoButtonSetNone
    .Show
End With
.Visible = True
If .BalloonError = msoBalloonErrorButtonlessModal Then
    MsgBox "You need a button to dismiss the balloon."
End If
End With


BalloonType-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Gibt den Sprechblasentyp zurück, den der Office-Assistent verwendet, oder legt ihn fest. Wenn Sie ein Balloon-Objekt erstellen, wird diese Eigenschaft zunächst auf msoBalloonTypeButtons gesetzt. MsoBalloonType-Wert mit Lese-/Schreibzugriff.

MsoBalloonType kann eine der folgenden MsoBalloonType-Konstanten sein:
msoBalloonTypeBullets
msoBalloonTypeButtons
msoBalloonTypeNumbers

Beispiel

In diesem Beispiel wird eine Sprechblase mit einer Anweisung erstellt, die das Auswählen eines Druckers erläutert. Die Sprechblase hat keinen Modus, sodass der Benutzer die Anweisungen in der Sprechblase ausführen und die Sprechblase gleichzeitig anzeigen kann.

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    .Labels(1).Text = "From the File menu, choose Print."
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Button = msoButtonSetOK
    .Show
End With


BeginGroup-Eigenschaft

True, wenn sich das angegebene Befehlsleistensteuerelement am Anfang einer Gruppe von Steuerelementen auf der Befehlsleiste befindet. Boolescher Wert mit Lese-/Schreibzugriff.

Beispiel

In diesem Beispiel wird mit dem letzten Steuerelement der aktiven Menüleiste eine neue Gruppe begonnen.

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastMenu = myMenuBar _
    .Controls(myMenuBar.Controls.Count)
lastMenu.BeginGroup = True


BuiltIn-Eigenschaft

True, wenn die angegebene Befehlsleiste oder das angegebene Befehlsleistensteuerelement eine integrierte Befehlsleiste bzw. ein integriertes Steuerelement der Containeranwendung ist. False, wenn es sich um eine benutzerdefinierte Befehlsleiste bzw. ein benutzerdefiniertes Steuerelement oder um ein integriertes Steuerelement handelt, dessen OnAction-Eigenschaft festgelegt wurde. Schreibgeschützter Boolescher Wert.

Beispiel

In diesem Beispiel werden alle benutzerdefinierten Befehlsleisten gelöscht, die nicht sichtbar sind.

foundFlag = False
deletedBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        deletedBars = deletedBars + 1
    End If
Next
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox deletedBars & " custom command bar(s) deleted."
End If


BuiltInFace-Eigenschaft

True, wenn das Symbol des angegebenen Schaltflächensteuerelements der Befehlsleiste das integrierte Symbol ist. Diese Eigenschaft kann nur auf True eingestellt werden, wodurch das Symbol auf das integrierte Symbol zurückgesetzt wird. Boolescher Wert mit Lese-/Schreibzugriff.

Beispiel

In diesem Beispiel wird bestimmt, ob das Symbol des ersten Steuerelements auf der Befehlsleiste Custom das integrierte Schaltflächensymbol ist. Ist dies der Fall, wird das Schaltflächensymbol in die Zwischenablage kopiert.

Set myControl = CommandBars("My Custom Bar").Controls(1)
With myControl
    If .BuiltInFace = True Then .CopyFace
End With


Button-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Gibt die Art der unten in der Sprechblase des Office-Assistenten angezeigten Schaltfläche zurück oder legt sie fest. Wenn Sie ein Balloon-Objekt erstellen, wird diese Eigenschaft zunächst auf msoButtonSetOK gesetzt. MsoButtonSetType-Wert mit Lese-/Schreibzugriff.

MsoButtonSetType kann eine der folgenden MsoButtonSetType-Konstanten sein:
msoButtonSetAbortRetryIgnore
msoButtonSetBackClose
msoButtonSetBackNextClose
msoButtonSetBackNextSnooze
msoButtonSetCancel
msoButtonSetNextClose
msoButtonSetNone
msoButtonSetOK
msoButtonSetOkCancel
msoButtonSetRetryCancel
msoButtonSetSearchClose
msoButtonSetTipsOptionsClose
msoButtonSetYesAllNoCancel
msoButtonSetYesNo
msoButtonSetYesNoCancel

Beispiel

In diesem Beispiel wird eine Sprechblase mit einer Überschrift, einem Text, drei Optionen zur Region und zwei Befehlsschaltflächen (OK und Cancel) angezeigt.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
End With


ButtonName-Eigenschaft

Gibt einen String-Wert zurück oder legt ihn fest, der den auf der Aktionsschaltfläche eines Dateidialogfeldes angezeigten Text repräsentiert. Standardmäßig wird diese Eigenschaft auf den Standardtext für den Typ des Dateidialogfeldes gesetzt. Beim Dialogfeld Öffnen wird die Eigenschaft beispielsweise standardmäßig auf den Text "Öffnen" gesetzt. Lese-/Schreibzugriff.

Ausdruck.ButtonName

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird mithilfe des FileDialog-Objekts ein Dialogfeld zur Dateiauswahl erstellt und jede ausgewählte Datei in einem Meldungsfeld angezeigt.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the text on the action button.
        .ButtonName = "Archive"

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each String in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Callback-Eigenschaft

Legt den Namen der Prozedur fest, die von einer Sprechblase ohne Modus ausgeführt werden soll. String-Wert mit Lese-/Schreibzugriff.

Hinweise

Die Prozedur, die Sie für die Callback-Eigenschaft angeben, muss so geschrieben werden, dass sie entweder zwei oder drei Argumente erhält, je nachdem, wofür Sie die Eigenschaft verwenden. Wenn Sie die Callback-Eigenschaft für einen Assistenten verwenden, müssen Sie die Prozedur so schreiben, dass sie zwei Argumente erhält: einen Long-Integer-Wert, der den msoBalloonButtonType-Wert der Schaltfläche darstellt, auf die der Benutzer geklickt hat, und einen Long-Integer-Wert, der die Sprechblase eindeutig angibt. Wenn Sie die Callback-Eigenschaft für eine Sprechblase ohne Modus verwenden, müssen Sie die Prozedur so schreiben, dass sie drei Argumente erhält: das Balloon-Objekt, das die Prozedur aufrief, einen Long-Integer-Wert, der den msoBalloonButtonType-Wert der Schaltfläche darstellt, auf die der Benutzer geklickt hat, und einen Long-Integer-Wert, der eindeutig die Sprechblase identifiziert, die die Prozedur aufrief, wie in der Private-Eigenschaft der Sprechblase angegeben.

Die Callback-Prozedur muss mindestens eine Bedingung enthalten, unter der die Close-Methode auf das an sie übergebene Balloon-Objekt angewendet wird. Andernfalls kann die Sprechblase ohne Modus nicht geschlossen werden.

Wenn Sie eine Prozedur angeben, die in einem separaten Klassenmodul gespeichert wird, müssen Sie den Namen des Moduls in den der Callback-Eigenschaft zugewiesenen Wert mit aufnehmen (z. B. Sheet1.MyCallback).

Beispiel

In diesem Beispiel wird eine sprechblasenförmige Legende angezeigt, die Anweisungen für die Auswahl eines Druckers enthält. Wenn der Benutzer in der sprechblasenförmigen Legende auf die Schaltfläche OK klickt, wird die Callback-Prozedur ProcessPrinter ausgeführt und die Sprechblase geschlossen.

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


Caption-Eigenschaft

Gibt den Beschriftungstext für das angegebene Befehlsleistensteuerelement zurück oder legt ihn fest. String-Wert mit Lese-/Schreibzugriff.

Anmerkung Die Beschriftung für ein Steuerelement wird auch als der Standardbildschirmtipp angezeigt.

Beispiel

In diesem Beispiel wird einer benutzerdefinierten Befehlsleiste ein Befehlsleistensteuerelement mit einem Schaltflächensymbol für Rechtschreibprüfung hinzugefügt. Anschließend wird für die Beschriftung "Spelling checker" festgelegt.

Set myBar = CommandBars.Add(Name:="Custom", _
Position:=msoBarTop, Temporary:=True)
myBar.Visible = True
Set myControl = myBar.Controls _
.Add(Type:=msoControlButton, Id:=2)
With myControl
    .DescriptionText = "Starts the spelling checker"
    .Caption = "Spelling checker"
End With


Checkboxes-Eigenschaft

Gibt die BalloonCheckboxes-Auflistung zurück, die alle Kontrollkästchen in der angegebenen Sprechblase darstellt. Schreibgeschützt.

Weitere Informationen zur Rückgabe eines einzelnen Elements einer Auflistung finden Sie unter Zurückgeben eines Objekts aus einer Auflistung.

Beispiel

In diesem Beispiel wird eine Sprechblase mit Überschrift, Text und drei Optionen für die Region erstellt. Wenn der Benutzer ein Kontrollkästchen aktiviert und anschließend in der Sprechblase auf OK klickt, werden Daten für die entsprechende(n) Region(en) ausgegeben.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Checked-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

True, wenn das angegebene Kontrollkästchen in der Sprechblase des Office-Assistenten markiert ist. Boolescher Wert mit Lese-/Schreibzugriff.

Beispiel

In diesem Beispiel wird eine Sprechblase mit Überschrift, Text und drei Optionen für die Region erstellt. Wenn der Benutzer ein Kontrollkästchen aktiviert und anschließend in der Sprechblase auf OK klickt, werden Daten für die entsprechende(n) Region(en) ausgegeben.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Column-Eigenschaft

Gibt einen String-Wert zurück oder legt ihn fest, der den Namen des Feldes in der Serienbriefdatenquelle repräsentiert, das im Filter verwendet werden soll. Lese-/Schreibzugriff.

Ausdruck.Column

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird ein vorhandener Filter so geändert, dass alle Datensätze, deren Feld Region nicht den Wert WA enthält, aus dem Seriendruck entfernt werden.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Columns-Eigenschaft

Gibt ein ODSOColumns-Objekt zurück, das die Felder in einer Datenquelle repräsentiert.

Ausdruck.Columns

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel werden die Feldnamen der Datenquelle angezeigt, die mit der aktiven Publikation verknüpft ist.

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "Field Name: " & .Item(intCount).Name
        Next
    End With
End Sub


CommandBar-Eigenschaft

Gibt ein CommandBar-Objekt zurück, welches das vom angegebenen Popupsteuerelement angezeigte Menü darstellt. Schreibgeschützt.

Beispiel

In diesem Beispiel wird fourthLevel auf das vierte Steuerelement auf der Befehlsleiste Drawing gesetzt.

Set fourthLevel = CommandBars("Drawing") _
    .Controls(1).CommandBar.Controls(4)


CommandBars-Eigenschaft

Gibt eine CommandBars-Auflistung zurück.

Ausdruck.CommandBars

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird vom MsoEnvelope-Objekt in Microsoft Word eine CommandBars-Auflistung zurückzugeben.

Dim cbars As CommandBars
Set cbars = Application.ActiveDocument.MailEnvelope.Commandbars


CompareTo-Eigenschaft

Gibt einen String-Wert zurück oder legt ihn fest, der den im Abfragefilterkriterium zu vergleichenden Text repräsentiert. Lese-/Schreibzugriff.

Ausdruck.CompareTo

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird ein vorhandener Filter so geändert, dass alle Datensätze, deren Feld Region nicht den Wert WA enthält, aus dem Seriendruck entfernt werden.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Comparison-Eigenschaft

Gibt eine MsoFilterComparison-Konstante zurück oder legt sie fest, die die Art und Weise repräsentiert, in der die Column-und CompareTo-Eigenschaften miteinander verglichen werden. Lese-/Schreibzugriff.

MsoFilterComparison kann eine der folgenden MsoFilterComparison-Konstanten sein:
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

Ausdruck.Comparison

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird ein vorhandener Filter so geändert, dass alle Datensätze, deren Feld Region nicht den Wert WA enthält, aus dem Seriendruck entfernt werden.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Condition-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Gibt die Bedingung der angegebenen Suchkriterien zurück. Schreibgeschützter MsoCondition-Wert.

MsoCondition kann eine der folgenden MsoCondition-Konstanten sein:
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeEPaperFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioDocuments
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

Beispiel

In diesem Beispiel wird der Wert der Bedingung für die Suchkriterien des ersten Eigenschaftstests zurückgegeben.

With Application.FileSearch.PropertyTests(1)
    MsgBox "The condition you've set is: " & .Condition
End With


Conjunction-Eigenschaft

Gibt eine MsoFilterConjunction-Konstante zurück, die die Beziehungen eines Filterkriteriums mit anderen Filterkriterien des ODSOFilters-Objekts repräsentiert. Lese-/Schreibzugriff.

MsoFilterConjunction kann eine der folgenden MsoFilterConjunction-Konstanten sein:
msoFilterConjunctionAnd
msoFilterConjunctionOr

Ausdruck.Conjunction

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird ein vorhandener Filter so geändert, dass alle Datensätze, deren Feld Region nicht den Wert WA enthält, aus dem Seriendruck entfernt werden.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Connect-Eigenschaft

Gibt den Zustand der Verbindung für das angegebene COMAddIn-Objekt an bzw. setzt ihn zurück. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Die Connect-Eigenschaft gibt True zurück, wenn das Add-In aktiv ist, und False, wenn das Add-In inaktiv ist. Ein aktives Add-In ist registriert und verbunden, ein inaktives Add-In ist registriert, aber gegenwärtig nicht verbunden.

Beispiel

Im folgenden Beispiel wird ein Meldungsfeld mit der Angabe angezeigt, ob das COM-Add-In 1 registriert und gegenwärtig verbunden ist.

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
    MsgBox "The add-in is not connected."
End If


Connector-Eigenschaft

Gibt die Verbindung zwischen zwei gleichartigen Eigenschaftstestwerten zurück. Der Standardwert ist msoConnectorAnd. Schreibgeschützter MsoConnector-Wert.

MsoConnector kann eine der folgenden MsoConnector-Konstanten sein:
msoConnectorAnd
msoConnectorOr

Hinweise

Eine Verbindung gibt an, ob zwei gleichartige Suchkriterien zu einem Eigenschaftstest zusammengefasst (mit msoConnectorAnd) oder unabhängig voneinander verarbeitet werden (mit msoConnectorOr).

Beispiel

In diesem Beispiel wird eine Meldung angezeigt, in der beschrieben wird, wie die Suchkriterien bei einer Dateisuche ausgewertet werden.

With Application.FileSearch.PropertyTests(1)
If .Connector = msoConnectorAnd Then
   MsgBox "All search criteria will be combined."
Else
    MsgBox "Criteria will be treated independently"
End If
End With


ConnectString-Eigenschaft

Gibt einen String-Wert zurück oder legt ihn fest, der die Verbindung zur angegebenen Seriendruckdatenquelle repräsentiert. Lese-/Schreibzugriff.

Ausdruck.ConnectString

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

In diesem Beispiel wird überprüft, ob die Verbindungszeichenfolge die Zeichen ODSOOutlook enthält, und es wird eine ensprechende Meldung angezeigt.

Sub VerifyCorrectDataSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    If InStr(appOffice.ConnectString, "ODSOOutlook") > 0 Then
        MsgBox "Your Outlook address book is used as the data source."
    Else
        MsgBox "Your Outlook address book is not used as the data source."
    End If

End Sub


Context-Eigenschaft

Gibt eine Zeichenfolge zurück, die bestimmt, wo die angegebene Befehlsleiste gespeichert wird, oder legt eine Zeichenfolge fest. Die Zeichenfolge wird von der Anwendung definiert und interpretiert. String-Wert mit Lese-/Schreibzugriff.

Hinweise

Sie können die Context-Eigenschaft nur für benutzerdefinierte Befehlsleisten festlegen. Diese Eigenschaft funktioniert nicht, wenn die Anwendung die Kontextzeichenfolge nicht erkennt oder sich verändernde Kontextzeichenfolgen vom Programm nicht unterstützt werden.

Beispiel

In diesem Beispiel wird ein Meldungsfenster mit der Kontextzeichenfolge für die Befehlsleiste Custom angezeigt. Dieses Beispiel funktioniert in Microsoft Word sowie anderen Anwendungen, welche die Context-Eigenschaft unterstützen.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
MsgBox (myBar.Context)


Controls-Eigenschaft

Gibt ein CommandBarControls-Objekt zurück, das alle Steuerelemente auf der angegebenen Befehlsleiste oder im angegebenen Popupsteuerelement darstellt. Schreibgeschützt.

Weitere Informationen zur Rückgabe eines einzelnen Elements einer Auflistung finden Sie unter Zurückgeben eines Objekts aus einer Auflistung.

Beispiel

In diesem Beispiel werden der Befehlsleiste Custom ein Kombinationsfeldsteuerelement und der Kombinationsfeldliste zwei Elemente hinzugefügt. Außerdem werden die Anzahl der Zeileneinträge, die Breite des Kombinationsfeldes und als Standardwert für das Kombinationsfeld eine Leerzeile festgelegt.

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, Before:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Count-Eigenschaft

Teile dieses Hilfethemas gelten möglicherweise nicht für alle Sprachen.

Gibt einen Long-Wert zurück oder legt ihn fest, der die Anzahl der Elemente in der angegebenen Auflistung angibt. Long-Wert mit Lese-/Schreibzugriff für die BalloonCheckboxes- und BalloonLabels-Objekte; Schreibgeschützter Long-Wert für alle anderen Objekte in der Liste Betrifft.

Ausdruck.Count

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Hinweise

Für die CommandBars-Auflistung werden nur Menüleisten, Symbolleisten und Kontextmenüs gezählt.

Für die Scripts-Auflistung ist die zurückgegebene Zählung die Anzahl der Skriptblöcke in dem angegebenen Dokument. In Microsoft Word gibt Scripts.Count die Gesamtzahl der unverankerten Inline-Skriptanchors zurück.

Beispiel

In diesem Beispiel wird mithilfe der Count-Eigenschaft die Anzahl der Befehlsleisten in der CommandBars-Auflistung angezeigt.

MsgBox "There are " & CommandBars.Count & _
    " bars in the CommandBars collection."

Bei diesem Beispiel wird die Count-Eigenschaft verwendet, um die Anzahl der Kontrollkästchen in der Sprechblase des Office-Assistenten anzuzeigen.

With Assistant.NewBalloon
    .CheckBoxes(1).Text = "First Choice"
    .CheckBoxes(2).Text = "Second Choice"
    .Text = "You have the following " _
    & .CheckBoxes.Count & " choices."
    .Show
End With

Im folgenden Beispiel wird die Anzahl der benutzerdefinierten Dokumenteigenschaften im aktiven Dokument angezeigt.

MsgBox ("There are " & _
    ActiveDocument.CustomDocumentProperties.Count & _
    " custom document properties in the " & _
    "active document.")


Creator-Eigenschaft

Gibt den aus vier Zeichen bestehenden Code für die Anwendung zurück, in der das angegebene Objekt erstellt wurde. Nur Macintosh. Schreibgeschützter Long-Wert.

Ausdruck.Creator

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.


DataSource-Eigenschaft

Gibt einen String-Wert zurück oder legt ihn fest, der den Namen der verknüpften Datenquelle angibt. Lese-/Schreibzugriff.

Ausdruck.DataSource

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird der Name der Datenquelle festgelegt, wenn er noch nicht vorhanden ist.

Sub SetAndReturnDataSourceName()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    With appOffice
        .Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
            "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

        If .DataSource = "" Then
            .DataSource = "Northwind"
            MsgBox .DataSource
        End If
    End With
End Sub


Description-Eigenschaft

Description-Eigenschaft für das COMAddIn-Objekt.

Gibt einen beschreibenden String-Wert für das angegebene COMAddIn-Objekt zurück oder legt ihn fest. Lese-/Schreibzugriff.

Ausdruck.Description

Ausdruck Erforderlich. Ein Ausdruck, der ein COMAddIn-Objekt zurückgibt.

Description-Eigenschaft für das FileDialogFilter-Objekt.

Gibt die Beschreibung jedes Filter-Objekts als String-Wert zurück. Die Beschreibung ist der im Dateidialogfeld angezeigte Text. Schreibgeschützt.

Ausdruck.Description

Ausdruck Erforderlich. Ein Ausdruck, der ein FileDialogFilter-Objekt zurückgibt.

Beispiel

Für das COMAddIn-Objekt.

Im folgenden Beispiel wird der Beschreibungstext des COM-Add-Ins zum Zeichnen für Microsoft-Eingabehilfen angezeigt.

MsgBox "The description of this " & _
    "COMAddIn is """ & Application.COMAddIns. _
    Item("msodraa9.ShapeSelect"). _
    Description & """

Für das FileDialogFilter-Objekt.

Im folgenden Beispiel werden die Standardfilter des Dialogfeldes Speichern unter durchlaufen, und die Beschreibung jedes Filters, der eine Microsoft Excel-Datei einschließt, wird angezeigt. Die Extensions-Eigenschaft wird zum Suchen des entsprechenden Filterobjekts verwendet.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Filter description: " & fdf.Description
        End If
    Next fdf

End Sub


DescriptionText-Eigenschaft

Gibt die Beschreibung für das angegebene Befehlsleistensteuerelement zurück oder legt sie fest. Die Beschreibung wird dem Benutzer nicht angezeigt, kann aber nützlich sein, um das Verhalten des Steuerelements für andere Entwickler zu dokumentieren. String-Wert mit Lese-/Schreibzugriff.

Hinweise

Diese Eigenschaft wird für die aktive Hilfe auf dem Macintosh verwendet.

Beispiel

In diesem Beispiel werden einer benutzerdefinierten Befehlsleiste ein Steuerelement sowie eine Beschreibung des Verhaltens dieses Steuerelements hinzugefügt.

Set myBar = CommandBars.Add("Custom", msoBarTop, , True)
myBar.Visible = True
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, ID:= _
    CommandBars("Standard").Controls("Paste").ID)
With myControl
    .DescriptionText = "Pastes the contents of the Clipboard"
    .Caption = "Paste"
End With


DialogType-Eigenschaft

Gibt eine MsoFileDialogType-Konstante zurück, die den Typ des Dateidialogfeldes repräsentiert, das durch das FileDialog-Objekt angezeigt wird. Schreibgeschützt.

MsoFileDialogType kann eine der folgenden MsoFileDialogType-Konstanten sein:
msoFileDialogFilePicker
msoFileDialogFolderPicker
msoFileDialogOpen
msoFileDialogSaveAs

Ausdruck.DialogType

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird auf ein FileDialog-Objekt unbekannten Types die Execute-Methode ausgeführt, wenn es sich um ein Dialogfeld vom Typ Speichern unter oder Öffnen handelt.

Sub DisplayAndExecuteFileDialog(ByRef fd As FileDialog)

    'Use a With...End With block to reference the FileDialog object.
    With fd
        'If the user presses the action button...
        If .Show = -1 Then

            'Use the DialogType property to determine whether to
            'use the Execute method.
            Select Case .DialogType
                Case msoFileDialogOpen, msoFileDialogSaveAs: .Execute
                'Do nothing otherwise.
                Case Else
            End Select
        'If the user presses Cancel...
        Else
        End If
    End With

End Sub


DisableAskAQuestionDropdown-Eigenschaft

True, wenn das Dropdownmenü des Antwort-Assistenten aktiviert ist. Boolescher Wert mit Lese-/Schreibzugriff.

Ausdruck.DisableAskAQuestionDropdown

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird die DisableAskAQuestionDropdown-Eigenschaft umgeschaltet.

Sub ToggleQuestionDropdown()
    With Application.CommandBars
        If .DisableAskAQuestionDropdown = True Then
            .DisableAskAQuestionDropdown = False
        Else
            .DisableAskAQuestionDropdown = True
        End If
    End With
End Sub


DisableCustomize-Eigenschaft

True, wenn das Anpassen von Symbolleisten deaktiviert ist. Boolescher Wert mit Lese-/Schreibzugriff.

Ausdruck.DisableCustomize

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird die DisableCustomize-Eigenschaft umgeschaltet.

Sub ToggleCustomize()
    With Application.CommandBars
        If .DisableCustomize = True Then
            .DisableCustomize = False
        Else
            .DisableCustomize = True
        End If
    End With
End Sub


DisplayFonts-Eigenschaft

True, wenn die Namen der Schriftarten im Feld Schriftart in der tatsächlichen Schriftart angezeigt werden. Boolescher Wert mit Lese-/Schreibzugriff.

Beispiel

In diesem Beispiel werden drei Optionen für alle Befehlsleisten in Microsoft Office festgelegt, einschließlich der benutzerdefinierten Befehlsleisten und der darauf befindlichen Steuerelemente.

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


DisplayKeysInTooltips-Eigenschaft

True, wenn in den Bildschirmtipps für die einzelnen Befehlsleistensteuerelemente Tastenkombinationen angezeigt werden. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Um Tastenkombinationen in Bildschirmtipps anzeigen zu können, müssen Sie auch die DisplayTooltips-Eigenschaft auf True setzen.

Beispiel

In diesem Beispiel werden die Optionen für alle Befehlsleisten in Microsoft Office eingestellt.

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


DisplayTooltips-Eigenschaft

True, wenn QuickInfos angezeigt werden, sobald der Benutzer den Mauszeiger auf Befehlsleistensteuerelementen positioniert. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Die Einstellung der DisplayTooltips-Eigenschaft in einer Containeranwendung wirkt sich unmittelbar auf alle Befehlsleisten in allen derzeit ausgeführten Microsoft Office-Anwendungen und in allen nach dem Einstellen der Eigenschaft geöffneten Office-Anwendungen aus.

Beispiel

In diesem Beispiel werden große Steuerelemente und QuickInfos für alle Befehlsleisten angezeigt.

Set allBars = CommandBars

allBars.LargeButtons = True
allBars.DisplayTooltips = True


DropDownLines-Eigenschaft

Gibt die Anzahl der Zeilen im angegebenen Kombinationsfeldsteuerelement der Befehlsleiste zurück oder legt sie fest. Das Kombinationsfeldsteuerelement muss ein benutzerdefiniertes Steuerelement und entweder ein Dropdownlistenfeld oder ein Kombinationsfeld sein. Long-Wert mit Lese-/Schreibzugriff.

Anmerkung Wenn diese Eigenschaft für ein Kombinationsfeldsteuerelement eingestellt wird, das ein Textfeld oder ein integriertes Kombinationsfeldsteuerelement ist, wird ein Fehler ausgegeben.

Hinweise

Wenn diese Eigenschaft auf 0 (null) eingestellt wird, richtet sich die Anzahl der Zeilen im Steuerelement nach der Anzahl der Elemente in der Liste.

Beispiel

In diesem Beispiel wird der Befehlsleiste Custom ein Kombinationsfeldsteuerelement hinzugefügt. Anschließend werden der Kombinationsfeldliste zwei Elemente hinzugefügt. Außerdem werden die Anzahl der Zeileneinträge, die Breite des Kombinationsfeldes und als Standardwert für das Kombinationsfeld eine Leerzeile festgelegt.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


DropDownWidth-Eigenschaft

Gibt die Breite (in Pixel) der Liste für das angegebene Kombinationsfeldsteuerelement der Befehlsleiste zurück oder legt sie fest. Long-Wert mit Lese-/Schreibzugriff.

Anmerkung Wenn diese Eigenschaft für ein integriertes Kombinationsfeldsteuerelement eingestellt wird, wird ein Fehler ausgegeben.

Hinweise

Wenn diese Eigenschaft auf –1 eingestellt wird, richtet sich die Breite der Liste nach der Länge des längsten Elements in der Kombinationsfeldliste. Wenn die Eigenschaft auf 0 eingestellt wird, richtet sich die Breite der Liste nach der Breite des Steuerelements.

Beispiel

In diesem Beispiel wird der Befehlsleiste Custom ein Kombinationsfeldsteuerelement hinzugefügt. Anschließend werden der Kombinationsfeldliste zwei Elemente hinzugefügt. Außerdem werden die Anzahl der Zeileneinträge, die Breite des Kombinationsfeldes und als Standardwert für das Kombinationsfeld eine Leerzeile festgelegt.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Enabled-Eigenschaft

True, wenn die angegebene Befehlsleiste oder das angegebene Befehlsleistensteuerelement deaktiviert ist. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Wenn diese Eigenschaft für Befehlsleisten auf True eingestellt wird, wird der Name der Befehlsleiste in der Liste der verfügbaren Befehlsleisten angezeigt.

Wenn Sie die Enabled-Eigenschaft für integrierte Steuerelemente auf True setzen, wird ihr Status durch die Anwendung bestimmt. Setzen Sie die Eigenschaft jedoch auf False, dann wird sie deaktiviert.

Beispiel

In diesem Beispiel werden die Befehlsleisten gemäß der durch user angegebenen Benutzerebene angepasst. Ist für user "Level 1" festgelegt, wird die Befehlsleiste VB Custom Bar angezeigt. Hat user einen anderen Wert, dann wird die integrierte Visual Basic-Befehlsleiste auf ihren Standardstatus zurückgesetzt und die Befehlsleiste VB Custom Bar deaktiviert.

Set myBar = CommandBars _
    .Add(Name:="VB Custom Bar", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If

In diesem Beispiel werden der Befehlsleiste Custom zwei Befehlsleistenschaltflächen hinzugefügt. Das erste Steuerelement ist deaktiviert. Das zweite Steuerelement ist standardmäßig aktiviert.

Set myBar = CommandBars("Custom")
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Enabled = False
    .Controls.Add Type:=msoControlButton, Id:=3
End With
myBar.Visible = True


ExpireDate-Eigenschaft

Gibt einen Variant-Wert zurück, der das Datum repräsentiert, an dem die dem Signature-Objekt entsprechende digitale Signatur abläuft. Schreibgeschützt.

Ausdruck.ExpireDate

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird der Benutzer aufgefordert, eine digitale Signatur auszuwählen, mit der das aktive Dokument in Microsoft Word signiert wird. Öffnen Sie für dieses Beispiel ein Dokument in Word, und rufen Sie diese Funktion auf. Die Funktion überprüft dann, ob die vom Benutzer ausgewählte digitale Signatur noch länger als 12 Monate gültig ist. Wenn dies nicht der Fall ist, wird das Zertifikat nicht verknüpft.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This Certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Extended-Eigenschaft

Legt Attribute fest, die dem <SCRIPT>-Tag hinzugefügt wurden, bzw. gibt diese mit Ausnahme des LANGUAGE- und des ID-Attributs zurück. String-Wert mit Lese-/Schreibzugriff.

Hinweise

Attribute werden durch Leerzeichen voneinander getrennt, wie in HTML. Das LANGUAGE- oder das ID-Attribut kann nicht mithilfe der Extended-Eigenschaft übergeben werden.

Die Microsoft Office-Hostanwendung bietet keine Möglichkeit zur Überprüfung der Syntax von übergebenen Attributen.

Wenn das LANGUAGE-Attribut in der Extended-Eigenschaft übergeben wird, erhält der <SCRIPT>-Tag zwei Spracheinstellungen. Dies verursacht einen Konflikt.

Wenn ein ID-Attribut in der Extended-Eigenschaft übergeben wird und weder durch den ID-Parameter der Add-Methode noch durch die Id-Eigenschaft des Script-Objekts eine ID festgelegt wurde, wird die ID korrekt exportiert.

Beispiel

In diesem Beispiel wird die Extended-Eigenschaft überprüft, um sicherzustellen, dass dem ersten Skript in Arbeitsblatt 1 in der aktiven Arbeitsmappe keine zusätzlichen Attribute hinzugefügt wurden.

If ActiveWorkbook.Worksheets(1).Scripts(1).Extended _
    <> "" Then
      MsgBox "This script contains extended attributes."
End If


Extensions-Eigenschaft

Gibt einen String-Wert zurück, der die Dateinamenerweiterungen für die im Dateidialogfeld jedes Filter-Objekts angezeigten Dateien enthält. Schreibgeschützt.

Ausdruck.Extensions

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel werden die Standardfilter des Dialogfeldes Speichern unter durchlaufen, und die Beschreibung jedes Filters, der eine Microsoft Excel-Datei einschließt, wird angezeigt. Die Extensions-Eigenschaft wird zum Suchen des entsprechenden Filterobjekts verwendet.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf
End Sub


FaceId-Eigenschaft

Gibt die ID-Nummer für das derzeit dem angegebenen Schaltflächensteuerelement der Befehlsleiste zugewiesene Schaltflächensymbol zurück oder legt sie fest. Long-Wert mit Lese-/Schreibzugriff.

Hinweise

Die FaceId-Eigenschaft bestimmt das Aussehen, jedoch nicht die Funktion einer Befehlsleistenschaltfläche. Die Id-Eigenschaft des CommandBarControl-Objekts bestimmt die Funktion der Schaltfläche.

Der Wert der FaceId-Eigenschaft für eine Befehlsleistenschaltfläche mit einem benutzerdefinierten Symbol ist 0 (null).

Beispiel

In diesem Beispiel wird einer benutzerdefinierten Befehlsleiste eine Befehlsleistenschaltfläche hinzugefügt. Das Klicken auf diese Schaltfläche hat denselben Effekt wie das Klicken auf den Befehl Öffnen im Menü Datei, da der Wert für die ID-Nummer 23 beträgt. Der Schaltfläche ist jedoch dasselbe Schaltflächensymbol zugeordnet wie der integrierten Schaltfläche Diagramm erstellen.

Set newBar = CommandBars.Add(Name:="Custom2", _
     Position:=msoBarTop, Temporary:=True)
newBar.Visible = True
Set con = newBar.Controls.Add(Type:=msoControlButton, Id:=23)
con.FaceId = 17


FeatureTips-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

True, wenn der Office-Assistent Informationen über eine effektivere Nutzung der Anwendungsfunktionen liefert. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Die FeatureTips-Eigenschaft entspricht dem Kontrollkästchen Leistungsmerkmale effektiver nutzen auf der Registerkarte Optionen des Dialogfeldes Assistent.

Beispiel

In diesem Beispiel wird der Office-Assistent aufgefordert, Informationen darüber zu liefern, wie die Funktionen der Anwendung noch effektiver genutzt werden können.

Assistant.FeatureTips = True


FileName-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Assistant-Objekt: Gibt den Pfad und den Dateinamen für den aktiven Office-Assistenten zurück oder legt ihn fest. String-Wert mit Lese-/Schreibzugriff.

FileSearch-Objekt: Gibt den Namen einer zu suchenden Datei zurück oder legt ihn fest. Der Dateiname kann die Platzhalterzeichen * (Sternchen) oder ? (Fragezeichen) enthalten. Das Fragezeichen fungiert als Platzhalter für ein beliebiges einzelnes Zeichen. Wenn Sie z. B. a?t eingeben, werden sowohl "alt" als auch "art" gefunden. Das Sternchen dient als Platzhalter für eine beliebige Anzahl an Zeichen. Wenn Sie z. B. *.txt eingeben, werden alle Dateien mit der Dateinamenerweiterung .TXT gefunden. String-Wert mit Lese-/Schreibzugriff.

Ausdruck.FileName

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

In diesem Beispiel wird nach allen Dateien im Ordner My Documents gesucht, die mit "cmd" beginnen und eine Dateinamenerweiterung besitzen. Außerdem werden Name und Verzeichnis jeder gefundenen Datei angezeigt.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Files-Eigenschaft

Gibt eine AnswerWizardFiles-Auflistung zurück, welche die Liste der im aktuellen Antwort-Assistenten verfügbaren Dateien darstellt. Schreibgeschützt.

Weitere Informationen zur Rückgabe eines einzelnen Elements einer Auflistung finden Sie unter Zurückgeben eines Objekts aus einer Auflistung.

Beispiel

In diesem Beispiel wird die Dateiliste für den aktuellen Antwort-Assistenten zurückgesetzt und dann ein Meldungsfeld mit der Anzahl der Dateien sowie den Dateinamen angezeigt.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


FileType-Eigenschaft

Gibt den Dateityp zurück, nach dem bei einer Dateisuche gesucht werden soll, oder legt ihn fest. MsoFileType-Wert mit Lese-/Schreibzugriff.

MsoFileType kann eine der folgenden MsoFileType-Konstanten sein:
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

Ausdruck.FileType

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Hinweise

Die msoFileTypeOfficeFiles-Konstante enthält alle Dateien mit den folgenden Dateinamenerweiterungen: *.doc, *.xls, *.ppt, *.pps, *.obd, *.mdb, *.mpd, *.dot, *.xlt, *.pot, *.obt, *.htm oder *.html.

Beispiel

In diesem Beispiel werden alle Sammelmappen-Dateien im Ordner My Documents gesucht. Anschließend wird ein Meldungsfenster mit dem Namen und dem Pfad jeder gefundenen Datei angezeigt.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileType = msoFileTypeBinders
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " Binder file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no Binder files found."
    End If
End With


FileTypes-Eigenschaft

Gibt eine FileTypes-Auflistung zurück.

Ausdruck.FileTypes

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird auf Laufwerk C:\ nach allen HTML- und Microsoft Excel-Dateien gesucht.

Sub SearchForFiles()

    'Declare a variable to act as a generic counter.
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Setting the FileType property clears the
        'FileTypes collection and sets the first
        'item in the collection to the file type
        'defined by the FileType property.
        .FileType = msoFileTypeWebPages

        'Add a second item to the FileTypes collection.
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Display the number of FileTypes objects in the collection.
        MsgBox "You are about to search for " & .FileTypes.Count & _
            " file types."

        'Set up the search to look in all subfolders on the C:\ drive.
        .LookIn = "C:\"
        .SearchSubFolders = True

        'Execute the search and test to see if any files
        'were found.
        If .Execute <> 0 Then

            'Display the number of files found.
            MsgBox "Files found: " & .FoundFiles.Count

            'Loop through the list of found files and
            'display the path of each one in a message box.
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "Found files") = vbCancel Then

                    'Break out of the loop
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "No files found."
        End If
    End With
End Sub


FilterIndex-Eigenschaft

Gibt einen Long-Wert zurück oder legt ihn fest, der den Standarddateifilter eines Dateidialogfeldes angibt. Der Standardfilter legt fest, welche Dateitypen beim ersten Öffnen des Dateidialogfeldes angezeigt werden. Lese-/Schreibzugriff.

Ausdruck.FilterIndex

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Hinweise

Wenn Sie diese Eigenschaft auf einen Wert setzen, der größer ist als die Anzahl der Filter, wird der letzte verfügbare Filter ausgewählt.

Beispiel

Im folgenden Beispiel wird mithilfe des FileDialog-Objekts ein Dialogfeld zur Dateiauswahl erstellt und jede ausgewählte Datei in einem Meldungsfeld angezeigt. Dieses Beispiel demonstriert auch, wie ein neuer Dateifilter hinzugefügt und als Standardfilter ausgewählt wird.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Add a filter that includes GIF and JPEG images and make it the second item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 2

        'Sets the initial file filter to number 2.
        .FilterIndex = 2

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Filters-Eigenschaft

Gibt eine FileDialogFilters-Auflistung zurück.

Ausdruck.Filters

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird mithilfe des FileDialog-Objekts ein Dialogfeld zur Dateiauswahl erstellt und jede ausgewählte Datei in einem Meldungsfeld angezeigt. Darüber hinaus wird der neue Dateifilter Images hinzugefügt.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Add a filter that includes GIF and JPEG images and make it the first item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 1

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


FixedWidthFont-Eigenschaft

Legt die Festbreitenschrift in der Hostanwendung fest bzw. gibt sie zurück. String-Wert mit Lese-/Schreibzugriff.

Hinweise

Wenn Sie die FixedWidthFont-Eigenschaft einstellen, überprüft die Hostanwendung den Wert nicht auf Gültigkeit.

Beispiel

In diesem Beispiel wird die Festbreitenschrift und deren Schriftgrad für den Zeichensatz English/Western European/Other Latin Script in der aktiven Anwendung festgelegt.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


FixedWidthFontSize-Eigenschaft

Legt den Schriftgrad der Festbreitenschrift in der Hostanwendung in Punkt fest bzw. gibt diesen Wert zurück. Single-Wert mit Lese-/Schreibzugriff.

Hinweise

Wenn Sie die FixedWidthFontSize-Eigenschaft einstellen, überprüft die Hostanwendung den Wert nicht auf Gültigkeit. Wenn Sie einen ungültigen Wert eingeben, z. B. einen nichtnumerischen Wert, stellt die Hostanwendung den Schriftgrad auf 0 Punkt ein. Sie können den Schriftgrad in Halbpunktschritten eingeben. Wenn Sie andere Bruchteile von Punktgrößen eingeben, werden die Werte auf den nächsten halben Punkt ab- bzw. aufgerundet.

Beispiel

In diesem Beispiel wird die Festbreitenschrift und deren Schriftgrad für den Zeichensatz English/Western European/Other Latin Script in der aktiven Anwendung festgelegt.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


FoundFiles-Eigenschaft

Gibt ein FoundFiles-Objekt zurück, das die Namen aller bei einem Suchlauf gefundenen Dateien enthält. Schreibgeschützt.

Beispiel

In diesem Beispiel wird die Liste der bei einem Suchlauf gefundenen Dateien schrittweise durchlaufen und der Pfad für jede Datei angezeigt.

With Application.FileSearch
For i = 1 To .FoundFiles.Count
    MsgBox .FoundFiles(i)
Next I
End With


GuessHelp-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

True, wenn der Office-Assistent eine Liste relevanter Hilfethemen zum Kontext anzeigt, der unmittelbar vor dem Klicken auf das Assistenten-Fenster oder vor dem Drücken von F1 aktiv war. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Die GuessHelp-Eigenschaft entspricht der Option Hilfethemen erraten unter Office-Assistenten verwenden auf der Registerkarte Optionen des Dialogfeldes Office-Assistent.

Beispiel

In diesem Beispiel wird der Office-Assistent so eingestellt, dass er Hilfethemen rät.

Assistant.GuessHelp = True


Guid-Eigenschaft

Gibt den global eindeutigen Klassenbezeichner (GUID, Globally Unique Class Identifier) für das angegebene COMAddIn-Objekt zurück. Schreibgeschützter String-Wert.

Beispiel

Im folgenden Beispiel werden die ProgID und die GUID für das COM-Add-In 1 in einem Meldungsfeld angezeigt.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


Heading-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Gibt die Überschrift zurück, die in der Sprechblase des Office-Assistenten angezeigt wird bzw. legt sie fest. String-Wert mit Lese-/Schreibzugriff.

Hinweise

Um eine Grafik anzugeben, die in der Sprechblasenüberschrift angezeigt werden soll, verwenden Sie die folgende Syntax: {type location sizing_factor}, wobei type BMP (Bitmap) oder WMF (Windows Metafile), location die Ressourcen-ID oder der Pfad und der Dateiname ist und sizing_factor die Breite der WMF-Datei angibt (für BMP nicht angegeben).

Die Sprechblasenüberschrift unterstützt auch unterstrichenen Text sowie Text, auf den eine der 16 Systempalettenfarben angewendet wurde. Um in einer Überschrift unterstrichenen Text anzuzeigen, verwenden Sie die Syntax {ul} oder {ul 1}. Mit {ul 0} deaktivieren Sie die Unterstreichung. Wenn Sie die Farbe der Überschrift ändern möchten, schreiben Sie vor den Überschriftentext die Zeichenfolge {cf number}, wobei number die Nummer einer der Systemfarben in der folgenden Tabelle ist.

Nummer der Systemfarbe | Farbe
0 | Schwarz
1 | Dunkelrot
2 | Dunkelgrün
3 | Dunkelgelb
4 | Dunkelblau
5 | Dunkelmagenta
6 | Dunkelzyan
7 | Hellgrau
248 | Mittelgrau
249 | Rot
250 | Grün
251 | Gelb
252 | Blau
253 | Magenta
254 | Zyan
255 | Weiß

Wenn Sie eine andere als die oben genannten Systemfarbennummern angeben, ist der Text der Überschrift schwarz.

Beispiel

In diesem Beispiel wird eine Sprechblase mit Überschrift, Text und drei Regionsoptionen angezeigt.

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Height-Eigenschaft

Gibt die Höhe eines Befehlsleisten-Steuerelements oder einer Befehlsleiste zurück. Long-Wert mit Lese-/Schreibzugriff.

Ausdruck.Height

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Beispiel

In diesem Beispiel wird ein benutzerdefiniertes Steuerelement zur Befehlsleiste Custom hinzugefügt. Die Höhe des benutzerdefinierten Steuerelements wird auf die doppelte Höhe der Befehlsleiste gesetzt, die Breite auf 50 Pixel. Beachten Sie, dass sich die Höhe der Befehlsleiste automatisch ändert, sodass diese das Steuerelement aufnehmen kann.

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


HelpContextId-Eigenschaft

Gibt die ID-Nummer des Hilfekontextes für das dem Befehlsleistensteuerelement zugeordnete Hilfethema zurück oder legt die ID-Nummer fest. Long-Wert mit Lese-/Schreibzugriff.

Hinweise

Um diese Eigenschaft verwenden zu können, müssen Sie auch die HelpFile-Eigenschaft einstellen. Hilfethemen werden mit der Tastenkombination UMSCHALT+F1 abgerufen.

Beispiel

In diesem Beispiel wird eine benutzerdefinierte Befehlsleiste mit einem Kombinationsfeld zur Erfassung von Bestandsdaten hinzugefügt. Im Beispiel wird außerdem das Hilfethema angegeben, das für das Kombinationsfeld angezeigt werden soll, wenn der Benutzer UMSCHALT+F1 drückt.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


HelpFile-Eigenschaft

Gibt den Namen der Datei für das mit dem Befehlsleistensteuerelement verbundene Hilfethema zurück oder legt ihn fest. String-Wert mit Lese-/Schreibzugriff.

Hinweise

Um diese Eigenschaft verwenden zu können, müssen Sie auch die HelpContextID-Eigenschaft einstellen. Hilfethemen werden mit der Tastenkombination UMSCHALT+F1 abgerufen.

Beispiel

In diesem Beispiel wird eine benutzerdefinierte Befehlsleiste mit einem Kombinationsfeld zur Erfassung von Bestandsdaten hinzugefügt. Im Beispiel wird außerdem das Hilfethema angegeben, das für das Kombinationsfeld angezeigt werden soll, wenn der Benutzer UMSCHALT+F1 drückt.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


HighPriorityTips-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

True, wenn der Office-Assistent Tipps mit hoher Priorität anzeigt. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Die HighPriorityTips-Eigenschaft entspricht der Option Nur Tipps mit hoher Priorität anzeigen unter Tipps anzeigen auf der Registerkarte Optionen im Dialogfeld Office-Assistent.

Beispiel

In diesem Beispiel wird der Office-Assistent so eingestellt, dass er Tipps mit hoher Priorität anzeigt.

Assistant.HighPriorityTips = True


HTMLProjectItems-Eigenschaft

Gibt die HTMLProjectItems-Auflistung zurück, die in dem angegebenen HTML-Projekt enthalten ist. Schreibgeschützter HTMLProjectItems-Wert.

Beispiel

In diesem Beispiel wird die Anzahl der Elemente in der HTMLProjectItems-Auflistung im HTML-Projekt in der aktiven Arbeitsmappe zurückgegeben.

intCount = ActiveWorkbook.HTMLProject.HTMLProjectItems.Count


HyperlinkType-Eigenschaft

Legt den Typ des Hyperlinks fest, der mit der angegebenen Befehlsleistenschaltfläche verknüpft ist bzw. gibt diesen zurück. MsoCommandBarButtonHyperlinkType-Wert mit Lese-/Schreibzugriff.

MsoCommandBarButtonHyperlinkType kann eine der folgenden MsoCommandBarButtonHyperlinkType-Konstanten sein:
msoCommandBarButtonHyperlinkInsertPicture
msoCommandBarButtonHyperlinkNone
msoCommandBarButtonHyperlinkOpen

Beispiel

In diesem Beispiel wird die HyperlinkType-Eigenschaft für die angegebene Befehlsleistenschaltfläche auf der Befehlsleiste Custom überprüft. Wenn HyperlinkType den Wert msoCommandBarButtonHyperlinkNone hat, wird die Eigenschaft auf msoCommandBarButtonHyperlinkOpen und der URL auf www.microsoft.com gesetzt.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set myButton = myBar.Controls.Add(Type:=msoControlButton)
With myButton
    .FaceId = 277
    .HyperlinkType = msoCommandBarButtonHyperlinkNone
End With
If myButton.HyperlinkType <> _
    msoCommandBarButtonHyperlinkOpen Then
    myButton.HyperlinkType = _
        msoCommandBarButtonHyperlinkOpen
    myButton.TooltipText = "www.microsoft.com"
End If


Icon-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Gibt den Symboltyp zurück, der im unteren linken Abschnitt der Sprechblase des Office-Assistenten erscheint, oder legt ihn fest. MsoIconType-Wert mit Schreib-/Lesezugriff.

MsoIconType kann eine der folgenden MsoIconType-Konstanten sein:
msoIconAlert
msoIconAlertCritical
msoIconAlertInfo
msoIconAlertQuery
msoIconAlertWarning
msoIconNone
msoIconTip

Beispiel

In diesem Beispiel wird eine Sprechblase mit einem Alarmsymbol erstellt, in welcher der Benutzer zur Auswahl eines Druckers aufgefordert wird.

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Show
End With


Id-Eigenschaft

Id-Eigenschaft für die CommandBarButton-, CommandBarComboBox- und CommandBarControl-Objekte

Gibt die ID für ein integriertes Befehlsleisten-Steuerelement zurück. Schreibgeschützter Long-Wert.

Ausdruck.Id

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Hinweise

Die ID eines Steuerelements bestimmt die integrierte Aktion für dieses Steuerelement. Der Wert der Id-Eigenschaft für alle benutzerdefinierten Steuerelemente ist 1.

Id-Eigenschaft für das Script-Objekt

Legt die ID eines Script-Objekts fest bzw. gibt sie zurück. String-Wert mit Lese-/Schreibzugriff.

Ausdruck.Id

Ausdruck Erforderlich. Ein Ausdruck, der ein Script-Objekt zurückgibt.

Hinweise

Die zurückgegebene ID ist das ID-Attribut des <SCRIPT>-Tags in HTML. Wenn im <SCRIPT>-Tag kein ID-Attribut angegeben ist, gibt die Id-Eigenschaft eine leere Zeichenfolge zurück.

Id gibt eine SGML-ID zum Benennen von Elementen an. Gültige IDs sind alle alphanumerischen Zeichenfolgen, die mit einem Buchstaben beginnen. Diese Zeichenfolgen können auch Unterstriche ( _ ) enthalten.

Die ID muss innerhalb des HTML-Dokuments eindeutig sein.

Beispiel

Für die CommandBarButton-, CommandBarComboBox- und CommandBarControl-Objekte

In diesem Beispiel wird das Schaltflächensymbol des ersten Steuerelements der Befehlsleiste Custom2 geändert, wenn der Wert der Schaltflächen-ID kleiner als 25 ist.

Set ctrl = CommandBars("Custom").Controls(1)
With ctrl
    If .Id < 25 Then
        .FaceId = 17
        .Tag = "Changed control"
    End If
End With

Im folgenden Beispiel wird der Titel jedes Steuerelements der Symbolleiste Standard auf den aktuellen Wert der Id-Eigenschaft für das jeweilige Steuerelement gesetzt.

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

Für das Script-Objekt

In diesem Beispiel wird die Id-Eigenschaft des ersten Skripts in Arbeitsblatt 1 der aktiven Arbeitsmappe auf einen neuen Wert gesetzt.

ActiveWorkbook.Worksheets(1).Scripts(1).Id = "UpdatedScriptName"


Index-Eigenschaft

Gibt einen Long-Wert zurück, der die Indexnummer eines Objekts in der Auflistung repräsentiert. Schreibgeschützt.

Ausdruck.Index

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Hinweise

Die Position des ersten Befehlsleisten-Steuerelements ist 1. Trennzeichen werden in der CommandBarControls-Auflistung nicht gezählt.

Beispiel

In diesem Beispiel wird die Befehlsleiste Custom2 nach einem Steuerelement mit dem ID-Wert 23 durchsucht. Wenn ein entsprechendes Steuerelement gefunden wird und seine Indexnummer größer als 5 ist, wird es als erstes Steuerelement auf der Befehlsleiste platziert.

Set myBar = CommandBars("Custom2")
Set ctrl1 = myBar.FindControl(Id:=23)
If ctrl1.Index > 5 Then
    ctrl1.Move before:=1
End If


InitialFileName-Eigenschaft

Gibt einen String-Wert zurück oder legt ihn fest, der den zuerst in einem Dateidialogfeld angezeigten Pfad und/oder Dateinamen repräsentiert. Lese-/Schreibzugriff.

Ausdruck.InitialFileName

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Hinweise

Bei der Angabe des Dateinamens (aber nicht für den Pfad) können Sie die Platzhalterzeichen '*' und '?' verwenden. Das Zeichen '*' steht für eine beliebige Anzahl aufeinanderfolgender Zeichen, '?' repräsentiert ein einzelnes Zeichen. Mit .InitialFileName = "c:\c*s.txt" beispielsweise wird sowohl die Datei charts.txt als auch die Datei checkregister.txt zurückgegeben.

Wenn Sie einen Pfad, aber keinen Dateinamen angeben, werden alle dem Dateifilter entsprechenden Dateien im Dialogfeld angezeigt.

Wenn Sie eine Datei angeben, die im Ausgangsordner vorhanden ist, wird nur diese Datei im Dialogfeld angezeigt.

Wenn Sie einen Dateinamen angeben, der nicht im Ausgangsordner vorhanden ist, werden im Dialogfeld keine Dateien angezeigt. Der mit der InitialFileName-Eigenschaft angegebene Dateityp setzt die Dateifiltereinstellungen außer Kraft.

Wenn Sie einen ungültigen Pfad angeben, wird der zuletzt verwendete Pfad verwendet. Wenn ein ungültiger Pfad verwendet wird, wird eine Warnmeldung angezeigt.

Wenn diese Eigenschaft auf eine Zeichenfolge mit mehr als 256 Zeichen gesetzt wird, wird ein Laufzeitfehler hervorgerufen.

Beispiel

Im folgenden Beispiel wird mithilfe des FileDialog-Objekts ein Dialogfeld zur Dateiauswahl erstellt und jede ausgewählte Datei in einem Meldungsfeld angezeigt.

Sub Main()

    'Declare a variable as a FileDialog object
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Set the initial path to the C:\ drive.
        .InitialFileName = "C:\"

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


InitialView-Eigenschaft

Gibt eine MsoFileDialogView-Konstante zurück oder legt sie fest, die die anfängliche Darstellung von Dateien und Ordnern in einem Dateidialogfeld repräsentiert. Lese-/Schreibzugriff.

MsoFileDialogView kann eine der folgenden MsoFileDialogView-Konstanten sein:
msoFileDialogViewDetails
msoFileDialogViewLargeIcons
msoFileDialogViewList
msoFileDialogViewPreview
msoFileDialogViewProperties
msoFileDialogViewSmallIcons
msoFileDialogViewThumbnail Diese Konstante ist nur unter Microsoft Windows 2000 oder Microsoft Windows Millennium Edition oder höher verfügbar.
msoFileDialogViewWebView Nicht verfügbar. Wenn Sie diese Konstante auswählen, wird die Standardansicht verwendet.

Ausdruck.InitialView

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel werden mithilfe des FileDialog-Objekts ein Dialogfeld zur Dateiauswahl in Detailansicht und jede ausgewählte Datei in einem Meldungsfeld angezeigt.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Set the initial view to the details view.
        .InitialView = msoFileDialogViewDetails

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Introduction-Eigenschaft

Gibt den einführenden Text zurück oder legt ihn fest, der in einem mithilfe des MsoEnvelope-Objekts gesendeten Dokument enthalten ist. Der Einführungstext wird am Anfang des Dokuments in der E-Mail platziert. String-Wert mit Lese-/Schreibzugriff.

Ausdruck.Introduction

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird das aktive Microsoft Word-Dokument als E-Mail an die durch eine Unterroutine übergebene E-Mail-Adresse gesendet.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the MsoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail.
        .Introduction = "Please read this and send me your comments."

        'Return a MailItem object that you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties these settings will persist.

            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


IsCertificateExpired-Eigenschaft

True, wenn das digitale Zertifikat, das dem Signature-Objekt entspricht, abgelaufen ist. Schreibgeschützter Boolescher Wert.

Ausdruck.IsCertificateExpired

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird der Benutzer aufgefordert, eine digitale Signatur auszuwählen, mit der das aktive Dokument in Microsoft Word signiert wird. Um dieses Beispiel verwenden zu können, müssen Sie ein Dokument in Word öffnen und dieser Funktion den Namen eines Zertifikatsausstellers sowie den Namen eines Zertifikatsunterzeichners übergeben, die den Feldern Ausgestellt von und Ausgestellt für eines digitalen Zertifikats im Dialogfeld Digitale Zertifikate entsprechen. In diesem Beispiel wird überprüft, ob die vom Benutzer ausgewählte digitale Signatur bestimmten Kriterien (z. B. Gültigkeitsdauer) entspricht, bevor die neue Signatur auf die Festplatte geschrieben wird.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


IsCertificateRevoked-Eigenschaft

True, wenn das digitale Zertifikat, das dem Signature-Objekt entspricht, vom Aussteller des Zertifikats gesperrt wurde. Schreibgeschützter Boolescher Wert.

Ausdruck.IsCertificateRevoked

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird der Benutzer aufgefordert, eine digitale Signatur auszuwählen, mit der das aktive Dokument in Microsoft Word signiert wird. Um dieses Beispiel verwenden zu können, müssen Sie ein Dokument in Word öffnen und dieser Funktion den Namen eines Zertifikatsausstellers sowie den Namen eines Zertifikatsunterzeichners übergeben, die den Feldern Ausgestellt von und Ausgestellt für eines digitalen Zertifikats im Dialogfeld Digitale Zertifikate entsprechen. In diesem Beispiel wird überprüft, ob die vom Benutzer ausgewählte digitale Signatur bestimmten Kriterien (z. B. Gültigkeitsdauer) entspricht, bevor die neue Signatur auf die Festplatte geschrieben wird.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


IsOpen-Eigenschaft

True, wenn das angegebene HTML-Projektelement im Microsoft Skript-Editor geöffnet ist. Schreibgeschützter Boolescher Wert.

Beispiel

In diesem Beispiel wird festgestellt, ob das angegebene HTML-Projektelement geöffnet ist. Ist dies der Fall, wird ein Skript aus der angegebenen Datei geladen.

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


IsPriorityDropped-Eigenschaft

True, wenn das Steuerelement derzeit aufgrund von Verwendungsstatistiken und Platzgründen nicht in einem Menü oder auf einer Symbolleiste angezeigt wird. (Beachten Sie, dass sich dies von der Sichtbarkeit eines Steuerelements unterscheidet, die mit der Visible-Eigenschaft festgelegt wird.) Ein Steuerelement, für das sowohl Visible als auch IsPriorityDropped auf True gesetzt wurde, ist in personalisierten Menüs oder Symbolleisten nicht sofort sichtbar. Schreibgeschützter Boolescher Wert.

Hinweise

Damit bestimmt werden kann, wann IsPriorityDropped für einen bestimmten Menübefehl auf True gesetzt wird, hält Microsoft Office fest, wie oft der Menübefehl insgesamt verwendet wurde. Außerdem wird die Anzahl der verschiedenen Anwendungssitzungen aufgezeichnet, in denen der Benutzer einen anderen Menübefehl im selben Menü verwendet hat, ohne den fraglichen Befehl zu verwenden. Wenn dieser Wert bestimmte Schwellwerte erreicht, wird heruntergezählt. Wenn die Anzahl Null erreicht, wird IsPriorityDropped auf True gesetzt. Beim Programmieren kann der Wert für die Sitzungen, der Schwellwert oder die IsPriorityDropped-Eigenschaft nicht eingestellt werden. Es besteht jedoch die Möglichkeit, die AdaptiveMenus-Eigenschaft zu verwenden, um adaptive Menüs für bestimmte Menüs in einer Anwendung zu deaktivieren.

Damit bestimmt werden kann, wann IsPriorityDropped für eine bestimmte Symbolleiste auf True gesetzt wird, führt Office eine Liste über die Reihenfolge, in der alle Steuerelemente auf dieser Symbolleiste zuletzt ausgeführt wurden. Auf einer Symbolleiste werden immer so viele Steuerelemente angezeigt, wie auf der Symbolleiste Platz finden. Die Anzeige erfolgt vom zuletzt verwendeten bis zum zuerst verwendeten Steuerelement. Steuerelemente, für die Priority auf 1 gesetzt ist, werden immer angezeigt, wobei die Symbolleiste für die Anzeige dieser Steuerelemente bei Bedarf auf mehrere Zeilen mit Steuerelementen umbrochen wird. Beim Programmieren kann die Priority-Eigenschaft verwendet werden, um sicherzustellen, dass bestimmte Steuerelemente der Symbolleiste immer angezeigt werden, oder um die Position der Symbolleisten so zu verändern, dass genug Platz zum Anzeigen aller Steuerelemente vorhanden ist.

In der folgenden Tabelle wird gezeigt, über wie viele Sitzungen ein Menübefehl in einem personalisierten Menü sichtbar bleibt, bevor die IsPriorityDropped-Eigenschaft des Menübefehls auf True gesetzt wird.

Anzahl der Verwendungen des Befehlsleistensteuerelements | Anzahl der Anwendungssitzungen
0, 1 | 3
2 | 6
3 | 9
4, 5 | 12
6- 8 | 17
9-13 | 23
14-24 | 29
25 oder mehr | 31

Beispiel

In diesem Beispiel wird die IsPriorityDropped-Eigenschaft für das erste Steuerelement auf der Befehlsleiste Custom überprüft. Wenn IsPriorityDropped den Wert True hat, setzt der Beispielcode die AdaptiveMenus-Eigenschaft auf False, sodass die gelöschte Befehlsleiste wiederhergestellt wird.

If CommandBars("Custom").Controls(1).IsPriorityDropped Then
    CommandBars.AdaptiveMenus = True
End If


Issuer-Eigenschaft

Gibt einen String-Wert zurück, der den Namen des Ausstellers des digitalen Zertifikats repräsentiert, das dem Signature-Objekt entspricht. Schreibgeschützt.

Ausdruck.Issuer

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird der Benutzer aufgefordert, eine digitale Signatur auszuwählen, mit der das aktive Dokument in Microsoft Word signiert wird. Um dieses Beispiel verwenden zu können, müssen Sie ein Dokument in Word öffnen und dieser Funktion den Namen eines Zertifikatsausstellers sowie den Namen eines Zertifikatsunterzeichners übergeben, die den Feldern Ausgestellt von und Ausgestellt für eines digitalen Zertifikats im Dialogfeld Digitale Zertifikate entsprechen. In diesem Beispiel wird überprüft, ob die vom Benutzer ausgewählte digitale Signatur bestimmten Kriterien (z. B. Gültigkeitsdauer) entspricht, bevor die neue Signatur auf die Festplatte geschrieben wird.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


IsValid-Eigenschaft

True, wenn das digitale Zertifikat, das dem Signature-Objekt entspricht, ein gültiges Zertifikat ist. Ein Zertifikat kann aus verschiedenen Gründen ungültig sein – beispielsweise weil es abgelaufen ist, oder weil das Dokument, in dem es enthalten ist, geändert wurde. Schreibgeschützter Boolescher Wert.

Ausdruck.IsValid

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird der Benutzer aufgefordert, eine digitale Signatur auszuwählen, mit der das aktive Dokument in Microsoft Word signiert wird. Um dieses Beispiel verwenden zu können, müssen Sie ein Dokument in Word öffnen und dieser Funktion den Namen eines Zertifikatsausstellers sowie den Namen eines Zertifikatsunterzeichners übergeben, die den Feldern Ausgestellt von und Ausgestellt für eines digitalen Zertifikats im Dialogfeld Digitale Zertifikate entsprechen. In diesem Beispiel wird überprüft, ob die vom Benutzer ausgewählte digitale Signatur bestimmten Kriterien (z. B. Gültigkeitsdauer) entspricht, bevor die neue Signatur auf die Festplatte geschrieben wird.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Item-Eigenschaft

Item-Eigenschaft für die FileTypes-Auflistung.

Gibt einen Wert zurück, der angibt, welche Dateitypen von der Execute-Methode des FileSearch-Objekts gesucht werden. Schreibgeschützter MsoFileType-Wert.

MsoFileType kann eine der folgenden MsoFileType-Konstanten sein:
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

Ausdruck.Item(Index)

Ausdruck Erforderlich. Ein Ausdruck, der eine FileTypes-Auflistung zurückgibt.

Index Erforderlicher Long-Wert. Die Indexzahl des zurückzugebenden Objekts.

Item-Eigenschaft für das CommandBars-Objekt.

Gibt ein CommandBar-Objekt aus der CommandBars-Auflistung zurück.

Ausdruck.Item(Index)

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBars-Objekt zurückgibt.

Index Erforderlicher Variant-Wert. Der Name oder die Indexzahl des zurückzugebenden Objekts.

Item-Eigenschaft für das CommandBarControls-Objekt.

Gibt ein CommandBarControl-Objekt aus der CommandBarControls-Auflistung zurück.

Ausdruck.Item(Index)

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBarControls-Objekt zurückgibt.

Index Erforderlicher Variant-Wert. Der Name oder die Indexzahl des zurückzugebenden Objekts.

Item-Eigenschaft für das DocumentProperties-Objekt.

Gibt ein DocumentProperty-Objekt aus der DocumentProperties-Auflistung zurück.

Ausdruck.Item(Index)

Ausdruck Erforderlich. Ein Ausdruck, der ein DocumentProperties-Objekt zurückgibt.

Index Erforderlicher Variant-Wert. Der Name oder die Indexzahl der zurückzugebenden Dokumenteigenschaft.

Item-Eigenschaft für die BalloonCheckboxes- und BalloonLabels-Objekte.

Gibt ein BalloonCheckBox- oder BalloonLabel-Objekt zurück.

Ausdruck.Item(Index)

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Index Erforderlicher Long-Wert. Die Indexzahl des Kontrollkästchens oder der Beschriftung, die zurückgegeben wird.

Item-Eigenschaft für das MsoEnvelope-Objekt.

Gibt ein MailItem-Objekt zurück, das zum Versenden des Dokuments als E-Mail verwendet werden kann.

Ausdruck.Item

Ausdruck Erforderlich. Ein Ausdruck, der ein MsoEnvelope-Objekt zurückgibt.

Item-Eigenschaft für das PropertyTests-Objekt.

Gibt ein PropertyTest-Objekt aus der PropertyTests-Auflistung zurück.

Ausdruck.Item(Index)

Ausdruck Erforderlich. Ein Ausdruck, der ein PropertyTests-Objekt zurückgibt.

Index Erforderlicher Long-Wert. Die Indexzahl des zurückzugebenden Eigenschaftentests.

Item-Eigenschaft für die ScopeFolders- und SearchFolders-Objekte.

Gibt ein ScopeFolder-Objekt zurück, das einen Unterordner des übergeordneten Objekts repräsentiert.

Ausdruck.Item(Index)

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Index Erforderlicher Long-Wert. Bestimmt, welcher Unterordner zurückgegeben wird.

Item-Eigenschaft für das SearchScopes-Objekt.

Gibt ein SearchScope-Objekt zurück, das einem Bereich entspricht, in dem eine Dateisuche durchgeführt wird, wie z. B. lokale Laufwerke oder Microsoft Outlook-Ordner.

Ausdruck.Item(Index)

Ausdruck Erforderlich. Ein Ausdruck, der ein SearchScopes-Objekt zurückgibt.

Index Erforderlicher Long-Wert. Bestimmt, welches SearchScope-Objekt zurückgegeben wird.

Item-Eigenschaft für das SignatureSet-Objekt.

Gibt ein Signature-Objekt zurück, das einer der digitalen Signaturen entspricht, mit denen das aktuelle Dokument gegenwärtig signiert ist.

Ausdruck.Item(iSig)

Ausdruck Erforderlich. Ein Ausdruck, der ein SignatureSet-Objekt zurückgibt.

iSig Erforderlicher Long-Wert. Bestimmt, welches Signature-Objekt zurückgegeben wird.

Item-Eigenschaft für die AnswerWizardFiles- und FoundFiles-Objekte.

Gibt eine Dateinamenzeichenfolge einer AnswerWizardFiles-Auflistung oder einen Dateinamen aus der vom FoundFiles-Objekt repräsentierten Liste der Dateinamen zurück. Schreibgeschützter String-Wert.

Ausdruck.Item(Index)

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Index Erforderlicher Long-Wert. Die Indexzahl der Namenszeichenfolge für die Datei des Antwort-Assistenten bzw. der Dateiname, der zurückgegeben werden soll.

Item-Eigenschaft für die Assistant-, BalloonCheckbox-, BalloonLabel- und FileDialog-Objekte.

Gibt den Text zurück, der einem Objekt zugewiesen ist. Schreibgeschützter String-Wert.

Ausdruck.Item

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Item-Eigenschaft für das WebPageFonts-Objekt.

Gibt ein WebPageFont-Objekt aus der WebPageFonts-Auflistung für einen bestimmten Wert von MsoCharacterSet zurück.

Ausdruck.Item(Index)

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Index Erforderlicher MsoCharacterSet-Wert. Der angegebene Zeichensatz.

MsoCharacterSet kann eine der folgenden MsoCharacterSet-Konstanten sein:
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

Beispiel

Für das CommandBars-Objekt.

Item ist das Standardelement des Objekts oder der Auflistung. In den beiden folgenden Anweisungen wird der Variablen cmdBar jeweils ein CommandBar-Objekt zugewiesen.

Set cmdBar = CommandBars.Item("Standard")
Set cmdBar = CommandBars("Standard")

Für die BalloonCheckboxes- und BalloonLabels-Objekte.

Item ist das Standardelement des Objekts oder der Auflistung. In den folgenden beiden Anweisungen wird der Variablen lblText der Text der ersten Beschriftung in dem Balloon-Objekt zugewiesen, das myBalloon zugewiesen ist.

lblText = myBalloon.Labels(1).Item
lblText = myBalloon.Labels(1)

Für die AnswerWizardFiles- und FoundFiles-Objekte.

In diesem Beispiel wird die Dateiliste für den aktuellen Antwort-Assistenten zurückgesetzt und ein Meldungsfeld mit der Anzahl der Dateien sowie den Dateinamen angezeigt, wobei die Dateinamen mithilfe der Item-Eigenschaft zurückgegeben werden.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList

Für das WebPageFonts-Objekt.

Im folgenden Beispiel wird myFont mithilfe der Item-Eigenschaft auf das WebPageFont-Objekt für den Zeichensatz English/Western European/Other Latin Script in der aktiven Anwendung gesetzt.

Dim myFont As WebPageFont
Set myFont = _
 Application.DefaultWebOptions.Fonts. _
 Item(msoCharacterSetEnglishWesternEuropeanOtherLatinScript)

Für das MsoEnvelope-Objekt.

Im folgenden Beispiel wird das aktive Microsoft Word-Dokument als E-Mail an die durch eine Unterroutine übergebene E-Mail-Adresse gesendet.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the msoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail message.
        .Introduction = "Please read this and send me your comments."

        'Return a MailItem object that you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties these settings will persist.

            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


KeyboardShortcutTips-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

True, wenn der Office-Assistent Hilfeinformationen über Tastenkombinationen liefert. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Die KeyboardShortcutTips-Eigenschaft entspricht der Option Kontextmenü unter Tipps anzeigen auf der Registerkarte Optionen im Dialogfeld Office-Assistent.

Beispiel

In diesem Beispiel werden die Hilfeinformationen des Office-Assistenten über Tastenkombinationen aktiviert.

Assistant.KeyboardShortcutTips = True


Labels-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Gibt eine BalloonLabels-Auflistung mit den Beschriftungen für die Schaltflächen, Nummerierungen und Aufzählungen in der angegebenen Sprechblase des Office-Assistenten zurück. Schreibgeschützt.

Weitere Informationen zur Rückgabe eines einzelnen Elements einer Auflistung finden Sie unter Zurückgeben eines Objekts aus einer Auflistung.

Beispiel

In diesem Beispiel wird eine Sprechblase mit drei Optionen erstellt. Die Variable x wird auf den Rückgabewert der Show-Methode gesetzt. Dieser Wert ist 1, 2 oder 3, je nachdem, auf welche Bezeichnung der Benutzer klickt. Im Beispiel wird der Wert der Variable x in einem einfachen Meldungsfenster angezeigt. Sie können den Wert aber auch an eine andere Prozedur übergeben oder ihn in einer Select Case-Anweisung verwenden.

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    x = .Show
End With
MsgBox x


Language-Eigenschaft

Gibt die Skriptsprache des aktiven Skriptes zurück bzw. legt sie fest. MsoScriptLanguage-Wert mit Lese-/Schreibzugriff.

MsoScriptLanguage kann eine der folgenden MsoScriptLanguage-Konstanten sein:
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic

Hinweise

Die bei der Language-Eigenschaft verwendeten MsoScriptLanguage-Konstanten werden auch im Language-Parameter in der Add-Methode der Scripts-Auflistung verwendet.

Beispiel

In diesem Beispiel wird die Language-Eigenschaft überprüft, um sicherzustellen, dass das erste Skript in Arbeitsblatt 1 in der aktiven Arbeitsmappe in VBScript geschrieben ist.

If ActiveWorkbook.Worksheets(1).Scripts(1).Language <> _
    msoScriptLanguageVisualBasic Then
      MsgBox "Language is not set to VBScript."
End If


LanguageID-Eigenschaft

Gibt die LCID (Locale Identifier, Gebietsschemabezeichner) der Sprache für die Installation, die Benutzeroberfläche oder die Hilfe zurück. Schreibgeschützter Long-Wert.

Ausdruck.LanguageID(Id)

Ausdruck Erforderlich. Ein Ausdruck, der ein LanguageSettings-Objekt zurückgibt.

Id Erforderlicher MsoAppLanguageID-Wert.

MsoAppLanguageID-Konstante | Bedeutung
msoLanguageIDExeMode | Der Sprachmodus, den die Anwendung verwendet. Diese Einstellung gilt nur für Microsoft Excel und Microsoft Access. Sie hat einen Einfluss auf Sprachen, die angezeigt und bearbeitet werden können, verfügbare sprachenspezifische Funktionen, Zahlenformate, Währungseinstellungen usw. Wenn keine der von Excel und Access unterstützten Sprachen verwendet wird, wird die Hostanwendung nicht so konfiguriert, dass sie ostasiatische und von rechts nach links orientierte Sprachen unterstützt. Folgende Sprachen werden unterstützt: Arabisch Chinesisch (traditionell) Chinesisch (vereinfacht) Farsi Hebräisch Japanisch Jiddisch Koreanisch Urdu
msoLanguageIDHelp | Die für die Hilfe verwendete Sprache.
msoLanguageIDInstall | Die Spracheinstellungen, die in Microsoft Office zum Festlegen von Standardwerten verwendet werden. In Microsoft Word werden anhand dieser Einstellung z. B. das Layout von Symbolleisten und die Standardnummerierungs- und -aufzählungstypen für jede Sprache einzeln festgelegt.
msoLanguageIDUI | Die für die Benutzeroberfläche der Hostanwendung verwendete Sprache.
msoLanguageIDUIPrevious | Die Spracheinstellung, die zu dem Zeitpunkt für die Benutzeroberfläche galt, als der betreffende Computer zuletzt neu gestartet wurde. Ein Programm oder Add-In kann mithilfe dieser Einstellung ermitteln, ob sich die Sprache für die Benutzeroberfläche geändert hat.

Beispiel

In diesem Microsoft Excel-Beispiel werden die Einstellungen für die LanguageID-Eigenschaft für die Benutzeroberfläche und den Ausführungsmodus daraufhin überprüft, ob sie auf die gleiche LCID eingestellt sind. Im Falle einer Abweichung wird ein Fehler zurückgegeben.

If Application.LanguageSettings.LanguageID(msoLanguageIDExeMode) _
    <> Application.LanguageSettings.LanguageID(msoLanguageIDUI) _
    Then MsgBox "The user interface language and execution " & _
    "mode are different."


LanguagePreferredForEditing-Eigenschaft

Gibt True zurück, wenn der Wert für die msoLanguageID-Konstante in der Windows-Registrierung als bevorzugte Sprache für die Bearbeitung angegeben wurde. Schreibgeschützter Boolescher Wert.

Ausdruck.LanguagePreferredForEditing(lid)

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

lid Erforderlicher MsoLanguageID-Wert.

MsoLanguageID kann eine der folgenden MsoLanguageID-Konstanten sein:
msoLanguageIDAfrikaans
msoLanguageIDAlbanian
msoLanguageIDAmharic
msoLanguageIDArabic
msoLanguageIDArabicAlgeria
msoLanguageIDArabicBahrain
msoLanguageIDArabicEgypt
msoLanguageIDArabicIraq
msoLanguageIDArabicJordan
msoLanguageIDArabicKuwait
msoLanguageIDArabicLebanon
msoLanguageIDArabicLibya
msoLanguageIDArabicMorocco
msoLanguageIDArabicOman
msoLanguageIDArabicQatar
msoLanguageIDArabicSyria
msoLanguageIDArabicTunisia
msoLanguageIDArabicUAE
msoLanguageIDArabicYemen
msoLanguageIDArmenian
msoLanguageIDAssamese
msoLanguageIDAzeriCyrillic
msoLanguageIDAzeriLatin
msoLanguageIDBasque
msoLanguageIDBelgianDutch
msoLanguageIDBelgianFrench
msoLanguageIDBengali
msoLanguageIDBrazilianPortuguese
msoLanguageIDBulgarian
msoLanguageIDBurmese
msoLanguageIDByelorussian
msoLanguageIDCatalan
msoLanguageIDCherokee
msoLanguageIDChineseHongKong
msoLanguageIDChineseMacao
msoLanguageIDChineseSingapore
msoLanguageIDCroatian
msoLanguageIDCzech
msoLanguageIDDanish
msoLanguageIDDutch
msoLanguageIDEnglishAUS
msoLanguageIDEnglishBelize
msoLanguageIDEnglishCanadian
msoLanguageIDEnglishCaribbean
msoLanguageIDEnglishIreland
msoLanguageIDEnglishJamaica
msoLanguageIDEnglishNewZealand
msoLanguageIDEnglishPhilippines
msoLanguageIDEnglishSouthAfrica
msoLanguageIDEnglishTrinidad
msoLanguageIDEnglishUK
msoLanguageIDEnglishUS
msoLanguageIDEnglishZimbabwe
msoLanguageIDEstonian
msoLanguageIDFaeroese
msoLanguageIDFarsi
msoLanguageIDFinnish
msoLanguageIDFrench
msoLanguageIDFrenchCameroon
msoLanguageIDFrenchCanadian
msoLanguageIDFrenchCotedIvoire
msoLanguageIDFrenchLuxembourg
msoLanguageIDFrenchMali
msoLanguageIDFrenchMonaco
msoLanguageIDFrenchReunion
msoLanguageIDFrenchSenegal
msoLanguageIDFrenchWestIndies
msoLanguageIDFrenchZaire
msoLanguageIDFrisianNetherlands
msoLanguageIDGaelicIreland
msoLanguageIDGaelicScotland
msoLanguageIDGalician
msoLanguageIDGeorgian
msoLanguageIDGerman
msoLanguageIDGermanAustria
msoLanguageIDGermanLiechtenstein
msoLanguageIDGermanLuxembourg
msoLanguageIDGreek
msoLanguageIDGujarati
msoLanguageIDHebrew
msoLanguageIDHindi
msoLanguageIDHungarian
msoLanguageIDIcelandic
msoLanguageIDIndonesian
msoLanguageIDInuktitut
msoLanguageIDItalian
msoLanguageIDJapanese
msoLanguageIDKannada
msoLanguageIDKashmiri
msoLanguageIDKazakh
msoLanguageIDKhmer
msoLanguageIDKirghiz
msoLanguageIDKonkani
msoLanguageIDKorean
msoLanguageIDLao
msoLanguageIDLatvian
msoLanguageIDLithuanian
msoLanguageIDMacedonian
msoLanguageIDMalayalam
msoLanguageIDMalayBruneiDarussalam
msoLanguageIDMalaysian
msoLanguageIDMaltese
msoLanguageIDManipuri
msoLanguageIDMarathi
msoLanguageIDMexicanSpanish
msoLanguageIDMixed
msoLanguageIDMongolian
msoLanguageIDNepali
msoLanguageIDNone
msoLanguageIDNoProofing
msoLanguageIDNorwegianBokmol
msoLanguageIDNorwegianNynorsk
msoLanguageIDOriya
msoLanguageIDOromo
msoLanguageIDPolish
msoLanguageIDPortuguese
msoLanguageIDPunjabi
msoLanguageIDRhaetoRomanic
msoLanguageIDRomanian
msoLanguageIDRomanianMoldova
msoLanguageIDRussian
msoLanguageIDRussianMoldova
msoLanguageIDSamiLappish
msoLanguageIDSanskrit
msoLanguageIDSerbianCyrillic
msoLanguageIDSerbianLatin
msoLanguageIDSesotho
msoLanguageIDSimplifiedChinese
msoLanguageIDSindhi
msoLanguageIDSlovak
msoLanguageIDSlovenian
msoLanguageIDSorbian
msoLanguageIDSpanish
msoLanguageIDSpanishArgentina
msoLanguageIDSpanishBolivia
msoLanguageIDSpanishChile
msoLanguageIDSpanishColombia
msoLanguageIDSpanishCostaRica
msoLanguageIDSpanishDominicanRepublic
msoLanguageIDSpanishEcuador
msoLanguageIDSpanishElSalvador
msoLanguageIDSpanishGuatemala
msoLanguageIDSpanishHonduras
msoLanguageIDSpanishModernSort
msoLanguageIDSpanishNicaragua
msoLanguageIDSpanishPanama
msoLanguageIDSpanishParaguay
msoLanguageIDSpanishPeru
msoLanguageIDSpanishPuertoRico
msoLanguageIDSpanishUruguay
msoLanguageIDSpanishVenezuela
msoLanguageIDSutu
msoLanguageIDSwahili
msoLanguageIDSwedish
msoLanguageIDSwedishFinland
msoLanguageIDSwissFrench
msoLanguageIDSwissGerman
msoLanguageIDSwissItalian
msoLanguageIDTajik
msoLanguageIDTamil
msoLanguageIDTatar
msoLanguageIDTelugu
msoLanguageIDThai
msoLanguageIDTibetan
msoLanguageIDTigrignaEritrea
msoLanguageIDTigrignaEthiopic
msoLanguageIDTraditionalChinese
msoLanguageIDTsonga
msoLanguageIDTswana
msoLanguageIDTurkish
msoLanguageIDTurkmen
msoLanguageIDUkrainian
msoLanguageIDUrdu
msoLanguageIDUzbekCyrillic
msoLanguageIDUzbekLatin
msoLanguageIDVenda
msoLanguageIDVietnamese
msoLanguageIDWelsh
msoLanguageIDXhosa
msoLanguageIDZulu

Hinweise

Sie müssen alle gültigen msoLanguageID-Werte testen, um die bevorzugten Sprachen zu nummerieren.

Beispiel

In diesem Beispiel wird eine Meldung angezeigt, wenn US-Englisch eine bevorzugte Bearbeitungssprache ist.

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "One of the preferred editing languages is US English."
End If


LargeButtons-Eigenschaft

True, wenn auf der Symbolleiste große Schaltflächen angezeigt werden. Boolescher Wert mit Lese-/Schreibzugriff.

Beispiel

In diesem Beispiel wird die Anzeigegröße von Symbolleistenschaltflächen umgeschaltet.

Set allBars = CommandBars
If allBars.LargeButtons Then
    allBars.LargeButtons = False
Else
    allBars.LargeButtons = True
End If


LastModified-Eigenschaft

Gibt eine Konstante zurück, die den Zeitraum darstellt, vor dem die angegebene Datei zuletzt geändert und gespeichert worden ist, oder legt diese Konstante fest. Der Standardwert ist msoLastModifiedAnyTime. MsoLastModified-Wert mit Lese-/Schreibzugriff.

MsoLastModified kann eine der folgenden MsoLastModified-Konstanten sein:
msoLastModifiedAnyTime
msoLastModifiedLastMonth
msoLastModifiedLastWeek
msoLastModifiedThisMonth
msoLastModifiedThisWeek
msoLastModifiedToday
msoLastModifiedYesterday

Beispiel

In diesem Beispiel werden Optionen für eine Dateisuche festgelegt. Die Dateien, die diese Suche zurückgibt, wurden gestern geändert und sind im Ordner C:\My Documents oder einem seiner Unterordner gespeichert.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .LastModified = msoLastModifiedYesterday
End With


Left-Eigenschaft

Teile dieses Hilfethemas gelten möglicherweise nicht für alle Sprachen.

Left-Eigenschaft für die Assistant- und CommandBar-Objekte.

Gibt in Punkt die horizontale Position des Fensters des Office-Assistenten oder in Pixel den Abstand der Befehlsleiste vom linken Rand des angegebenen Objekts relativ zum Bildschirm zurück oder legt diesen Wert fest. Long-Wert mit Lese-/Schreibzugriff.

Ausdruck.Left

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Left-Eigenschaft für die CommandBarButton-, CommandBarComboBox-, CommandBarControl- und CommandBarPopup-Objekte.

Gibt in Pixel die horizontale Position des angegebenen Befehlsleisten-Steuerelements relativ zum linken Rand des Bildschirms zurück oder legt diesen Wert fest. Gibt den Abstand von der linken Seite des Verankerungsbereichs zurück. Schreibgeschützter Long-Wert.

Ausdruck.Left

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Beispiel

Für die Assistant- und CommandBar-Objekte.

Dieser Beispielcode zeigt den Office-Assistenten an und verschiebt ihn innerhalb des Anwendungsfensters an die angegebene Position.

With Assistant
    .Visible = True
    .Left = 300
    .Top = 300
End With

In diesem Beispiel wird die Befehlsleiste Custom von ihrer Verankerungsposition am oberen Fensterrand entlang zum linken Rand des Fensters verschoben.

Set myBar = CommandBars("Custom")
With myBar
    .Position = 1
    .RowIndex = 2
    .Left = 0
End With


LinkSource-Eigenschaft

Gibt die Quelle der angegebenen, verknüpften benutzerdefinierten Dokumenteigenschaft zurück oder legt sie fest. String-Wert mit Lese-/Schreibzugriff.

Hinweise

Diese Eigenschaft ist nur für benutzerdefinierte Dokumenteigenschaften gültig. Sie kann nicht mit integrierten Dokumenteigenschaften verwendet werden.

Die Quelle der angegebenen Verknüpfung wird von der Containeranwendung bestimmt.

Wenn die LinkSource-Eigenschaft festgelegt wird, wird die LinkToContent-Eigenschaft auf True eingestellt.

Beispiel

In diesem Beispiel wird der Verknüpfungsstatus einer benutzerdefinierten Dokumenteigenschaft angezeigt. Dieses Beispiel funktioniert nur, wenn dp ein gültiges DocumentProperty-Objekt ist.

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


LinkToContent-Eigenschaft

True, wenn der Wert der angegebenen, benutzerdefinierten Dokumenteigenschaft mit dem Inhalt des Containerdokuments verknüpft ist. False, wenn es sich um einen statischen Wert handelt. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Diese Eigenschaft ist nur für benutzerdefinierte Dokumenteigenschaften gültig. Für integrierte Dokumenteigenschaften ist diese Eigenschaft immer auf False eingestellt.

Verwenden Sie die LinkSource-Eigenschaft, um die Quelle für die angegebene, verknüpfte Eigenschaft einzustellen. Wenn die LinkSource-Eigenschaft festgelegt wird, wird die LinkToContent-Eigenschaft auf True eingestellt.

Beispiel

In diesem Beispiel wird der Verknüpfungsstatus der benutzerdefinierten Dokumenteigenschaft angezeigt. Dieses Beispiel funktioniert nur, wenn dp ein gültiges DocumentProperty-Objekt ist.

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


List-Eigenschaft

Gibt den Wert eines Listenelements im Kombinationsfeldsteuerelement der Befehlsleiste zurück oder legt ihn fest. String-Wert mit Lese-/Schreibzugriff.

Anmerkung Diese Eigenschaft gilt für integrierte Kombinationsfeldsteuerelemente mit Schreibschutz.

Ausdruck.List(Index)

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBarComboBox-Objekt zurückgibt.

Index Erforderlicher Long-Wert. Das einzustellende Listenelement.

Beispiel

In diesem Beispiel wird der Wert des vierten Listenelements im Kombinationsfeldsteuerelement "Stock Data" auf der Befehlsleiste Custom geprüft. Wenn der Wert nicht "View News" ist, zeigt der Beispielcode eine Meldung mit dem Hinweis an, dass das Kombinationsfeld u. U. beschädigt ist, und der Aufforderung, die Anwendung neu zu installieren.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).List(4) _
     <> "View News" Then
MsgBox ("Stock Data appears to be damaged." & _
     " Please reinstall application.")
End If


ListCount-Eigenschaft

Gibt die Anzahl der Listenelemente im angegebenen Kombinationsfeldsteuerelement der Befehlsleiste zurück. Schreibgeschützter Long-Wert.

Beispiel

In diesem Beispiel wird die Anzahl der Elemente im Kombinationsfeld auf der Befehlsleiste Custom geprüft. Enthält die durch die Prozedur erstellte Liste nicht drei Elemente, zeigt der Beispielcode eine Meldung mit dem Hinweis an, dass das Kombinationsfeld u. U. beschädigt ist, und der Aufforderung, die Anwendung neu zu installieren.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).ListCount _
     <> 4 Then
MsgBox ("ComboBox appears to be damaged." & _
     " Please reinstall.")
End If


ListHeaderCount-Eigenschaft

Gibt die Anzahl der Listenelemente im Kombinationsfeldsteuerelement der Befehlsleiste zurück, die über der Trennlinie angezeigt werden, oder legt die Anzahl fest. Long-Wert mit Lese-/Schreibzugriff.

Anmerkung Diese Eigenschaft gilt für integrierte Kombinationsfeldsteuerelemente mit Schreibschutz.

Hinweise

Ein Wert für die ListHeaderCount-Eigenschaft von –1 zeigt an, dass im Kombinationsfeldsteuerelement keine Trennlinie vorhanden ist.

Beispiel

In diesem Beispiel werden der Befehlsleiste Custom ein Kombinationsfeldsteuerelement und dem Kombinationsfeld zwei Elemente hinzugefügt. Dabei wird die ListHeaderCount-Eigenschaft verwendet, um zwischen dem ersten und dem zweiten Element in dem Kombinationsfeld eine Trennlinie anzuzeigen. Außerdem werden die Anzahl der Zeileneinträge, die Breite des Kombinationsfeldes und als Standardwert für das Kombinationsfeld eine Leerzeile festgelegt.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 1
End With


ListIndex-Eigenschaft

Gibt die Indexnummer des markierten Elements im Listenbereich des Kombinationsfeldsteuerelements der Befehlsleiste zurück oder legt die Indexnummer fest. Ist in der Liste kein Eintrag markiert, gibt diese Eigenschaft Null zurück. Long-Wert mit Lese-/Schreibzugriff.

Anmerkung Diese Eigenschaft funktioniert nicht, wenn sie auf Steuerelemente angewendet wird, die keine Listensteuerelemente sind.

Hinweise

Wenn die ListIndex-Eigenschaft festgelegt wird, wird durch das angegebene Steuerelement das angegebene Element ausgewählt und die entsprechende Aktion in der Anwendung ausgeführt.

Beispiel

In diesem Beispiel wird mit der ListIndex-Eigenschaft die richtige Subroutine ermittelt, die entsprechend der Auswahl in dem Kombinationsfeld auf der Befehlsleiste My Custom Bar ausgeführt werden muss. Da die Prozedur die ListIndex-Eigenschaft verwendet, kann das Kombinationsfeld beliebigen Text enthalten.

Sub processSelection()
Dim userChoice As Long
userChoice = CommandBars("My Custom Bar").Controls(1).ListIndex
    Select Case userChoice
        Case 1
            chartcourse
        Case 2
            displaygraph
        Case Else
            MsgBox ("Invalid choice. Please choose again.")
    End Select
End Sub


Location-Eigenschaft

Gibt die Position des Skriptanchors im angegebenen HTML-Dokument zurück. Schreibgeschützter MsoScriptLocation-Wert.

MsoScriptLocation kann eine der folgenden MsoScriptLocation-Konstanten sein:
msoScriptLocationInBody
msoScriptLocationInHead

Hinweise

Die Skripttags eines HTML-Dokuments können an einer beliebigen Stelle zwischen den <HTML>-Tags im Dokument stehen. In Microsoft Word, Excel oder PowerPoint sind nur die Skriptanchors sichtbar, die sich zwischen <BODY>-Tags befinden. Zusätzlicher HTML-Skriptcode vor oder nach den <BODY>-Tags wird gespeichert, ist für den Benutzer jedoch nicht sichtbar.

Die Scripts-Auflistung enthält alle Skriptanchors, die sich in dem Dokument befinden (sowohl innerhalb als auch außerhalb des Textkörpers des Dokuments). Mithilfe des Location-Arguments der Add-Methode können Sie Skriptanchors innerhalb der <HEAD>- und <BODY>-Tags in dem HTML-Dokument einfügen. Darüber hinaus können Sie mit der Location-Eigenschaft feststellen, an welcher Stelle ein bestimmter Skriptanchor innerhalb des Dokuments gespeichert ist.

Beispiel

In diesem Beispiel wird die Location-Eigenschaft des ersten Skriptes in Arbeitsblatt 1 in der aktiven Arbeitsmappe überprüft und die Position in einem Meldungsfeld angezeigt.

If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 1 Then
    MsgBox "The script in located in the header."
End If
If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 2 Then
    MsgBox "The script in located in the body of the worksheet."
End If


LookIn-Eigenschaft

Gibt den Ordner zurück, der während der angegebenen Dateisuche durchsucht werden soll, oder legt ihn fest. String-Wert mit Lese-/Schreibzugriff.

Beispiel

In diesem Beispiel wird der Ordner My Documents nach allen Dateien durchsucht, deren Namen mit cmd beginnt, und Name und Pfad jeder gefundenen Datei wird angezeigt.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Mask-Eigenschaft

Gibt ein IPictureDisp-Objekt zurück, das das Maskenbild eines CommandBarButton-Objekts repräsentiert. Das Maskenbild legt fest, welche Teile des Schaltflächenbildes transparent sind.

Ausdruck.Mask

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBarButton-Objekt zurückgibt.

Hinweise

Wenn Sie ein Bild erstellen, das als Maskenbild verwendet werden soll, sollten alle transparent gewünschten Bereiche weiß und alle sichtbaren Bereiche schwarz sein.

Legen Sie die Maske erst nach dem Bild für ein CommandBarButton-Objekt fest.

Beispiel

Im folgenden Beispiel werden das Bild und die Maske des ersten vom Code zurückgegebenen CommandBarButton-Objekts festgelegt. Sie müssen dafür ein Maskenbild und ein SCHALTFLÄCHENBILD erstellen und die Pfade im Beispiel durch die Pfade zu Ihren Bilddateien ersetzen.

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture( _
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture( _
        "c:\images\mask.bmp")

    'Reference the first button on the first command bar
    'using a With...End With block.
    With Application.CommandBars.FindControl(msoControlButton)
        'Change the button image.
        .Picture = picButton

        'Use the second image to define the area of the
        'button that should be transparent.
        .Mask = picMask
    End With
End Sub

Im folgenden Beispiel werden das Bild und die Maske des ersten vom Code zurückgegebenen CommandBarButton-Objekts abgerufen und jeweils in einer Datei gespeichert. Geben Sie dafür einen Pfad für die Ausgabedateien an.

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'Get the button image and mask of the this CommandBarButton object
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'Save the button image and mask in a folder.
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


MatchAllWordForms-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

True, wenn die angegebene Dateisuche erweitert wird, damit alle Formen des angegebenen Wortes im Text der Datei oder in den Eigenschaften der Datei gesucht werden. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Diese Eigenschaft ist nur verfügbar, wenn die Datei Mswds_en.lex installiert und registriert wurde. Beachten Sie, dass diese Datei beim Standardsetup nicht installiert wird.

Beispiel

In diesem Beispiel werden alle Dateien zurückgegeben, in denen das Wort "run", "running", "runs" oder "ran" im Text oder in den Eigenschaften der Datei enthalten ist. Die TextOrProperty-Eigenschaft legt das zu suchende Wort fest und begrenzt die Suche entweder auf den Textkörper der Datei oder auf die Eigenschaften der Datei.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "run"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
End With


MatchTextExactly-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

True, wenn bei der angegebenen Dateisuche nur Dateien gesucht werden sollen, deren Text oder Eigenschaften eine exakte Entsprechung des angegebenen Wortes oder Ausdrucks enthalten. Boolescher Wert mit Lese-/Schreibzugriff.

Beispiel

In diesem Beispiel wird der Ordner C:\My Documents durchsucht, wobei alle Dateien zurückgegeben werden, die das Wort "Run" entweder im Text oder in den Dateieigenschaften enthalten.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .TextOrProperty = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


MenuAnimationStyle-Eigenschaft

Gibt zurück, auf welche Art die angegebene Befehlsleiste animiert wird, oder legt dies fest. MsoMenuAnimation-Wert mit Lese-/Schreibzugriff.

MsoMenuAnimation kann eine der folgenden MsoMenuAnimation-Konstanten sein:
msoMenuAnimationNone
msoMenuAnimationRandom
msoMenuAnimationSlide
msoMenuAnimationUnfold

Beispiel

In diesem Beispiel werden die Optionen für alle Befehlsleisten in Microsoft Office eingestellt.

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


Mode-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Gibt das modale Verhalten der Sprechblase des Office-Assistenten zurück oder legt es fest. Wenn Sie ein Balloon-Objekt erstellen, wird diese Eigenschaft zunächst auf msoModeModal gesetzt. MsoModeType mit Lese-/Schreibzugriff.

MsoModeType kann eine der folgenden MsoModeType-Konstanten sein:
msoModeAutoDown
msoModeModal
msoModeModeless

Hinweise

Wenn die Mode-Eigenschaft einer Sprechblase auf msoModeModeless gesetzt wird, kann der Benutzer in der Anwendung arbeiten, während die Sprechblase sichtbar ist. Wenn die Eigenschaft auf msoModeModal gesetzt wird, muss der Benutzer die Sprechblase schließen, bevor er die Arbeit in der Anwendung fortsetzen kann. Wenn die Eigenschaft auf msoModeAutoDown gesetzt wird, wird die Sprechblase geschlossen, sobald der Benutzer auf eine beliebige Stelle des Bildschirms klickt.

Wenn die Mode-Eigenschaft für eine Sprechblase msoModeModeless ist und kein Wert für die Callback-Eigenschaft bereitgestellt wird, tritt ein Fehler auf. Die Close-Methode kann nur dann in der durch die Callback-Eigenschaft angegebenen Prozedur verwendet werden, wenn die Mode-Eigenschaft auf msoModeModeless gesetzt ist.

Beispiel

In diesem Beispiel wird eine Sprechblase mit einem Alarmsymbol erstellt, in welcher der Benutzer zur Auswahl eines Druckers aufgefordert wird. Da die Sprechblase ohne Modus ist, kann der Benutzer auf Druckerbefehle zugreifen, während die Sprechblase angezeigt wird. Wenn der Benutzer auf die Schaltfläche OK klickt, wird die in der Callback-Eigenschaft angegebene Prozedur ausgeführt.

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With


MouseTips-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

True, wenn der Office-Assistent Vorschläge für eine effektivere Nutzung der Maus liefert. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Die MouseTips-Eigenschaft entspricht der Option Maus effektiver nutzen unter Tipps anzeigen auf der Registerkarte Optionen im Dialogfeld Office-Assistent.

Beispiel

In diesem Beispiel wird der Office-Assistent so eingestellt, dass er Vorschläge für die effektivere Nutzung der Maus liefert.

Assistant.MouseTips = True


MoveWhenInTheWay-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

True, wenn das Fenster des Office-Assistenten automatisch verschoben wird, wenn es den Arbeitsbereich des Benutzers versperrt. Der Assistent wird z. B. verschoben, wenn er beim Ziehen und Ablegen bzw. bei Eingaben über die Tastatur im Wege ist. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Der Standardwert ist True. Die MoveWhenInTheWay-Eigenschaft entspricht der Option Verschieben, wenn im Weg unter Office-Assistenten verwenden auf der Registerkarte Optionen im Dialogfeld Office-Assistent.

Beispiel

In diesem Beispiel wird der Office-Assistent an einer bestimmten Position angezeigt. Vor dem Einblenden und Aktivieren des Assistenten werden verschiedene Optionen eingestellt.

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    If Not MoveWhenInTheWay Then MoveWhenInTheWay = True
    .Animation = msoAnimationGetAttentionMajor
End With


Name-Eigenschaft

Gibt den Namen des angegebenen Objekts zurück oder legt ihn fest. String-Wert mit Lese-/Schreibzugriff für das CommandBar- und das DocumentProperty-Objekt; Schreibgeschützter String-Wert für alle anderen Objekte.

Hinweise

Der lokale Name einer integrierten Befehlsleiste wird auf der Titelleiste (wenn die Befehlsleiste nicht angedockt ist) und in der Liste der verfügbaren Befehlsleisten angezeigt. Dies ist unabhängig davon, wo diese Liste in der Containeranwendung angezeigt wird.

Bei einer integrierten Befehlsleiste gibt die Name-Eigenschaft den US-englischen Namen der Befehlsleiste zurück. Mit der NameLocal-Eigenschaft geben Sie den übersetzten Namen zurück.

Wenn Sie den Wert der LocalName-Eigenschaft für eine benutzerdefinierte Befehlsleiste ändern, ändert sich der Wert für Name ebenfalls (und umgekehrt).

Beispiel

In diesem Beispiel wird in der Auflistung der Befehlsleisten nach der Befehlsleiste Custom gesucht. Wenn diese Befehlsleiste gefunden wird, wird sie sichtbar gemacht.

foundFlag = False
For Each bar In CommandBars
    If bar.Name = "Custom" Then
        foundFlag = True
        bar.Visible = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Custom' bar isn't in collection."
Else
    MsgBox "'Custom' bar is now visible."
End If

In diesem Beispiel werden Name, Typ und Wert einer Dokumenteigenschaft angezeigt. Sie müssen ein gültiges DocumentProperty-Objekt an die Prozedur übergeben.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


NameLocal-Eigenschaft

Gibt den Namen einer integrierten Befehlsleiste zurück, wie er in der Sprachversion der Containeranwendung angezeigt wird, oder gibt den Namen einer benutzerdefinierten Befehlsleiste zurück bzw. legt ihn fest. String-Wert mit Lese-/Schreibzugriff.

Anmerkung Wenn Sie diese Eigenschaft für eine integrierte Befehlsleiste einstellen, wird ein Fehler ausgegeben.

Hinweise

Der lokale Name einer integrierten Befehlsleiste wird auf der Titelleiste (wenn die Befehlsleiste nicht verankert ist) und in der Liste der verfügbaren Befehlsleisten angezeigt. Dies erfolgt unabhängig davon, wo diese in der Containeranwendung angezeigt wird.

Wenn Sie den Wert der LocalName-Eigenschaft für eine benutzerdefinierte Befehlsleiste ändern, ändert sich der Wert für Name ebenfalls (und umgekehrt).

Beispiel

In diesem Beispiel wird der Name und der übersetzte Name der ersten Befehlsleiste in der Containeranwendung angezeigt.

With CommandBars(1)
    MsgBox "The name of the command bar is " & .Name
    MsgBox "The localized name of the command bar is " & .NameLocal
End With


NewBalloon-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Erstellt eine neue Sprechblase des Office-Assistenten. Gibt ein Balloon-Objekt zurück. Schreibgeschützt.

Beispiel

In diesem Beispiel wird eine Sprechblase mit Überschrift, Text und drei Optionen für Regionen erstellt und anschließend angezeigt.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select one or more regions"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Object-Eigenschaft

Legt das Objekt fest, das die Basis für das angegebene COMAddIn-Objekt ist, bzw. gibt es zurück. Object-Wert mit Lese-/Schreibzugriff.

Hinweise

Diese Eigenschaft dient primär dazu, die Kommunikation zwischen zwei COMAddIn-Objekten zu ermöglichen.

Beispiel

Im folgenden Beispiel wird das Objekt zurückgegeben, das mit dem COM-Add-In msodraa9.ShapeSelect verknüpft ist.

Dim objBaseObject As Object
Set objBaseObject = _
    Application.COMAddIns.Item("msodraa9.ShapeSelect"). _
      Object


OLEMenuGroup-Eigenschaft

Gibt die Menügruppe zurück, zu der das angegebene Popupsteuerelement der Befehlsleiste gehört, wenn die Menügruppen des OLE-Servers mit den Menügruppen eines OLE-Clients verbunden sind (d. h., wenn ein Objekt des Containeranwendungstyps in eine andere Anwendung eingebettet ist), oder legt diese Menügruppe fest. MsoOLEMenuGroup-Wert mit Lese-/Schreibzugriff.

MsoOLEMenuGroup kann eine der folgenden MsoOLEMenuGroup-Konstanten sein:
msoOLEMenuGroupContainer
msoOLEMenuGroupEdit
msoOLEMenuGroupFile
msoOLEMenuGroupHelp
msoOLEMenuGroupNone
msoOLEMenuGroupObject
msoOLEMenuGroupWindow

Anmerkung Für integrierte Steuerelemente ist diese Eigenschaft schreibgeschützt.

Hinweise

Durch diese Eigenschaft kann die Darstellung der Befehlsleistensteuerelemente von Add-In-Anwendungen in der Office-Anwendung festgelegt werden. Wenn der Container oder der Server keine Befehlsleisten implementiert, wird eine normale OLE-Menüverbindung hergestellt: die Menüleiste sowie alle Symbolleisten des Servers werden verbunden, jedoch keine Symbolleisten des Containers. Diese Eigenschaft ist lediglich für Popupsteuerelemente auf der Menüleiste von Bedeutung, da Menüs entsprechend ihrer Menügruppenkategorie verbunden werden.

Wenn beide verbundenen Anwendungen Befehlsleisten implementieren, werden die Befehlsleistensteuerelemente entsprechend der OLEUsage-Eigenschaft verbunden.

Beispiel

In diesem Beispiel wird die OLEMenuGroup-Eigenschaft eines neuen benutzerdefinierten Popupsteuerelements auf der Befehlsleiste Custom geprüft und auf msoOLEMenuGroupNone gesetzt.

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlPopup,Temporary:=False)
myControl.OLEMenuGroup = msoOLEMenuGroupNone


OLEUsage-Eigenschaft

Gibt die Rollen des OLE-Clients und OLE-Servers zurück, in denen ein Befehlsleistensteuerelement verwendet wird, wenn zwei Microsoft Office-Anwendungen verbunden werden, oder legt die Rollen fest. MsoControlOLEUsage-Wert mit Lese-/Schreibzugriff.

MsoControlOLEUsage kann eine der folgenden MsoControlOLEUsage-Konstanten sein:
msoControlOLEUsageBoth
msoControlOLEUsageClient
msoControlOLEUsageNeither
msoControlOLEUsageServer

Hinweise

Mit dieser Eigenschaft können Sie angeben, wie einzelne Befehlsleistensteuerelemente von Add-In-Anwendungen in einer Office-Anwendung dargestellt werden, wenn sie mit einer anderen Office-Anwendung verbunden wird. Wenn sowohl der Client als auch der Server Befehlsleisten implementieren, werden die Befehlsleistensteuerelemente in den Client einzeln nacheinander eingebettet. Benutzerdefinierte Steuerelemente, die nur für den Client (oder weder für den Client noch für den Server) vorgesehen sind, werden vom Server abgezogen, und Steuerelemente, die nur für den Server (oder weder für den Server noch für den Client) vorgesehen sind, werden vom Client abgezogen. Die übrigen Steuerelemente werden verbunden.

Wenn eine der verbundenen Anwendungen keine Office-Anwendung ist, wird eine normale OLE-Menü-Verbindung hergestellt, die von der OLEMenuGroup-Eigenschaft gesteuert wird.

Beispiel

In diesem Beispiel wird der Befehlsleiste Tools eine neue Schaltfläche hinzugefügt und die OLEUsage-Eigenschaft der Befehlsleiste eingestellt.

Set myControl = CommandBars("Tools").Controls _
    .Add(Type:=msoControlButton,Temporary:=True)
myControl.OLEUsage = msoControlOLEUsageNeither


On-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

True, wenn der Office-Assistent aktiviert ist. Boolescher Wert mit Lese-/Schreibzugriff.

Beispiel

In diesem Beispiel wird der Office-Assistent deaktiviert, ein Meldungsfenster mit der Frage angezeigt, ob der Assistent aktiviert werden soll, und der Assistent aktiviert, wenn der Benutzer auf Yes klickt. Wenn der Benutzer den Assistenten aktiviert, wird dieser angezeigt und führt die Animation msoAnimationGreeting aus.

Assistant.On = False
If MsgBox("Enable Office Assistant?", _
    vbYesNo, "Assistant is Off") = vbYes Then
    Assistant.On = True
    Assistant.Visible = True
    Assistant.Animation = _
        msoAnimationGetAttentionMajor
End If


OnAction-Eigenschaft

Gibt den Namen des Visual Basic-Makros zurück, das ausgeführt wird, wenn der Benutzer auf den Wert eines Befehlsleistensteuerelements klickt oder diesen ändert, oder legt den Namen fest. String-Wert mit Lese-/Schreibzugriff.

Anmerkung Die Containeranwendung bestimmt, ob es sich bei dem Wert um einen gültigen Makronamen handelt.

Beispiel

In diesem Beispiel wird der Befehlsleiste Custom ein Befehlsleistensteuerelement hinzugefügt. Bei jedem Klick auf dieses Steuerelement wird die Prozedur "MySub" gestartet.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "MySub"
End With
myBar.Visible = True

In diesem Beispiel wird der Befehlsleiste Custom ein Befehlsleistensteuerelement hinzugefügt. Bei jedem Klick auf das Steuerelement wird das COM-Add-In "FinanceAddIn" ausgeführt.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "!<FinanceAddIn>"
End With
myBar.Visible = True


Parameter-Eigenschaft

Gibt eine Zeichenfolge zurück, die von einer Anwendung verwendet werden kann, um einen mit einem Befehlsleistensteuerelement verbundenen Befehl auszuführen, oder legt eine Zeichenfolge fest. String-Wert mit Lese-/Schreibzugriff.

Hinweise

Wenn der angegebene Parameter für ein integriertes Steuerelement festgelegt ist, kann seine Standardausführung von der Anwendung geändert werden, wenn sie den neuen Wert erkennen und umsetzen kann. Wenn der Parameter für benutzerdefinierte Steuerelemente eingestellt ist, kann er verwendet werden, um Daten an Visual Basic-Prozeduren zu senden, oder um Daten zum Steuerelement zu speichern (vergleichbar mit einem zweiten Wert für die Tag-Eigenschaft).

Beispiel

In diesem Beispiel wird einem Steuerelement ein neuer Parameter zugewiesen und der Fokus auf die neue Schaltfläche gesetzt.

Set myControl = CommandBars("Custom").Controls(4)
With myControl
    .Copy , 1
    .Parameter = "2"
    .SetFocus
End With


Parent-Eigenschaft

Gibt das Parent-Objekt für das angegebene Objekt zurück. Schreibgeschützt.

Beispiel

In diesem Beispiel wird der Name des übergeordneten Objekts für eine Dokumenteigenschaft angezeigt. Sie müssen ein gültiges DocumentProperty-Objekt an die Prozedur übergeben.

Sub DisplayParent(dp as DocumentProperty)
    MsgBox dp.Parent.Name
End Sub


Path-Eigenschaft

Gibt einen String-Wert zurück, der den vollständigen Pfad eines ScopeFolder-Objekts angibt. Schreibgeschützt.

Ausdruck.Path

Ausdruck Erforderlich. Ein Ausdruck, der ein ScopeFolder-Objekt zurückgibt.

Beispiel

Im folgenden Beispiel wird der Stammpfad jedes Verzeichnisses des Arbeitsplatzes angezeigt. Zum Abrufen dieser Informationen wird das ScopeFolder-Objekt zunächst auf das Stammverzeichnis des Arbeitsplatzes gesetzt. Der Pfad dieses ScopeFolder-Objekts ist immer *. Wie bei allen ScopeFolder-Objekten enthält das Stammobjekt eine ScopeFolders-Auflistung. In diesem Beispiel wird die ScopeFolders-Auflistung in einer Schleife durchlaufen und der Pfad jedes enthaltenen ScopeFolder-Objekts angezeigt. Der Pfad dieser ScopeFolder-Objekte lautet A:\, C:\ usw.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder collections in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


Picture-Eigenschaft

Gibt ein IPictureDisp-Objekt zurück, das das Bild eines CommandBarButton-Objekts repräsentiert.

Ausdruck.Picture

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBarButton-Objekt zurückgibt.

Hinweise

Wenn Sie das Bild einer Schaltfläche ändern, sollten Sie mithilfe der Mask-Eigenschaft auch ein Maskenbild festlegen. Das Maskenbild bestimmt, welche Teile des Schaltflächenbildes transparent sind. Legen Sie die Maske erst nach dem Bild für ein CommandBarButton-Objekt fest.

Anmerkung Die Bilder für die Schaltflächen Ansicht Microsoft Anwendung und Element einfügen auf der Symbolleiste Standard im Visual Basic-Editor können nicht geändert werden.

Beispiel

Im folgenden Beispiel werden das Bild und die Maske des ersten vom Code zurückgegebenen CommandBarButton-Objekts festgelegt. Sie müssen dafür ein Maskenbild und ein Schaltflächenbild erstellen und die Pfade im Beispiel durch die Pfade zu Ihren Bilddateien ersetzen.

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture( _
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture( _
        "c:\images\mask.bmp")

    'Reference the first button on the first command bar
    'using a With...End With block.
    With Application.CommandBars.FindControl(msoControlButton)
        'Change the button image.
        .Picture = picButton

        'Use the second image to define the area of the
        'button that should be transparent.
        .Mask = picMask
    End With
End Sub

Im folgenden Beispiel werden das Bild und die Maske des ersten vom Code zurückgegebenen CommandBarButton-Objekts abgerufen und jeweils in einer Datei gespeichert. Geben Sie dafür einen Pfad für die Ausgabedateien an.

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'Get the button image and mask of the this CommandBarButton object.
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'Save the button image and mask in a folder.
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


Position-Eigenschaft

Gibt die Position der angegebenen Befehlsleiste zurück oder legt sie fest. MsoBarPosition-Wert mit Lese-/Schreibzugriff.

MsoBarPosition kann eine der folgenden MsoBarPosition-Konstanten sein:
msoBarBottom
msoBarFloating
msoBarLeft
msoBarMenuBar
msoBarPopup
msoBarRight
msoBarTop

Beispiel

In diesem Beispiel wird die Auflistung der Befehlsleisten schrittweise durchlaufen, wobei die benutzerdefinierten Befehlsleisten am unteren Rand des Anwendungsfensters und die integrierten Befehlsleisten am oberen Rand des Fensters angedockt werden.

For Each bar In CommandBars
    If bar.Visible = True Then
        If bar.BuiltIn Then
            bar.Position = msoBarTop
         Else
            bar.Position = msoBarBottom
        End If
    End If
Next


Priority-Eigenschaft

Gibt die Priorität eines Befehlsleistensteuerelements zurück bzw. legt sie fest. Die Priorität eines Steuerelements bestimmt, ob das Steuerelement aus einer angedockten Befehlsleiste entfernt werden kann, wenn die Steuerelemente der Befehlsleiste nicht in eine einzige Reihe passen. Long-Wert mit Lese-/Schreibzugriff.

Hinweise

Gültige Werte für die Priorität sind 0 (null) bis 7. Die Priorität 1 gibt an, dass das Steuerelement nicht aus einer Symbolleiste entfernt werden kann. Andere Prioritätswerte werden ignoriert.

Die Priority-Eigenschaft wird nicht für Befehlsleistensteuerelemente verwendet, die Menübefehle sind.

Beispiel

In diesem Beispiel wird ein Steuerelement verschoben, und es wird ihm die Priorität 5 zugewiesen, sodass es wahrscheinlich aus der Befehlsleiste entfernt wird, wenn die Steuerelemente nicht alle in einer Reihe Platz haben.

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
            .Tag = "Selection box"
            .Priority = 5
        End With
    Exit For
End If
Next


Private-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Gibt eine Ganzzahl zurück, durch welche die Sprechblase des Office-Assistenten, die die Callback-Prozedur initiiert hat, eindeutig angegeben wird, oder legt diese Ganzzahl fest. Long-Wert mit Lese-/Schreibzugriff.

Hinweise

Diese Eigenschaft ist besonders dann nützlich, wenn Sie für mehrere Sprechblasen dieselbe Callback-Prozedur ausführen.

Beispiel

In diesem Beispiel wird die Sprechblase des Office-Assistenten angegeben, indem die Private-Eigenschaft auf 129 gesetzt wird.

Set printerOrientation = Assistant.NewBalloon
With printerOrientation     .Heading = " Print portrait or landscape?"
     .Text = "Click OK when you've selected the " & _
        "printer orientation."
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Button = msoButtonSetOK
    .Private = 129
    .Callback = "PortraitOrLandscape "
    .Show
End With


ProgId-Eigenschaft

Gibt den programmtechnischen Bezeichner (ProgID) für das angegebene COMAddIn-Objekt zurück. Schreibgeschützter String-Wert.

Beispiel

Im folgenden Beispiel werden die ProgID und die GUID für das COM-Add-In 1 in einem Meldungsfeld angezeigt.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


PropertyTests-Eigenschaft

Gibt die PropertyTests-Auflistung zurück, die alle Suchkriterien für eine Dateisuche darstellt. Schreibgeschützt.

Weitere Informationen zur Rückgabe eines einzelnen Elements einer Auflistung finden Sie unter Zurückgeben eines Objekts aus einer Auflistung.

Beispiel

In diesem Beispiel werden alle Suchkriterien für den ersten Eigenschaftstest in der Auflistung angezeigt.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


ProportionalFont-Eigenschaft

Legt die Einstellung für die Proportionalschrift in der Hostanwendung fest bzw. gibt sie zurück. String-Wert mit Lese-/Schreibzugriff.

Hinweise

Wenn Sie die ProportionalFont-Eigenschaft setzen, überprüft die Hostanwendung nicht, ob der Wert gültig ist.

Beispiel

In diesem Beispiel werden die Proportionalschrift und deren Schriftgrad für den Zeichensatz English/Western European/Other Latin Script in der aktiven Anwendung festgelegt.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


ProportionalFontSize-Eigenschaft

Legt die Einstellung für den Schriftgrad der Proportionalschrift in Punkt in der Hostanwendung fest bzw. gibt sie zurück. Single-Wert mit Lese-/Schreibzugriff.

Hinweise

Wenn Sie die ProportionalFontSize-Eigenschaft setzen, überprüft die Hostanwendung nicht, ob der Wert gültig ist. Wenn Sie einen ungültigen Wert eingeben, z. B. einen nichtnumerischen Wert, stellt die Hostanwendung den Schriftgrad auf 0 Punkt ein. Sie können den Schriftgrad in Halbpunktschritten eingeben. Wenn Sie andere Bruchteile von Punktgrößen eingeben, werden die Werte auf den nächsten halben Punkt ab- bzw. aufgerundet.

Beispiel

In diesem Beispiel werden die Proportionalschrift und deren Schriftgrad für den Zeichensatz English/Western European/Other Latin Script in der aktiven Anwendung festgelegt.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


Protection-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Gibt das Verfahren zurück, mit dem die angegebene Befehlsleiste vor Anpassungen durch den Benutzer geschützt wird, oder legt dieses fest. MsoBarProtection-Wert mit Lese-/Schreibzugriff.

MsoBarProtection kann eine der folgenden MsoBarProtection-Konstanten sein:
msoBarNoChangeDock
msoBarNoChangeVisible
msoBarNoCustomize
msoBarNoHorizontalDock
msoBarNoMove
msoBarNoProtection
msoBarNoResize
msoBarNoVerticalDock

Hinweise

Durch die msoBarNoCustomize-Konstante verhindern Sie, dass Benutzer auf das Menü Schaltflächen hinzufügen oder entfernen zugreifen können (mit diesem Menü kann eine Symbolleiste angepasst werden).

Beispiel

In diesem Beispiel wird die Auflistung der Befehlsleisten schrittweise durchlaufen, um die Befehlsleiste Forms zu suchen. Wenn die Befehlsleiste gefunden wird, wird sie sichtbar gemacht, und ihr Verankerungsstatus wird geschützt.

foundFlag = False
For i = 1 To CommandBars.Count
    If CommandBars(i).Name = "Forms" Then
            CommandBars(i).Protection = msoBarNoChangeDock
            CommandBars(i).Visible = True
            foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms' command bar is not in the collection."
End If


Reduced-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

True, wenn das Fenster des Office-Assistenten in reduzierter Größe eingeblendet wird. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Diese Eigenschaft wird in Microsoft Office nicht verwendet.

Beispiel

In diesem Beispiel wird der Office-Assistent an einer bestimmten Position angezeigt, und vor dem Anzeigen des Assistenten werden verschiedene Optionen eingestellt.

With Assistant
    .Reduced = True
    .Left = 400
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


RowCount-Eigenschaft

Gibt einen Long-Wert zurück, der die Anzahl der Datensätze in der angegebenen Datenquelle repräsentiert. Schreibgeschützt.

Ausdruck.RowCount

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

In diesem Beispiel wird ein neuer Filter hinzugefügt, der alle Datensätze entfernt, in denen das Feld Region leer ist. Anschließend wird der Filter auf die aktive Publikation angewendet.

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


RowIndex-Eigenschaft

Gibt die Andockreihenfolge der angegebenen Befehlsleiste im Verhältnis zu anderen Befehlsleisten im gleichen Andockbereich zurück oder legt sie fest. Dies kann eine Ganzzahl größer als Null oder eine der folgenden MsoBarRow-Konstanten sein: msoBarRowFirst oder msoBarRowLast. Long-Wert mit Lese-/Schreibzugriff.

Hinweise

Befehlsleisten mit kleineren Zahlen werden zuerst angedockt. Derselbe Zeilenindex kann für mehrere Befehlsleisten gelten. Wenn zwei oder mehrere Befehlsleisten denselben Zeilenindex haben, wird die zuletzt zugewiesene Befehlsleiste als erste in ihrer Gruppe angezeigt.

Beispiel

In diesem Beispiel wird die Position der Befehlsleiste Custom angepasst, indem sie im Vergleich zur Standardeinstellung um 110 Pixel weiter nach links verschoben wird. Außerdem wird die Befehlsleiste als erste anzudockende Befehlsleiste festgelegt, indem ihr Zeilenindex auf msoBarRowFirst geändert wird.

Set myBar = CommandBars("Custom")
With myBar
    .RowIndex = msoBarRowFirst
    .Left = 140
End With


ScopeFolder-Eigenschaft

Gibt ein ScopeFolder-Objekt zurück.

Ausdruck.ScopeFolder

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird der Stammpfad jedes Verzeichnisses des Arbeitsplatzes angezeigt. Zum Abrufen dieser Informationen wird das ScopeFolder-Objekt zunächst auf das Stammverzeichnis des Arbeitsplatzes gesetzt. Der Pfad dieses ScopeFolder-Objekts ist immer *. Wie bei allen ScopeFolder-Objekten enthält das Stammobjekt eine ScopeFolders-Auflistung. In diesem Beispiel wird die ScopeFolders-Auflistung in einer Schleife durchlaufen und der Pfad jedes enthaltenen ScopeFolder-Objekts angezeigt. Die Pfade dieser ScopeFolder-Objekte lauten A:\, C:\ usw.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


ScopeFolders-Eigenschaft

Gibt eine ScopeFolders-Auflistung zurück. Die Elemente in dieser Auflistung entsprechen den Unterordnern des übergeordneten ScopeFolder-Objekts.

Ausdruck.ScopeFolders

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird der Stammpfad jedes Verzeichnisses des Arbeitsplatzes angezeigt. Zum Abrufen dieser Informationen wird das ScopeFolder-Objekt zunächst auf das Stammverzeichnis des Arbeitsplatzes gesetzt. Der Pfad dieses ScopeFolder-Objekts ist immer *. Wie bei allen ScopeFolder-Objekten enthält das Stammobjekt eine ScopeFolders-Auflistung. In diesem Beispiel wird die ScopeFolders-Auflistung in einer Schleife durchlaufen und der Pfad jedes enthaltenen ScopeFolder-Objekts angezeigt. Die Pfade dieser ScopeFolder-Objekte lauten A:\, C:\ usw.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Nextb ss
    End With
End Sub


ScriptText-Eigenschaft

Legt den Text fest, der in einem Skriptblock enthalten ist, bzw. gibt ihn zurück. String-Wert mit Lese-/Schreibzugriff.

Hinweise

Die Microsoft Office-Hostanwendung überprüft die Syntax des Skriptes nicht. Die ScriptText-Eigenschaft ist die Standardeigenschaft für das Script-Objekt.

Beispiel

In diesem Beispiel wird der Text des ersten Skriptes in Arbeitsblatt 1 in der aktiven Arbeitsmappe festgelegt.

ActiveWorkbook.Worksheets(1).Scripts(1).ScriptText = _
    "MsgBox ""New ScriptText"""


SearchFolders-Eigenschaft

Gibt eine SearchFolders-Auflistung zurück.

Ausdruck.SearchFolders

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird die aktuelle Anzahl der ScopeFolder-Objekte in der SearchFolders-Auflistung angezeigt. Ein ausführlicheres Beispiel finden Sie im Hilfethema für die SearchFolders-Auflistung.

MsgBox "Number of ScopeFolder objects in the SearchFolders collection: " & _
    Application.FileSearch.SearchFolders.Count


SearchScopes-Eigenschaft

Gibt eine SearchScopes-Auflistung zurück.

Ausdruck.SearchScopes

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel werden alle momentan verfügbaren SearchScope-Objekte in der SearchScopes-Auflistung angezeigt.

Sub DisplayAvailableScopes()

    'Declare a variable that references a
    'SearchScope object.
    Dim ss As SearchScope

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "My Computer is an available search scope."
                Case msoSearchInMyNetworkPlaces
                    MsgBox "My Network Places is an available search scope."
                Case msoSearchInOutlook
                    MsgBox "Outlook is an available search scope."
                Case msoSearchInCustom
                    MsgBox "A custom search scope is available."
                Case Else
                    MsgBox "Can't determine search scope."
            End Select
        Next ss
    End With
End Sub


SearchSubFolders-Eigenschaft

True, wenn die angegebene Suche alle Unterordner im durch die LookIn-Eigenschaft angegebenen Ordner einschließt. Boolescher Wert mit Lese-/Schreibzugriff.

Beispiel

In diesem Beispiel werden der Ordner My Documents sowie alle Unterordner nach Dateien durchsucht, deren Name mit Cmd beginnt. Anschließend werden die Namen und Pfade der gefundenen Dateien angezeigt.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "cmd*"
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
         " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


SearchWhenProgramming-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

True, falls der Office-Assistent Hilfe zu Anwendungen sowie Programmierhilfen anzeigt, wenn der Benutzer in Visual Basic arbeitet. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Der Standardwert ist True. Die SearchWhenProgramming-Eigenschaft entspricht der Option Sowohl Produkt- als auch Programmierhilfe während der Programmierung durchsuchen unter Office-Assistenten verwenden auf der Registerkarte Optionen im Dialogfeld Office-Assistent.

Beispiel

In diesem Beispiel wird eingerichtet, dass der Benutzer während der Arbeit in Visual Basic sowohl die Anwendungs- als auch die Programmierhilfen durchsuchen kann.

Assistant.SearchWhenProgramming = True


SecondValue-Eigenschaft

Gibt einen optionalen zweiten Wert für den Eigenschaftstest für die angegebene Dateisuche zurück (wie bei einem Bereich). Schreibgeschützter Variant-Wert.

Hinweise

Diese Eigenschaft dient zum Bestimmen eines Bereichs und kann nur mit den MsoCondition-Konstanten msoConditionAnyTimeBetween oder msoConditionAnyNumberBetween verwendet werden.

Beispiel

In diesem Beispiel wird der zweite Wert der Suchkriterien (falls vorhanden) in einem Dialogfeld angezeigt. Ist kein zweiter Wert vorhanden, wird eine andere Meldung angezeigt.

With Application.FileSearch.PropertyTests(1)
If .SecondValue = "" Then
   MsgBox "You haven't specified a second value."
Else
    MsgBox "The second value you've set is: " _
    & .SecondValue
End If
End With


SelectedItems-Eigenschaft

Gibt eine FileDialogSelectedItems-Auflistung zurück. Diese Auflistung enthält eine Liste der Pfade von Dateien, die ein Benutzer in einem mithilfe der Show-Methode des FileDialog-Objekts angezeigten Dateidialogfeld ausgewählt hat.

Ausdruck.SelectedItems

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird mithilfe des FileDialog-Objekts ein Dialogfeld zur Dateiauswahl erstellt und jede ausgewählte Datei in einem Meldungsfeld angezeigt.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Allow the user to select multiple files.
        .AllowMultiSelect = True

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then
            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Shape-Eigenschaft

Gibt ein Shape- oder InlineShape-Objekt zurück, je nach Microsoft Office-Hostanwendung. Schreibgeschützter Object-Wert.

Hinweise

Die Shape-Eigenschaft gibt in Microsoft Excel und PowerPoint ein Shape-Objekt zurück. In Word gibt sie ein Shape-Objekt zurück, wenn der Skriptanchor frei beweglich ist. Handelt es sich jedoch um einen in der Zeile stehenden Skriptanchor, dann gibt diese Eigenschaft ein InlineShape-Objekt zurück.

Beispiel

In diesem Beispiel wird das mit dem ersten Skript in der Scripts-Auflistung verknüpfte Shape-Objekt abgerufen und aus Arbeitsblatt 1 in der aktiven Arbeitsmappe gelöscht.

Dim objScriptShape As Object

Set objScriptShape = _
    ActiveWorkbook.Worksheets(1).Scripts(1).Shape
ObjScriptShape.Delete


ShortcutText-Eigenschaft

Gibt den Tastenkombinationstext zurück, der neben dem angegebenen Schaltflächensteuerelement angezeigt wird, wenn diese Schaltfläche in einem Menü, einem Untermenü oder einem Shortcutmenü erscheint. String-Wert mit Lese-/Schreibzugriff.

Hinweise

Sie können diese Eigenschaft nur für Befehlsleistenschaltflächen verwenden, denen ein OnAction-Makro zugeordnet wurde.

Beispiel

In diesem Beispiel wird die Tastenkombination für den Befehl Neu (Menü Datei) auf der Menüleiste Arbeitsblatt in Microsoft Excel in einem Meldungsfenster angezeigt.

MsgBox (CommandBars("Worksheet Menu Bar"). _
    Controls("File").Controls("New...).ShortcutText)


SignDate-Eigenschaft

Gibt einen Variant-Wert zurück, der das Datum und die Uhrzeit repräsentiert, zu der das digitale Zertifikat, das dem Signature-Objekt entspricht, mit dem Dokument verknüpft wurde. Schreibgeschützt.

Ausdruck.SignDate

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird der Benutzer aufgefordert, eine digitale Signatur auszuwählen, mit der das aktive Dokument in Microsoft Word signiert wird. Öffnen Sie für dieses Beispiel ein Dokument in Word, und rufen Sie diese Funktion auf. Die Funktion überprüft dann, ob die vom Benutzer ausgewählte digitale Signatur noch länger als 12 Monate gültig ist. Wenn dies nicht der Fall ist, wird das Zertifikat nicht verknüpft.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Signer-Eigenschaft

Gibt einen String-Wert zurück, der den Namen der Person repräsentiert, die das digitale Zertifikat, das dem Signature-Objekt entspricht, mit dem Dokument verknüpft hat. Schreibgeschützt.

Ausdruck.Signer

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird der Benutzer aufgefordert, eine digitale Signatur auszuwählen, mit der das aktive Dokument in Microsoft Word signiert wird. Um dieses Beispiel verwenden zu können, müssen Sie ein Dokument in Word öffnen und dieser Funktion den Namen eines Zertifikatsausstellers sowie den Namen eines Zertifikatsunterzeichners übergeben, die den Feldern Ausgestellt von und Ausgestellt für eines digitalen Zertifikats im Dialogfeld Digitale Zertifikate entsprechen. In diesem Beispiel wird überprüft, ob die vom Benutzer ausgewählte digitale Signatur bestimmten Kriterien (z. B. Gültigkeitsdauer) entspricht, bevor die neue Signatur auf die Festplatte geschrieben wird.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Sounds-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

True, wenn der Office-Assistent die Klänge erzeugt, die Animationen entsprechen. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Der Standardwert ist True. Die Sounds-Eigenschaft entspricht der Option Sounds aktivieren unter Office-Assistenten verwenden auf der Registerkarte Optionen im Dialogfeld Office-Assistent. Falls keine Soundkarte installiert ist, hat diese Eigenschaft keine Wirkung.

Beispiel

In diesem Beispiel wird der Office-Assistent angezeigt und animiert, und es wird Klang erzeugt.

With Assistant
    .Visible = True
    .On = True
    If Not Sounds Then Sounds = True
    .Animation = msoAnimationGreeting
End With


State-Eigenschaft

State-Eigenschaft für das CommandBarButton-Objekt.

Gibt die Darstellung des angegebenen Schaltflächen-Steuerelements der Befehlsleiste zurück oder legt sie fest. MsoButtonState-Wert mit Lese-/Schreibzugriff.

MsoButtonState kann eine der folgenden MsoButtonState-Konstanten sein:
msoButtonDown
msoButtonMixed
msoButtonUp

Ausdruck.State

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBarButton-Objekt zurückgibt.

State-Eigenschaft für das HTMLProject-Objekt.

Gibt den aktuellen Status eines HTMLProject-Objekts zurück. Schreibgeschützter MsoHTMLProjectState-Wert.

MsoHTMLProjectState kann eine der folgenden MsoHTMLProjectState-Konstanten sein:
msoHTMLProjectStateDocumentLocked
msoHTMLProjectStateDocumentProjectUnlocked
msoHTMLProjectStateProjectLocked

Ausdruck.State

Ausdruck Erforderlich. Ein Ausdruck, der ein HTMLProject-Objekt zurückgibt.

Beispiel

Für das CommandBarButton-Objekt.

In diesem Beispiel wird die Befehlsleiste Custom erstellt, und zwei leere Schaltflächen werden zu dieser Befehlsleiste hinzugefügt. Anschließend wird die Schaltfläche links auf msoButtonUp und die Schaltfläche rechts auf msoButtonDown gesetzt.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=1
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
Set myControl1 = CommandBars("Custom").Controls(1)
myControl1.State = msoButtonUp
Set myControl2 = CommandBars("Custom").Controls(2)
myControl2.State = msoButtonDown


Style-Eigenschaft

Style-Eigenschaft für das CommandBarButton-Objekt

Gibt zurück, auf welche Art ein Schaltflächensteuerelement der Befehlsleiste angezeigt wird, oder legt dies fest. MsoButtonStyle-Wert mit Lese-/Schreibzugriff.

MsoButtonStyle kann eine der folgenden MsoButtonStyle-Konstanten sein:
msoButtonAutomatic
msoButtonCaption
msoButtonIcon
msoButtonIconAndCaption
msoButtonIconAndCaptionBelow
msoButtonIconAndWrapCaption
msoButtonIconAndWrapCaptionBelow
msoButtonWrapCaption

Style-Eigenschaft für das CommandBarComboBox-Objekt

Gibt zurück, auf welche Art ein Kombinationsfeldsteuerelement der Befehlsleiste angezeigt wird, oder legt dies fest. Dies kann eine der folgenden MsoComboStyle-Konstanten sein: msoComboLabel oder msoComboNormal. MsoComboStyle mit Lese-/Schreibzugriff.

MsoComboStyle kann eine der folgenden MsoComboStyle-Konstanten sein:
msoComboLabel
msoComboNormal

Beispiel

In diesem Beispiel wird ein Kontextmenü mit einem Schaltflächensteuerelement und einem Kombinationsfeldsteuerelement erstellt und deren Darstellungsart festgelegt.

Set myBar = CommandBars _
    .Add(Name:="Custom1", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Style = msoButtonCaption
    .Controls.Add Type:=msoControlComboBox
    With .Controls(2)
        .Style = msoComboLabel
        .AddItem "vanilla"
        .AddItem "chocolate"
        .AddItem "cookie dough"
    End With
End With
myBar.ShowPopup


Table-Eigenschaft

Gibt einen String-Wert zurück, der den Namen der Tabelle in der Datenquellendatei repräsentiert, die die Datensätze für den Seriendruck enthält. Der Rückgabewert kann leer sein, wenn der Tabellenname nicht bekannt oder nicht auf die aktuelle Datenquelle anwendbar ist. Schreibgeschützt.

Ausdruck.Table

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

In diesem Beispiel wird der Name der Tabelle festgelegt, wenn noch kein Name vorhanden ist.

Sub OfficeTest()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    If appOffice.Table = "" Then
        appOffice.Table = "Employees"
    End If

End Sub


Tag-Eigenschaft

Gibt Informationen zum Befehlsleistensteuerelement zurück oder legt sie fest. Dies können z. B. Daten sein, die als Argument in Prozeduren verwendet werden können, oder Informationen, die das Steuerelement kennzeichnen. String-Wert mit Lese-/Schreibzugriff.

Ausdruck.Tag

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Hinweise

Um Mehrfachaufrufe derselben Klasse zu vermeiden, wenn diese durch Ereignisse ausgelöst wird, legen Sie eine eindeutige Tag-Eigenschaft für die Ereignisse fest. Im folgenden Beispiel wird dieses Konzept anhand von zwei Modulen veranschaulicht.

Public WithEvents oBtn As CommandBarButton

Private Sub oBtn_click(ByVal ctrl As Office.CommandBarButton, CancelDefault As Boolean)
    MsgBox "Clicked " & ctrl.Caption

End Sub

Dim oBtns As New Collection

Sub Use_Tag()

    Dim oEvt As CBtnEvent
    Set oBtns = Nothing

    For i = 1 To 5
        Set oEvt = New CBtnEvent
        Set oEvt.oBtn = Application.CommandBars("Worksheet Menu Bar").Controls.Add(msoControlButton)
        With oEvt.oBtn
            .Caption = "Btn" & i
            .Style = msoButtonCaption
            .Tag = "Hello" & i
        End With
        oBtns.Add oEvt
    Next

End Sub

Beispiel

In diesem Beispiel wird der Tag für die Schaltfläche auf der benutzerdefinierten Befehlsleiste auf "Spelling Button" gesetzt und der Tag in einem Meldungsfenster angezeigt.

CommandBars("Custom").Controls(1).Tag = "Spelling Button"
MsgBox (CommandBars("Custom").Controls(1).Tag)


Text-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

BalloonLabel- oder BalloonCheckbox-Objekt: Gibt den Text zurück, der neben dem angegebenen Kontrollkästchen oder der angegebenen Beschriftung in der Sprechblase des Office-Assistenten angezeigt wird, oder legt den Text fest. String-Wert mit Lese-/Schreibzugriff.

Balloon-Objekt: Gibt den Text zurück, der nach der Kopfzeile, jedoch vor den Beschriftungen oder Kontrollkästchen in der Sprechblase des Office-Assistenten angezeigt wird, oder legt den Text fest. String-Wert mit Lese-/Schreibzugriff.

CommandBarComboBox-Objekt: Gibt den Text im Anzeige- oder Bearbeitungsbereich des Kombinationsfeld-Steuerelements der Befehlsleiste zurück oder legt ihn fest. String-Wert mit Lese-/Schreibzugriff.

HTMLProjectItem-Objekt: Gibt den HTML-Text im HTML-Editor zurück oder legt ihn fest. String-Wert mit Lese-/Schreibzugriff.

Ausdruck.Text

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Hinweise

Sie können für die Balloon-, BalloonLabel- und BalloonCheckbox-Objekte angeben, dass eine bestimmte Grafik angezeigt werden soll, indem Sie folgende Syntax verwenden: {type location sizing_factor}. Hierbei ist type BMP (Bitmap) oder WMF (Windows Metafile), location die Ressourcen-ID oder der Pfad und der Dateiname und sizing_factor die Breite der WMF-Datei (sizing_factor wird für BMP-Dateien nicht angegeben).

Das Balloon-Objekt unterstützt auch unterstrichenen Text sowie Text, auf den eine der 16 Systempalettenfarben angewendet wurde. Um unterstrichenen Text anzuzeigen, verwenden Sie die Syntax {ul} oder {ul 1}. Mit {ul 0} deaktivieren Sie die Unterstreichung. Wenn Sie die Farbe des Textes ändern möchten, schreiben Sie vor den Text die Zeichenfolge {cf number}, wobei number die Nummer einer der Systemfarben der folgenden Tabelle ist.

Nummer der Systemfarbe | Farbe
0 | Schwarz
1 | Dunkelrot
2 | Dunkelgrün
3 | Dunkelgelb
4 | Dunkelblau
5 | Dunkelmagenta
6 | Dunkelzyan
7 | Hellgrau
248 | Mittelgrau
249 | Rot
250 | Grün
251 | Gelb
252 | Blau
253 | Magenta
254 | Zyan
255 | Weiß

Wenn Sie eine andere als die oben genannten Systemfarbennummern angeben, ist der Text in der Sprechblase des Office-Assistenten schwarz.

Beispiel

In diesem Beispiel wird der neu erstellten Befehlsleiste Custom ein Kombinationsfeld-Steuerelement hinzugefügt, das vier Listenelemente enthält. Anschließend wird Item 3 mithilfe der Text-Eigenschaft als Standardlistenelement festgelegt.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
Set testComboBox = CommandBars("Custom").Controls(1)
With testComboBox
    .AddItem "Item 1", 1
    .AddItem "Item 2", 2
    .AddItem "Item 3", 3
    .AddItem "Item 4", 4
    .Text = "Item 3"
End With

In diesem Beispiel wird eine neue Sprechblase des Office-Assistenten mit einer Überschrift, Text und drei Bereichsoptionen erstellt. Mit der Text-Eigenschaft werden Anweisungen für den Benutzer, die sich auf den Inhalt der Sprechblase beziehen, sowie für jedes Textfeld eine Beschriftung erstellt.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

Im folgenden Beispiel wird eine neue Sprechblase des Office-Assistenten erstellt, die eine unterstrichene Überschrift, roten Text sowie blauen, unterstrichenen Text enthält.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With

In diesem Beispiel wird eine neue Sprechblase im Office-Assistenten erstellt, die eine WMF-Datei enthält.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text ="{WMF ""C:\Favorites\MyPicture.WMF""}"
    .Show
End With


TextOrProperty-Eigenschaft

Gibt das Wort oder den Ausdruck zurück, nach dem bei der angegebenen Dateisuche entweder im Text oder in den Eigenschaften einer Datei gesucht werden soll, oder legt das Wort oder den Ausdruck fest. Das Wort oder der Ausdruck kann als Platzhalterzeichen ein * (Sternchen) oder ein ? (Fragezeichen) enthalten. String-Wert mit Lese-/Schreibzugriff.

Hinweise

Verwenden Sie ein Fragezeichen als Platzhalterzeichen für ein einzelnes, beliebiges Zeichen. Geben Sie z. B. G?ld ein, um alle Dateien zu suchen, in denen "Geld" oder "Gold" mindestens einmal enthalten ist.

Verwenden Sie ein Sternchen als Platzhalterzeichen für eine beliebige Anzahl von Zeichen. Geben Sie z. B. San* ein, um alle Dateien zurückzugeben, die mindestens ein mit "San" beginnendes Wort enthalten.

Beispiel

In diesem Beispiel werden der Ordner C:\My Documents sowie seine Unterordner durchsucht und alle Dateien zurückgegeben, deren Text oder Dateieigenschaften mit "San" beginnende Wörter enthalten. Die TextOrProperty-Eigenschaft legt das zu suchende Wort fest und begrenzt die Suche entweder auf den Text der Datei oder auf die Dateieigenschaften.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "San*"
    .FileType = msoFileTypeAllFiles
End With


TipOfDay-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

True, falls der Office-Assistent jedes Mal, wenn eine Office-Anwendung geöffnet wird, einen speziellen Tipp anzeigt. Boolescher Wert mit Lese-/Schreibzugriff.

Hinweise

Der Standardwert ist True. Die TipOfDay-Eigenschaft entspricht der Option Tipps und Tricks beim Start anzeigen unter Tipps anzeigen auf der Registerkarte Optionen im Dialogfeld Office-Assistent.

Beispiel

In diesem Beispiel wird der Office-Assistent an einer bestimmten Position angezeigt, und vor dem Anzeigen des Assistenten werden verschiedene Optionen eingestellt.

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    .MoveWhenInTheWay = True
    If Not TipOfDay Then TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Title-Eigenschaft

Gibt den Titel eines mithilfe des FileDialog-Objekts angezeigten Dateidialogfeldes zurück oder legt ihn fest. String-Wert mit Lese-/Schreibzugriff.

Ausdruck.Title

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

Im folgenden Beispiel wird mithilfe des FileDialog-Objekts ein Dialogfeld zur Dateiauswahl erstellt und jede ausgewählte Datei in einem Meldungsfeld angezeigt.

Sub main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the title of the dialog
        .Title = "Archive"

        'Use the Show method to display the file picker dialog and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


TooltipText-Eigenschaft

Gibt den Text zurück, der in der QuickInfo des angegebenen Befehlsleistensteuerelements angezeigt wird, oder legt den Text fest. String-Wert mit Lese-/Schreibzugriff.

Hinweise

Standardmäßig wird der Wert der Caption-Eigenschaft als QuickInfo verwendet.

Beispiel

In diesem Beispiel wird dem letzten Steuerelement auf der aktiven Menüleiste eine QuickInfo hinzugefügt.

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastCtrl = myMenuBar _
   .Controls(myMenuBar.Controls.Count)
lastCtrl.BeginGroup = True
lastCtrl.TooltipText = "Click for help on UI feature"


Top-Eigenschaft

Teile dieses Hilfethemas gelten möglicherweise nicht für alle Sprachen.

Top-Eigenschaft für die Assistant- und CommandBar-Objekte.

Gibt in Punkt den Abstand zwischen dem oberen Rand des Office-Assistenten oder dem oberen Rand der angegebenen Befehlsleiste und dem oberen Rand des Bildschirmes zurück oder legt diesen Wert fest. Bei verankerten Befehlsleisten gibt diese Eigenschaft den Abstand von der Befehlsleiste zum oberen Rand des Verankerungsbereichs zurück oder legt ihn fest. Long-Wert mit Lese-/Schreibzugriff.

Ausdruck.Top

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Top-Eigenschaft für die CommandBarButton-, CommandBarComboBox-, CommandBarControl- und CommandBarPopup-Objekte.

Gibt in Pixel den Abstand zwischen dem oberen Rand des angegebenen Befehlsleisten-Steuerelements und dem oberen Rand des Bildschirmes zurück. Schreibgeschützter Long-Wert.

Ausdruck.Top

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Beispiel

Für die Assistant- und CommandBar-Objekte.

In diesem Beispiel wird der Office-Assistent zu einer anderen Koordinate verschoben und seine Top-Eigenschaft für die spätere Anzeige festgelegt.

With Assistant
    .On = True
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With
Assistant.Top = 100
MsgBox "Click OK to move the Assistant to a " & _
         "new location."
Assistant.Top = 500

In diesem Beispiel wird die obere linke Ecke der unverankerten Befehlsleiste Custom in einem Abstand von 140 Pixel vom linken Rand und 100 Pixel vom oberen Rand des Bildschirmes positioniert.

Set myBar = CommandBars("Custom")
myBar.Position = msoBarFloating
With myBar
    .Left = 140
    .Top = 100
End With


Type-Eigenschaft

Type-Eigenschaft für das CommandBar-Objekt.

Gibt den Typ der Befehlsleiste zurück. Schreibgeschützter MsoBarType-Wert.

MsoBarType kann eine der folgenden MsoBarType-Konstanten sein:
msoBarTypeMenuBar
msoBarTypeNormal
msoBarTypePopup

Ausdruck.Type

Ausdruck Erforderlich. Ein Ausdruck, der ein CommandBar-Objekt zurückgibt.

Type-Eigenschaft für die CommandBarButton-, CommandBarComboBox-, CommandBarControl- und CommandBarPopup-Objekte.

Gibt den Typ des Befehlsleisten-Steuerelements zurück. Schreibgeschützter MsoControlType-Wert.

MsoControlType kann eine der folgenden MsoControlType-Konstanten sein:
msoControlActiveX
msoControlAutoCompleteCombo
msoControlButton
msoControlButtonDropdown
msoControlButtonPopup
msoControlComboBox
msoControlCustom
msoControlDropdown
msoControlEdit
msoControlExpandingGrid
msoControlGauge
msoControlGenericDropdown
msoControlGraphicCombo
msoControlGraphicDropdown
msoControlGraphicPopup
msoControlGrid
msoControlLabel
msoControlLabelEx
msoControlOCXDropdown
msoControlPane
msoControlPopup
msoControlSpinner
msoControlSplitButtonMRUPopup
msoControlSplitButtonPopup
msoControlSplitDropdown
msoControlSplitExpandingGrid
msoControlWorkPane

Ausdruck.Type

Ausdruck Erforderlich. Ein Ausdruck, der eines der oben genannten Objekte zurückgibt.

Type-Eigenschaft für das SearchScope-Objekt.

Gibt einen Wert zurück, der dem Typ des SearchScope-Objekts entspricht. Der Typ gibt den Bereich an, in dem die Execute-Methode des FileSearch-Objekts nach Dateien sucht. Schreibgeschützter MsoSearchIn-Wert.

MsoSearchIn kann eine der folgenden MsoSearchIn-Konstanten sein:
msoSearchInCustom
msoSearchInMyComputer
msoSearchInMyNetworkPlaces
msoSearchInOutlook

Ausdruck.Type

Ausdruck Erforderlich. Ein Ausdruck, der ein SearchScope-Objekt zurückgibt.

Type-Eigenschaft für das DocumentProperty-Objekt.

Gibt den Typ der Dokumenteigenschaft zurück oder legt ihn fest. Schreibgeschützt für integrierte Dokumenteigenschaften, Schreib-/Lesezugriff für benutzerdefinierte Dokumenteigenschaften.

Ausdruck.Type

Ausdruck Erforderlich. Ein Ausdruck, der ein DocumentProperty-Objekt zurückgibt.

Hinweise

Der Rückgabewert ist eine MsoDocProperties-Konstante.

MsoDocProperties kann eine der folgenden MsoDocProperties-Konstanten sein:
msoPropertyTypeBoolean
msoPropertyTypeDate
msoPropertyTypeFloat
msoPropertyTypeNumber
msoPropertyTypeString

Beispiel

Für das CommandBar-Objekt.

In diesem Beispiel wird das erste Steuerelement auf der Befehlsleiste Custom gesucht. Mithilfe der Type-Eigenschaft wird ermittelt, ob das Steuerelement eine Schaltfläche ist. Wenn dies der Fall ist, wird die Oberfläche der Schaltfläche Kopieren auf der Symbolleiste Standard kopiert und in das Steuerelement eingefügt.

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = msoControlButton Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If

Für das DocumentProperty-Objekt.

In diesem Beispiel werden Name, Typ und Wert einer Dokumenteigenschaft angezeigt. Sie müssen ein gültiges DocumentProperty-Objekt an die Prozedur übergeben.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


Value-Eigenschaft

Value-Eigenschaft für das DocumentProperty-Objekt.

Gibt den Wert einer Dokumenteigenschaft zurück oder legt ihn fest. Variant-Wert mit Lese-/Schreibzugriff.

Ausdruck.Value

Ausdruck Erforderlich. Ein Ausdruck, der ein DocumentProperty-Objekt zurückgibt.

Hinweise

Wenn in der Containeranwendung für eine der integrierten Dokumenteigenschaften kein Wert festgelegt ist, wird beim Lesen der Value-Eigenschaft für diese Dokumenteigenschaft ein Fehler hervorgerufen.

Value-Eigenschaft für das PropertyTest-Objekt.

Gibt den Wert eines Eigenschaftstests für eine Dateisuche zurück. Schreibgeschützter Variant-Wert.

Ausdruck.Value

Ausdruck Erforderlich. Ein Ausdruck, der ein PropertyTest-Objekt zurückgibt.

Beispiel

Für das DocumentProperty-Objekt.

In diesem Beispiel werden Name, Typ und Wert einer Dokumenteigenschaft angezeigt. dp muss dabei ein gültiges DocumentProperty-Objekt sein.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub

Für das PropertyTest-Objekt.

In diesem Beispiel wird der Wert der Suchkriterien (falls vorhanden) in einem Meldungsfeld angezeigt. Ist kein zweiter Wert vorhanden, wird eine andere Meldung angezeigt.

With Application.FileSearch.PropertyTests(1)
    If .Value = "" Then
       MsgBox "You haven't specified a value."
    Else
        MsgBox "The value you've set is: " _
            & .Value
    End If
End With


Visible-Eigenschaft

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

True, wenn das angegebene Objekt sichtbar ist. Boolescher Wert mit Lese-/Schreibzugriff.

Ausdruck.Visible

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Hinweise

Der Standardwert für die Visible-Eigenschaft neu erstellter, benutzerdefinierter Befehlsleisten ist False.

Die Enabled-Eigenschaft für eine Befehlsleiste muss auf True gesetzt werden, bevor die Visible-Eigenschaft auf True gesetzt wird.

Beispiel

In diesem Beispiel wird die Auflistung der Befehlsleisten auf der Suche nach der Befehlsleiste Forms schrittweise durchlaufen. Wenn die Befehlsleiste Forms gefunden wird, wird sie angezeigt, und ihr Verankerungszustand wird geschützt.

foundFlag = False
For Each cmdbar In CommandBars
    If cmdbar.Name = "Forms" Then
        cmdbar.Protection = msoBarNoChangeDock
        cmdbar.Visible = True
        foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms'command bar is not in the collection."
End If

In diesem Beispiel wird der Office-Assistent angezeigt, und seine Animation wird festgelegt.

With Application.Assistant
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With


Width-Eigenschaft

Gibt in Pixel die Breite der angegebenen Befehlsleiste oder des Befehlsleisten-Steuerelements zurück oder legt diesen Wert fest. Integer-Wert mit Lese-/Schreibzugriff.

Ausdruck.Width

Ausdruck Erforderlich. Ein Ausdruck, der eines der Objekte in der Liste Betrifft zurückgibt.

Beispiel

In diesem Beispiel wird ein benutzerdefiniertes Steuerelement zur Befehlsleiste Custom hinzugefügt. Außerdem wird die Höhe des benutzerdefinierten Steuerelements auf die doppelte Höhe der Befehlsleiste und die Breite auf 50 Pixel festgelegt. Beachten Sie, dass sich die Höhe der Befehlsleiste automatisch ändert, sodass diese das Steuerelement aufnehmen kann.

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


Change-Ereignis

Tritt auf, wenn der Endbenutzer die Auswahl in einem Kombinationsfeld einer Befehlsleiste ändert.

Private Sub CommandBarComboBox_Change

(ByVal Ctrl As CommandBarComboBox)

Hinweise

Das Change-Ereignis wird vom CommandBarComboBox-Objekt erkannt. Um das Change-Ereignis für ein bestimmtes CommandBarComboBox-Steuerelement zurückzusetzen, deklarieren Sie mithilfe des WithEvents-Schlüsselwortes eine Variable und setzen diese dann auf das CommandBarComboBox-Steuerelement. Wenn das Change-Ereignis ausgelöst wird, führt es das Makro bzw. den Code aus, das bzw. den Sie mit der OnAction-Eigenschaft des Steuerelements angegeben haben.

Beispiel

Im folgenden Beispiel wird eine Befehlsleiste mit einem CommandBarComboBox-Steuerelement erstellt, das vier Auswahlmöglichkeiten enthält. Das Kombinationsfeld reagiert über das CommandBarComboBox_Change-Ereignis auf die Aktion des Benutzers.

Private ctlComboBoxHandler As New ComboBoxHandler
Sub AddComboBox()

    Set HostApp = Application

    Dim newBar As Office.CommandBar
    Set newBar = HostApp.CommandBars.Add(Name:="Test CommandBar", Temporary:=True)
    Dim newCombo As Office.CommandBarComboBox
    Set newCombo = newBar.Controls.Add(msoControlComboBox)
    With newCombo
        .AddItem "First Class", 1
        .AddItem "Business Class", 2
        .AddItem "Coach Class", 3
        .AddItem "Standby", 4
        .DropDownLines = 5
        .DropDownWidth = 75
        .ListHeaderCount = 0
    End With
    ctlComboBoxHandler.SyncBox newCombo
    newBar.Visible = True

End Sub

Das oben stehende Beispiel basiert auf dem folgenden Code, der im VBA-Projekt in einem Klassenmodul gespeichert wird.

Private WithEvents ComboBoxEvent As Office.CommandBarComboBox
Public Sub SyncBox(box As Office.CommandBarComboBox)
    Set ComboBoxEvent = box
    If Not box Is Nothing Then
        MsgBox "Synced " & box.Caption & " ComboBox events."
    End If

End Sub

Private Sub Class_Terminate()
    Set ComboBoxEvent = Nothing
End Sub

Private Sub ComboBoxEvent_Change(ByVal Ctrl As Office.CommandBarComboBox)
    Dim stComboText As String

    stComboText = Ctrl.Text

        Select Case stComboText
        Case "First Class"
            FirstClass
        Case "Business Class"
            BusinessClass
        Case "Coach Class"
            CoachClass
        Case "Standby"
            Standby
    End Select

End Sub
Private Sub FirstClass()
    MsgBox "You selected First Class reservations"
End Sub
Private Sub BusinessClass()
    MsgBox "You selected Business Class reservations"
End Sub
Private Sub CoachClass()
    MsgBox "You selected Coach Class reservations"
End Sub
Private Sub Standby()
    MsgBox "You chose to fly standby"
End Sub


Click-Ereignis

Tritt auf, wenn der Benutzer auf ein CommandBarButton-Objekt klickt.

Private Sub CommandBarButton_Click

(ByVal Ctrl As CommandBarButton,

ByVal CancelDefault As Boolean)

Die Syntax für das Click-Ereignis enthält die beiden in der folgenden Tabelle beschriebenen Argumente:

Argument | Beschreibung
Ctrl | Erforderliches CommandBarButton-Objekt. Gibt das CommandBarButton-Steuerelement an, durch welches das Ereignis ausgelöst wurde.
CancelDefault | Erforderlicher Boolescher Wert. False, wenn das mit dem CommandBarButton-Steuerelement verknüpfte Standardverhalten eintritt, sofern dieses nicht durch einen anderen Prozess oder ein anderes Add-In abgebrochen wird.

Hinweise

Das Click-Ereignis wird vom CommandBarButton-Objekt erkannt. Um das Click-Ereignis für ein bestimmtes CommandBarButton-Steuerelement zurückzusetzen, deklarieren Sie mithilfe des WithEvents-Schlüsselwortes eine Variable und setzen diese dann auf das Steuerelement.

Beispiel

Im folgenden Beispiel wird im Menü Datei der Hostanwendung eine neue Befehlsleistenschaltfläche erstellt, durch die der Benutzer eine Arbeitsmappe als CSV-Datei speichern kann. (Dieses Beispiel funktioniert in allen Anwendungen, der Kontext des Speicherns im CSV-Format gilt jedoch für Microsoft Excel.)

Private HostApp As Object

Sub createAndSynch()
    Dim iIndex As Integer
    Dim iCount As Integer
    Dim fBtnExists As Boolean

    Dim obCmdBtn As Object
    Dim btnSaveAsCSVHandler as new Class1

    On Error GoTo errHandler

    Set HostApp = Application

    Dim barHelp As Office.CommandBar
    Set barHelp = Application.CommandBars("File")
    fBtnExists = False
    iCount = barHelp.Controls.Count
    For iIndex = 1 To iCount
        If barHelp.Controls(iIndex).Caption = "Save As CSV (Comma Delimited)" Then fBtnExists = True

    Next
    Dim btnSaveAsCSV As Office.CommandBarButton
    If fBtnExists Then
        Set btnSaveAsCSV = barHelp.Controls("Save As CSV (Comma Delimited)")
    Else
        Set btnSaveAsCSV = barHelp.Controls.Add(msoControlButton)
        btnSaveAsCSV.Caption = "Save As CSV (Comma Delimited)"
    End If

    btnSaveAsCSV.Tag = "btn1"
    btnSaveAsCSVHandler.SyncButton btnSaveAsCSV
    Exit Sub

errHandler:
    ' Insert error handling code here
End Sub


EnvelopeHide-Ereignis

Tritt ein, wenn die dem MsoEnvelope-Objekt entsprechende Benutzeroberfläche (UI) ausgeblendet ist.

Private Sub object_EnvelopHide()

object Eine Variable, die auf ein Objekt vom Typ MsoEnvelope verweist, das zusammen mit Ereignissen in einem Klassenmodul deklariert wird.

Beispiel

Im folgenden Beispiel werden Ereignisbearbeitungsroutinen für das MsoEnvelope-Objekt eingerichtet.

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "The MsoEnvelope UI is showing."
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "The MsoEnvelope UI is hidden."
End Sub


EnvelopeShow-Ereignis

Tritt ein, wenn die dem MsoEnvelope-Objekt entsprechende Benutzeroberfläche (UI) angezeigt wird.

Private Sub object_EnvelopShow()

object Eine Variable, die auf ein Objekt vom Typ MsoEnvelope verweist, das zusammen mit Ereignissen in einem Klassenmodul deklariert wird.

Beispiel

Im folgenden Beispiel werden Ereignisbearbeitungsroutinen für das MsoEnvelope-Objekt eingerichtet.

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "The MsoEnvelope UI is showing."
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "The MsoEnvelope UI is hidden."
End Sub


OnUpdate-Ereignis

Tritt ein, wenn eine Änderung an einer Befehlsleiste vorgenommen wird.

Private Sub CommandBars_OnUpdate()

Hinweise

Das OnUpdate-Ereignis wird vom CommandBar-Objekt und allen Befehlsleistensteuerelementen erkannt. Das Ereignis wird durch eine beliebige Änderung an einer Befehlsleiste oder einem Befehlsleistensteuerelement bzw. dem Zustand einer Befehlsleiste oder eines Befehlsleistensteuerelements ausgelöst. Als Änderungen dieser Art zählen z. B. das Markieren von Text oder Zellen. Da bei normaler Verwendung eine Vielzahl von OnUpdate-Ereignissen eintreten kann, sollte dieses Ereignis bei der Entwicklung von Programmen mit Vorsicht eingesetzt werden. Verwenden Sie dieses Ereignis am besten nur, um zu überprüfen, ob durch ein COMAddIn eine benutzerdefinierte Befehlsleiste hinzugefügt oder entfernt wurde.


Ausgeblendetes Sprachelement

Sie haben Hilfeinformationen für ein Sprachelement angefordert, das ausgeblendet ist. Der Zugriff über Programmcode ist deshalb nicht möglich.


Erstellen und Ändern von Sprechblasen

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Mithilfe der Sprechblase des Office-Assistenten können Sie den Benutzern Informationen zur Verfügung stellen. Diese Informationen können einfache Meldungen, Anforderungen nach weiteren Informationen oder Auswahllisten für die Benutzer sein. Die Sprechblasen des Office Assistenten werden zur Laufzeit erstellt, angezeigt, geschlossen und geändert.

Die folgende Tabelle enthält die Eigenschaften und Methoden, die am häufigsten zur Änderung der Darstellung oder der Funktion von neu erstellten (leeren) oder vorhandenen Sprechblasen verwendet werden. Da Sprechblasen durch die Show-Methode angezeigt und aktualisiert werden, werden Änderungen, die Sie an einer Sprechblase vornehmen, beim nächsten Aufruf der Show-Methode sichtbar.

Eigenschaft oder Methode | Beschreibung
Heading | Gibt den fett formatierten Text am oberen Rand der Sprechblase des Office-Assistenten an.
Text | Gibt den Haupttext der Sprechblase des Office-Assistenten an. Dieser Text wird nach der Überschrift und vor Kontrollkästchen, Beschriftungen und Schaltflächen angezeigt.
Labels | Gibt die Auflistung der Beschriftungen in der Sprechblase zurück. Das Format der Beschriftungen wird durch die BalloonType-Eigenschaft bestimmt. Beschriftungen werden nach dem Sprechblasentext angezeigt. Die Liste der Beschriftungen kann mit Nummerierungs- oder Aufzählungszeichen versehen oder eine Liste von Schaltflächen sein. Im Gegensatz zu Kontrollkästchen wird hier die Auswahl des Benutzers bereits beim Klicken auf eine Schaltfläche registriert.
CheckBoxes | Gibt die Auflistung der Kontrollkästchen in der Sprechblase zurück. Der Benutzer klickt auf das Kontrollkästchen und anschließend auf die entsprechende Schaltfläche unten in der Sprechblase (z. B. OK oder Weiter), damit die Auswahl registriert wird.
Close | Schließt und verwirft eine modusfreie Sprechblase, ohne die Objektvariable freizugeben. Die der Sprechblase zugewiesene Objektvariable bleibt weiterhin gültig – Sie können sie erneut anzeigen oder ändern und später anzeigen. Sie können diese Methode nur bei modusfreien Sprechblasen verwenden.
Show | Zeigt die Sprechblase einschließlich aller darin enthaltenen Objekte an. Verwenden Sie diese Methode nur für Balloon-Objekte. Für das Assistant-Objekt verwenden Sie die Visible-Eigenschaft.

Im folgenden Beispiel wird eine Sprechblase erstellt, mit deren Hilfe der Benutzer einen Drucker auswählen kann. Für Benutzer, die die Informationen in der Sprechblase nicht benötigen, wird ein entsprechendes Kontrollkästchen zur Verfügung gestellt.

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    lblTxt = "From the File menu, choose Print."
    .Labels(1).Text = lblTxt
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .CheckBoxes(1).Text = "Skip this information."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModal
    .Button = msoButtonSetOK
    .Show
End With

Erstellen von Sprechblasen

Zum Erstellen einer neuen Sprechblase verwenden Sie die NewBalloon-Eigenschaft des Assistant-Objekts. Die neue Sprechblase ist leer. Mit der Heading-Eigenschaft können Sie eine Überschrift und mit der Text-Eigenschaft den Haupttext hinzufügen. Fügen Sie dann nach Bedarf weitere Steuerelemente hinzu. Zum Schluss wird die Sprechblase mit der Show-Methode angezeigt. Da die Show-Methode die Sprechblase in ihrer momentanen Darstellung anzeigt, ist es wichtig, diese Methode nach dem Festlegen aller anderen Eigenschaften der Sprechblase zu verwenden. Im folgenden Beispiel werden nach dem Erstellen einer neuen Sprechblase die Überschrift und der Haupttext festgelegt und drei Kontrollkästchen erstellt, die der Benutzer aktivieren kann.

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

Verwalten mehrerer Sprechblasen

Der Office-Assistent besitzt keine Balloons-Auflistung. Zum Verwalten mehrerer Sprechblasen können Sie für jede erstellte Sprechblase eine separate Objektvariable festlegen und bei Bedarf referenzieren. Sie können auch ein Array von Balloon-Objektvariablen erstellen und jeder Variablen eine Sprechblase zuweisen. Im folgenden Beispiel wird ein Array erstellt, und anschließend werden dem Array drei leere Balloon-Objekte hinzugefügt.

Dim myBalloonArray(3) As Balloon

With Assistant
    For i = 1 To 3
        Set myBalloonArray(i) = .NewBalloon
    Next
End With


Aufrufen von Hilfe zu Macintosh-Schlüsselwörtern

Sie suchen Hilfeinformationen zu einem Visual Basic-Schlüsselwort, das nur auf dem Macintosh verwendet wird. Informationen zu diesem Schlüsselwort finden Sie im Sprachverzeichnis der Hilfe von Microsoft Office Macintosh Edition.


Durchführen von Änderungen an Sprechblasen zur Laufzeit

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Nachdem Sie eine Sprechblase für den Office-Assistenten erstellt haben, können Sie sie anpassen, indem Sie Bitmaps, Symbole oder Windows-Metadateien zur Überschrift oder zum Text der Sprechblase hinzufügen. Es empfiehlt sich, Steuerelemente wie Kontrollkästchen oder Schaltflächen zur Sprechblase hinzuzufügen, damit auf die Aktion des Benutzers reagiert werden kann, wenn er auf ein Element in der Sprechblase klickt. Darüber hinaus können Sie Textattribute wie Farbe und Unterstreichung verwenden, um Textelemente in einer Sprechblase hervorzuheben.

Hinzufügen von Symbolen und Bitmaps zu Sprechblasen

Um ein Symbol hinzuzufügen, weisen Sie der Icon-Eigenschaft des Balloon-Objekts eine MsoIconType-Konstante zu. Um eine Bitmap oder eine Windows-Metadatei zum Text in einer Sprechblase eines Office-Assistenten hinzuzufügen, geben Sie beim Festlegen der Text-Eigenschaft einer Überschrift, eines Textes, eines Kontrollkästchens oder einer Beschriftung den Typ, den Pfad und gegebenenfalls den Skalierungsfaktor an. Im folgenden Beispiel wird eine Windows-Bitmapdatei in den Text einer Sprechblase eingefügt.

myBmp = "{bmp c:\Windows\circles.gif}"
myText1 = "This is before the picture, "
myText2 = " and this is after the picture"
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Bitmap."
    .Text = myText1 & myBmp & myText2
    .Show
End With

Hinzufügen von Steuerelementen zu Sprechblasen

Sie können zwei Arten von Steuerelementen zu Sprechblasen hinzufügen: Kontrollkästchen und Schaltflächen. Bei der Erstellung einer Sprechblase enthält diese fünf Kontrollkästchen. Sie können diese sichtbar machen, indem Sie für das jeweilige Steuerelement Text angeben. Es befinden sich ebenfalls fünf Beschriftungsschaltflächen in der Sprechblase (vorausgesetzt, der Sprechblasentyp ist msoBalloonTypeButtons). Sie können diese ebenso wie die Kontrollkästchen einblenden. Wenn Sie versuchen, mehr als fünf Kontrollkästchen oder Beschriftungsschaltflächen zu einer Sprechblase hinzuzufügen, tritt ein Fehler auf.

Sie können die Darstellung eines Steuerelements in der Sprechblase ändern, indem Sie die Text-Eigenschaft des Steuerelements ändern. Sie können die Funktionalität eines Kontrollkästchens oder einer Schaltfläche in einer Sprechblase ändern, indem Sie eine andere Prozedur festlegen, die beim Auswählen des Kontrollkästchens oder der Schaltfläche (durch Klicken) ausgeführt wird.

Im folgenden Beispiel wird eine Sprechblase mit Überschrift, Text und drei Auswahloptionen erstellt. Wenn der Benutzer ein oder mehrere Kontrollkästchen aktiviert und anschließend auf OK klickt, ruft der Beispielcode die entsprechenden Prozeduren auf.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Einfärben und Unterstreichen von Text in Sprechblasen

Sie können den Text in einer Sprechblase mit zwei Attributen ausstatten: Farbe und Unterstreichung. Verwenden Sie eine der 16 unterstützten Systemfarben, um Text durch Farbe hervorzuheben. Sie können auch das Erscheinungsbild von Text in einer Sprechblase ändern, indem Sie den Text unterstreichen. Die Textattribute sind in den Text der Sprechblase eingebettet und im Code von geschweiften Klammern umgeben. Im folgenden Beispiel wird eine neue Sprechblase für den Office-Assistenten erstellt, die eine unterstrichene Überschrift, roten Text und blauen, ebenfalls unterstrichenen Text enthält.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With


Zurückgeben eines Objekts aus einer Auflistung

Die Item-Eigenschaft gibt ein einzelnes Objekt aus einer Auflistung zurück. Im folgenden Beispiel wird die Variable cmdbar auf ein CommandBar-Objekt gesetzt, das die erste Befehlsleiste in der CommandBars-Auflistung repräsentiert.

Set cmdbar = CommandBars.Item(1)

Die Item-Eigenschaft ist die Standardeigenschaft für die meisten Auflistungen, d. h., Sie können dieselbe Anweisung kürzer fassen, indem Sie das Item-Schlüsselwort weglassen.

Set cmdbar = CommandBars(1)

Weitere Informationen zu einer bestimmten Auflistung finden Sie in dem entsprechenden Hilfethema oder im Hilfethema für die Item-Eigenschaft der Auflistung.


Verwenden des Office-Assistenten

Einige Informationen in diesem Thema gelten möglicherweise nicht für alle Sprachen.

Der Office-Assistent wird in der Regel mit einer Sprechblase angezeigt, die Meldungen und Hilfeinformationen für die Arbeit des Benutzers in der Anwendung enthält. Der Assistent kann aber auch ohne Sprechblase nützliche Funktionen erfüllen. Durch Einstellen der Animation-Eigenschaft kann die Aufmerksamkeit des Benutzers erlangt werden, und mithilfe der anderen Eigenschaften des Assistant-Objekts lässt sich die Art und Weise beeinflussen, in der dem Benutzer die standardmäßige Office-Hilfe präsentiert wird.

Alle auf der Registerkarte Optionen des Dialogfeldes Office Assistant aufgeführten Eigenschaften entsprechen einer Eigenschaft des Assistenten, die Sie zur Laufzeit festlegen können. Die in der folgenden Tabelle aufgeführten Eigenschaften werden häufig zur Modifizierung des Office-Assistenten verwendet.

Eigenschaft | Beschreibung
Animation | Animiert den Office-Assistenten. Es gibt fortlaufende und einmalige Animationen.
FileName | Gibt den vollständigen Dateinamen für den Office-Assistenten an, einschließlich der Erweiterung .acs. Der Dateiname für den Office-Assistenten Rocky ist z. B. Rocky.acs.
Name | Gibt den Namen des Office-Assistenten zurück. Verwenden Sie diese Eigenschaft, um mitzuverfolgen, welchen Office-Assistenten der Benutzer auswählt.
Visible | Gibt an, ob der Assistent ein- oder ausgeblendet ist.

Im folgenden Beispiel wird der Office-Assistent Rocky ausgewählt, aktiviert und angezeigt. Darüber hinaus wird eine Animation ausgewählt, und es werden verschiedene Optionen festgelegt.

With Assistant
    .On = True
    .FileName = "Rocky.acs"
    .Animation = msoAnimationBeginSpeaking
    .AssistWithHelp = True
    .GuessHelp = True
    .FeatureTips = False
    .Visible = True
End With

Den Office-Assistenten gibt es in sechs verschiedenen Gestalten, die Sie wahlweise mit Microsoft Office installieren können, es kann aber immer nur ein Assistent aktiv sein. Sie können dem Benutzer die Möglichkeit geben, den Assistenten im Katalog der Office-Assistenten auszuwählen, oder Sie wählen zur Laufzeit per Programmcode einen Assistenten für den Benutzer aus. Die installierten Dateien für die Gestalten der Assistenten können nicht geändert werden, und es ist auch nicht möglich, die vorhandenen Dateien durch eine eigene Assistentendatei zu ersetzen.


Das Hilfethema ist nicht verfügbar

Das Hilfethema kann nicht angezeigt werden, da die Hilfe für Visual Basic für Applikationen nicht gefunden, nicht installiert oder entfernt wurde.

So installieren Sie die Hilfe für Microsoft Office Visual Basic

  1. Doppelklicken Sie in der Systemsteuerung auf Software.
  2. Klicken Sie auf der Registerkarte Programme ändern oder entfernen auf die vorhandene Microsoft Office-Installation und dann auf Ändern.
  3. Klicken Sie auf Features hinzufügen/entfernen, und blenden Sie dann in der Liste der Features die Optionen unter Gemeinsam genutzte Office-Features ein.
  4. Blenden Sie in der Liste der Features die Optionen unter Visual Basic für Applikationen ein, und klicken Sie dann auf das Symbol neben Visual Basic-Hilfe, um die verfügbaren Installationsoptionen anzuzeigen.
  5. Klicken Sie auf Vom Arbeitsplatz starten oder auf Vom Netzwerk starten und dann auf Aktualisieren.


Nicht unterstütztes Sprachelement

Sie haben Hilfeinformationen für ein Sprachelement angefordert, das nicht unterstützt wird.


Add-Methode (Microsoft Word)

In Microsoft Word wird das Temporary-Argument der Add-Methode (CommandBarControls-Objekt) immer ignoriert. Aus diesem Grund verbleibt eine Steuerelementschaltfläche, die Sie zu einer Menüleiste auf einer Befehlsleiste hinzufügen, auch dann in der Dokumentvorlage Normal.dot, wenn Sie das Temporary-Argument auf True setzen. Um einen nicht benötigten Menübefehl aus der Vorlage Normal.dot zu entfernen, können Sie eine der folgenden Methoden verwenden.

  1. Löschen von "Normal.dot". Word erstellt dann eine neue Standarddokumentvorlage Normal.dot, wobei auch alle anderen Änderungen, die an der Vorlage Normal vorgenommen wurden (z. B. Symbolleisten) gelöscht werden. Da alle Word-Dokumente auf der Dokumentvorlage Normal basieren, kann sie nicht über Programmcode gelöscht werden. Sie müssen die Vorlage manuell löschen.
  2. Zurücksetzen von Befehlsleisten. Sie können eine Prozedur erstellen, die alle Befehlsleisten oder nur eine angegebene Befehlsleiste zurücksetzt. In diesem Beispiel werden alle Befehlsleisten, einschließlich der Menü- und Symbolleisten, zurückgesetzt.
    Sub ResetAllCommandBars()
    Dim mnu As CommandBar

    'Error handler skips over custom toolbars,
    'which can't be reset
    On Error Resume Next

    For Each mnu In Application.CommandBars
        mnu.Reset
    Next mnu
End Sub
    In diesem Beispiel werden nicht alle Symbolleisten, sondern nur die Elemente auf der Menüleiste zurückgesetzt.
    Sub ResetMenuBar()
    Dim mnu As CommandBar
    For Each mnu In Application.CommandBars
        If mnu.Name = "Menu Bar" Then
            mnu.Reset
        End If
    Next mnu
End Sub


Context-Eigenschaft

Die Context-Eigenschaft in Microsoft Word ist schreibgeschützt. Sie gibt den vollständigen Namen (mit Pfad) der Dokumentvorlage zurück, die dem Dokument mit dem angegebenen CommandBar-Objekt zugewiesen ist.


Neue Ereignisse

 Neue Methoden

 Neue Objekte

 Neue Eigenschaften (alphabetische Liste)

 Neue Eigenschaften (nach Objekt)


CommandBarComboBox-Objekt


CommandBarButton-Objekt


MsoEnvelope-Objekt
EnvelopeShow-Ereignis


MsoEnvelope-Objekt
EnvelopeHide-Ereignis


CommandBars-Objekt (Auflistung)


Neue Methoden

 Neue Objekte

 Neue Eigenschaften (alphabetische Liste)

 Neue Eigenschaften (nach Objekt)

 Neue Funktionen für Microsoft Office-Entwickler


Durchführen von Änderungen an Sprechblasen zur Laufzeit

 Übersicht über den Office-Assistenten


Hinzufügen und Anzeigen von Kontextmenüs

 Hinzufügen und Ändern von Symbolleisten

 Verwendung von Befehlsleisten


Assistant-Objekt

 Balloon-Objekt

 Erstellen und Ändern von Sprechblasen

 Übersicht über den Office-Assistenten


Animation-Eigenschaft

 Erstellen und Ändern von Sprechblasen

 FileName-Eigenschaft

 Microsoft Office-Objekte


Hinzufügen und Anzeigen von Kontextmenüs

 Hinzufügen und Verwalten von Menüleisten und Menübefehlen

 Hinzufügen und Ändern von Symbolleisten

 Microsoft Office-Objekte


BalloonCheckBoxes-Objekt (Auflistung)

 BalloonLabels-Objekt (Auflistung)

 CommandBarControls-Objekt (Auflistung)

 CommandBars-Objekt (Auflistung)

 DocumentProperties-Objekt (Auflistung)

 PropertyTests-Objekt (Auflistung)


Hinzufügen und Verwalten von Menüleisten und Menübefehlen

 Hinzufügen und Ändern von Symbolleisten

 Verwendung von Befehlsleisten


Hinzufügen und Anzeigen von Kontextmenüs

 Hinzufügen und Verwalten von Menüleisten und Menübefehlen

 Verwendung von Befehlsleisten


Assistant-Objekt

 Erstellen und Ändern von Sprechblasen

 Durchführen von Änderungen an Sprechblasen zur Laufzeit

 Microsoft Office-Objekte


Assistant-Objekt


AnswerWizardFiles-Objekt (Auflistung)

 CommandBarControls-Objekt (Auflistung)

 CommandBars-Objekt (Auflistung)

 DocumentProperties-Objekt (Auflistung)

 FileDialogFilters-Auflistung

 FileTypes-Auflistung

 NewFile-Objekt

 ODSOFilters-Objekt

 PropertyTests-Objekt (Auflistung)

 Scripts-Objekt (Auflistung)

 SearchFolders-Auflistung

 SignatureSet-Auflistung
CommandBars-Objekt (Auflistung)

 DocumentProperties-Objekt (Auflistung)

 Microsoft Office-Objekte
Add-Methode (Microsoft Word)


ScopeFolder-Objekt
Add-Methode


OfficeDataSourceObject-Objekt


CommandBarComboBox-Objekt

 FileDialogFilters-Auflistung
AddItem-Methode

 CommandBarComboBox-Objekt

 Enabled-Eigenschaft


AnswerWizard-Objekt


Balloon-Objekt


SignatureSet-Auflistung


CommandBarButton-Objekt

 CommandBarComboBox-Objekt

 CommandBarControl-Objekt

 CommandBarPopup-Objekt


AnswerWizardFiles-Objekt (Auflistung)

 CommandBar-Objekt

 CommandBarButton-Objekt

 CommandBarComboBox-Objekt

 CommandBarControl-Objekt

 CommandBarPopup-Objekt

 DocumentProperty-Objekt

 FileDialogFilters-Auflistung

 ODSOFilters-Objekt

 Script-Objekt

 Scripts-Objekt (Auflistung)

 Signature-Objekt


CommandBarButton-Objekt

 CommandBarComboBox-Objekt

 CommandBarControl-Objekt

 CommandBarPopup-Objekt

 FileDialog-Objekt

 FileSearch-Objekt


FindControls-Methode


COMAddIns-Objekt (Auflistung)

 FileDialogFilters-Auflistung

 FileDialogSelectedItems-Auflistung

 HTMLProjectItems-Objekt (Auflistung)

 ODSOColumns-Objekt

 ODSOFilters-Objekt

 Scripts-Objekt (Auflistung)


HTMLProjectItem-Objekt


Assistant-Objekt

 CommandBarButton-Objekt

 CommandBarComboBox-Objekt

 CommandBarControl-Objekt

 CommandBarPopup-Objekt

 OfficeDataSourceObject-Objekt


FileSearch-Objekt
FileSearch-Objekt


HTMLProject-Objekt

 HTMLProjectItem-Objekt

 OfficeDataSourceObject-Objekt


HTMLProject-Objekt


FileSearch-Objekt


CommandBars-Objekt (Auflistung)
SetFocus-Methode


FileTypes-Auflistung

 NewFile-Objekt

 PropertyTests-Objekt (Auflistung)

 SearchFolders-Auflistung


ResetTips-Methode


Assistant-Objekt
Reset-Methode


Balloon-Objekt

 FileDialog-Objekt
BalloonCheckBoxes-Objekt (Auflistung)

 Erstellen und Ändern von Sprechblasen

 Execute-Methode

 NewBalloon-Eigenschaft


CommandBar-Objekt


Assistant-Objekt
ActivateWizard-Methode

 Assistant-Objekt

 Erstellen und Ändern von Sprechblasen

 EndWizard-Methode

 Durchführen von Änderungen an Sprechblasen zur Laufzeit

 Übersicht über den Office-Assistenten


COMAddIns-Objekt (Auflistung)


Neue Ereignisse

 Neue Objekte

 Neue Eigenschaften (alphabetische Liste)

 Neue Eigenschaften (nach Objekt)

 Neue Funktionen für Microsoft Office-Entwickler


ClearFileList-Methode

 ResetFileList-Methode
Application-Eigenschaft

 Creator-Eigenschaft

 Files-Eigenschaft

 Parent-Eigenschaft


Add-Methode

 Delete-Methode
Application-Eigenschaft

 Count-Eigenschaft

 Creator-Eigenschaft

 Item-Eigenschaft

 Parent-Eigenschaft


Animation-Eigenschaft

 Application-Eigenschaft

 AssistWithAlerts-Eigenschaft

 AssistWithHelp-Eigenschaft

 AssistWithWizards-Eigenschaft

 BalloonError-Eigenschaft

 Creator-Eigenschaft

 FeatureTips-Eigenschaft

 FileName-Eigenschaft

 GuessHelp-Eigenschaft

 HighPriorityTips-Eigenschaft

 Item-Eigenschaft

 KeyboardShortcutTips-Eigenschaft

 Left-Eigenschaft

 MouseTips-Eigenschaft

 MoveWhenInTheWay-Eigenschaft

 Name-Eigenschaft

 NewBalloon-Eigenschaft

 On-Eigenschaft

 Parent-Eigenschaft

 Reduced-Eigenschaft

 SearchWhenProgramming-Eigenschaft

 Sounds-Eigenschaft

 TipOfDay-Eigenschaft

 Top-Eigenschaft

 Visible-Eigenschaft


Animation-Eigenschaft

 Application-Eigenschaft

 BalloonType-Eigenschaft

 Button-Eigenschaft

 Callback-Eigenschaft

 Checkboxes-Eigenschaft

 Creator-Eigenschaft

 Heading-Eigenschaft

 Icon-Eigenschaft

 Labels-Eigenschaft

 Mode-Eigenschaft

 Name-Eigenschaft

 Parent-Eigenschaft

 Private-Eigenschaft

 Text-Eigenschaft
Microsoft Office-Objekte


Microsoft Office-Objekte


Microsoft Office-Objekte
BalloonLabels-Objekt (Auflistung)


Application-Eigenschaft

 Connect-Eigenschaft

 Creator-Eigenschaft

 Description-Eigenschaft

 Guid-Eigenschaft

 Object-Eigenschaft

 Parent-Eigenschaft

 ProgId-Eigenschaft
COMAddIns-Objekt (Auflistung)


Item-Methode

 Update-Methode
Application-Eigenschaft

 Count-Eigenschaft

 Creator-Eigenschaft

 Parent-Eigenschaft


AdaptiveMenu-Eigenschaft

 Application-Eigenschaft

 BuiltIn-Eigenschaft

 Context-Eigenschaft

 Controls-Eigenschaft

 Creator-Eigenschaft

 Enabled-Eigenschaft

 Height-Eigenschaft

 Id-Eigenschaft

 Index-Eigenschaft

 Left-Eigenschaft

 Name-Eigenschaft

 NameLocal-Eigenschaft

 Parent-Eigenschaft

 Position-Eigenschaft

 Protection-Eigenschaft

 RowIndex-Eigenschaft

 Top-Eigenschaft

 Type-Eigenschaft

 Visible-Eigenschaft

 Width-Eigenschaft
Microsoft Office-Objekte
CommandBars-Objekt (Auflistung)


Click-Ereignis
Copy-Methode

 CopyFace-Methode

 Delete-Methode

 Execute-Methode

 Move-Methode

 PasteFace-Methode

 Reset-Methode

 SetFocus-Methode
Application-Eigenschaft

 BeginGroup-Eigenschaft

 BuiltIn-Eigenschaft

 BuiltInFace-Eigenschaft

 Caption-Eigenschaft

 Creator-Eigenschaft

 DescriptionText-Eigenschaft

 Enabled-Eigenschaft

 FaceId-Eigenschaft

 Height-Eigenschaft

 HelpContextId-Eigenschaft

 HelpFile-Eigenschaft

 HyperlinkType-Eigenschaft

 Id-Eigenschaft

 Index-Eigenschaft

 IsPriorityDropped-Eigenschaft

 Left-Eigenschaft

 Mask-Eigenschaft

 OLEUsage-Eigenschaft

 OnAction-Eigenschaft

 Parameter-Eigenschaft

 Parent-Eigenschaft

 Picture-Eigenschaft

 Priority-Eigenschaft

 ShortcutText-Eigenschaft

 State-Eigenschaft

 Style-Eigenschaft

 Tag-Eigenschaft

 TooltipText-Eigenschaft

 Top-Eigenschaft

 Type-Eigenschaft

 Visible-Eigenschaft

 Width-Eigenschaft
Microsoft Office-Objekte


Change-Ereignis
AddItem-Methode

 Clear-Methode

 Copy-Methode

 Delete-Methode

 Execute-Methode

 Move-Methode

 RemoveItem-Methode

 Reset-Methode

 SetFocus-Methode
Application-Eigenschaft

 BeginGroup-Eigenschaft

 BuiltIn-Eigenschaft

 Caption-Eigenschaft

 Creator-Eigenschaft

 DescriptionText-Eigenschaft

 DropDownLines-Eigenschaft

 DropDownWidth-Eigenschaft

 Enabled-Eigenschaft

 Height-Eigenschaft

 HelpContextId-Eigenschaft

 HelpFile-Eigenschaft

 Id-Eigenschaft

 Index-Eigenschaft

 IsPriorityDropped-Eigenschaft

 Left-Eigenschaft

 List-Eigenschaft

 ListCount-Eigenschaft

 ListHeaderCount-Eigenschaft

 ListIndex-Eigenschaft

 OLEUsage-Eigenschaft

 OnAction-Eigenschaft

 Parameter-Eigenschaft

 Parent-Eigenschaft

 Priority-Eigenschaft

 Style-Eigenschaft

 Tag-Eigenschaft

 Text-Eigenschaft

 TooltipText-Eigenschaft

 Top-Eigenschaft

 Type-Eigenschaft

 Visible-Eigenschaft

 Width-Eigenschaft


Application-Eigenschaft

 BeginGroup-Eigenschaft

 BuiltIn-Eigenschaft

 Caption-Eigenschaft

 Creator-Eigenschaft

 DescriptionText-Eigenschaft

 Enabled-Eigenschaft

 Height-Eigenschaft

 HelpContextId-Eigenschaft

 HelpFile-Eigenschaft

 Id-Eigenschaft

 Index-Eigenschaft

 IsPriorityDropped-Eigenschaft

 Left-Eigenschaft

 OLEUsage-Eigenschaft

 OnAction-Eigenschaft

 Parameter-Eigenschaft

 Parent-Eigenschaft

 Priority-Eigenschaft

 Tag-Eigenschaft

 TooltipText-Eigenschaft

 Top-Eigenschaft

 Type-Eigenschaft

 Visible-Eigenschaft

 Width-Eigenschaft
Microsoft Office-Objekte
CommandBarControls-Objekt (Auflistung)


Add-Methode
Application-Eigenschaft

 Count-Eigenschaft

 Creator-Eigenschaft

 Item-Eigenschaft

 Parent-Eigenschaft
Microsoft Office-Objekte


Application-Eigenschaft

 BeginGroup-Eigenschaft

 BuiltIn-Eigenschaft

 Caption-Eigenschaft

 CommandBar-Eigenschaft

 Controls-Eigenschaft

 Creator-Eigenschaft

 DescriptionText-Eigenschaft

 Enabled-Eigenschaft

 Height-Eigenschaft

 HelpContextId-Eigenschaft

 HelpFile-Eigenschaft

 Id-Eigenschaft

 Index-Eigenschaft

 IsPriorityDropped-Eigenschaft

 Left-Eigenschaft

 OLEMenuGroup-Eigenschaft

 OLEUsage-Eigenschaft

 OnAction-Eigenschaft

 Parameter-Eigenschaft

 Parent-Eigenschaft

 Priority-Eigenschaft

 Tag-Eigenschaft

 TooltipText-Eigenschaft

 Top-Eigenschaft

 Type-Eigenschaft

 Visible-Eigenschaft

 Width-Eigenschaft
Microsoft Office-Objekte


OnUpdate-Ereignis
Add-Methode

 FindControl-Methode

 FindControls-Methode

 ReleaseFocus-Methode
ActionControl-Eigenschaft

 ActiveMenuBar-Eigenschaft

 AdaptiveMenus-Eigenschaft

 Application-Eigenschaft

 Count-Eigenschaft

 Creator-Eigenschaft

 DisableAskAQuestionDropdown-Eigenschaft

 DisableCustomize-Eigenschaft

 DisplayFonts-Eigenschaft

 DisplayKeysInTooltips-Eigenschaft

 DisplayTooltips-Eigenschaft

 Item-Eigenschaft

 LargeButtons-Eigenschaft

 MenuAnimationStyle-Eigenschaft

 Parent-Eigenschaft
Microsoft Office-Objekte


Delete-Methode
Application-Eigenschaft

 Creator-Eigenschaft

 LinkSource-Eigenschaft

 LinkToContent-Eigenschaft

 Name-Eigenschaft

 Parent-Eigenschaft

 Type-Eigenschaft

 Value-Eigenschaft
Microsoft Office-Objekte


AllowMultiSelect-Eigenschaft

 Application-Eigenschaft

 ButtonName-Eigenschaft

 Creator-Eigenschaft

 DialogType-Eigenschaft

 FilterIndex-Eigenschaft

 Filters-Eigenschaft

 InitialFileName-Eigenschaft

 InitialView-Eigenschaft

 Item-Eigenschaft

 Parent-Eigenschaft

 SelectedItems-Eigenschaft

 Title-Eigenschaft


Application-Eigenschaft

 Creator-Eigenschaft

 Description-Eigenschaft

 Extensions-Eigenschaft

 Parent-Eigenschaft
FileDialog-Objekt

 FileDialogFilters-Auflistung

 FileDialogSelectedItems-Auflistung


Add-Methode

 Clear-Methode

 Delete-Methode

 Item-Methode
Application-Eigenschaft

 Count-Eigenschaft

 Creator-Eigenschaft

 Parent-Eigenschaft
FileDialog-Objekt

 FileDialogFilter-Objekt

 FileDialogSelectedItems-Auflistung


Item-Methode


Application-Eigenschaft

 Creator-Eigenschaft

 FileName-Eigenschaft

 FileType-Eigenschaft

 FileTypes-Eigenschaft

 FoundFiles-Eigenschaft

 LastModified-Eigenschaft

 LookIn-Eigenschaft

 MatchAllWordForms-Eigenschaft

 MatchTextExactly-Eigenschaft

 PropertyTests-Eigenschaft

 SearchFolders-Eigenschaft

 SearchScopes-Eigenschaft

 SearchSubFolders-Eigenschaft

 TextOrProperty-Eigenschaft
FileTypes-Auflistung

 FoundFiles-Eigenschaft

 PropertyTest-Objekt

 PropertyTests-Eigenschaft

 ScopeFolder-Objekt

 ScopeFolders-Auflistung

 SearchFolders-Auflistung

 SearchScope-Objekt

 SearchScopes-Auflistung


Add-Methode

 Remove-Methode
Application-Eigenschaft

 Count-Eigenschaft

 Creator-Eigenschaft

 Item-Eigenschaft
FileName-Eigenschaft

 FileSearch-Objekt

 FileType-Eigenschaft

 FileTypes-Eigenschaft

 SearchFolders-Auflistung

 SearchScopes-Auflistung


Open-Methode

 RefreshDocument-Methode

 RefreshProject-Methode
Application-Eigenschaft

 Creator-Eigenschaft

 HTMLProjectItems-Eigenschaft

 Parent-Eigenschaft

 State-Eigenschaft


LoadFromFile-Methode

 Open-Methode

 SaveCopyAs-Methode
Application-Eigenschaft

 Creator-Eigenschaft

 IsOpen-Eigenschaft

 Name-Eigenschaft

 Parent-Eigenschaft

 Text-Eigenschaft


Application-Eigenschaft

 Creator-Eigenschaft

 LanguageID-Eigenschaft

 LanguagePreferredForEditing-Eigenschaft

 Parent-Eigenschaft


EnvelopeHide-Ereignis

 EnvelopeShow-Ereignis
CommandBars-Eigenschaft

 Introduction-Eigenschaft

 Item-Eigenschaft

 Parent-Eigenschaft


Add-Methode

 Remove-Methode
Application-Eigenschaft

 Creator-Eigenschaft


Application-Eigenschaft

 Creator-Eigenschaft

 Index-Eigenschaft

 Name-Eigenschaft

 Parent-Eigenschaft

 Value-Eigenschaft
ODSOColumns-Objekt

 ODSOFilter-Objekt

 ODSOFilters-Objekt

 OfficeDataSourceObject-Objekt


Application-Eigenschaft

 Column-Eigenschaft

 CompareTo-Eigenschaft

 Comparison-Eigenschaft

 Conjunction-Eigenschaft

 Creator-Eigenschaft

 Index-Eigenschaft

 Parent-Eigenschaft


Add-Methode

 Delete-Methode

 Item-Methode
Application-Eigenschaft

 Count-Eigenschaft

 Creator-Eigenschaft

 Parent-Eigenschaft
ODSOColumn-Objekt

 ODSOColumns-Objekt

 ODSOFilter-Objekt

 OfficeDataSourceObject-Objekt


ApplyFilter-Methode

 Move-Methode

 Open-Methode

 SetSortOrder-Methode
ODSOColumns-Objekt

 ODSOFilters-Objekt
Columns-Eigenschaft

 ConnectString-Eigenschaft

 DataSource-Eigenschaft

 Filters-Eigenschaft

 RowCount-Eigenschaft

 Table-Eigenschaft
ODSOColumn-Objekt

 ODSOColumns-Objekt

 ODSOFilter-Objekt

 ODSOFilters-Objekt


PropertyTests-Objekt (Auflistung)


AddToSearchFolders-Methode


Application-Eigenschaft

 Count-Eigenschaft

 Creator-Eigenschaft

 Item-Eigenschaft
FileSearch-Objekt

 SearchFolders-Auflistung

 SearchScopes-Auflistung


Delete-Methode
Application-Eigenschaft

 Creator-Eigenschaft

 Extended-Eigenschaft

 Id-Eigenschaft

 Language-Eigenschaft

 Location-Eigenschaft

 Parent-Eigenschaft

 ScriptText-Eigenschaft

 Shape-Eigenschaft
Scripts-Objekt (Auflistung)


Add-Methode

 Delete-Methode

 Item-Methode
Application-Eigenschaft

 Count-Eigenschaft

 Creator-Eigenschaft

 Parent-Eigenschaft


Add-Methode

 Remove-Methode
Application-Eigenschaft

 Count-Eigenschaft

 Creator-Eigenschaft

 Item-Eigenschaft
FileSearch-Objekt

 FileTypes-Auflistung

 LookIn-Eigenschaft

 ScopeFolder-Objekt

 ScopeFolders-Auflistung

 SearchFolders-Eigenschaft

 SearchScopes-Auflistung


Application-Eigenschaft

 Creator-Eigenschaft

 ScopeFolder-Eigenschaft

 Type-Eigenschaft
FileSearch-Objekt

 ScopeFolder-Objekt

 SearchScopes-Auflistung


Delete-Methode
Application-Eigenschaft

 AttachCertificate-Eigenschaft

 Creator-Eigenschaft

 ExpireDate-Eigenschaft

 IsCertificateExpired-Eigenschaft

 IsCertificateRevoked-Eigenschaft

 IsValid-Eigenschaft

 Issuer-Eigenschaft

 Parent-Eigenschaft

 SignDate-Eigenschaft

 Signer-Eigenschaft


Add-Methode

 Commit-Methode
Application-Eigenschaft

 Count-Eigenschaft

 Creator-Eigenschaft

 Item-Eigenschaft

 Parent-Eigenschaft


Application-Eigenschaft

 Creator-Eigenschaft

 FixedWidthFont-Eigenschaft

 FixedWidthFontSize-Eigenschaft

 ProportionalFont-Eigenschaft

 ProportionalFontSize-Eigenschaft
WebPageFonts-Objekt (Auflistung)


Application-Eigenschaft

 Count-Eigenschaft

 Creator-Eigenschaft

 Item-Eigenschaft


Neue Ereignisse

 Neue Methoden

 Neue Eigenschaften (alphabetische Liste)

 Neue Eigenschaften (nach Objekt)

 Neue Funktionen für Microsoft Office-Entwickler


CommandBars-Objekt (Auflistung)
Hinzufügen und Anzeigen von Kontextmenüs

 Hinzufügen und Verwalten von Menüleisten und Menübefehlen

 Hinzufügen und Ändern von Symbolleisten

 Verwendung von Befehlsleisten


FileDialog-Objekt


Assistant-Objekt

 Balloon-Objekt
Assistant-Objekt

 FileName-Eigenschaft

 Übersicht über den Office-Assistenten

 Visible-Eigenschaft


AnswerWizard-Objekt

 AnswerWizardFiles-Objekt (Auflistung)

 Assistant-Objekt

 Balloon-Objekt

 BalloonCheckBox-Objekt

 BalloonCheckBoxes-Objekt (Auflistung)

 BalloonLabel-Objekt

 BalloonLabels-Objekt (Auflistung)

 COMAddIn-Objekt

 COMAddIns-Objekt (Auflistung)

 CommandBar-Objekt

 CommandBarButton-Objekt

 CommandBarComboBox-Objekt

 CommandBarControl-Objekt

 CommandBarControls-Objekt (Auflistung)

 CommandBarPopup-Objekt

 CommandBars-Objekt (Auflistung)

 DocumentProperties-Objekt (Auflistung)

 DocumentProperty-Objekt

 FileDialog-Objekt

 FileDialogFilter-Objekt

 FileDialogFilters-Auflistung

 FileDialogSelectedItems-Auflistung

 FileSearch-Objekt

 FileTypes-Auflistung

 FoundFiles-Objekt

 HTMLProject-Objekt

 HTMLProjectItem-Objekt

 HTMLProjectItems-Objekt (Auflistung)

 LanguageSettings-Objekt

 NewFile-Objekt

 ODSOColumn-Objekt

 ODSOColumns-Objekt

 ODSOFilter-Objekt

 ODSOFilters-Objekt

 PropertyTest-Objekt

 PropertyTests-Objekt (Auflistung)

 ScopeFolder-Objekt

 ScopeFolders-Auflistung

 Script-Objekt

 Scripts-Objekt (Auflistung)

 SearchFolders-Auflistung

 SearchScope-Objekt

 SearchScopes-Auflistung

 Signature-Objekt

 SignatureSet-Auflistung

 WebPageFont-Objekt

 WebPageFonts-Objekt (Auflistung)


Signature-Objekt


Verwendung von Befehlsleisten


CommandBar-Objekt

 CommandBarButton-Objekt

 CommandBarComboBox-Objekt

 CommandBarControl-Objekt

 CommandBarPopup-Objekt
CommandBar-Objekt

 CommandBarControl-Objekt

 FaceId-Eigenschaft

 PasteFace-Methode

 Verwendung von Befehlsleisten


Balloon-Objekt
Hinzufügen und Anzeigen von Kontextmenüs

 Hinzufügen und Verwalten von Menüleisten und Menübefehlen

 Hinzufügen und Ändern von Symbolleisten

 BuiltIn-Eigenschaft

 BuiltInFace-Eigenschaft

 Erstellen und Ändern von Sprechblasen

 FaceId-Eigenschaft

 PasteFace-Methode

 Show-Methode

 Verwendung von Befehlsleisten


Balloon-Objekt
Balloon-Objekt

 BalloonCheckBox-Objekt

 BalloonLabel-Objekt

 Checked-Eigenschaft

 Erstellen und Ändern von Sprechblasen

 Durchführen von Änderungen an Sprechblasen zur Laufzeit

 Übersicht über den Office-Assistenten

 Show-Methode


CommandBarButton-Objekt

 CommandBarComboBox-Objekt

 CommandBarControl-Objekt

 CommandBarPopup-Objekt
CommandBarControl-Objekt

 DescriptionText-Eigenschaft

 Enabled-Eigenschaft

 TooltipText-Eigenschaft


BalloonCheckBox-Objekt


ODSOFilter-Objekt


CommandBarPopup-Objekt


MsoEnvelope-Objekt


PropertyTest-Objekt
NewSearch-Methode


COMAddIn-Objekt


PropertyTest-Objekt


CommandBar-Objekt
Hinzufügen und Anzeigen von Kontextmenüs

 Hinzufügen und Verwalten von Menüleisten und Menübefehlen

 Hinzufügen und Ändern von Symbolleisten

 Verwendung von Befehlsleisten
Context-Eigenschaft


AnswerWizardFiles-Objekt (Auflistung)

 BalloonCheckBoxes-Objekt (Auflistung)

 BalloonLabels-Objekt (Auflistung)

 COMAddIns-Objekt (Auflistung)

 CommandBarControls-Objekt (Auflistung)

 CommandBars-Objekt (Auflistung)

 DocumentProperties-Objekt (Auflistung)

 FileDialogFilters-Auflistung

 FileDialogSelectedItems-Auflistung

 FileTypes-Auflistung

 FoundFiles-Objekt

 HTMLProjectItems-Objekt (Auflistung)

 ODSOColumns-Objekt

 ODSOFilters-Objekt

 PropertyTests-Objekt (Auflistung)

 ScopeFolders-Auflistung

 Scripts-Objekt (Auflistung)

 SearchFolders-Auflistung

 SearchScopes-Auflistung

 SignatureSet-Auflistung

 WebPageFonts-Objekt (Auflistung)


COMAddIn-Objekt

 FileDialogFilter-Objekt


CommandBarButton-Objekt

 CommandBarComboBox-Objekt

 CommandBarControl-Objekt

 CommandBarPopup-Objekt
Caption-Eigenschaft

 DisplayKeysInTooltips-Eigenschaft

 DisplayTooltips-Eigenschaft


Hinzufügen und Anzeigen von Kontextmenüs

 Hinzufügen und Verwalten von Menüleisten und Menübefehlen

 Hinzufügen und Ändern von Symbolleisten

 Verwendung von Befehlsleisten


Script-Objekt


FileDialogFilter-Objekt


Assistant-Objekt

 FileSearch-Objekt
Animation-Eigenschaft

 Übersicht über den Office-Assistenten

 Verwenden des Office-Assistenten


FileDialog-Objekt

 OfficeDataSourceObject-Objekt


WebPageFont-Objekt


Assistant-Objekt
Übersicht über den Office-Assistenten


Controls-Eigenschaft


CommandBarButton-Objekt

 CommandBarComboBox-Objekt

 CommandBarControl-Objekt

 CommandBarPopup-Objekt
Help-Methode

 HelpFile-Eigenschaft


CommandBarButton-Objekt

 CommandBarComboBox-Objekt

 CommandBarControl-Objekt

 CommandBarPopup-Objekt
Help-Methode

 HelpContextId-Eigenschaft


CommandBar-Objekt

 CommandBarButton-Objekt

 CommandBarComboBox-Objekt

 CommandBarControl-Objekt

 CommandBarPopup-Objekt

 Script-Objekt


CommandBar-Objekt

 CommandBarButton-Objekt

 CommandBarComboBox-Objekt

 CommandBarControl-Objekt

 CommandBarPopup-Objekt

 ODSOColumn-Objekt

 ODSOFilter-Objekt


Signature-Objekt
IsCertificateRevoked-Eigenschaft


Signature-Objekt
IsCertificateExpired-Eigenschaft


AnswerWizardFiles-Objekt (Auflistung)

 Assistant-Objekt

 BalloonCheckBox-Objekt

 BalloonCheckBoxes-Objekt (Auflistung)

 BalloonLabel-Objekt

 BalloonLabels-Objekt (Auflistung)

 CommandBarControls-Objekt (Auflistung)

 CommandBars-Objekt (Auflistung)

 DocumentProperties-Objekt (Auflistung)

 FileDialog-Objekt

 FileTypes-Auflistung

 FoundFiles-Objekt

 MsoEnvelope-Objekt

 PropertyTests-Objekt (Auflistung)

 ScopeFolders-Auflistung

 SearchFolders-Auflistung

 SearchScopes-Auflistung

 SignatureSet-Auflistung

 WebPageFonts-Objekt (Auflistung)


LanguageSettings-Objekt


FileSearch-Objekt
NewSearch-Methode


Top-Eigenschaft


DocumentProperty-Objekt
LinkToContent-Eigenschaft


DocumentProperty-Objekt
LinkSource-Eigenschaft


CommandBarButton-Objekt
Picture-Eigenschaft


Assistant-Objekt

 Balloon-Objekt

 BalloonCheckBox-Objekt

 BalloonCheckBoxes-Objekt (Auflistung)

 BalloonLabel-Objekt

 BalloonLabels-Objekt (Auflistung)

 CommandBar-Objekt

 DocumentProperty-Objekt

 HTMLProjectItem-Objekt

 ODSOColumn-Objekt

 PropertyTest-Objekt

 ScopeFolder-Objekt
NameLocal-Eigenschaft


CommandBar-Objekt
Name-Eigenschaft


Assistant-Objekt
Assistant-Objekt

 Balloon-Objekt

 BalloonError-Eigenschaft

 Erstellen und Ändern von Sprechblasen

 Durchführen von Änderungen an Sprechblasen zur Laufzeit

 Show-Methode


AnswerWizard-Objekt

 AnswerWizardFiles-Objekt (Auflistung)

 Assistant-Objekt

 Balloon-Objekt

 BalloonCheckBox-Objekt

 BalloonCheckBoxes-Objekt (Auflistung)

 BalloonLabel-Objekt

 BalloonLabels-Objekt (Auflistung)

 COMAddIn-Objekt

 COMAddIns-Objekt (Auflistung)

 CommandBar-Objekt

 CommandBarButton-Objekt

 CommandBarComboBox-Objekt

 CommandBarControl-Objekt

 CommandBarControls-Objekt (Auflistung)

 CommandBarPopup-Objekt

 CommandBars-Objekt (Auflistung)

 DocumentProperties-Objekt (Auflistung)

 DocumentProperty-Objekt

 FileDialog-Objekt

 FileDialogFilter-Objekt

 FileDialogFilters-Auflistung

 FileDialogSelectedItems-Auflistung

 HTMLProject-Objekt

 HTMLProjectItem-Objekt

 HTMLProjectItems-Objekt (Auflistung)

 LanguageSettings-Objekt

 MsoEnvelope-Objekt

 ODSOColumn-Objekt

 ODSOColumns-Objekt

 ODSOFilter-Objekt

 ODSOFilters-Objekt

 Script-Objekt

 Scripts-Objekt (Auflistung)

 Signature-Objekt

 SignatureSet-Auflistung


ScopeFolder-Objekt


CommandBarButton-Objekt
Mask-Eigenschaft


SearchScope-Objekt


PropertyTest-Objekt
Value-Eigenschaft


CommandBarButton-Objekt
Übersicht über den Office-Assistenten


CommandBarButton-Objekt

 HTMLProject-Objekt


CommandBarButton-Objekt

 CommandBarComboBox-Objekt


FindControl-Methode


Balloon-Objekt

 BalloonCheckBox-Objekt

 BalloonLabel-Objekt

 CommandBarComboBox-Objekt

 HTMLProjectItem-Objekt
Erstellen und Ändern von Sprechblasen

 Heading-Eigenschaft

 Übersicht über den Office-Assistenten

 Show-Methode


CommandBarButton-Objekt

 CommandBarComboBox-Objekt

 CommandBarControl-Objekt

 CommandBarPopup-Objekt
Caption-Eigenschaft

 DescriptionText-Eigenschaft


Left-Eigenschaft


CommandBar-Objekt

 CommandBarButton-Objekt

 CommandBarComboBox-Objekt

 CommandBarControl-Objekt

 CommandBarPopup-Objekt

 DocumentProperty-Objekt

 SearchScope-Objekt
Verwendung von Befehlsleisten


DocumentProperty-Objekt

 ODSOColumn-Objekt

 PropertyTest-Objekt


Assistant-Objekt

 CommandBar-Objekt

 CommandBarButton-Objekt

 CommandBarComboBox-Objekt

 CommandBarControl-Objekt

 CommandBarPopup-Objekt
Übersicht über den Office-Assistenten

 Verwenden des Office-Assistenten


Neue Ereignisse

 Neue Methoden

 Neue Objekte

 Neue Eigenschaften (nach Objekt)

 Neue Funktionen für Microsoft Office-Entwickler


Neue Ereignisse

 Neue Methoden

 Neue Objekte

 Neue Eigenschaften (alphabetische Liste)

 Neue Funktionen für Microsoft Office-Entwickler


Height-Eigenschaft


Erstellen und Ändern von Sprechblasen

 Übersicht über Befehlsleisten

 Übersicht über den Office-Assistenten

 Verwendung von Befehlsleisten

 Verwenden des Office-Assistenten


INDEX~TEXT
seealso~"Siehe&nbsp;auch"
appliesto~"Betrifft"
elements~"Elemente"
properties~"Eigenschaften"
methods~"Methoden"
events~"Ereignisse"
example~"Beispiel"
specifics~"Zusatzinfo"
show~"Beschreibung&nbsp;anzeigen"
hide~"Beschreibung&nbsp;ausblenden"